DELIMITER $$

DROP PROCEDURE IF EXISTS `adobeCRM`.`createNewClientDeals`$$


CREATE PROCEDURE `adobeCRM`.`createNewClientDeals` ()
	BEGIN
	
	CREATE TEMPORARY TABLE IF NOT EXISTS companies (
		id INT NOT NULL AUTO_INCREMENT,
		company_name VARCHAR(30) NOT NULL,
		PRIMARY KEY (id) );

	INSERT INTO companies (company_name) VALUES 
		('Datasource'),		('US Quinrad'),		('US SiliCryptoix'),('Pacmaxa'),
		('Genlanza'),		('iNetnetic'),		('Autocast'),		('Soleccorp'),
		('US Lexalta'),		('Callectrix'),		('Eyetheon'),		('Sysline'),
		('Parasource.com'),	('Thermolog'),		('Synconich'),		('TeknoViapartners'),
		('Nettheon'),		('Teletronik.com'),	('Costistrix'),		('Polytheon'),
		('eInmarcs'),		('eInfohacker'),	('US Cryptocom'),	('Apamerica'),
		('Ultravalu'),		('Costsouth'),		('eRotoway'),		('Entnuclear'),
		('Sysmatix'),		('Metaserve'),		('Turboron'),		('US Teknorama'),
		('eAnthrolan'),		('Cyberrama'),		('Teknocal'),		('Infracenta'),
		('Nuserve'),		('Opengraph'),		('SysSoltanium'),	('Tektron'),
		('ApSoftEnttiqua'),	('Mapdant'),		('Keygraph'),		('SteganoPacPacifidisco'),
		('Xegate'),			('Costat'),			('SynRotobyte'),	('Westridium'),
		('Thermocom'),		('US Turbolinear'),	('Nanocom'),		('US Maxtiqua'),
		('Titaniridium'),	('Rapiway'),		('Aerstate'),		('Titanion'),
		('Safephor'),		('Cyberlectric'),	('Softcent'),		('Eyetel'),
		('UltraNetfab'),	('Utiliagra'),		('Airmerica'),		('Solscope'),
		('Softcom.com'),	('Soncal'),			('Celphor'),		('Motoicon'),
		('iCeleage'),		('Cyphertegra'),	('Genlog'),			('US Costmat'),
		('Apfarb'),			('AnthroSoft.com'),	('Rotopak'),		('Ultrafab'),
		('Teramart'),		('MicroTekbyte'),	('Pacifiphor'),		('Unipartners'),
		('Yoyoic'),			('Cryptonetic'),	('Texridic'),		('US Cyclovalu'),
		('Fibronix'),		('Hyperridium'),	('XeRotodic'),		('Intraura'),
		('Navipaq'),		('Thermonuclear'),	('Teleseco'),		('Tekcorp'),
		('Cybersouth'),		('Theolog'),		('Softscope'),		('Maxtomic'),
		('Uniair'),			('Periweb'),		('Quinvalu'),		('TurboSafevaco');
		
	CREATE TEMPORARY TABLE IF NOT EXISTS projects (
		id INT NOT NULL AUTO_INCREMENT,
		project VARCHAR(40) NOT NULL,
		PRIMARY KEY (id) );

	INSERT INTO projects (project) VALUES 
		('Annual Audit 2010'),		('Back office integration'),		('CMS integration'),
		('Company Benefits portal'),('Company internet'),				('Decision Support System'),
		('Employee portal v1.0'),	('Financial Reporting portal'),		('bug tracking site'),
		('CMS'),					('ecommerce'),						('intranet'),		
		('microsite'),				('portal'),							('website'),
		('wiki'),					('Help Desk application'),			('Human Resources Review application'),
		('IM application'),			('Marketing Collateral application'),('Project wiki'),
		('RFP application'),		('Sales Tracking application'),		('Single sign-on initiative'),
		('Team-building portal'),	('Time Tracking application'),		('Web mail application');

	SET @campaignId = 1;
	SET @tempDealId = 0;
	SET @revenue = 0;
	SET @bellDist = 0;
	SET @title = '';
	SET @project = '';
	SET @companyId = 0;
	SET @projectId = 0;
	
	SET @numberOfCompanies = 0;
	
	SELECT COUNT( id ) FROM companies INTO @numberOfCompanies;

	SET @numberOfProjects = 0;

	SELECT COUNT( id ) FROM projects INTO @numberOfProjects;
	
	SELECT MIN( user_id ) FROM users INTO @lowerBound;
	SELECT MAX( user_id ) FROM users INTO @upperBound;
	SET @tempUserId = @lowerBound;
	SET @notManager = 0;
	SET @currentDate = CAST( '2009-01-06' AS DATETIME );
	SET @currentWeek = 0;
	SET @weeksEntries = 0;
	
	WHILE @tempUserId < @upperBound DO

		BEGIN
		
			SELECT COUNT( user_id ) FROM users 
			    WHERE is_manager != 1
			    AND is_regional_manager != 1
			    AND user_id = @tempUserId INTO @notManager;
			    
			IF 1 = @notManager THEN
				
				SET @notManager = 0;
				
				SET @currentWeek = 0;
				SET @currentDate = CAST( '2009-01-06' AS DATETIME );
				
				WHILE @currentWeek < 52 DO
				
					BEGIN
					
						SET @weeksEntries = 0;
						
						WHILE @weeksEntries < 2 DO
						
							BEGIN
							
								SELECT FLOOR( 1 + ( RAND() * ( 84 - 1 ) ) ) INTO @tempDealId;
								
								SELECT 1 / EXP( POWER( 4 * ( RAND() - 0.5 ), 2 ) ) INTO @bellDist;
								SELECT FLOOR( 100000 + ( @bellDist * ( 1000000 - 100000 ) ) ) INTO @revenue;
								
								SELECT FLOOR( 1 + ( RAND() * ( @numberOfCompanies - 1 ) ) ) INTO @companyId;
								
								SELECT company_name
								INTO @title
								FROM companies 
								WHERE id = @companyId;
								
								SELECT FLOOR( 1 + ( RAND() * ( @numberOfProjects - 1 ) ) ) INTO @projectId;
								
								SELECT project
								INTO @project
								FROM projects
								WHERE id = @projectId;
								
								SELECT CONCAT(@title, ' ', @project) INTO @title;

								INSERT INTO client_deals
									( client_id, user_id, campaign_id, title, description, lead_source_type_id, created_date,
										rating_type_id, priority_level, estimated_revenue, estimated_close_date,
											probability, stage_type_id, status_type_id )
									SELECT 
										client_id, @tempUserId, @campaignId, @title, description, lead_source_type_id, created_date,
											rating_type_id, priority_level, @revenue, @currentDate,
												probability, stage_type_id, status_type_id FROM client_deals
									WHERE
										client_deal_id = @tempDealId;
										
								SET @weeksEntries = @weeksEntries + 1;
							END;
								
						END WHILE;
						
						SET @currentWeek = @currentWeek + 1;
						SELECT DATE_ADD( @currentDate, INTERVAL 1 WEEK ) INTO @currentDate;
						
					END;
						
				END WHILE;
						
			END IF;

			SET @tempUserId = @tempUserId + 1;
	
		END;
		
	END WHILE;
	
	DROP TEMPORARY TABLE IF EXISTS companies;
	DROP TEMPORARY TABLE IF EXISTS projects;
	
	END$$
	

DELIMITER;