DROP TRIGGER IF EXISTS updateSalesMgrs;
DROP TRIGGER IF EXISTS insertSalesReps;

DELIMITER $$

CREATE TRIGGER updateSalesMgrs AFTER UPDATE ON users
FOR EACH ROW
BEGIN

	DECLARE smcount SMALLINT;
	DECLARE srcount SMALLINT;

	SELECT COUNT( user_id ) FROM sales_managers WHERE user_id = NEW.user_id INTO smcount;

	SELECT COUNT( user_id ) FROM sales_reps WHERE user_id = NEW.user_id INTO srcount;

	IF NEW.is_manager = 0 THEN

		IF smcount > 0 THEN

			DELETE IGNORE sm FROM sales_managers AS sm WHERE sm.user_id = NEW.user_id;

		END IF;

		IF srcount = 0 THEN

			INSERT INTO sales_reps ( user_id, manager_user_id ) VALUES ( NEW.user_id, 0 );

			UPDATE sales_reps SET manager_user_id = 0 WHERE manager_user_id = NEW.user_id;

		END IF;

	ELSEIF NEW.is_manager = 1 AND smcount = 0 THEN

		INSERT INTO sales_managers ( user_id ) VALUES ( NEW.user_id );

		DELETE IGNORE sr FROM sales_reps AS sr WHERE sr.user_id = NEW.user_id;

	END IF;

END$$

CREATE TRIGGER insertSalesReps AFTER INSERT ON users
FOR EACH ROW
BEGIN

	IF NEW.is_manager = 0 THEN
		INSERT INTO sales_reps ( user_id, manager_user_id ) VALUES ( NEW.user_id, 0 );
	END IF;

END$$

DELIMITER;