-- DELETE FROM client_deals;
-- CALL getTop10ClientDealsByRegionId( 1 );

-- SELECT * FROM client_deals WHERE user_id = 272
-- 	ORDER BY estimated_revenue DESC, client_deal_id ASC
-- 	LIMIT 10;

SELECT 
	client_deal_id, client_id, user_id, campaign_id, title, description,
	lead_source_type_id, created_date,
	rating_type_id, priority_level,
	estimated_revenue, estimated_close_date,
	probability, stage_type_id, status_type_id
FROM `adobeCRM`.`client_deals`

UPDATE `adobecrm`.`sales_quotas`
	SET quota_value = 10000000;

SELECT u.user_id, u.fname, u.lname,
		SUM( cd.estimated_revenue ) AS total_sales,
		SUM( cd.estimated_revenue ) / sq.quota_value AS percent_of_quota
	FROM users u
		INNER JOIN client_deals cd
		INNER JOIN sales_quotas AS sq
	WHERE
		u.user_id = cd.user_id AND
		u.user_id = sq.user_id AND
		EXISTS (
			SELECT client_deals.estimated_close_date FROM client_deals
				WHERE DATEDIFF( NOW(), client_deals.estimated_close_date ) >= 0
				)
		GROUP BY cd.user_id
		ORDER BY total_sales DESC, cd.client_deal_id ASC
	LIMIT 10;

SELECT estimated_revenue, estimated_close_date FROM client_deals
	WHERE user_id = 272 AND
	estimated_close_date BETWEEN CAST( '2009-08-01 00:00:00.0' AS DATETIME ) AND CAST( '2009-12-31 00:00:00.0' AS DATETIME )
ORDER BY
	estimated_revenue DESC