DELIMITER $$

DROP PROCEDURE IF EXISTS `adobeCRM`.`getAllClientDeals`$$


CREATE PROCEDURE `adobeCRM`.`getAllClientDeals` ()
	BEGIN
		SELECT ca.client_id, ca.client_name, ca.industry AS client_industry, ca.annual_revenue AS client_annual_revenue,
				cd.client_deal_id, cd.title AS client_deal_title, cd.description AS client_deal_description, cd.created_date AS client_deal_datestamp,
					cd.priority_level AS client_deal_priority_level, cd.estimated_revenue AS client_deal_estimated_revenue, 
						cd.estimated_close_date AS client_deal_estimated_close_date, cd.probability AS client_deal_probability,
				lst.*,
				rt.*,
				stage.*,
				stat.*,
				u.user_id, u.fname, u.lname, u.is_manager
		FROM client_deals cd
			JOIN users AS u
			JOIN client_accounts AS ca
			JOIN lead_source_types AS lst
			JOIN rating_types AS rt
			JOIN stage_types AS stage
			JOIN status_types AS stat
		WHERE
			u.user_id = cd.user_id AND
			cd.client_id = ca.client_id AND
			cd.lead_source_type_id = lst.lead_source_type_id AND
			cd.rating_type_id = rt.rating_type_id AND
			cd.stage_type_id = stage.stage_type_id AND
			cd.status_type_id = stat.status_type_id
		ORDER BY
			cd.client_id, u.user_id;
	END$$

DELIMITER;

