DELIMITER $$

DROP PROCEDURE IF EXISTS `adobeCRM`.`getAllSalesForecasts`$$

CREATE PROCEDURE `adobeCRM`.`getAllSalesForecasts` ()
	BEGIN
		SELECT cd.user_id, u.fname, u.lname, u.is_manager, u.is_regional_manager, u.region_id,
				SUM( estimated_revenue ) AS projected_total_revenue, sq.quota_value AS sales_quota
			FROM client_deals AS cd
				JOIN users AS u
				JOIN sales_quotas AS sq
			WHERE cd.user_id = sq.user_id AND
				 	cd.user_id = u.user_id
			GROUP BY cd.user_id
			ORDER BY cd.user_id;
    END$$

DELIMITER;

