DELIMITER $$

DROP PROCEDURE IF EXISTS `adobeCRM`.`getRegionalSalesForecastsByRegionId`$$

CREATE PROCEDURE `adobeCRM`.`getRegionalSalesForecastsByRegionId` ( IN regionId INT )
	BEGIN
		SELECT 
			r.region_id, r.region_name, u.user_id, u.fname, u.lname,
				CAST( SUM( cd.estimated_revenue ) AS DECIMAL( 14, 2 ) ) AS regional_estimated_revenue, SUM( sq.quota_value ) AS regoional_sales_quota
		FROM client_deals cd
			INNER JOIN users u
			INNER JOIN regions r
			INNER JOIN sales_quotas sq
		WHERE
			cd.user_id = u.user_id AND
			u.region_id = r.region_id AND
			sq.user_id = u.user_id AND
			r.region_id = 2
		GROUP BY 
			r.region_id;
	END$$

DELIMITER;

