DELIMITER $$

DROP PROCEDURE IF EXISTS `adobeCRM`.`getRegionalSalesManagerByRegionId`$$

CREATE PROCEDURE `adobeCRM`.`getRegionalSalesManagerByRegionId` ( IN regionId INT )
	BEGIN
    	SELECT 
			u.user_id, u.fname, u.lname, u.is_manager, u.is_regional_manager, u.region_id
		FROM regional_sales_managers rsm 
			INNER JOIN users u
			INNER JOIN regions r
		WHERE 
			u.user_id = rsm.user_id AND
			u.region_id = regionId AND
			r.region_id = regionId;
    END$$

DELIMITER;

