DELIMITER $$

DROP PROCEDURE IF EXISTS `adobeCRM`.`getSalesActivitiesByUserId`$$


CREATE PROCEDURE `adobeCRM`.`getSalesActivitiesByUserId` ( IN userId INT )
	BEGIN
		SELECT at.activity_type_id, at.type AS activity_type, at.type_name AS activity_type_name,
				ca.client_id, ca.client_name, ca.industry AS client_industry, ca.annual_revenue AS client_annual_revenue,
				cd.client_deal_id, cd.title AS client_deal_title, cd.description AS client_deal_description, cd.created_date AS client_deal_datestamp,
					cd.priority_level AS client_deal_priority_level, cd.estimated_revenue AS client_deal_estimated_revenue, 
						cd.estimated_close_date AS client_deal_estimated_close_date, cd.probability AS client_deal_probability,
				lst.*,
				rt.*,
				stage.*,
				stat.*,
				u.user_id, u.fname, u.lname, u.is_manager, sa.created_date AS sales_activity_date
		FROM sales_activities AS sa
			JOIN users AS u
			JOIN client_deals AS cd
			JOIN client_accounts AS ca
			JOIN activity_types AS at
			JOIN lead_source_types AS lst
			JOIN rating_types AS rt
			JOIN stage_types AS stage
			JOIN status_types AS stat
		WHERE
			sa.user_id = userId AND 
			u.user_id = sa.user_id AND
			sa.activity_type_id = at.activity_type_id AND
			sa.user_id = ca.user_id AND
			cd.lead_source_type_id = lst.lead_source_type_id AND
			cd.rating_type_id = rt.rating_type_id AND
			cd.stage_type_id = stage.stage_type_id AND
			cd.status_type_id = stat.status_type_id;
	END$$

DELIMITER;

