DELIMITER $$

DROP PROCEDURE IF EXISTS `adobeCRM`.`getSalesForecastsByUserId`$$

CREATE PROCEDURE `adobeCRM`.`getSalesForecastsByUserId` ( IN userId INT )
	BEGIN
		SELECT u.user_id, u.fname, u.lname, u.is_manager, u.is_regional_manager, u.region_id,
				SUM( cd.estimated_revenue ) AS projected_total_revenue, sq.quota_value AS sales_quota
		FROM sales_quotas AS sq
			INNER JOIN users AS u
			INNER JOIN client_deals AS cd
		WHERE 
			sq.user_id = userId AND 
			cd.user_id = userId AND 
			u.user_id = userId;
    END$$

DELIMITER;

