DELIMITER $$

DROP PROCEDURE IF EXISTS `adobeCRM`.`getSalesRepSalesForecastsBySalesManagerId`$$

CREATE PROCEDURE `adobeCRM`.`getSalesRepSalesForecastsBySalesManagerId` ( IN salesManagerId INT )
	BEGIN
		SELECT 
			u.region_id, u.user_id, u.fname, u.lname, u.is_manager, u.is_regional_manager,
			CAST( SUM( cd.estimated_revenue ) AS DECIMAL( 14, 2 ) ) AS total_estimated_revenue,
			sq.quota_value AS sales_quota
		FROM
			users u
			INNER JOIN sales_reps sr
			INNER JOIN client_deals cd
			INNER JOIN sales_quotas sq
		WHERE
			u.user_id = sr.user_id AND
			cd.user_id = sr.user_id AND
			sq.user_id = sr.user_id AND
			sr.manager_user_id = salesManagerId
		GROUP BY
			u.user_id;
    END$$

DELIMITER;

