DELIMITER $$

DROP PROCEDURE IF EXISTS `adobeCRM`.`getTop10SalesRepForecastsByPercentOfQuota`$$

CREATE PROCEDURE `adobeCRM`.`getTop10SalesRepForecastsByPercentOfQuota` ()
	BEGIN
    	SELECT u.user_id, u.fname, u.lname, u.is_manager, u.is_regional_manager, u.region_id,
    		SUM( cd.estimated_revenue ) AS projected_total_sales,
			SUM( cd.estimated_revenue ) AS total_sales,
			( SUM( cd.estimated_revenue ) / sq.quota_value ) * 100 AS percent_of_quota
		FROM users u
			INNER JOIN client_deals cd
			INNER JOIN sales_quotas AS sq
		WHERE
			u.user_id = cd.user_id AND
			u.user_id = sq.user_id AND
			EXISTS (
				SELECT client_deals.estimated_close_date FROM client_deals
					WHERE DATEDIFF( NOW(), client_deals.estimated_close_date ) >= 0
					)
			GROUP BY cd.user_id
			ORDER BY total_sales DESC, cd.client_deal_id ASC
		LIMIT 10;
    END$$

DELIMITER;

