-- MySQL Administrator dump 1.4
--
-- ------------------------------------------------------
-- Server version	5.1.37


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;


--
-- Create schema adobecrm
--

CREATE DATABASE IF NOT EXISTS adobecrm;
USE adobecrm;
CREATE TABLE  `adobecrm`.`activity_types` (
  `activity_type_id` int(11) NOT NULL AUTO_INCREMENT,
  `type_name` char(255) DEFAULT NULL,
  `type` tinyint(3) unsigned NOT NULL,
  PRIMARY KEY (`activity_type_id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=8 DEFAULT CHARSET=latin1;
INSERT INTO `adobecrm`.`activity_types` VALUES  (1,'other',7),
 (2,'quote',6),
 (3,'meeting',5),
 (4,'letter',4),
 (5,'email',3),
 (6,'cold call',2),
 (7,'call',1);
CREATE TABLE  `adobecrm`.`campaign_responses` (
  `client_id` int(11) NOT NULL,
  `campaign_id` int(11) NOT NULL,
  PRIMARY KEY (`client_id`,`campaign_id`) USING BTREE,
  KEY `client_id` (`client_id`),
  KEY `campaign_id` (`campaign_id`),
  CONSTRAINT `FK_CAMPAIGN_RESPONSES_1` FOREIGN KEY (`client_id`) REFERENCES `client_accounts` (`client_id`),
  CONSTRAINT `FK_CAMPAIGN_RESPONSES_2` FOREIGN KEY (`campaign_id`) REFERENCES `campaigns` (`campaign_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
CREATE TABLE  `adobecrm`.`campaign_types` (
  `campaign_type_id` int(11) NOT NULL AUTO_INCREMENT,
  `type_name` char(255) DEFAULT NULL,
  `type` tinyint(3) unsigned NOT NULL,
  PRIMARY KEY (`campaign_type_id`)
) ENGINE=InnoDB AUTO_INCREMENT=8 DEFAULT CHARSET=latin1;
INSERT INTO `adobecrm`.`campaign_types` VALUES  (1,'other',7),
 (2,'print',6),
 (3,'online',5),
 (4,'event',4),
 (5,'email',3),
 (6,'direct mail',2),
 (7,'broadcast',1);
CREATE TABLE  `adobecrm`.`campaigns` (
  `campaign_id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` int(11) NOT NULL DEFAULT '0',
  `campaign_name` char(255) DEFAULT NULL,
  `campaign_type_id` int(11) NOT NULL DEFAULT '0',
  `expected_cost` float(12,2) DEFAULT '0.00',
  `actual_cost` float(12,2) DEFAULT '0.00',
  `estimated_revenue` float(12,2) DEFAULT '0.00',
  `actual_revenue` float(12,2) DEFAULT '0.00',
  `expected_response` int(11) DEFAULT '1',
  PRIMARY KEY (`campaign_id`),
  KEY `campaign_type_id` (`campaign_type_id`),
  KEY `user_id` (`user_id`),
  CONSTRAINT `FK_CAMPAIGNS_1` FOREIGN KEY (`user_id`) REFERENCES `users` (`user_id`),
  CONSTRAINT `FK_CAMPAIGNS_2` FOREIGN KEY (`campaign_type_id`) REFERENCES `campaign_types` (`campaign_type_id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=latin1;
INSERT INTO `adobecrm`.`campaigns` VALUES  (1,271,'Summer of Code',3,100000.00,125000.00,200000.00,175000.00,300);
CREATE TABLE  `adobecrm`.`client_accounts` (
  `client_id` int(11) NOT NULL AUTO_INCREMENT,
  `client_name` varchar(255) DEFAULT NULL,
  `industry` char(255) DEFAULT NULL,
  `annual_revenue` float(17,2) DEFAULT '0.00',
  `user_id` int(11) NOT NULL,
  PRIMARY KEY (`client_id`),
  KEY `user_id` (`user_id`),
  CONSTRAINT `FK_CLIENT_ACCOUNTS_1` FOREIGN KEY (`user_id`) REFERENCES `users` (`user_id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=latin1;
INSERT INTO `adobecrm`.`client_accounts` VALUES  (1,'GloboCorp, Inc.','software',3579899904.00,271),
 (2,'Digital Primates IT','consulting',745000000.00,271);
CREATE TABLE  `adobecrm`.`client_deals` (
  `client_deal_id` int(11) NOT NULL AUTO_INCREMENT,
  `client_id` int(11) NOT NULL DEFAULT '0',
  `user_id` int(11) NOT NULL DEFAULT '0',
  `campaign_id` int(11) DEFAULT NULL,
  `title` varchar(255) DEFAULT NULL,
  `description` varchar(255) DEFAULT NULL,
  `lead_source_type_id` int(11) NOT NULL,
  `created_date` datetime NOT NULL,
  `rating_type_id` int(11) NOT NULL DEFAULT '0',
  `priority_level` tinyint(4) DEFAULT '0',
  `estimated_revenue` float(14,2) DEFAULT '0.00',
  `estimated_close_date` datetime DEFAULT NULL,
  `probability` float DEFAULT '0',
  `stage_type_id` int(11) NOT NULL DEFAULT '0',
  `status_type_id` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`client_deal_id`) USING BTREE,
  KEY `rating_type_id` (`rating_type_id`),
  KEY `stage_type_id` (`stage_type_id`),
  KEY `status_type_id` (`status_type_id`),
  KEY `user_id` (`user_id`),
  KEY `FK_CLIENT_DEALS_2` (`client_id`),
  KEY `FK_CLIENT_DEALS_3` (`campaign_id`),
  KEY `FK_CLIENT_DEALS_4` (`lead_source_type_id`),
  CONSTRAINT `FK_CLIENT_DEALS_1` FOREIGN KEY (`user_id`) REFERENCES `users` (`user_id`),
  CONSTRAINT `FK_CLIENT_DEALS_2` FOREIGN KEY (`client_id`) REFERENCES `client_accounts` (`client_id`),
  CONSTRAINT `FK_CLIENT_DEALS_3` FOREIGN KEY (`campaign_id`) REFERENCES `campaigns` (`campaign_id`),
  CONSTRAINT `FK_CLIENT_DEALS_4` FOREIGN KEY (`lead_source_type_id`) REFERENCES `lead_source_types` (`lead_source_type_id`),
  CONSTRAINT `FK_CLIENT_DEALS_5` FOREIGN KEY (`rating_type_id`) REFERENCES `rating_types` (`rating_type_id`),
  CONSTRAINT `FK_CLIENT_DEALS_6` FOREIGN KEY (`stage_type_id`) REFERENCES `stage_types` (`stage_type_id`),
  CONSTRAINT `FK_CLIENT_DEALS_7` FOREIGN KEY (`status_type_id`) REFERENCES `status_types` (`status_type_id`)
) ENGINE=InnoDB AUTO_INCREMENT=5683 DEFAULT CHARSET=latin1;
INSERT INTO `adobecrm`.`client_deals` VALUES  (1,1,272,1,'Employee portal v1.0','Employee portal for intranet',1,'2009-01-01 00:00:00',1,1,816753.19,'2009-01-05 00:00:00',95,1,3),
 (2,1,272,1,'Company internet','Company internet',2,'2009-01-02 00:00:00',2,2,792599.50,'2009-01-07 00:00:00',95,2,6),
 (3,1,272,1,'Help Desk application','Help Desk application',1,'2009-01-01 00:00:00',1,1,775487.19,'2009-01-10 00:00:00',95,1,3),
 (4,1,272,1,'Project wiki','Project wiki',2,'2009-01-02 00:00:00',1,2,448552.31,'2009-01-17 00:00:00',95,2,3),
 (5,1,272,1,'Marketing Collateral application','Marketing Collateral application',1,'2009-01-03 00:00:00',1,1,553478.75,'2009-01-25 00:00:00',95,1,3),
 (6,1,272,1,'Intranet messaging application','Intranet messaging application',2,'2009-01-04 00:00:00',1,2,657841.25,'2009-01-30 00:00:00',95,2,3),
 (7,1,272,1,'Web mail application','Web mail application',1,'2009-01-03 00:00:00',1,1,897582.50,'2009-02-05 00:00:00',95,1,3),
 (8,1,272,1,'Single sign-on initiative','Single sign-on initiative',2,'2009-01-04 00:00:00',1,2,336457.28,'2009-02-14 00:00:00',95,2,3),
 (9,1,272,1,'Decision Support System','Decision Support System',1,'2009-01-03 00:00:00',1,1,335899.50,'2009-02-20 00:00:00',95,1,3),
 (10,1,272,1,'Financial Reporting portal','Financial Reporting portal',2,'2009-01-04 00:00:00',1,2,487250.22,'2009-02-27 00:00:00',95,2,3),
 (11,1,272,1,'Annual Audit 2008','Annual Audit of application code across the organization',1,'2009-01-05 00:00:00',1,1,558691.50,'2009-03-07 00:00:00',95,1,3),
 (12,1,272,1,'Annual Audit 2009','Annual Audit of application code across the organization',2,'2009-01-02 00:00:00',2,2,792599.50,'2009-03-08 00:00:00',95,2,6),
 (13,1,272,1,'Annual Audit 2010','Annual Audit of application code across the organization',1,'2009-01-03 00:00:00',1,1,792600.50,'2009-03-14 00:00:00',96,1,7),
 (14,1,272,1,'Annual Audit 2011','Annual Audit of application code across the organization',2,'2009-01-04 00:00:00',2,2,792601.50,'2009-03-14 00:00:00',95,2,8),
 (15,1,272,1,'Annual Audit 2012','Annual Audit of application code across the organization',1,'2009-01-05 00:00:00',1,1,792602.50,'2009-03-15 00:00:00',95,1,9),
 (16,1,272,1,'Annual Audit 2013','Annual Audit of application code across the organization',2,'2009-01-06 00:00:00',2,2,792603.50,'2009-03-21 00:00:00',95,2,5),
 (17,1,272,1,'Annual Audit 2014','Annual Audit of application code across the organization',1,'2009-01-07 00:00:00',1,1,792604.50,'2009-03-25 00:00:00',96,1,8),
 (18,1,272,1,'Annual Audit 2015','Annual Audit of application code across the organization',2,'2009-01-08 00:00:00',2,2,792605.50,'2009-03-29 00:00:00',95,2,7),
 (19,1,272,1,'Annual Audit 2016','Annual Audit of application code across the organization',1,'2009-01-09 00:00:00',1,1,792606.50,'2009-03-30 00:00:00',95,1,9),
 (20,1,272,1,'Annual Audit 2017','Annual Audit of application code across the organization',2,'2009-01-10 00:00:00',2,2,792607.50,'2009-04-04 00:00:00',95,2,2),
 (21,1,272,1,'Annual Audit 2018','Annual Audit of application code across the organization',1,'2009-01-11 00:00:00',1,1,792608.50,'2009-04-05 00:00:00',96,1,5),
 (22,1,272,1,'Annual Audit 2019','Annual Audit of application code across the organization',2,'2009-01-12 00:00:00',2,2,792609.50,'2009-04-10 00:00:00',95,2,7),
 (23,1,273,1,'Team-building portal','Team-building portal for intranet',1,'2009-01-03 00:00:00',1,1,762960.94,'2009-04-11 00:00:00',95,1,8),
 (24,1,273,1,'Company Benefits portal','Company benefits portal for intranet',2,'2009-01-04 00:00:00',2,2,755854.75,'2009-04-20 00:00:00',95,2,8),
 (25,1,274,1,'Time Tracking application','Time tracking application for organization',1,'2009-01-05 00:00:00',1,1,731083.81,'2009-04-21 00:00:00',95,1,9),
 (26,1,274,1,'RFP application','RFP application to automate prospective client proposal request',2,'2009-01-06 00:00:00',2,2,721526.88,'2009-04-27 00:00:00',95,2,1),
 (27,1,275,1,'Back office integration','Back office integration for accounting and finance',1,'2009-01-07 00:00:00',1,1,693022.19,'2009-04-28 00:00:00',95,1,5),
 (28,1,275,1,'CMS integration','Legacy CMS integration for Marketing group',2,'2009-01-08 00:00:00',2,2,679018.44,'2009-05-04 00:00:00',95,2,8),
 (29,1,277,1,'Sales Tracking application','Application to track outside sales',1,'2009-01-09 00:00:00',1,1,670196.06,'2009-05-05 00:00:00',95,1,3),
 (30,1,277,1,'Human Resources Review application','Application to automate employee review process',2,'2009-01-10 00:00:00',2,2,659779.62,'2009-05-07 00:00:00',95,2,4),
 (31,1,278,1,'GloboCorp website','GloboCorp website project.',1,'2009-01-11 00:00:00',1,1,646002.62,'2009-05-16 00:00:00',95,1,2),
 (32,1,278,1,'GloboCorp intranet','GloboCorp intranet project.',2,'2009-01-12 00:00:00',2,2,620291.88,'2009-05-26 00:00:00',95,2,2),
 (33,1,279,1,'GloboCorp website','GloboCorp website project.',1,'2009-01-13 00:00:00',1,1,616614.19,'2009-05-30 00:00:00',95,1,4),
 (34,1,279,1,'GloboCorp intranet','GloboCorp intranet project.',2,'2009-01-14 00:00:00',2,2,615422.75,'2009-05-31 00:00:00',95,2,4),
 (35,1,280,1,'GloboCorp website','GloboCorp website project.',1,'2009-01-15 00:00:00',1,1,601028.25,'2009-06-08 00:00:00',95,1,1),
 (36,1,280,1,'GloboCorp intranet','GloboCorp intranet project.',2,'2009-01-16 00:00:00',2,2,601014.62,'2009-06-13 00:00:00',95,2,4),
 (37,1,283,1,'GloboCorp portal','GloboCorp portal project.',1,'2009-01-17 00:00:00',1,1,592532.38,'2009-06-14 00:00:00',95,1,5),
 (38,1,283,1,'GloboCorp ecommerce','GloboCorp ecommerce project.',2,'2009-01-18 00:00:00',2,2,590018.25,'2009-06-20 00:00:00',95,2,6),
 (39,1,284,1,'GloboCorp portal','GloboCorp portal project.',1,'2009-01-19 00:00:00',1,1,579432.06,'2009-06-21 00:00:00',95,1,5),
 (40,1,284,1,'GloboCorp ecommerce','GloboCorp ecommerce project.',2,'2009-01-20 00:00:00',2,2,571859.62,'2009-06-29 00:00:00',95,2,5),
 (41,1,285,1,'GloboCorp portal','GloboCorp portal project.',1,'2009-01-21 00:00:00',1,1,562228.06,'2009-07-06 00:00:00',95,1,5),
 (42,1,285,1,'GloboCorp ecommerce','GloboCorp ecommerce project.',2,'2009-01-22 00:00:00',2,2,543018.06,'2009-07-07 00:00:00',95,2,8),
 (43,1,286,1,'GloboCorp portal','GloboCorp portal project.',1,'2009-01-23 00:00:00',1,1,532567.56,'2009-07-13 00:00:00',95,1,5),
 (44,1,286,1,'GloboCorp ecommerce','GloboCorp ecommerce project.',2,'2009-01-24 00:00:00',2,2,517980.38,'2009-07-14 00:00:00',95,2,5),
 (45,1,288,1,'GloboCorp portal','GloboCorp portal project.',1,'2009-01-25 00:00:00',1,1,503748.94,'2009-07-20 00:00:00',95,1,4),
 (46,1,288,1,'GloboCorp ecommerce','GloboCorp ecommerce project.',2,'2009-01-26 00:00:00',2,2,495669.44,'2009-07-21 00:00:00',95,2,1),
 (47,1,289,1,'GloboCorp portal','GloboCorp portal project.',1,'2009-01-27 00:00:00',1,1,488731.09,'2009-07-27 00:00:00',95,1,7),
 (48,1,289,1,'GloboCorp ecommerce','GloboCorp ecommerce project.',2,'2009-01-28 00:00:00',2,2,488628.78,'2009-07-28 00:00:00',95,2,9),
 (49,1,290,1,'GloboCorp portal','GloboCorp portal project.',1,'2009-01-29 00:00:00',1,1,475179.03,'2009-08-04 00:00:00',95,1,4),
 (50,1,290,1,'GloboCorp ecommerce','GloboCorp ecommerce project.',2,'2009-01-30 00:00:00',2,2,468775.91,'2009-08-05 00:00:00',95,2,9),
 (51,1,291,1,'GloboCorp portal','GloboCorp portal project.',1,'2009-01-31 00:00:00',1,1,467873.69,'2009-08-10 00:00:00',95,1,2),
 (52,1,291,1,'GloboCorp ecommerce','GloboCorp ecommerce project.',2,'2009-02-01 00:00:00',2,2,459969.16,'2009-08-16 00:00:00',95,2,7),
 (53,1,294,1,'GloboCorp CMS','GloboCorp CMS project.',1,'2009-02-02 00:00:00',1,1,456971.31,'2009-08-17 00:00:00',95,1,7),
 (54,1,294,1,'GloboCorp microsite','GloboCorp microsite project.',2,'2009-02-03 00:00:00',2,2,456401.38,'2009-08-31 00:00:00',95,2,9),
 (55,1,295,1,'GloboCorp CMS','GloboCorp CMS project.',1,'2009-02-04 00:00:00',1,1,451616.53,'2009-09-07 00:00:00',95,1,5),
 (56,1,295,1,'GloboCorp microsite','GloboCorp microsite project.',2,'2009-02-05 00:00:00',2,2,451267.72,'2009-09-08 00:00:00',95,2,4),
 (57,1,296,1,'GloboCorp CMS','GloboCorp CMS project.',1,'2009-02-06 00:00:00',1,1,450634.72,'2009-09-13 00:00:00',95,1,7),
 (58,1,296,1,'GloboCorp microsite','GloboCorp microsite project.',2,'2009-02-07 00:00:00',2,2,449156.94,'2009-09-20 00:00:00',95,2,5),
 (59,1,297,1,'GloboCorp CMS','GloboCorp CMS project.',1,'2009-02-08 00:00:00',1,1,446127.12,'2009-09-21 00:00:00',95,1,7),
 (60,1,297,1,'GloboCorp microsite','GloboCorp microsite project.',2,'2009-02-09 00:00:00',2,2,431572.53,'2009-09-28 00:00:00',95,2,3),
 (61,1,299,1,'GloboCorp CMS','GloboCorp CMS project.',1,'2009-02-10 00:00:00',1,1,430160.84,'2009-10-04 00:00:00',95,1,4),
 (62,1,299,1,'GloboCorp microsite','GloboCorp microsite project.',2,'2009-02-11 00:00:00',2,2,424276.88,'2009-10-05 00:00:00',95,2,2),
 (63,1,300,1,'GloboCorp CMS','GloboCorp CMS project.',1,'2009-02-12 00:00:00',1,1,412856.22,'2009-10-11 00:00:00',95,1,5),
 (64,1,300,1,'GloboCorp microsite','GloboCorp microsite project.',2,'2009-02-13 00:00:00',2,2,412679.34,'2009-10-13 00:00:00',95,2,5),
 (65,1,301,1,'GloboCorp CMS','GloboCorp CMS project.',1,'2009-02-14 00:00:00',1,1,407973.00,'2009-10-19 00:00:00',95,1,6),
 (66,1,301,1,'GloboCorp microsite','GloboCorp microsite project.',2,'2009-02-15 00:00:00',2,2,401803.31,'2009-10-20 00:00:00',95,2,5),
 (67,1,302,1,'GloboCorp CMS','GloboCorp CMS project.',1,'2009-02-16 00:00:00',1,1,396865.97,'2009-10-26 00:00:00',95,1,9),
 (68,1,302,1,'GloboCorp microsite','GloboCorp microsite project.',2,'2009-02-17 00:00:00',2,2,387035.28,'2009-10-27 00:00:00',95,2,2),
 (69,1,305,1,'GloboCorp wiki','GloboCorp wiki project.',1,'2009-02-18 00:00:00',1,1,374688.62,'2009-11-01 00:00:00',95,1,4),
 (70,1,305,1,'GloboCorp bug tracking site','GloboCorp bug tracking site project.',2,'2009-02-19 00:00:00',2,2,369649.72,'2009-11-03 00:00:00',95,2,1),
 (71,1,306,1,'GloboCorp wiki','GloboCorp wiki project.',1,'2009-02-20 00:00:00',1,1,355106.94,'2009-11-08 00:00:00',95,1,8),
 (72,1,306,1,'GloboCorp bug tracking site','GloboCorp bug tracking site project.',2,'2009-02-21 00:00:00',2,2,351235.22,'2009-11-09 00:00:00',95,2,3),
 (73,1,307,1,'GloboCorp wiki','GloboCorp wiki project.',1,'2009-02-22 00:00:00',1,1,329642.66,'2009-11-13 00:00:00',95,1,4),
 (74,1,307,1,'GloboCorp bug tracking site','GloboCorp bug tracking site project.',2,'2009-02-23 00:00:00',2,2,329365.28,'2009-11-15 00:00:00',95,2,7),
 (75,1,308,1,'GloboCorp wiki','GloboCorp wiki project.',1,'2009-02-24 00:00:00',1,1,317087.12,'2009-11-22 00:00:00',95,1,6),
 (76,1,308,1,'GloboCorp bug tracking site','GloboCorp bug tracking site project.',2,'2009-02-25 00:00:00',2,2,307442.25,'2009-11-23 00:00:00',95,2,7),
 (77,1,310,1,'GloboCorp wiki','GloboCorp wiki project.',1,'2009-02-26 00:00:00',1,1,297124.38,'2009-11-30 00:00:00',95,1,7),
 (78,1,310,1,'GloboCorp bug tracking site','GloboCorp bug tracking site project.',2,'2009-02-27 00:00:00',2,2,285014.19,'2009-12-04 00:00:00',95,2,3),
 (79,1,311,1,'GloboCorp wiki','GloboCorp wiki project.',1,'2009-02-28 00:00:00',1,1,274609.59,'2009-12-08 00:00:00',95,1,3),
 (80,1,311,1,'GloboCorp bug tracking site','GloboCorp bug tracking site project.',2,'2009-03-01 00:00:00',2,2,267669.56,'2009-12-14 00:00:00',95,2,7),
 (81,1,312,1,'GloboCorp wiki','GloboCorp wiki project.',1,'2009-03-02 00:00:00',1,1,253745.83,'2009-12-16 00:00:00',95,1,6),
 (82,1,312,1,'GloboCorp bug tracking site','GloboCorp bug tracking site project.',2,'2009-03-03 00:00:00',2,2,217609.88,'2009-12-21 00:00:00',95,2,4),
 (83,1,313,1,'GloboCorp wiki','GloboCorp wiki project.',1,'2009-03-04 00:00:00',1,1,208855.70,'2009-12-23 00:00:00',95,1,5),
 (84,1,313,1,'GloboCorp bug tracking site','GloboCorp bug tracking site project.',2,'2009-03-05 00:00:00',2,2,156323.44,'2009-12-25 00:00:00',95,2,3),
 (2355,1,272,1,'TeknoViapartners CMS','Intranet messaging application',2,'2009-01-04 00:00:00',1,2,987804.00,'2009-01-06 00:00:00',95,2,3),
 (2356,1,272,1,'Uniair ecommerce','GloboCorp website project.',1,'2009-01-13 00:00:00',1,1,260052.00,'2009-01-06 00:00:00',95,1,4),
 (2357,1,272,1,'Sysline ecommerce','Project wiki',2,'2009-01-02 00:00:00',1,2,135539.00,'2009-01-13 00:00:00',95,2,3),
 (2358,1,272,1,'Eyetheon RFP application','GloboCorp microsite project.',2,'2009-02-07 00:00:00',2,2,394812.00,'2009-01-13 00:00:00',95,2,5),
 (2359,1,272,1,'SynRotobyte Single sign-on initiative','GloboCorp bug tracking site project.',2,'2009-02-21 00:00:00',2,2,285469.00,'2009-01-20 00:00:00',95,2,3),
 (2360,1,272,1,'Costsouth Project wiki','Annual Audit of application code across the organization',2,'2009-01-06 00:00:00',2,2,244695.00,'2009-01-20 00:00:00',95,2,5),
 (2361,1,272,1,'US Turbolinear Help Desk application','Annual Audit of application code across the organization',1,'2009-01-07 00:00:00',1,1,813041.00,'2009-01-27 00:00:00',96,1,8),
 (2362,1,272,1,'Aerstate portal','GloboCorp microsite project.',2,'2009-02-11 00:00:00',2,2,416379.00,'2009-01-27 00:00:00',95,2,2),
 (2363,1,272,1,'Hyperridium wiki','GloboCorp bug tracking site project.',2,'2009-02-23 00:00:00',2,2,164797.00,'2009-02-03 00:00:00',95,2,7),
 (2364,1,272,1,'UltraNetfab Single sign-on initiative','GloboCorp portal project.',1,'2009-01-17 00:00:00',1,1,835872.00,'2009-02-03 00:00:00',95,1,5),
 (2365,1,272,1,'Teknocal IM application','GloboCorp CMS project.',1,'2009-02-06 00:00:00',1,1,647191.00,'2009-02-10 00:00:00',95,1,7),
 (2366,1,272,1,'Apamerica intranet','GloboCorp ecommerce project.',2,'2009-01-26 00:00:00',2,2,922991.00,'2009-02-10 00:00:00',95,2,1),
 (2367,1,272,1,'Costistrix RFP application','GloboCorp portal project.',1,'2009-01-25 00:00:00',1,1,762708.00,'2009-02-17 00:00:00',95,1,4),
 (2368,1,272,1,'US Costmat Company Benefits portal','GloboCorp ecommerce project.',2,'2009-01-30 00:00:00',2,2,999716.00,'2009-02-17 00:00:00',95,2,9),
 (2369,1,272,1,'Opengraph IM application','GloboCorp website project.',1,'2009-01-15 00:00:00',1,1,500563.00,'2009-02-24 00:00:00',95,1,1),
 (2370,1,272,1,'Cryptonetic Marketing Collateral application','GloboCorp intranet project.',2,'2009-01-12 00:00:00',2,2,328320.00,'2009-02-24 00:00:00',95,2,2),
 (2371,1,272,1,'TeknoViapartners Company internet','Time tracking application for organization',1,'2009-01-05 00:00:00',1,1,330769.00,'2009-03-03 00:00:00',95,1,9),
 (2372,1,272,1,'Costistrix Decision Support System','Application to track outside sales',1,'2009-01-09 00:00:00',1,1,423358.00,'2009-03-03 00:00:00',95,1,3),
 (2373,1,272,1,'Cryptonetic portal','GloboCorp ecommerce project.',2,'2009-01-22 00:00:00',2,2,204979.00,'2009-03-10 00:00:00',95,2,8),
 (2374,1,272,1,'Costat IM application','Annual Audit of application code across the organization',1,'2009-01-03 00:00:00',1,1,278474.00,'2009-03-10 00:00:00',96,1,7),
 (2375,1,272,1,'Infracenta Back office integration','Company benefits portal for intranet',2,'2009-01-04 00:00:00',2,2,416417.00,'2009-03-17 00:00:00',95,2,8),
 (2376,1,272,1,'Softcom.com Annual Audit 2010','Annual Audit of application code across the organization',2,'2009-01-12 00:00:00',2,2,157728.00,'2009-03-17 00:00:00',95,2,7),
 (2377,1,272,1,'Titanion Back office integration','Annual Audit of application code across the organization',1,'2009-01-05 00:00:00',1,1,890081.00,'2009-03-24 00:00:00',95,1,3),
 (2378,1,272,1,'Maxtomic Financial Reporting portal','GloboCorp ecommerce project.',2,'2009-01-24 00:00:00',2,2,998906.00,'2009-03-24 00:00:00',95,2,5),
 (2379,1,272,1,'Navipaq intranet','GloboCorp ecommerce project.',2,'2009-01-22 00:00:00',2,2,632998.00,'2009-03-31 00:00:00',95,2,8),
 (2380,1,272,1,'Teletronik.com Project wiki','GloboCorp portal project.',1,'2009-01-25 00:00:00',1,1,755635.00,'2009-03-31 00:00:00',95,1,4),
 (2381,1,272,1,'Thermonuclear Employee portal v1.0','GloboCorp ecommerce project.',2,'2009-01-22 00:00:00',2,2,153215.00,'2009-04-07 00:00:00',95,2,8),
 (2382,1,272,1,'Costistrix CMS','GloboCorp ecommerce project.',2,'2009-01-30 00:00:00',2,2,300743.00,'2009-04-07 00:00:00',95,2,9),
 (2383,1,272,1,'SteganoPacPacifidisco Company internet','Annual Audit of application code across the organization',1,'2009-01-09 00:00:00',1,1,122302.00,'2009-04-14 00:00:00',95,1,9),
 (2384,1,272,1,'Parasource.com Sales Tracking application','GloboCorp ecommerce project.',2,'2009-01-20 00:00:00',2,2,159175.00,'2009-04-14 00:00:00',95,2,5),
 (2385,1,272,1,'Pacmaxa Team-building portal','Employee portal for intranet',1,'2009-01-01 00:00:00',1,1,893224.00,'2009-04-21 00:00:00',95,1,3),
 (2386,1,272,1,'Texridic Project wiki','GloboCorp portal project.',1,'2009-01-29 00:00:00',1,1,187406.00,'2009-04-21 00:00:00',95,1,4),
 (2387,1,272,1,'Soncal website','GloboCorp portal project.',1,'2009-01-25 00:00:00',1,1,439944.00,'2009-04-28 00:00:00',95,1,4),
 (2388,1,272,1,'Nettheon Single sign-on initiative','GloboCorp CMS project.',1,'2009-02-16 00:00:00',1,1,609293.00,'2009-04-28 00:00:00',95,1,9),
 (2389,1,272,1,'Tektron Company internet','GloboCorp wiki project.',1,'2009-03-04 00:00:00',1,1,506210.00,'2009-05-05 00:00:00',95,1,5),
 (2390,1,272,1,'Quinvalu wiki','GloboCorp microsite project.',2,'2009-02-05 00:00:00',2,2,318021.00,'2009-05-05 00:00:00',95,2,4),
 (2391,1,272,1,'Fibronix Marketing Collateral application','GloboCorp wiki project.',1,'2009-03-04 00:00:00',1,1,249829.00,'2009-05-12 00:00:00',95,1,5),
 (2392,1,272,1,'Titaniridium intranet','Team-building portal for intranet',1,'2009-01-03 00:00:00',1,1,146475.00,'2009-05-12 00:00:00',95,1,8),
 (2393,1,272,1,'Cryptonetic Help Desk application','GloboCorp portal project.',1,'2009-01-27 00:00:00',1,1,999963.00,'2009-05-19 00:00:00',95,1,7),
 (2394,1,272,1,'Soncal CMS','GloboCorp CMS project.',1,'2009-02-02 00:00:00',1,1,614642.00,'2009-05-19 00:00:00',95,1,7),
 (2395,1,272,1,'Softcom.com Company internet','GloboCorp wiki project.',1,'2009-02-18 00:00:00',1,1,123075.00,'2009-05-26 00:00:00',95,1,4),
 (2396,1,272,1,'eAnthrolan Help Desk application','GloboCorp wiki project.',1,'2009-02-24 00:00:00',1,1,118770.00,'2009-05-26 00:00:00',95,1,6),
 (2397,1,272,1,'AnthroSoft.com portal','Annual Audit of application code across the organization',1,'2009-01-07 00:00:00',1,1,145064.00,'2009-06-02 00:00:00',96,1,8),
 (2398,1,272,1,'Genlanza Sales Tracking application','GloboCorp intranet project.',2,'2009-01-14 00:00:00',2,2,971224.00,'2009-06-02 00:00:00',95,2,4),
 (2399,1,272,1,'Costistrix Company internet','Annual Audit of application code across the organization',1,'2009-01-11 00:00:00',1,1,905970.00,'2009-06-09 00:00:00',96,1,5),
 (2400,1,272,1,'Celphor Time Tracking application','Legacy CMS integration for Marketing group',2,'2009-01-08 00:00:00',2,2,207200.00,'2009-06-09 00:00:00',95,2,8),
 (2401,1,272,1,'Nanocom Team-building portal','GloboCorp wiki project.',1,'2009-02-18 00:00:00',1,1,299331.00,'2009-06-16 00:00:00',95,1,4),
 (2402,1,272,1,'Utiliagra CMS','Annual Audit of application code across the organization',1,'2009-01-09 00:00:00',1,1,448255.00,'2009-06-16 00:00:00',95,1,9),
 (2403,1,272,1,'Tekcorp IM application','GloboCorp wiki project.',1,'2009-02-22 00:00:00',1,1,597492.00,'2009-06-23 00:00:00',95,1,4),
 (2404,1,272,1,'Ultravalu CMS integration','GloboCorp microsite project.',2,'2009-02-13 00:00:00',2,2,547680.00,'2009-06-23 00:00:00',95,2,5),
 (2405,1,272,1,'Thermolog Team-building portal','GloboCorp CMS project.',1,'2009-02-08 00:00:00',1,1,427310.00,'2009-06-30 00:00:00',95,1,7),
 (2406,1,272,1,'Nettheon bug tracking site','Application to track outside sales',1,'2009-01-09 00:00:00',1,1,246187.00,'2009-06-30 00:00:00',95,1,3),
 (2407,1,272,1,'Ultravalu bug tracking site','Annual Audit of application code across the organization',1,'2009-01-07 00:00:00',1,1,126359.00,'2009-07-07 00:00:00',96,1,8),
 (2408,1,272,1,'Polytheon portal','GloboCorp wiki project.',1,'2009-03-02 00:00:00',1,1,270523.00,'2009-07-07 00:00:00',95,1,6),
 (2409,1,272,1,'Celphor IM application','Company internet',2,'2009-01-02 00:00:00',2,2,966030.00,'2009-07-14 00:00:00',95,2,6),
 (2410,1,272,1,'Pacifiphor Sales Tracking application','GloboCorp ecommerce project.',2,'2009-01-28 00:00:00',2,2,569156.00,'2009-07-14 00:00:00',95,2,9),
 (2411,1,272,1,'Sysmatix IM application','GloboCorp wiki project.',1,'2009-03-02 00:00:00',1,1,403418.00,'2009-07-21 00:00:00',95,1,6),
 (2412,1,272,1,'Polytheon Employee portal v1.0','GloboCorp microsite project.',2,'2009-02-05 00:00:00',2,2,409661.00,'2009-07-21 00:00:00',95,2,4),
 (2413,1,272,1,'AnthroSoft.com Back office integration','GloboCorp CMS project.',1,'2009-02-04 00:00:00',1,1,974189.00,'2009-07-28 00:00:00',95,1,5),
 (2414,1,272,1,'Costsouth Human Resources Review application','Annual Audit of application code across the organization',1,'2009-01-03 00:00:00',1,1,972681.00,'2009-07-28 00:00:00',96,1,7),
 (2415,1,272,1,'Costat microsite','GloboCorp portal project.',1,'2009-01-23 00:00:00',1,1,865523.00,'2009-08-04 00:00:00',95,1,5),
 (2416,1,272,1,'Xegate intranet','Web mail application',1,'2009-01-03 00:00:00',1,1,140152.00,'2009-08-04 00:00:00',95,1,3),
 (2417,1,272,1,'iCeleage Employee portal v1.0','GloboCorp bug tracking site project.',2,'2009-02-23 00:00:00',2,2,145898.00,'2009-08-11 00:00:00',95,2,7),
 (2418,1,272,1,'Parasource.com portal','Annual Audit of application code across the organization',2,'2009-01-10 00:00:00',2,2,766407.00,'2009-08-11 00:00:00',95,2,2),
 (2419,1,272,1,'Genlog Project wiki','RFP application to automate prospective client proposal request',2,'2009-01-06 00:00:00',2,2,148362.00,'2009-08-18 00:00:00',95,2,1),
 (2420,1,272,1,'Synconich wiki','GloboCorp wiki project.',1,'2009-02-18 00:00:00',1,1,509017.00,'2009-08-18 00:00:00',95,1,4),
 (2421,1,272,1,'eRotoway Marketing Collateral application','GloboCorp ecommerce project.',2,'2009-01-18 00:00:00',2,2,990638.00,'2009-08-25 00:00:00',95,2,6),
 (2422,1,272,1,'Intraura Back office integration','Company internet',2,'2009-01-02 00:00:00',2,2,344482.00,'2009-08-25 00:00:00',95,2,6),
 (2423,1,272,1,'eAnthrolan Company internet','GloboCorp ecommerce project.',2,'2009-01-30 00:00:00',2,2,272051.00,'2009-09-01 00:00:00',95,2,9),
 (2424,1,272,1,'Autocast Project wiki','GloboCorp wiki project.',1,'2009-02-28 00:00:00',1,1,282112.00,'2009-09-01 00:00:00',95,1,3),
 (2425,1,272,1,'Keygraph microsite','GloboCorp microsite project.',2,'2009-02-15 00:00:00',2,2,946815.00,'2009-09-08 00:00:00',95,2,5),
 (2426,1,272,1,'Genlog Employee portal v1.0','Help Desk application',1,'2009-01-01 00:00:00',1,1,404962.00,'2009-09-08 00:00:00',95,1,3),
 (2427,1,272,1,'Keygraph website','Annual Audit of application code across the organization',1,'2009-01-07 00:00:00',1,1,328223.00,'2009-09-15 00:00:00',96,1,8),
 (2428,1,272,1,'Teletronik.com ecommerce','GloboCorp intranet project.',2,'2009-01-16 00:00:00',2,2,998721.00,'2009-09-15 00:00:00',95,2,4),
 (2429,1,272,1,'Pacifiphor portal','GloboCorp ecommerce project.',2,'2009-01-26 00:00:00',2,2,997437.00,'2009-09-22 00:00:00',95,2,1),
 (2430,1,272,1,'Nanocom Time Tracking application','Annual Audit of application code across the organization',2,'2009-01-02 00:00:00',2,2,283553.00,'2009-09-22 00:00:00',95,2,6),
 (2431,1,272,1,'Softcom.com ecommerce','GloboCorp intranet project.',2,'2009-01-12 00:00:00',2,2,131211.00,'2009-09-29 00:00:00',95,2,2),
 (2432,1,272,1,'Yoyoic RFP application','GloboCorp bug tracking site project.',2,'2009-03-03 00:00:00',2,2,421894.00,'2009-09-29 00:00:00',95,2,4),
 (2433,1,272,1,'Thermolog Decision Support System','GloboCorp CMS project.',1,'2009-02-04 00:00:00',1,1,271979.00,'2009-10-06 00:00:00',95,1,5),
 (2434,1,272,1,'US Cyclovalu Sales Tracking application','GloboCorp microsite project.',2,'2009-02-07 00:00:00',2,2,352172.00,'2009-10-06 00:00:00',95,2,5),
 (2435,1,272,1,'Teramart RFP application','GloboCorp bug tracking site project.',2,'2009-02-21 00:00:00',2,2,663956.00,'2009-10-13 00:00:00',95,2,3),
 (2436,1,272,1,'Teknocal ecommerce','GloboCorp bug tracking site project.',2,'2009-02-21 00:00:00',2,2,346668.00,'2009-10-13 00:00:00',95,2,3),
 (2437,1,272,1,'Eyetel Sales Tracking application','GloboCorp wiki project.',1,'2009-03-04 00:00:00',1,1,535859.00,'2009-10-20 00:00:00',95,1,5),
 (2438,1,272,1,'Infracenta RFP application','GloboCorp portal project.',1,'2009-01-23 00:00:00',1,1,122937.00,'2009-10-20 00:00:00',95,1,5),
 (2439,1,272,1,'Pacifiphor Single sign-on initiative','Decision Support System',1,'2009-01-03 00:00:00',1,1,123265.00,'2009-10-27 00:00:00',95,1,3),
 (2440,1,272,1,'Cyphertegra IM application','Annual Audit of application code across the organization',1,'2009-01-07 00:00:00',1,1,464158.00,'2009-10-27 00:00:00',96,1,8),
 (2441,1,272,1,'Opengraph intranet','GloboCorp ecommerce project.',2,'2009-01-18 00:00:00',2,2,226303.00,'2009-11-03 00:00:00',95,2,6),
 (2442,1,272,1,'Apamerica Sales Tracking application','Single sign-on initiative',2,'2009-01-04 00:00:00',1,2,168416.00,'2009-11-03 00:00:00',95,2,3),
 (2443,1,272,1,'Airmerica Team-building portal','GloboCorp microsite project.',2,'2009-02-05 00:00:00',2,2,492734.00,'2009-11-10 00:00:00',95,2,4),
 (2444,1,272,1,'Sysmatix Human Resources Review application','GloboCorp bug tracking site project.',2,'2009-02-23 00:00:00',2,2,883164.00,'2009-11-10 00:00:00',95,2,7),
 (2445,1,272,1,'Thermolog Back office integration','GloboCorp portal project.',1,'2009-01-23 00:00:00',1,1,981999.00,'2009-11-17 00:00:00',95,1,5),
 (2446,1,272,1,'eRotoway ecommerce','GloboCorp wiki project.',1,'2009-03-02 00:00:00',1,1,766130.00,'2009-11-17 00:00:00',95,1,6),
 (2447,1,272,1,'Softscope Financial Reporting portal','Company benefits portal for intranet',2,'2009-01-04 00:00:00',2,2,241691.00,'2009-11-24 00:00:00',95,2,8),
 (2448,1,272,1,'Safephor Team-building portal','GloboCorp microsite project.',2,'2009-02-03 00:00:00',2,2,570998.00,'2009-11-24 00:00:00',95,2,9),
 (2449,1,272,1,'ApSoftEnttiqua intranet','Web mail application',1,'2009-01-03 00:00:00',1,1,986493.00,'2009-12-01 00:00:00',95,1,3),
 (2450,1,272,1,'Soleccorp Sales Tracking application','Project wiki',2,'2009-01-02 00:00:00',1,2,242209.00,'2009-12-01 00:00:00',95,2,3),
 (2451,1,272,1,'Cyberlectric Team-building portal','Financial Reporting portal',2,'2009-01-04 00:00:00',1,2,119984.00,'2009-12-08 00:00:00',95,2,3),
 (2452,1,272,1,'Turboron CMS integration','GloboCorp wiki project.',1,'2009-02-26 00:00:00',1,1,284549.00,'2009-12-08 00:00:00',95,1,7),
 (2453,1,272,1,'Nanocom Employee portal v1.0','GloboCorp portal project.',1,'2009-01-25 00:00:00',1,1,923694.00,'2009-12-15 00:00:00',95,1,4),
 (2454,1,272,1,'Motoicon microsite','GloboCorp CMS project.',1,'2009-02-12 00:00:00',1,1,120364.00,'2009-12-15 00:00:00',95,1,5),
 (2455,1,272,1,'XeRotodic wiki','Team-building portal for intranet',1,'2009-01-03 00:00:00',1,1,143934.00,'2009-12-22 00:00:00',95,1,8),
 (2456,1,272,1,'Teletronik.com CMS integration','Team-building portal for intranet',1,'2009-01-03 00:00:00',1,1,879642.00,'2009-12-22 00:00:00',95,1,8),
 (2457,1,272,1,'Teramart Team-building portal','GloboCorp bug tracking site project.',2,'2009-02-25 00:00:00',2,2,577862.00,'2009-12-29 00:00:00',95,2,7),
 (2458,1,272,1,'Teknocal intranet','GloboCorp intranet project.',2,'2009-01-12 00:00:00',2,2,169353.00,'2009-12-29 00:00:00',95,2,2),
 (2459,1,273,1,'ApSoftEnttiqua wiki','Annual Audit of application code across the organization',2,'2009-01-10 00:00:00',2,2,262614.00,'2009-01-06 00:00:00',95,2,2),
 (2460,1,273,1,'Cybersouth Single sign-on initiative','GloboCorp microsite project.',2,'2009-02-05 00:00:00',2,2,899666.00,'2009-01-06 00:00:00',95,2,4),
 (2461,1,273,1,'Apfarb Human Resources Review application','GloboCorp microsite project.',2,'2009-02-11 00:00:00',2,2,118455.00,'2009-01-13 00:00:00',95,2,2),
 (2462,1,273,1,'Unipartners IM application','Annual Audit of application code across the organization',2,'2009-01-10 00:00:00',2,2,168308.00,'2009-01-13 00:00:00',95,2,2),
 (2463,1,273,1,'Solscope Annual Audit 2010','Single sign-on initiative',2,'2009-01-04 00:00:00',1,2,828266.00,'2009-01-20 00:00:00',95,2,3),
 (2464,1,273,1,'UltraNetfab Sales Tracking application','Annual Audit of application code across the organization',1,'2009-01-09 00:00:00',1,1,140124.00,'2009-01-20 00:00:00',95,1,9),
 (2465,1,273,1,'Unipartners Marketing Collateral application','GloboCorp portal project.',1,'2009-01-25 00:00:00',1,1,157915.00,'2009-01-27 00:00:00',95,1,4),
 (2466,1,273,1,'Apamerica Company Benefits portal','GloboCorp website project.',1,'2009-01-13 00:00:00',1,1,624023.00,'2009-01-27 00:00:00',95,1,4),
 (2467,1,273,1,'Quinvalu Company internet','Employee portal for intranet',1,'2009-01-01 00:00:00',1,1,857509.00,'2009-02-03 00:00:00',95,1,3),
 (2468,1,273,1,'US Quinrad Team-building portal','GloboCorp bug tracking site project.',2,'2009-02-19 00:00:00',2,2,551693.00,'2009-02-03 00:00:00',95,2,1),
 (2469,1,273,1,'Ultrafab intranet','GloboCorp CMS project.',1,'2009-02-10 00:00:00',1,1,332370.00,'2009-02-10 00:00:00',95,1,4),
 (2470,1,273,1,'Metaserve website','GloboCorp wiki project.',1,'2009-02-20 00:00:00',1,1,126748.00,'2009-02-10 00:00:00',95,1,8),
 (2471,1,273,1,'Synconich Back office integration','GloboCorp wiki project.',1,'2009-03-04 00:00:00',1,1,366017.00,'2009-02-17 00:00:00',95,1,5),
 (2472,1,273,1,'iNetnetic Decision Support System','GloboCorp wiki project.',1,'2009-02-26 00:00:00',1,1,760936.00,'2009-02-17 00:00:00',95,1,7),
 (2473,1,273,1,'Theolog wiki','GloboCorp bug tracking site project.',2,'2009-02-21 00:00:00',2,2,544593.00,'2009-02-24 00:00:00',95,2,3),
 (2474,1,273,1,'Softcom.com microsite','Annual Audit of application code across the organization',1,'2009-01-09 00:00:00',1,1,466612.00,'2009-02-24 00:00:00',95,1,9),
 (2475,1,273,1,'Infracenta wiki','GloboCorp intranet project.',2,'2009-01-16 00:00:00',2,2,482615.00,'2009-03-03 00:00:00',95,2,4),
 (2476,1,273,1,'Cybersouth Decision Support System','GloboCorp wiki project.',1,'2009-02-20 00:00:00',1,1,999881.00,'2009-03-03 00:00:00',95,1,8),
 (2477,1,273,1,'Teleseco Human Resources Review application','Annual Audit of application code across the organization',1,'2009-01-05 00:00:00',1,1,538267.00,'2009-03-10 00:00:00',95,1,9),
 (2478,1,273,1,'eAnthrolan Company internet','GloboCorp microsite project.',2,'2009-02-09 00:00:00',2,2,999290.00,'2009-03-10 00:00:00',95,2,3),
 (2479,1,273,1,'Sysmatix CMS integration','GloboCorp wiki project.',1,'2009-02-20 00:00:00',1,1,379791.00,'2009-03-17 00:00:00',95,1,8),
 (2480,1,273,1,'Sysline RFP application','GloboCorp microsite project.',2,'2009-02-09 00:00:00',2,2,446836.00,'2009-03-17 00:00:00',95,2,3),
 (2481,1,273,1,'Safephor Marketing Collateral application','GloboCorp microsite project.',2,'2009-02-13 00:00:00',2,2,807555.00,'2009-03-24 00:00:00',95,2,5),
 (2482,1,273,1,'UltraNetfab Single sign-on initiative','GloboCorp wiki project.',1,'2009-03-04 00:00:00',1,1,530574.00,'2009-03-24 00:00:00',95,1,5),
 (2483,1,273,1,'Hyperridium Help Desk application','GloboCorp microsite project.',2,'2009-02-03 00:00:00',2,2,947416.00,'2009-03-31 00:00:00',95,2,9),
 (2484,1,273,1,'Ultrafab RFP application','GloboCorp ecommerce project.',2,'2009-01-22 00:00:00',2,2,721589.00,'2009-03-31 00:00:00',95,2,8),
 (2485,1,273,1,'TeknoViapartners Company internet','GloboCorp wiki project.',1,'2009-02-28 00:00:00',1,1,311672.00,'2009-04-07 00:00:00',95,1,3),
 (2486,1,273,1,'Nuserve Financial Reporting portal','GloboCorp intranet project.',2,'2009-01-14 00:00:00',2,2,995291.00,'2009-04-07 00:00:00',95,2,4),
 (2487,1,273,1,'US SiliCryptoix ecommerce','Company benefits portal for intranet',2,'2009-01-04 00:00:00',2,2,926919.00,'2009-04-14 00:00:00',95,2,8),
 (2488,1,273,1,'Utiliagra Help Desk application','GloboCorp bug tracking site project.',2,'2009-02-27 00:00:00',2,2,997772.00,'2009-04-14 00:00:00',95,2,3),
 (2489,1,273,1,'Parasource.com Company Benefits portal','Application to automate employee review process',2,'2009-01-10 00:00:00',2,2,244400.00,'2009-04-21 00:00:00',95,2,4),
 (2490,1,273,1,'Nettheon RFP application','Company benefits portal for intranet',2,'2009-01-04 00:00:00',2,2,117086.00,'2009-04-21 00:00:00',95,2,8),
 (2491,1,273,1,'Infracenta Company internet','GloboCorp CMS project.',1,'2009-02-06 00:00:00',1,1,190303.00,'2009-04-28 00:00:00',95,1,7),
 (2492,1,273,1,'Tektron Team-building portal','GloboCorp CMS project.',1,'2009-02-14 00:00:00',1,1,703959.00,'2009-04-28 00:00:00',95,1,6),
 (2493,1,273,1,'XeRotodic Time Tracking application','GloboCorp portal project.',1,'2009-01-31 00:00:00',1,1,209316.00,'2009-05-05 00:00:00',95,1,2),
 (2494,1,273,1,'Cyphertegra Help Desk application','Annual Audit of application code across the organization',1,'2009-01-11 00:00:00',1,1,529571.00,'2009-05-05 00:00:00',96,1,5),
 (2495,1,273,1,'Cybersouth Human Resources Review application','Financial Reporting portal',2,'2009-01-04 00:00:00',1,2,708053.00,'2009-05-12 00:00:00',95,2,3),
 (2496,1,273,1,'Soncal Time Tracking application','GloboCorp CMS project.',1,'2009-02-02 00:00:00',1,1,181053.00,'2009-05-12 00:00:00',95,1,7),
 (2497,1,273,1,'XeRotodic website','GloboCorp bug tracking site project.',2,'2009-02-19 00:00:00',2,2,499002.00,'2009-05-19 00:00:00',95,2,1),
 (2498,1,273,1,'Softscope portal','Annual Audit of application code across the organization',1,'2009-01-03 00:00:00',1,1,154008.00,'2009-05-19 00:00:00',96,1,7),
 (2499,1,273,1,'Ultrafab microsite','GloboCorp microsite project.',2,'2009-02-17 00:00:00',2,2,944973.00,'2009-05-26 00:00:00',95,2,2),
 (2500,1,273,1,'Softcent Human Resources Review application','Annual Audit of application code across the organization',2,'2009-01-06 00:00:00',2,2,925390.00,'2009-05-26 00:00:00',95,2,5),
 (2501,1,273,1,'Cyberlectric bug tracking site','GloboCorp ecommerce project.',2,'2009-01-28 00:00:00',2,2,211959.00,'2009-06-02 00:00:00',95,2,9),
 (2502,1,273,1,'Thermonuclear Employee portal v1.0','GloboCorp bug tracking site project.',2,'2009-03-01 00:00:00',2,2,420483.00,'2009-06-02 00:00:00',95,2,7),
 (2503,1,273,1,'Teleseco Sales Tracking application','GloboCorp ecommerce project.',2,'2009-01-24 00:00:00',2,2,169507.00,'2009-06-09 00:00:00',95,2,5),
 (2504,1,273,1,'eRotoway ecommerce','GloboCorp CMS project.',1,'2009-02-04 00:00:00',1,1,731693.00,'2009-06-09 00:00:00',95,1,5),
 (2505,1,273,1,'Softcent CMS integration','Annual Audit of application code across the organization',2,'2009-01-04 00:00:00',2,2,834481.00,'2009-06-16 00:00:00',95,2,8),
 (2506,1,273,1,'Motoicon website','GloboCorp microsite project.',2,'2009-02-15 00:00:00',2,2,844778.00,'2009-06-16 00:00:00',95,2,5),
 (2507,1,273,1,'Cyberlectric CMS','GloboCorp CMS project.',1,'2009-02-14 00:00:00',1,1,275765.00,'2009-06-23 00:00:00',95,1,6),
 (2508,1,273,1,'Titanion Annual Audit 2010','Annual Audit of application code across the organization',1,'2009-01-03 00:00:00',1,1,861557.00,'2009-06-23 00:00:00',96,1,7),
 (2509,1,273,1,'SteganoPacPacifidisco ecommerce','GloboCorp website project.',1,'2009-01-13 00:00:00',1,1,150356.00,'2009-06-30 00:00:00',95,1,4),
 (2510,1,273,1,'US Maxtiqua Help Desk application','GloboCorp CMS project.',1,'2009-02-08 00:00:00',1,1,664344.00,'2009-06-30 00:00:00',95,1,7),
 (2511,1,273,1,'ApSoftEnttiqua Team-building portal','GloboCorp portal project.',1,'2009-01-29 00:00:00',1,1,127361.00,'2009-07-07 00:00:00',95,1,4),
 (2512,1,273,1,'Tektron Financial Reporting portal','GloboCorp ecommerce project.',2,'2009-01-20 00:00:00',2,2,939820.00,'2009-07-07 00:00:00',95,2,5),
 (2513,1,273,1,'eRotoway CMS integration','Annual Audit of application code across the organization',2,'2009-01-12 00:00:00',2,2,881478.00,'2009-07-14 00:00:00',95,2,7),
 (2514,1,273,1,'Periweb website','GloboCorp CMS project.',1,'2009-02-12 00:00:00',1,1,964827.00,'2009-07-14 00:00:00',95,1,5),
 (2515,1,273,1,'Softscope Financial Reporting portal','GloboCorp wiki project.',1,'2009-02-18 00:00:00',1,1,998115.00,'2009-07-21 00:00:00',95,1,4),
 (2516,1,273,1,'Pacifiphor Help Desk application','GloboCorp ecommerce project.',2,'2009-01-30 00:00:00',2,2,186445.00,'2009-07-21 00:00:00',95,2,9),
 (2517,1,273,1,'Costsouth Employee portal v1.0','GloboCorp CMS project.',1,'2009-02-08 00:00:00',1,1,653809.00,'2009-07-28 00:00:00',95,1,7),
 (2518,1,273,1,'Apamerica Team-building portal','GloboCorp ecommerce project.',2,'2009-01-22 00:00:00',2,2,434008.00,'2009-07-28 00:00:00',95,2,8),
 (2519,1,273,1,'Ultravalu intranet','Company internet',2,'2009-01-02 00:00:00',2,2,464423.00,'2009-08-04 00:00:00',95,2,6),
 (2520,1,273,1,'Tekcorp IM application','GloboCorp portal project.',1,'2009-01-25 00:00:00',1,1,590779.00,'2009-08-04 00:00:00',95,1,4),
 (2521,1,273,1,'Costsouth RFP application','GloboCorp microsite project.',2,'2009-02-09 00:00:00',2,2,993851.00,'2009-08-11 00:00:00',95,2,3),
 (2522,1,273,1,'Pacmaxa Company Benefits portal','GloboCorp portal project.',1,'2009-01-17 00:00:00',1,1,668880.00,'2009-08-11 00:00:00',95,1,5),
 (2523,1,273,1,'Fibronix Annual Audit 2010','GloboCorp microsite project.',2,'2009-02-03 00:00:00',2,2,419430.00,'2009-08-18 00:00:00',95,2,9),
 (2524,1,273,1,'US Cryptocom intranet','GloboCorp ecommerce project.',2,'2009-01-24 00:00:00',2,2,951867.00,'2009-08-18 00:00:00',95,2,5),
 (2525,1,273,1,'Ultrafab bug tracking site','GloboCorp ecommerce project.',2,'2009-01-28 00:00:00',2,2,999424.00,'2009-08-25 00:00:00',95,2,9),
 (2526,1,273,1,'Synconich microsite','GloboCorp intranet project.',2,'2009-01-16 00:00:00',2,2,155961.00,'2009-08-25 00:00:00',95,2,4),
 (2527,1,273,1,'Theolog Single sign-on initiative','Company internet',2,'2009-01-02 00:00:00',2,2,874296.00,'2009-09-01 00:00:00',95,2,6),
 (2528,1,273,1,'Pacifiphor Team-building portal','GloboCorp CMS project.',1,'2009-02-12 00:00:00',1,1,119054.00,'2009-09-01 00:00:00',95,1,5),
 (2529,1,273,1,'Theolog CMS','Back office integration for accounting and finance',1,'2009-01-07 00:00:00',1,1,355776.00,'2009-09-08 00:00:00',95,1,5),
 (2530,1,273,1,'Motoicon wiki','Employee portal for intranet',1,'2009-01-01 00:00:00',1,1,140122.00,'2009-09-08 00:00:00',95,1,3),
 (2531,1,273,1,'Genlanza Human Resources Review application','GloboCorp wiki project.',1,'2009-02-20 00:00:00',1,1,994450.00,'2009-09-15 00:00:00',95,1,8),
 (2532,1,273,1,'Titaniridium website','Annual Audit of application code across the organization',2,'2009-01-08 00:00:00',2,2,126161.00,'2009-09-15 00:00:00',95,2,7),
 (2533,1,273,1,'Sysline Employee portal v1.0','Annual Audit of application code across the organization',1,'2009-01-03 00:00:00',1,1,182339.00,'2009-09-22 00:00:00',96,1,7),
 (2534,1,273,1,'Navipaq Annual Audit 2010','GloboCorp bug tracking site project.',2,'2009-02-19 00:00:00',2,2,994722.00,'2009-09-22 00:00:00',95,2,1),
 (2535,1,273,1,'Softcom.com Annual Audit 2010','Application to automate employee review process',2,'2009-01-10 00:00:00',2,2,459431.00,'2009-09-29 00:00:00',95,2,4),
 (2536,1,273,1,'Soleccorp Employee portal v1.0','Annual Audit of application code across the organization',1,'2009-01-03 00:00:00',1,1,555331.00,'2009-09-29 00:00:00',96,1,7),
 (2537,1,273,1,'Texridic Annual Audit 2010','Help Desk application',1,'2009-01-01 00:00:00',1,1,819559.00,'2009-10-06 00:00:00',95,1,3),
 (2538,1,273,1,'Maxtomic Help Desk application','GloboCorp ecommerce project.',2,'2009-01-26 00:00:00',2,2,507512.00,'2009-10-06 00:00:00',95,2,1),
 (2539,1,273,1,'Mapdant CMS','GloboCorp website project.',1,'2009-01-11 00:00:00',1,1,163471.00,'2009-10-13 00:00:00',95,1,2),
 (2540,1,273,1,'Costat intranet','GloboCorp portal project.',1,'2009-01-25 00:00:00',1,1,833148.00,'2009-10-13 00:00:00',95,1,4),
 (2541,1,273,1,'Ultrafab Employee portal v1.0','GloboCorp bug tracking site project.',2,'2009-02-19 00:00:00',2,2,221742.00,'2009-10-20 00:00:00',95,2,1),
 (2542,1,273,1,'Softcom.com Single sign-on initiative','GloboCorp wiki project.',1,'2009-03-02 00:00:00',1,1,182909.00,'2009-10-20 00:00:00',95,1,6),
 (2543,1,273,1,'Thermolog RFP application','GloboCorp ecommerce project.',2,'2009-01-24 00:00:00',2,2,139975.00,'2009-10-27 00:00:00',95,2,5),
 (2544,1,273,1,'Thermocom Human Resources Review application','GloboCorp wiki project.',1,'2009-02-18 00:00:00',1,1,883867.00,'2009-10-27 00:00:00',95,1,4),
 (2545,1,273,1,'US Cryptocom IM application','GloboCorp wiki project.',1,'2009-02-18 00:00:00',1,1,210086.00,'2009-11-03 00:00:00',95,1,4),
 (2546,1,273,1,'Turboron Time Tracking application','GloboCorp bug tracking site project.',2,'2009-02-21 00:00:00',2,2,268192.00,'2009-11-03 00:00:00',95,2,3),
 (2547,1,273,1,'US Teknorama IM application','Marketing Collateral application',1,'2009-01-03 00:00:00',1,1,568925.00,'2009-11-10 00:00:00',95,1,3),
 (2548,1,273,1,'iNetnetic Financial Reporting portal','GloboCorp CMS project.',1,'2009-02-02 00:00:00',1,1,119839.00,'2009-11-10 00:00:00',95,1,7),
 (2549,1,273,1,'Sysline CMS integration','Application to track outside sales',1,'2009-01-09 00:00:00',1,1,254704.00,'2009-11-17 00:00:00',95,1,3),
 (2550,1,273,1,'Intraura IM application','Decision Support System',1,'2009-01-03 00:00:00',1,1,399205.00,'2009-11-17 00:00:00',95,1,3),
 (2551,1,273,1,'Nettheon ecommerce','GloboCorp wiki project.',1,'2009-02-20 00:00:00',1,1,215265.00,'2009-11-24 00:00:00',95,1,8),
 (2552,1,273,1,'Callectrix microsite','GloboCorp ecommerce project.',2,'2009-01-22 00:00:00',2,2,638632.00,'2009-11-24 00:00:00',95,2,8),
 (2553,1,273,1,'Metaserve Marketing Collateral application','Annual Audit of application code across the organization',1,'2009-01-09 00:00:00',1,1,888716.00,'2009-12-01 00:00:00',95,1,9),
 (2554,1,273,1,'Periweb Team-building portal','GloboCorp CMS project.',1,'2009-02-14 00:00:00',1,1,691320.00,'2009-12-01 00:00:00',95,1,6),
 (2555,1,273,1,'Solscope portal','GloboCorp microsite project.',2,'2009-02-17 00:00:00',2,2,351880.00,'2009-12-08 00:00:00',95,2,2),
 (2556,1,273,1,'eAnthrolan bug tracking site','GloboCorp microsite project.',2,'2009-02-11 00:00:00',2,2,178800.00,'2009-12-08 00:00:00',95,2,2),
 (2557,1,273,1,'Infracenta IM application','GloboCorp ecommerce project.',2,'2009-01-30 00:00:00',2,2,126190.00,'2009-12-15 00:00:00',95,2,9),
 (2558,1,273,1,'Teletronik.com Single sign-on initiative','GloboCorp ecommerce project.',2,'2009-01-22 00:00:00',2,2,677034.00,'2009-12-15 00:00:00',95,2,8),
 (2559,1,273,1,'Cryptonetic CMS','GloboCorp wiki project.',1,'2009-02-26 00:00:00',1,1,157837.00,'2009-12-22 00:00:00',95,1,7),
 (2560,1,273,1,'US Cyclovalu portal','Legacy CMS integration for Marketing group',2,'2009-01-08 00:00:00',2,2,940494.00,'2009-12-22 00:00:00',95,2,8),
 (2561,1,273,1,'Sysline Time Tracking application','Single sign-on initiative',2,'2009-01-04 00:00:00',1,2,191018.00,'2009-12-29 00:00:00',95,2,3),
 (2562,1,273,1,'Soleccorp Sales Tracking application','GloboCorp portal project.',1,'2009-01-21 00:00:00',1,1,999652.00,'2009-12-29 00:00:00',95,1,5),
 (2563,1,274,1,'Teramart Marketing Collateral application','Annual Audit of application code across the organization',1,'2009-01-05 00:00:00',1,1,127189.00,'2009-01-06 00:00:00',95,1,3),
 (2564,1,274,1,'Costat IM application','GloboCorp ecommerce project.',2,'2009-01-22 00:00:00',2,2,290308.00,'2009-01-06 00:00:00',95,2,8),
 (2565,1,274,1,'Entnuclear ecommerce','Annual Audit of application code across the organization',2,'2009-01-10 00:00:00',2,2,117844.00,'2009-01-13 00:00:00',95,2,2),
 (2566,1,274,1,'SysSoltanium RFP application','Annual Audit of application code across the organization',2,'2009-01-12 00:00:00',2,2,127350.00,'2009-01-13 00:00:00',95,2,7),
 (2567,1,274,1,'Genlanza bug tracking site','Help Desk application',1,'2009-01-01 00:00:00',1,1,800417.00,'2009-01-20 00:00:00',95,1,3),
 (2568,1,274,1,'Costsouth Single sign-on initiative','GloboCorp portal project.',1,'2009-01-27 00:00:00',1,1,342008.00,'2009-01-20 00:00:00',95,1,7),
 (2569,1,274,1,'Infracenta ecommerce','GloboCorp microsite project.',2,'2009-02-13 00:00:00',2,2,205391.00,'2009-01-27 00:00:00',95,2,5),
 (2570,1,274,1,'SteganoPacPacifidisco portal','GloboCorp wiki project.',1,'2009-02-22 00:00:00',1,1,340905.00,'2009-01-27 00:00:00',95,1,4),
 (2571,1,274,1,'Uniair Decision Support System','GloboCorp website project.',1,'2009-01-11 00:00:00',1,1,338018.00,'2009-02-03 00:00:00',95,1,2),
 (2572,1,274,1,'TeknoViapartners IM application','Annual Audit of application code across the organization',2,'2009-01-08 00:00:00',2,2,741030.00,'2009-02-03 00:00:00',95,2,7),
 (2573,1,274,1,'iCeleage Employee portal v1.0','Financial Reporting portal',2,'2009-01-04 00:00:00',1,2,875813.00,'2009-02-10 00:00:00',95,2,3),
 (2574,1,274,1,'US Turbolinear Employee portal v1.0','Single sign-on initiative',2,'2009-01-04 00:00:00',1,2,422294.00,'2009-02-10 00:00:00',95,2,3),
 (2575,1,274,1,'Costat Company internet','GloboCorp CMS project.',1,'2009-02-06 00:00:00',1,1,574519.00,'2009-02-17 00:00:00',95,1,7),
 (2576,1,274,1,'Fibronix Time Tracking application','GloboCorp ecommerce project.',2,'2009-01-24 00:00:00',2,2,156481.00,'2009-02-17 00:00:00',95,2,5),
 (2577,1,274,1,'Teknocal CMS','GloboCorp website project.',1,'2009-01-15 00:00:00',1,1,190940.00,'2009-02-24 00:00:00',95,1,1),
 (2578,1,274,1,'Maxtomic Decision Support System','GloboCorp microsite project.',2,'2009-02-15 00:00:00',2,2,202904.00,'2009-02-24 00:00:00',95,2,5),
 (2579,1,274,1,'Infracenta Time Tracking application','Decision Support System',1,'2009-01-03 00:00:00',1,1,143483.00,'2009-03-03 00:00:00',95,1,3),
 (2580,1,274,1,'Safephor portal','GloboCorp bug tracking site project.',2,'2009-02-23 00:00:00',2,2,955969.00,'2009-03-03 00:00:00',95,2,7),
 (2581,1,274,1,'Metaserve Sales Tracking application','GloboCorp microsite project.',2,'2009-02-17 00:00:00',2,2,970040.00,'2009-03-10 00:00:00',95,2,2),
 (2582,1,274,1,'SteganoPacPacifidisco Employee portal v1.0','GloboCorp intranet project.',2,'2009-01-12 00:00:00',2,2,614587.00,'2009-03-10 00:00:00',95,2,2),
 (2583,1,274,1,'Texridic Human Resources Review application','GloboCorp wiki project.',1,'2009-03-04 00:00:00',1,1,241993.00,'2009-03-17 00:00:00',95,1,5),
 (2584,1,274,1,'eRotoway microsite','GloboCorp bug tracking site project.',2,'2009-02-27 00:00:00',2,2,828821.00,'2009-03-17 00:00:00',95,2,3),
 (2585,1,274,1,'Westridium IM application','GloboCorp CMS project.',1,'2009-02-06 00:00:00',1,1,166393.00,'2009-03-24 00:00:00',95,1,7),
 (2586,1,274,1,'Softcent portal','Marketing Collateral application',1,'2009-01-03 00:00:00',1,1,222930.00,'2009-03-24 00:00:00',95,1,3),
 (2587,1,274,1,'Entnuclear intranet','GloboCorp microsite project.',2,'2009-02-13 00:00:00',2,2,624803.00,'2009-03-31 00:00:00',95,2,5),
 (2588,1,274,1,'Cryptonetic bug tracking site','GloboCorp website project.',1,'2009-01-13 00:00:00',1,1,878351.00,'2009-03-31 00:00:00',95,1,4),
 (2589,1,274,1,'Costat Help Desk application','Single sign-on initiative',2,'2009-01-04 00:00:00',1,2,966105.00,'2009-04-07 00:00:00',95,2,3),
 (2590,1,274,1,'Pacmaxa Single sign-on initiative','GloboCorp CMS project.',1,'2009-02-16 00:00:00',1,1,156624.00,'2009-04-07 00:00:00',95,1,9),
 (2591,1,274,1,'Cryptonetic Sales Tracking application','GloboCorp intranet project.',2,'2009-01-16 00:00:00',2,2,913474.00,'2009-04-14 00:00:00',95,2,4),
 (2592,1,274,1,'iCeleage Decision Support System','GloboCorp microsite project.',2,'2009-02-15 00:00:00',2,2,902809.00,'2009-04-14 00:00:00',95,2,5),
 (2593,1,274,1,'Costistrix website','Company internet',2,'2009-01-02 00:00:00',2,2,965311.00,'2009-04-21 00:00:00',95,2,6),
 (2594,1,274,1,'Sysmatix Single sign-on initiative','RFP application to automate prospective client proposal request',2,'2009-01-06 00:00:00',2,2,233947.00,'2009-04-21 00:00:00',95,2,1),
 (2595,1,274,1,'Datasource Team-building portal','GloboCorp portal project.',1,'2009-01-31 00:00:00',1,1,776993.00,'2009-04-28 00:00:00',95,1,2),
 (2596,1,274,1,'Airmerica Employee portal v1.0','GloboCorp ecommerce project.',2,'2009-02-01 00:00:00',2,2,557702.00,'2009-04-28 00:00:00',95,2,7),
 (2597,1,274,1,'US Cryptocom Employee portal v1.0','GloboCorp website project.',1,'2009-01-15 00:00:00',1,1,554695.00,'2009-05-05 00:00:00',95,1,1),
 (2598,1,274,1,'Westridium Annual Audit 2010','GloboCorp ecommerce project.',2,'2009-01-22 00:00:00',2,2,320344.00,'2009-05-05 00:00:00',95,2,8),
 (2599,1,274,1,'Thermolog bug tracking site','GloboCorp CMS project.',1,'2009-02-08 00:00:00',1,1,970063.00,'2009-05-12 00:00:00',95,1,7),
 (2600,1,274,1,'US Teknorama Team-building portal','Annual Audit of application code across the organization',2,'2009-01-10 00:00:00',2,2,327515.00,'2009-05-12 00:00:00',95,2,2),
 (2601,1,274,1,'Keygraph Help Desk application','GloboCorp CMS project.',1,'2009-02-16 00:00:00',1,1,252987.00,'2009-05-19 00:00:00',95,1,9),
 (2602,1,274,1,'Sysmatix Help Desk application','GloboCorp wiki project.',1,'2009-02-24 00:00:00',1,1,871419.00,'2009-05-19 00:00:00',95,1,6),
 (2603,1,274,1,'eInmarcs Company internet','RFP application to automate prospective client proposal request',2,'2009-01-06 00:00:00',2,2,801447.00,'2009-05-26 00:00:00',95,2,1),
 (2604,1,274,1,'Xegate Human Resources Review application','Company benefits portal for intranet',2,'2009-01-04 00:00:00',2,2,213573.00,'2009-05-26 00:00:00',95,2,8),
 (2605,1,274,1,'Sysline RFP application','Intranet messaging application',2,'2009-01-04 00:00:00',1,2,461769.00,'2009-06-02 00:00:00',95,2,3),
 (2606,1,274,1,'Softscope Project wiki','GloboCorp CMS project.',1,'2009-02-06 00:00:00',1,1,117317.00,'2009-06-02 00:00:00',95,1,7),
 (2607,1,274,1,'US Teknorama Single sign-on initiative','Marketing Collateral application',1,'2009-01-03 00:00:00',1,1,176194.00,'2009-06-09 00:00:00',95,1,3),
 (2608,1,274,1,'Teknocal Project wiki','GloboCorp portal project.',1,'2009-01-25 00:00:00',1,1,118732.00,'2009-06-09 00:00:00',95,1,4),
 (2609,1,274,1,'US SiliCryptoix ecommerce','GloboCorp wiki project.',1,'2009-02-20 00:00:00',1,1,155899.00,'2009-06-16 00:00:00',95,1,8),
 (2610,1,274,1,'Cybersouth CMS','GloboCorp wiki project.',1,'2009-02-20 00:00:00',1,1,166675.00,'2009-06-16 00:00:00',95,1,8),
 (2611,1,274,1,'Aerstate Annual Audit 2010','GloboCorp wiki project.',1,'2009-03-04 00:00:00',1,1,163022.00,'2009-06-23 00:00:00',95,1,5),
 (2612,1,274,1,'Thermonuclear Back office integration','GloboCorp ecommerce project.',2,'2009-01-24 00:00:00',2,2,999372.00,'2009-06-23 00:00:00',95,2,5),
 (2613,1,274,1,'Texridic Back office integration','GloboCorp portal project.',1,'2009-01-29 00:00:00',1,1,529226.00,'2009-06-30 00:00:00',95,1,4),
 (2614,1,274,1,'Rapiway IM application','GloboCorp microsite project.',2,'2009-02-07 00:00:00',2,2,636592.00,'2009-06-30 00:00:00',95,2,5),
 (2615,1,274,1,'US Turbolinear Marketing Collateral application','Company internet',2,'2009-01-02 00:00:00',2,2,161415.00,'2009-07-07 00:00:00',95,2,6),
 (2616,1,274,1,'Rapiway microsite','Annual Audit of application code across the organization',2,'2009-01-12 00:00:00',2,2,143774.00,'2009-07-07 00:00:00',95,2,7),
 (2617,1,274,1,'US Lexalta Financial Reporting portal','GloboCorp bug tracking site project.',2,'2009-02-19 00:00:00',2,2,514187.00,'2009-07-14 00:00:00',95,2,1),
 (2618,1,274,1,'ApSoftEnttiqua Project wiki','Financial Reporting portal',2,'2009-01-04 00:00:00',1,2,426530.00,'2009-07-14 00:00:00',95,2,3),
 (2619,1,274,1,'Nettheon bug tracking site','GloboCorp CMS project.',1,'2009-02-14 00:00:00',1,1,999831.00,'2009-07-21 00:00:00',95,1,6),
 (2620,1,274,1,'Xegate Single sign-on initiative','Annual Audit of application code across the organization',1,'2009-01-03 00:00:00',1,1,349039.00,'2009-07-21 00:00:00',96,1,7),
 (2621,1,274,1,'Apamerica intranet','Financial Reporting portal',2,'2009-01-04 00:00:00',1,2,154138.00,'2009-07-28 00:00:00',95,2,3),
 (2622,1,274,1,'Unipartners wiki','GloboCorp website project.',1,'2009-01-15 00:00:00',1,1,289687.00,'2009-07-28 00:00:00',95,1,1),
 (2623,1,274,1,'Rapiway website','GloboCorp ecommerce project.',2,'2009-01-28 00:00:00',2,2,134731.00,'2009-08-04 00:00:00',95,2,9),
 (2624,1,274,1,'AnthroSoft.com Help Desk application','Annual Audit of application code across the organization',2,'2009-01-02 00:00:00',2,2,126759.00,'2009-08-04 00:00:00',95,2,6),
 (2625,1,274,1,'Periweb Help Desk application','GloboCorp bug tracking site project.',2,'2009-02-27 00:00:00',2,2,418740.00,'2009-08-11 00:00:00',95,2,3),
 (2626,1,274,1,'Teleseco wiki','Annual Audit of application code across the organization',1,'2009-01-11 00:00:00',1,1,675616.00,'2009-08-11 00:00:00',96,1,5),
 (2627,1,274,1,'Apfarb website','Annual Audit of application code across the organization',2,'2009-01-04 00:00:00',2,2,130886.00,'2009-08-18 00:00:00',95,2,8),
 (2628,1,274,1,'Apfarb intranet','GloboCorp ecommerce project.',2,'2009-01-26 00:00:00',2,2,149052.00,'2009-08-18 00:00:00',95,2,1),
 (2629,1,274,1,'Keygraph ecommerce','Marketing Collateral application',1,'2009-01-03 00:00:00',1,1,153961.00,'2009-08-25 00:00:00',95,1,3),
 (2630,1,274,1,'Pacifiphor Project wiki','GloboCorp microsite project.',2,'2009-02-09 00:00:00',2,2,840500.00,'2009-08-25 00:00:00',95,2,3),
 (2631,1,274,1,'Metaserve Back office integration','GloboCorp ecommerce project.',2,'2009-01-22 00:00:00',2,2,237228.00,'2009-09-01 00:00:00',95,2,8),
 (2632,1,274,1,'Fibronix Decision Support System','Time tracking application for organization',1,'2009-01-05 00:00:00',1,1,715741.00,'2009-09-01 00:00:00',95,1,9),
 (2633,1,274,1,'TeknoViapartners Team-building portal','GloboCorp portal project.',1,'2009-01-23 00:00:00',1,1,140019.00,'2009-09-08 00:00:00',95,1,5),
 (2634,1,274,1,'Hyperridium Annual Audit 2010','Legacy CMS integration for Marketing group',2,'2009-01-08 00:00:00',2,2,377412.00,'2009-09-08 00:00:00',95,2,8),
 (2635,1,274,1,'US Lexalta portal','GloboCorp portal project.',1,'2009-01-19 00:00:00',1,1,565074.00,'2009-09-15 00:00:00',95,1,5),
 (2636,1,274,1,'Utiliagra Back office integration','GloboCorp website project.',1,'2009-01-13 00:00:00',1,1,751461.00,'2009-09-15 00:00:00',95,1,4),
 (2637,1,274,1,'Mapdant Time Tracking application','GloboCorp website project.',1,'2009-01-11 00:00:00',1,1,556717.00,'2009-09-22 00:00:00',95,1,2),
 (2638,1,274,1,'US Cyclovalu RFP application','GloboCorp portal project.',1,'2009-01-31 00:00:00',1,1,208303.00,'2009-09-22 00:00:00',95,1,2),
 (2639,1,274,1,'Navipaq Sales Tracking application','GloboCorp portal project.',1,'2009-01-31 00:00:00',1,1,973774.00,'2009-09-29 00:00:00',95,1,2),
 (2640,1,274,1,'ApSoftEnttiqua ecommerce','GloboCorp ecommerce project.',2,'2009-01-26 00:00:00',2,2,340493.00,'2009-09-29 00:00:00',95,2,1),
 (2641,1,274,1,'Thermocom intranet','GloboCorp wiki project.',1,'2009-02-20 00:00:00',1,1,119176.00,'2009-10-06 00:00:00',95,1,8),
 (2642,1,274,1,'Polytheon Sales Tracking application','GloboCorp microsite project.',2,'2009-02-05 00:00:00',2,2,129383.00,'2009-10-06 00:00:00',95,2,4),
 (2643,1,274,1,'Sysmatix Company Benefits portal','GloboCorp microsite project.',2,'2009-02-11 00:00:00',2,2,171133.00,'2009-10-13 00:00:00',95,2,2),
 (2644,1,274,1,'Cyphertegra Team-building portal','GloboCorp bug tracking site project.',2,'2009-02-21 00:00:00',2,2,219944.00,'2009-10-13 00:00:00',95,2,3),
 (2645,1,274,1,'Metaserve microsite','GloboCorp portal project.',1,'2009-01-27 00:00:00',1,1,118408.00,'2009-10-20 00:00:00',95,1,7),
 (2646,1,274,1,'Synconich wiki','GloboCorp ecommerce project.',2,'2009-01-28 00:00:00',2,2,784017.00,'2009-10-20 00:00:00',95,2,9),
 (2647,1,274,1,'Theolog Financial Reporting portal','GloboCorp ecommerce project.',2,'2009-01-30 00:00:00',2,2,217618.00,'2009-10-27 00:00:00',95,2,9),
 (2648,1,274,1,'US Maxtiqua Marketing Collateral application','GloboCorp CMS project.',1,'2009-02-02 00:00:00',1,1,526561.00,'2009-10-27 00:00:00',95,1,7),
 (2649,1,274,1,'eAnthrolan Employee portal v1.0','Annual Audit of application code across the organization',2,'2009-01-08 00:00:00',2,2,330086.00,'2009-11-03 00:00:00',95,2,7),
 (2650,1,274,1,'Opengraph Team-building portal','Company benefits portal for intranet',2,'2009-01-04 00:00:00',2,2,748261.00,'2009-11-03 00:00:00',95,2,8),
 (2651,1,274,1,'eAnthrolan Employee portal v1.0','GloboCorp microsite project.',2,'2009-02-05 00:00:00',2,2,985451.00,'2009-11-10 00:00:00',95,2,4),
 (2652,1,274,1,'Aerstate ecommerce','Annual Audit of application code across the organization',2,'2009-01-10 00:00:00',2,2,970028.00,'2009-11-10 00:00:00',95,2,2),
 (2653,1,274,1,'Pacifiphor website','GloboCorp website project.',1,'2009-01-15 00:00:00',1,1,304741.00,'2009-11-17 00:00:00',95,1,1),
 (2654,1,274,1,'eAnthrolan intranet','Application to track outside sales',1,'2009-01-09 00:00:00',1,1,146003.00,'2009-11-17 00:00:00',95,1,3),
 (2655,1,274,1,'Periweb intranet','Annual Audit of application code across the organization',1,'2009-01-03 00:00:00',1,1,998287.00,'2009-11-24 00:00:00',96,1,7),
 (2656,1,274,1,'Maxtomic bug tracking site','RFP application to automate prospective client proposal request',2,'2009-01-06 00:00:00',2,2,270337.00,'2009-11-24 00:00:00',95,2,1),
 (2657,1,274,1,'Cyberrama Time Tracking application','GloboCorp CMS project.',1,'2009-02-02 00:00:00',1,1,428800.00,'2009-12-01 00:00:00',95,1,7),
 (2658,1,274,1,'US Quinrad RFP application','GloboCorp microsite project.',2,'2009-02-15 00:00:00',2,2,153021.00,'2009-12-01 00:00:00',95,2,5),
 (2659,1,274,1,'Yoyoic Time Tracking application','Decision Support System',1,'2009-01-03 00:00:00',1,1,123682.00,'2009-12-08 00:00:00',95,1,3),
 (2660,1,274,1,'Synconich Company internet','GloboCorp ecommerce project.',2,'2009-01-22 00:00:00',2,2,988621.00,'2009-12-08 00:00:00',95,2,8),
 (2661,1,274,1,'ApSoftEnttiqua Company Benefits portal','Application to automate employee review process',2,'2009-01-10 00:00:00',2,2,557795.00,'2009-12-15 00:00:00',95,2,4),
 (2662,1,274,1,'SynRotobyte IM application','GloboCorp portal project.',1,'2009-01-25 00:00:00',1,1,343864.00,'2009-12-15 00:00:00',95,1,4),
 (2663,1,274,1,'Cryptonetic Company Benefits portal','Annual Audit of application code across the organization',2,'2009-01-04 00:00:00',2,2,691712.00,'2009-12-22 00:00:00',95,2,8),
 (2664,1,274,1,'Cyphertegra microsite','Annual Audit of application code across the organization',1,'2009-01-09 00:00:00',1,1,664456.00,'2009-12-22 00:00:00',95,1,9),
 (2665,1,274,1,'Eyetheon Company internet','GloboCorp website project.',1,'2009-01-13 00:00:00',1,1,972819.00,'2009-12-29 00:00:00',95,1,4),
 (2666,1,274,1,'Nettheon CMS','GloboCorp portal project.',1,'2009-01-25 00:00:00',1,1,230275.00,'2009-12-29 00:00:00',95,1,4),
 (2667,1,275,1,'Texridic Company internet','Company benefits portal for intranet',2,'2009-01-04 00:00:00',2,2,678036.00,'2009-01-06 00:00:00',95,2,8),
 (2668,1,275,1,'US Maxtiqua bug tracking site','Back office integration for accounting and finance',1,'2009-01-07 00:00:00',1,1,164463.00,'2009-01-06 00:00:00',95,1,5),
 (2669,1,275,1,'Callectrix Marketing Collateral application','Project wiki',2,'2009-01-02 00:00:00',1,2,417512.00,'2009-01-13 00:00:00',95,2,3),
 (2670,1,275,1,'Nettheon Project wiki','GloboCorp ecommerce project.',2,'2009-01-24 00:00:00',2,2,734454.00,'2009-01-13 00:00:00',95,2,5),
 (2671,1,275,1,'Mapdant Company internet','GloboCorp ecommerce project.',2,'2009-01-20 00:00:00',2,2,127800.00,'2009-01-20 00:00:00',95,2,5),
 (2672,1,275,1,'US Teknorama Time Tracking application','GloboCorp microsite project.',2,'2009-02-07 00:00:00',2,2,192510.00,'2009-01-20 00:00:00',95,2,5),
 (2673,1,275,1,'Polytheon Employee portal v1.0','GloboCorp wiki project.',1,'2009-02-24 00:00:00',1,1,915935.00,'2009-01-27 00:00:00',95,1,6),
 (2674,1,275,1,'Apfarb IM application','GloboCorp portal project.',1,'2009-01-31 00:00:00',1,1,600234.00,'2009-01-27 00:00:00',95,1,2),
 (2675,1,275,1,'Xegate ecommerce','GloboCorp intranet project.',2,'2009-01-16 00:00:00',2,2,138997.00,'2009-02-03 00:00:00',95,2,4),
 (2676,1,275,1,'Quinvalu Help Desk application','GloboCorp microsite project.',2,'2009-02-11 00:00:00',2,2,952129.00,'2009-02-03 00:00:00',95,2,2),
 (2677,1,275,1,'Pacifiphor Marketing Collateral application','Annual Audit of application code across the organization',1,'2009-01-07 00:00:00',1,1,150768.00,'2009-02-10 00:00:00',96,1,8),
 (2678,1,275,1,'AnthroSoft.com IM application','RFP application to automate prospective client proposal request',2,'2009-01-06 00:00:00',2,2,682749.00,'2009-02-10 00:00:00',95,2,1),
 (2679,1,275,1,'Cryptonetic IM application','GloboCorp website project.',1,'2009-01-13 00:00:00',1,1,305510.00,'2009-02-17 00:00:00',95,1,4),
 (2680,1,275,1,'Infracenta CMS integration','Annual Audit of application code across the organization',1,'2009-01-03 00:00:00',1,1,949150.00,'2009-02-17 00:00:00',96,1,7),
 (2681,1,275,1,'Thermonuclear bug tracking site','GloboCorp ecommerce project.',2,'2009-01-20 00:00:00',2,2,146775.00,'2009-02-24 00:00:00',95,2,5),
 (2682,1,275,1,'Nanocom website','GloboCorp bug tracking site project.',2,'2009-02-27 00:00:00',2,2,695859.00,'2009-02-24 00:00:00',95,2,3),
 (2683,1,275,1,'Westridium Marketing Collateral application','Back office integration for accounting and finance',1,'2009-01-07 00:00:00',1,1,180336.00,'2009-03-03 00:00:00',95,1,5),
 (2684,1,275,1,'US Turbolinear Human Resources Review application','RFP application to automate prospective client proposal request',2,'2009-01-06 00:00:00',2,2,532259.00,'2009-03-03 00:00:00',95,2,1),
 (2685,1,275,1,'Quinvalu IM application','GloboCorp microsite project.',2,'2009-02-17 00:00:00',2,2,160833.00,'2009-03-10 00:00:00',95,2,2),
 (2686,1,275,1,'eAnthrolan Sales Tracking application','GloboCorp portal project.',1,'2009-01-25 00:00:00',1,1,891238.00,'2009-03-10 00:00:00',95,1,4),
 (2687,1,275,1,'Eyetheon portal','Back office integration for accounting and finance',1,'2009-01-07 00:00:00',1,1,120159.00,'2009-03-17 00:00:00',95,1,5),
 (2688,1,275,1,'Cyberrama Sales Tracking application','Annual Audit of application code across the organization',1,'2009-01-09 00:00:00',1,1,858386.00,'2009-03-17 00:00:00',95,1,9),
 (2689,1,275,1,'Cryptonetic Employee portal v1.0','RFP application to automate prospective client proposal request',2,'2009-01-06 00:00:00',2,2,136191.00,'2009-03-24 00:00:00',95,2,1),
 (2690,1,275,1,'Apamerica Company internet','GloboCorp wiki project.',1,'2009-02-18 00:00:00',1,1,698429.00,'2009-03-24 00:00:00',95,1,4),
 (2691,1,275,1,'Nuserve CMS integration','Web mail application',1,'2009-01-03 00:00:00',1,1,153135.00,'2009-03-31 00:00:00',95,1,3),
 (2692,1,275,1,'Genlanza IM application','Company benefits portal for intranet',2,'2009-01-04 00:00:00',2,2,271673.00,'2009-03-31 00:00:00',95,2,8),
 (2693,1,275,1,'Cryptonetic intranet','Legacy CMS integration for Marketing group',2,'2009-01-08 00:00:00',2,2,945574.00,'2009-04-07 00:00:00',95,2,8),
 (2694,1,275,1,'Eyetheon CMS integration','GloboCorp microsite project.',2,'2009-02-13 00:00:00',2,2,995283.00,'2009-04-07 00:00:00',95,2,5),
 (2695,1,275,1,'Datasource RFP application','Annual Audit of application code across the organization',2,'2009-01-08 00:00:00',2,2,496308.00,'2009-04-14 00:00:00',95,2,7),
 (2696,1,275,1,'Entnuclear Annual Audit 2010','Financial Reporting portal',2,'2009-01-04 00:00:00',1,2,197698.00,'2009-04-14 00:00:00',95,2,3),
 (2697,1,275,1,'XeRotodic Marketing Collateral application','Annual Audit of application code across the organization',1,'2009-01-05 00:00:00',1,1,187911.00,'2009-04-21 00:00:00',95,1,9),
 (2698,1,275,1,'iCeleage wiki','Help Desk application',1,'2009-01-01 00:00:00',1,1,132133.00,'2009-04-21 00:00:00',95,1,3),
 (2699,1,275,1,'UltraNetfab CMS integration','GloboCorp bug tracking site project.',2,'2009-02-23 00:00:00',2,2,717847.00,'2009-04-28 00:00:00',95,2,7),
 (2700,1,275,1,'ApSoftEnttiqua Company internet','GloboCorp ecommerce project.',2,'2009-01-28 00:00:00',2,2,800961.00,'2009-04-28 00:00:00',95,2,9),
 (2701,1,275,1,'Thermocom CMS integration','GloboCorp portal project.',1,'2009-01-29 00:00:00',1,1,965264.00,'2009-05-05 00:00:00',95,1,4),
 (2702,1,275,1,'eInfohacker portal','Help Desk application',1,'2009-01-01 00:00:00',1,1,208036.00,'2009-05-05 00:00:00',95,1,3),
 (2703,1,275,1,'Genlog Team-building portal','GloboCorp wiki project.',1,'2009-02-22 00:00:00',1,1,201726.00,'2009-05-12 00:00:00',95,1,4),
 (2704,1,275,1,'Hyperridium Single sign-on initiative','GloboCorp ecommerce project.',2,'2009-01-30 00:00:00',2,2,197664.00,'2009-05-12 00:00:00',95,2,9),
 (2705,1,275,1,'US Maxtiqua Help Desk application','Company internet',2,'2009-01-02 00:00:00',2,2,609127.00,'2009-05-19 00:00:00',95,2,6);
INSERT INTO `adobecrm`.`client_deals` VALUES  (2706,1,275,1,'Apamerica RFP application','GloboCorp CMS project.',1,'2009-02-06 00:00:00',1,1,971446.00,'2009-05-19 00:00:00',95,1,7),
 (2707,1,275,1,'Quinvalu Financial Reporting portal','GloboCorp portal project.',1,'2009-01-21 00:00:00',1,1,181585.00,'2009-05-26 00:00:00',95,1,5),
 (2708,1,275,1,'Soleccorp Single sign-on initiative','GloboCorp ecommerce project.',2,'2009-01-20 00:00:00',2,2,999999.00,'2009-05-26 00:00:00',95,2,5),
 (2709,1,275,1,'iNetnetic website','Annual Audit of application code across the organization',1,'2009-01-11 00:00:00',1,1,948636.00,'2009-06-02 00:00:00',96,1,5),
 (2710,1,275,1,'Thermonuclear CMS integration','GloboCorp CMS project.',1,'2009-02-08 00:00:00',1,1,309641.00,'2009-06-02 00:00:00',95,1,7),
 (2711,1,275,1,'Softcom.com microsite','GloboCorp CMS project.',1,'2009-02-14 00:00:00',1,1,874888.00,'2009-06-09 00:00:00',95,1,6),
 (2712,1,275,1,'Infracenta wiki','GloboCorp portal project.',1,'2009-01-17 00:00:00',1,1,480704.00,'2009-06-09 00:00:00',95,1,5),
 (2713,1,275,1,'Texridic Annual Audit 2010','GloboCorp wiki project.',1,'2009-02-24 00:00:00',1,1,561836.00,'2009-06-16 00:00:00',95,1,6),
 (2714,1,275,1,'Entnuclear Help Desk application','GloboCorp microsite project.',2,'2009-02-05 00:00:00',2,2,454360.00,'2009-06-16 00:00:00',95,2,4),
 (2715,1,275,1,'Mapdant CMS integration','Back office integration for accounting and finance',1,'2009-01-07 00:00:00',1,1,658054.00,'2009-06-23 00:00:00',95,1,5),
 (2716,1,275,1,'Westridium Single sign-on initiative','Annual Audit of application code across the organization',1,'2009-01-09 00:00:00',1,1,254582.00,'2009-06-23 00:00:00',95,1,9),
 (2717,1,275,1,'AnthroSoft.com Financial Reporting portal','Financial Reporting portal',2,'2009-01-04 00:00:00',1,2,284731.00,'2009-06-30 00:00:00',95,2,3),
 (2718,1,275,1,'UltraNetfab Time Tracking application','Annual Audit of application code across the organization',1,'2009-01-05 00:00:00',1,1,125380.00,'2009-06-30 00:00:00',95,1,9),
 (2719,1,275,1,'Nuserve Employee portal v1.0','Decision Support System',1,'2009-01-03 00:00:00',1,1,982987.00,'2009-07-07 00:00:00',95,1,3),
 (2720,1,275,1,'Maxtomic website','Annual Audit of application code across the organization',1,'2009-01-05 00:00:00',1,1,168280.00,'2009-07-07 00:00:00',95,1,9),
 (2721,1,275,1,'US Quinrad wiki','GloboCorp wiki project.',1,'2009-02-18 00:00:00',1,1,999993.00,'2009-07-14 00:00:00',95,1,4),
 (2722,1,275,1,'Genlanza Time Tracking application','GloboCorp bug tracking site project.',2,'2009-02-25 00:00:00',2,2,422052.00,'2009-07-14 00:00:00',95,2,7),
 (2723,1,275,1,'Soleccorp Marketing Collateral application','GloboCorp microsite project.',2,'2009-02-13 00:00:00',2,2,196903.00,'2009-07-21 00:00:00',95,2,5),
 (2724,1,275,1,'MicroTekbyte intranet','GloboCorp ecommerce project.',2,'2009-01-26 00:00:00',2,2,997047.00,'2009-07-21 00:00:00',95,2,1),
 (2725,1,275,1,'MicroTekbyte bug tracking site','GloboCorp wiki project.',1,'2009-02-18 00:00:00',1,1,221319.00,'2009-07-28 00:00:00',95,1,4),
 (2726,1,275,1,'Texridic microsite','RFP application to automate prospective client proposal request',2,'2009-01-06 00:00:00',2,2,965015.00,'2009-07-28 00:00:00',95,2,1),
 (2727,1,275,1,'Eyetheon bug tracking site','GloboCorp bug tracking site project.',2,'2009-03-03 00:00:00',2,2,886219.00,'2009-08-04 00:00:00',95,2,4),
 (2728,1,275,1,'Nuserve portal','Company benefits portal for intranet',2,'2009-01-04 00:00:00',2,2,954187.00,'2009-08-04 00:00:00',95,2,8),
 (2729,1,275,1,'MicroTekbyte ecommerce','GloboCorp ecommerce project.',2,'2009-01-20 00:00:00',2,2,234349.00,'2009-08-11 00:00:00',95,2,5),
 (2730,1,275,1,'Softcent bug tracking site','GloboCorp portal project.',1,'2009-01-31 00:00:00',1,1,181578.00,'2009-08-11 00:00:00',95,1,2),
 (2731,1,275,1,'Nuserve Annual Audit 2010','GloboCorp CMS project.',1,'2009-02-14 00:00:00',1,1,141111.00,'2009-08-18 00:00:00',95,1,6),
 (2732,1,275,1,'US Lexalta Human Resources Review application','Web mail application',1,'2009-01-03 00:00:00',1,1,466265.00,'2009-08-18 00:00:00',95,1,3),
 (2733,1,275,1,'Aerstate CMS','Company internet',2,'2009-01-02 00:00:00',2,2,189524.00,'2009-08-25 00:00:00',95,2,6),
 (2734,1,275,1,'Pacmaxa CMS','Annual Audit of application code across the organization',2,'2009-01-08 00:00:00',2,2,145715.00,'2009-08-25 00:00:00',95,2,7),
 (2735,1,275,1,'Softcent wiki','GloboCorp microsite project.',2,'2009-02-15 00:00:00',2,2,334558.00,'2009-09-01 00:00:00',95,2,5),
 (2736,1,275,1,'UltraNetfab Help Desk application','Annual Audit of application code across the organization',2,'2009-01-12 00:00:00',2,2,994011.00,'2009-09-01 00:00:00',95,2,7),
 (2737,1,275,1,'Apfarb Company Benefits portal','Team-building portal for intranet',1,'2009-01-03 00:00:00',1,1,998005.00,'2009-09-08 00:00:00',95,1,8),
 (2738,1,275,1,'Apamerica CMS integration','GloboCorp website project.',1,'2009-01-15 00:00:00',1,1,595139.00,'2009-09-08 00:00:00',95,1,1),
 (2739,1,275,1,'Nanocom website','GloboCorp microsite project.',2,'2009-02-09 00:00:00',2,2,674207.00,'2009-09-15 00:00:00',95,2,3),
 (2740,1,275,1,'Infracenta Employee portal v1.0','Back office integration for accounting and finance',1,'2009-01-07 00:00:00',1,1,210931.00,'2009-09-15 00:00:00',95,1,5),
 (2741,1,275,1,'US SiliCryptoix Company internet','Intranet messaging application',2,'2009-01-04 00:00:00',1,2,740686.00,'2009-09-22 00:00:00',95,2,3),
 (2742,1,275,1,'Thermonuclear intranet','GloboCorp wiki project.',1,'2009-02-20 00:00:00',1,1,604525.00,'2009-09-22 00:00:00',95,1,8),
 (2743,1,275,1,'Westridium CMS integration','GloboCorp portal project.',1,'2009-01-27 00:00:00',1,1,934386.00,'2009-09-29 00:00:00',95,1,7),
 (2744,1,275,1,'Texridic Company Benefits portal','Marketing Collateral application',1,'2009-01-03 00:00:00',1,1,116958.00,'2009-09-29 00:00:00',95,1,3),
 (2745,1,275,1,'AnthroSoft.com Human Resources Review application','Annual Audit of application code across the organization',1,'2009-01-09 00:00:00',1,1,633059.00,'2009-10-06 00:00:00',95,1,9),
 (2746,1,275,1,'Texridic Team-building portal','Web mail application',1,'2009-01-03 00:00:00',1,1,900655.00,'2009-10-06 00:00:00',95,1,3),
 (2747,1,275,1,'Eyetel Team-building portal','Annual Audit of application code across the organization',2,'2009-01-04 00:00:00',2,2,121967.00,'2009-10-13 00:00:00',95,2,8),
 (2748,1,275,1,'Teramart Project wiki','GloboCorp wiki project.',1,'2009-02-24 00:00:00',1,1,585740.00,'2009-10-13 00:00:00',95,1,6),
 (2749,1,275,1,'Polytheon Single sign-on initiative','GloboCorp portal project.',1,'2009-01-25 00:00:00',1,1,757407.00,'2009-10-20 00:00:00',95,1,4),
 (2750,1,275,1,'Cyberrama website','GloboCorp bug tracking site project.',2,'2009-03-01 00:00:00',2,2,130380.00,'2009-10-20 00:00:00',95,2,7),
 (2751,1,275,1,'Maxtomic bug tracking site','GloboCorp bug tracking site project.',2,'2009-02-19 00:00:00',2,2,999982.00,'2009-10-27 00:00:00',95,2,1),
 (2752,1,275,1,'TeknoViapartners Back office integration','GloboCorp CMS project.',1,'2009-02-14 00:00:00',1,1,169685.00,'2009-10-27 00:00:00',95,1,6),
 (2753,1,275,1,'Aerstate Annual Audit 2010','GloboCorp wiki project.',1,'2009-02-24 00:00:00',1,1,420622.00,'2009-11-03 00:00:00',95,1,6),
 (2754,1,275,1,'Thermonuclear Back office integration','GloboCorp ecommerce project.',2,'2009-01-24 00:00:00',2,2,999376.00,'2009-11-03 00:00:00',95,2,5),
 (2755,1,275,1,'Sysline Help Desk application','GloboCorp portal project.',1,'2009-01-21 00:00:00',1,1,624414.00,'2009-11-10 00:00:00',95,1,5),
 (2756,1,275,1,'Intraura Single sign-on initiative','GloboCorp wiki project.',1,'2009-02-24 00:00:00',1,1,997506.00,'2009-11-10 00:00:00',95,1,6),
 (2757,1,275,1,'Rapiway portal','GloboCorp microsite project.',2,'2009-02-17 00:00:00',2,2,864870.00,'2009-11-17 00:00:00',95,2,2),
 (2758,1,275,1,'MicroTekbyte Sales Tracking application','GloboCorp bug tracking site project.',2,'2009-03-03 00:00:00',2,2,716927.00,'2009-11-17 00:00:00',95,2,4),
 (2759,1,275,1,'Turboron CMS integration','Company internet',2,'2009-01-02 00:00:00',2,2,988854.00,'2009-11-24 00:00:00',95,2,6),
 (2760,1,275,1,'SteganoPacPacifidisco website','GloboCorp microsite project.',2,'2009-02-03 00:00:00',2,2,198561.00,'2009-11-24 00:00:00',95,2,9),
 (2761,1,275,1,'Xegate Single sign-on initiative','GloboCorp portal project.',1,'2009-01-21 00:00:00',1,1,341950.00,'2009-12-01 00:00:00',95,1,5),
 (2762,1,275,1,'Metaserve Annual Audit 2010','Annual Audit of application code across the organization',1,'2009-01-05 00:00:00',1,1,252705.00,'2009-12-01 00:00:00',95,1,9),
 (2763,1,275,1,'Aerstate Annual Audit 2010','Financial Reporting portal',2,'2009-01-04 00:00:00',1,2,907144.00,'2009-12-08 00:00:00',95,2,3),
 (2764,1,275,1,'Tekcorp RFP application','GloboCorp portal project.',1,'2009-01-19 00:00:00',1,1,477350.00,'2009-12-08 00:00:00',95,1,5),
 (2765,1,275,1,'AnthroSoft.com wiki','GloboCorp website project.',1,'2009-01-11 00:00:00',1,1,790441.00,'2009-12-15 00:00:00',95,1,2),
 (2766,1,275,1,'Safephor Human Resources Review application','GloboCorp microsite project.',2,'2009-02-07 00:00:00',2,2,481175.00,'2009-12-15 00:00:00',95,2,5),
 (2767,1,275,1,'Unipartners bug tracking site','GloboCorp ecommerce project.',2,'2009-01-28 00:00:00',2,2,163724.00,'2009-12-22 00:00:00',95,2,9),
 (2768,1,275,1,'Tektron IM application','Annual Audit of application code across the organization',2,'2009-01-02 00:00:00',2,2,394620.00,'2009-12-22 00:00:00',95,2,6),
 (2769,1,275,1,'Apamerica Decision Support System','Application to automate employee review process',2,'2009-01-10 00:00:00',2,2,683272.00,'2009-12-29 00:00:00',95,2,4),
 (2770,1,275,1,'Teknocal portal','Application to track outside sales',1,'2009-01-09 00:00:00',1,1,150061.00,'2009-12-29 00:00:00',95,1,3),
 (2771,1,277,1,'Callectrix Marketing Collateral application','GloboCorp portal project.',1,'2009-01-21 00:00:00',1,1,160853.00,'2009-01-06 00:00:00',95,1,5),
 (2772,1,277,1,'Infracenta Financial Reporting portal','GloboCorp portal project.',1,'2009-01-21 00:00:00',1,1,245939.00,'2009-01-06 00:00:00',95,1,5),
 (2773,1,277,1,'Cyberrama CMS','GloboCorp website project.',1,'2009-01-13 00:00:00',1,1,174689.00,'2009-01-13 00:00:00',95,1,4),
 (2774,1,277,1,'Soncal Decision Support System','GloboCorp wiki project.',1,'2009-02-18 00:00:00',1,1,125216.00,'2009-01-13 00:00:00',95,1,4),
 (2775,1,277,1,'Yoyoic wiki','Single sign-on initiative',2,'2009-01-04 00:00:00',1,2,280613.00,'2009-01-20 00:00:00',95,2,3),
 (2776,1,277,1,'Synconich RFP application','GloboCorp ecommerce project.',2,'2009-01-26 00:00:00',2,2,131390.00,'2009-01-20 00:00:00',95,2,1),
 (2777,1,277,1,'AnthroSoft.com intranet','GloboCorp microsite project.',2,'2009-02-15 00:00:00',2,2,920231.00,'2009-01-27 00:00:00',95,2,5),
 (2778,1,277,1,'Cryptonetic Marketing Collateral application','Help Desk application',1,'2009-01-01 00:00:00',1,1,355359.00,'2009-01-27 00:00:00',95,1,3),
 (2779,1,277,1,'Genlanza Annual Audit 2010','Application to track outside sales',1,'2009-01-09 00:00:00',1,1,896504.00,'2009-02-03 00:00:00',95,1,3),
 (2780,1,277,1,'Tekcorp IM application','GloboCorp bug tracking site project.',2,'2009-02-21 00:00:00',2,2,577074.00,'2009-02-03 00:00:00',95,2,3),
 (2781,1,277,1,'SynRotobyte CMS integration','GloboCorp CMS project.',1,'2009-02-14 00:00:00',1,1,402055.00,'2009-02-10 00:00:00',95,1,6),
 (2782,1,277,1,'Celphor Company internet','GloboCorp wiki project.',1,'2009-03-04 00:00:00',1,1,480514.00,'2009-02-10 00:00:00',95,1,5),
 (2783,1,277,1,'iCeleage Employee portal v1.0','GloboCorp CMS project.',1,'2009-02-14 00:00:00',1,1,873369.00,'2009-02-17 00:00:00',95,1,6),
 (2784,1,277,1,'MicroTekbyte microsite','Decision Support System',1,'2009-01-03 00:00:00',1,1,275275.00,'2009-02-17 00:00:00',95,1,3),
 (2785,1,277,1,'US Cyclovalu portal','GloboCorp wiki project.',1,'2009-03-04 00:00:00',1,1,938768.00,'2009-02-24 00:00:00',95,1,5),
 (2786,1,277,1,'Genlanza Help Desk application','Single sign-on initiative',2,'2009-01-04 00:00:00',1,2,212502.00,'2009-02-24 00:00:00',95,2,3),
 (2787,1,277,1,'Sysmatix wiki','Help Desk application',1,'2009-01-01 00:00:00',1,1,509095.00,'2009-03-03 00:00:00',95,1,3),
 (2788,1,277,1,'Pacmaxa Decision Support System','Web mail application',1,'2009-01-03 00:00:00',1,1,704191.00,'2009-03-03 00:00:00',95,1,3),
 (2789,1,277,1,'Genlog Decision Support System','GloboCorp wiki project.',1,'2009-02-28 00:00:00',1,1,181333.00,'2009-03-10 00:00:00',95,1,3),
 (2790,1,277,1,'Nuserve Back office integration','GloboCorp wiki project.',1,'2009-03-04 00:00:00',1,1,478021.00,'2009-03-10 00:00:00',95,1,5),
 (2791,1,277,1,'Ultravalu Human Resources Review application','Annual Audit of application code across the organization',2,'2009-01-02 00:00:00',2,2,985759.00,'2009-03-17 00:00:00',95,2,6),
 (2792,1,277,1,'Fibronix Decision Support System','GloboCorp portal project.',1,'2009-01-25 00:00:00',1,1,606480.00,'2009-03-17 00:00:00',95,1,4),
 (2793,1,277,1,'Soleccorp Annual Audit 2010','GloboCorp intranet project.',2,'2009-01-14 00:00:00',2,2,978005.00,'2009-03-24 00:00:00',95,2,4),
 (2794,1,277,1,'eRotoway Sales Tracking application','GloboCorp bug tracking site project.',2,'2009-02-19 00:00:00',2,2,238020.00,'2009-03-24 00:00:00',95,2,1),
 (2795,1,277,1,'SteganoPacPacifidisco Single sign-on initiative','GloboCorp portal project.',1,'2009-01-19 00:00:00',1,1,386744.00,'2009-03-31 00:00:00',95,1,5),
 (2796,1,277,1,'Westridium CMS integration','Annual Audit of application code across the organization',2,'2009-01-10 00:00:00',2,2,944612.00,'2009-03-31 00:00:00',95,2,2),
 (2797,1,277,1,'Soncal CMS integration','GloboCorp wiki project.',1,'2009-03-04 00:00:00',1,1,481143.00,'2009-04-07 00:00:00',95,1,5),
 (2798,1,277,1,'Costistrix Company internet','GloboCorp portal project.',1,'2009-01-29 00:00:00',1,1,893678.00,'2009-04-07 00:00:00',95,1,4),
 (2799,1,277,1,'Nanocom Help Desk application','Annual Audit of application code across the organization',1,'2009-01-09 00:00:00',1,1,776776.00,'2009-04-14 00:00:00',95,1,9),
 (2800,1,277,1,'Intraura Help Desk application','GloboCorp CMS project.',1,'2009-02-08 00:00:00',1,1,861192.00,'2009-04-14 00:00:00',95,1,7),
 (2801,1,277,1,'Thermolog Sales Tracking application','GloboCorp intranet project.',2,'2009-01-16 00:00:00',2,2,526749.00,'2009-04-21 00:00:00',95,2,4),
 (2802,1,277,1,'Motoicon microsite','GloboCorp bug tracking site project.',2,'2009-02-19 00:00:00',2,2,760956.00,'2009-04-21 00:00:00',95,2,1),
 (2803,1,277,1,'Ultrafab CMS','RFP application to automate prospective client proposal request',2,'2009-01-06 00:00:00',2,2,208616.00,'2009-04-28 00:00:00',95,2,1),
 (2804,1,277,1,'Teknocal wiki','GloboCorp microsite project.',2,'2009-02-03 00:00:00',2,2,137855.00,'2009-04-28 00:00:00',95,2,9),
 (2805,1,277,1,'Entnuclear Time Tracking application','GloboCorp wiki project.',1,'2009-02-26 00:00:00',1,1,299795.00,'2009-05-05 00:00:00',95,1,7),
 (2806,1,277,1,'Parasource.com Single sign-on initiative','Help Desk application',1,'2009-01-01 00:00:00',1,1,421879.00,'2009-05-05 00:00:00',95,1,3),
 (2807,1,277,1,'Xegate Help Desk application','Annual Audit of application code across the organization',2,'2009-01-06 00:00:00',2,2,324433.00,'2009-05-12 00:00:00',95,2,5),
 (2808,1,277,1,'AnthroSoft.com Employee portal v1.0','GloboCorp bug tracking site project.',2,'2009-02-23 00:00:00',2,2,993668.00,'2009-05-12 00:00:00',95,2,7),
 (2809,1,277,1,'Pacmaxa Company internet','Single sign-on initiative',2,'2009-01-04 00:00:00',1,2,699486.00,'2009-05-19 00:00:00',95,2,3),
 (2810,1,277,1,'Westridium Financial Reporting portal','GloboCorp CMS project.',1,'2009-02-14 00:00:00',1,1,761810.00,'2009-05-19 00:00:00',95,1,6),
 (2811,1,277,1,'Costat Human Resources Review application','Single sign-on initiative',2,'2009-01-04 00:00:00',1,2,967707.00,'2009-05-26 00:00:00',95,2,3),
 (2812,1,277,1,'Cyberrama RFP application','GloboCorp wiki project.',1,'2009-02-26 00:00:00',1,1,816949.00,'2009-05-26 00:00:00',95,1,7),
 (2813,1,277,1,'Unipartners Time Tracking application','Single sign-on initiative',2,'2009-01-04 00:00:00',1,2,122307.00,'2009-06-02 00:00:00',95,2,3),
 (2814,1,277,1,'US Cyclovalu Sales Tracking application','GloboCorp ecommerce project.',2,'2009-01-20 00:00:00',2,2,973561.00,'2009-06-02 00:00:00',95,2,5),
 (2815,1,277,1,'SteganoPacPacifidisco Project wiki','GloboCorp microsite project.',2,'2009-02-11 00:00:00',2,2,202410.00,'2009-06-09 00:00:00',95,2,2),
 (2816,1,277,1,'Turboron Financial Reporting portal','GloboCorp microsite project.',2,'2009-02-07 00:00:00',2,2,153494.00,'2009-06-09 00:00:00',95,2,5),
 (2817,1,277,1,'eAnthrolan Financial Reporting portal','GloboCorp portal project.',1,'2009-01-25 00:00:00',1,1,349760.00,'2009-06-16 00:00:00',95,1,4),
 (2818,1,277,1,'SysSoltanium Help Desk application','GloboCorp intranet project.',2,'2009-01-12 00:00:00',2,2,178227.00,'2009-06-16 00:00:00',95,2,2),
 (2819,1,277,1,'Sysmatix Employee portal v1.0','GloboCorp wiki project.',1,'2009-03-04 00:00:00',1,1,135654.00,'2009-06-23 00:00:00',95,1,5),
 (2820,1,277,1,'Xegate portal','GloboCorp ecommerce project.',2,'2009-01-20 00:00:00',2,2,926485.00,'2009-06-23 00:00:00',95,2,5),
 (2821,1,277,1,'Titaniridium ecommerce','Annual Audit of application code across the organization',2,'2009-01-06 00:00:00',2,2,905706.00,'2009-06-30 00:00:00',95,2,5),
 (2822,1,277,1,'MicroTekbyte Decision Support System','Application to track outside sales',1,'2009-01-09 00:00:00',1,1,946994.00,'2009-06-30 00:00:00',95,1,3),
 (2823,1,277,1,'US Cryptocom website','GloboCorp microsite project.',2,'2009-02-07 00:00:00',2,2,208764.00,'2009-07-07 00:00:00',95,2,5),
 (2824,1,277,1,'Thermolog Human Resources Review application','Intranet messaging application',2,'2009-01-04 00:00:00',1,2,683274.00,'2009-07-07 00:00:00',95,2,3),
 (2825,1,277,1,'Parasource.com portal','Company internet',2,'2009-01-02 00:00:00',2,2,128982.00,'2009-07-14 00:00:00',95,2,6),
 (2826,1,277,1,'Cryptonetic Team-building portal','Annual Audit of application code across the organization',2,'2009-01-12 00:00:00',2,2,512487.00,'2009-07-14 00:00:00',95,2,7),
 (2827,1,277,1,'Apfarb RFP application','Annual Audit of application code across the organization',2,'2009-01-08 00:00:00',2,2,503721.00,'2009-07-21 00:00:00',95,2,7),
 (2828,1,277,1,'MicroTekbyte Single sign-on initiative','GloboCorp wiki project.',1,'2009-03-02 00:00:00',1,1,686397.00,'2009-07-21 00:00:00',95,1,6),
 (2829,1,277,1,'UltraNetfab Back office integration','Annual Audit of application code across the organization',2,'2009-01-02 00:00:00',2,2,118104.00,'2009-07-28 00:00:00',95,2,6),
 (2830,1,277,1,'AnthroSoft.com CMS','GloboCorp intranet project.',2,'2009-01-12 00:00:00',2,2,365165.00,'2009-07-28 00:00:00',95,2,2),
 (2831,1,277,1,'Teknocal Financial Reporting portal','GloboCorp ecommerce project.',2,'2009-01-28 00:00:00',2,2,282923.00,'2009-08-04 00:00:00',95,2,9),
 (2832,1,277,1,'eRotoway Marketing Collateral application','Legacy CMS integration for Marketing group',2,'2009-01-08 00:00:00',2,2,221057.00,'2009-08-04 00:00:00',95,2,8),
 (2833,1,277,1,'Teknocal Back office integration','Project wiki',2,'2009-01-02 00:00:00',1,2,175593.00,'2009-08-11 00:00:00',95,2,3),
 (2834,1,277,1,'Thermocom Help Desk application','Time tracking application for organization',1,'2009-01-05 00:00:00',1,1,505091.00,'2009-08-11 00:00:00',95,1,9),
 (2835,1,277,1,'Titaniridium CMS integration','GloboCorp CMS project.',1,'2009-02-06 00:00:00',1,1,996929.00,'2009-08-18 00:00:00',95,1,7),
 (2836,1,277,1,'Thermonuclear Company internet','GloboCorp wiki project.',1,'2009-02-22 00:00:00',1,1,174795.00,'2009-08-18 00:00:00',95,1,4),
 (2837,1,277,1,'Nettheon Company Benefits portal','Annual Audit of application code across the organization',1,'2009-01-09 00:00:00',1,1,933747.00,'2009-08-25 00:00:00',95,1,9),
 (2838,1,277,1,'Eyetel Back office integration','Annual Audit of application code across the organization',1,'2009-01-09 00:00:00',1,1,726193.00,'2009-08-25 00:00:00',95,1,9),
 (2839,1,277,1,'Teleseco intranet','GloboCorp portal project.',1,'2009-01-17 00:00:00',1,1,133017.00,'2009-09-01 00:00:00',95,1,5),
 (2840,1,277,1,'Polytheon Employee portal v1.0','GloboCorp portal project.',1,'2009-01-17 00:00:00',1,1,165340.00,'2009-09-01 00:00:00',95,1,5),
 (2841,1,277,1,'Nuserve Project wiki','GloboCorp microsite project.',2,'2009-02-07 00:00:00',2,2,611010.00,'2009-09-08 00:00:00',95,2,5),
 (2842,1,277,1,'Synconich website','GloboCorp microsite project.',2,'2009-02-17 00:00:00',2,2,521842.00,'2009-09-08 00:00:00',95,2,2),
 (2843,1,277,1,'Teramart Help Desk application','GloboCorp intranet project.',2,'2009-01-16 00:00:00',2,2,891353.00,'2009-09-15 00:00:00',95,2,4),
 (2844,1,277,1,'Teknocal Sales Tracking application','GloboCorp bug tracking site project.',2,'2009-02-25 00:00:00',2,2,826130.00,'2009-09-15 00:00:00',95,2,7),
 (2845,1,277,1,'Datasource Annual Audit 2010','Back office integration for accounting and finance',1,'2009-01-07 00:00:00',1,1,118460.00,'2009-09-22 00:00:00',95,1,5),
 (2846,1,277,1,'Thermonuclear microsite','Annual Audit of application code across the organization',1,'2009-01-03 00:00:00',1,1,658503.00,'2009-09-22 00:00:00',96,1,7),
 (2847,1,277,1,'Entnuclear intranet','GloboCorp CMS project.',1,'2009-02-12 00:00:00',1,1,602520.00,'2009-09-29 00:00:00',95,1,5),
 (2848,1,277,1,'Solscope website','GloboCorp intranet project.',2,'2009-01-12 00:00:00',2,2,961984.00,'2009-09-29 00:00:00',95,2,2),
 (2849,1,277,1,'US SiliCryptoix bug tracking site','GloboCorp CMS project.',1,'2009-02-14 00:00:00',1,1,493195.00,'2009-10-06 00:00:00',95,1,6),
 (2850,1,277,1,'TeknoViapartners portal','GloboCorp ecommerce project.',2,'2009-01-26 00:00:00',2,2,401854.00,'2009-10-06 00:00:00',95,2,1),
 (2851,1,277,1,'Navipaq bug tracking site','Annual Audit of application code across the organization',1,'2009-01-05 00:00:00',1,1,137109.00,'2009-10-13 00:00:00',95,1,3),
 (2852,1,277,1,'Ultrafab Human Resources Review application','GloboCorp bug tracking site project.',2,'2009-02-27 00:00:00',2,2,527680.00,'2009-10-13 00:00:00',95,2,3),
 (2853,1,277,1,'Titanion ecommerce','Company internet',2,'2009-01-02 00:00:00',2,2,193944.00,'2009-10-20 00:00:00',95,2,6),
 (2854,1,277,1,'Genlanza bug tracking site','GloboCorp website project.',1,'2009-01-11 00:00:00',1,1,783060.00,'2009-10-20 00:00:00',95,1,2),
 (2855,1,277,1,'Thermonuclear CMS integration','GloboCorp portal project.',1,'2009-01-21 00:00:00',1,1,990571.00,'2009-10-27 00:00:00',95,1,5),
 (2856,1,277,1,'Nanocom Sales Tracking application','GloboCorp microsite project.',2,'2009-02-13 00:00:00',2,2,941036.00,'2009-10-27 00:00:00',95,2,5),
 (2857,1,277,1,'Softcent Project wiki','GloboCorp CMS project.',1,'2009-02-16 00:00:00',1,1,865542.00,'2009-11-03 00:00:00',95,1,9),
 (2858,1,277,1,'Texridic intranet','Financial Reporting portal',2,'2009-01-04 00:00:00',1,2,393370.00,'2009-11-03 00:00:00',95,2,3),
 (2859,1,277,1,'Safephor Project wiki','GloboCorp microsite project.',2,'2009-02-11 00:00:00',2,2,750652.00,'2009-11-10 00:00:00',95,2,2),
 (2860,1,277,1,'Keygraph CMS','Annual Audit of application code across the organization',2,'2009-01-06 00:00:00',2,2,870833.00,'2009-11-10 00:00:00',95,2,5),
 (2861,1,277,1,'US SiliCryptoix Employee portal v1.0','GloboCorp portal project.',1,'2009-01-19 00:00:00',1,1,530695.00,'2009-11-17 00:00:00',95,1,5),
 (2862,1,277,1,'Teknocal portal','Annual Audit of application code across the organization',2,'2009-01-10 00:00:00',2,2,900831.00,'2009-11-17 00:00:00',95,2,2),
 (2863,1,277,1,'US Cyclovalu Time Tracking application','GloboCorp ecommerce project.',2,'2009-01-24 00:00:00',2,2,157481.00,'2009-11-24 00:00:00',95,2,5),
 (2864,1,277,1,'Nanocom intranet','Back office integration for accounting and finance',1,'2009-01-07 00:00:00',1,1,591232.00,'2009-11-24 00:00:00',95,1,5),
 (2865,1,277,1,'Infracenta Sales Tracking application','GloboCorp CMS project.',1,'2009-02-10 00:00:00',1,1,607390.00,'2009-12-01 00:00:00',95,1,4),
 (2866,1,277,1,'Eyetheon website','Annual Audit of application code across the organization',1,'2009-01-05 00:00:00',1,1,656184.00,'2009-12-01 00:00:00',95,1,9),
 (2867,1,277,1,'Motoicon Sales Tracking application','GloboCorp portal project.',1,'2009-01-23 00:00:00',1,1,240550.00,'2009-12-08 00:00:00',95,1,5),
 (2868,1,277,1,'Cyberlectric Decision Support System','Time tracking application for organization',1,'2009-01-05 00:00:00',1,1,173005.00,'2009-12-08 00:00:00',95,1,9),
 (2869,1,277,1,'Teknocal RFP application','GloboCorp intranet project.',2,'2009-01-14 00:00:00',2,2,605033.00,'2009-12-15 00:00:00',95,2,4),
 (2870,1,277,1,'Titaniridium intranet','Help Desk application',1,'2009-01-01 00:00:00',1,1,495908.00,'2009-12-15 00:00:00',95,1,3),
 (2871,1,277,1,'Mapdant Project wiki','GloboCorp microsite project.',2,'2009-02-07 00:00:00',2,2,169154.00,'2009-12-22 00:00:00',95,2,5),
 (2872,1,277,1,'US Cryptocom Employee portal v1.0','GloboCorp microsite project.',2,'2009-02-11 00:00:00',2,2,536255.00,'2009-12-22 00:00:00',95,2,2),
 (2873,1,277,1,'Opengraph microsite','GloboCorp CMS project.',1,'2009-02-04 00:00:00',1,1,984186.00,'2009-12-29 00:00:00',95,1,5),
 (2874,1,277,1,'eAnthrolan Decision Support System','Annual Audit of application code across the organization',1,'2009-01-11 00:00:00',1,1,283440.00,'2009-12-29 00:00:00',96,1,5),
 (2875,1,278,1,'Thermonuclear Time Tracking application','Decision Support System',1,'2009-01-03 00:00:00',1,1,241577.00,'2009-01-06 00:00:00',95,1,3),
 (2876,1,278,1,'MicroTekbyte Human Resources Review application','Annual Audit of application code across the organization',1,'2009-01-07 00:00:00',1,1,153525.00,'2009-01-06 00:00:00',96,1,8),
 (2877,1,278,1,'AnthroSoft.com microsite','Single sign-on initiative',2,'2009-01-04 00:00:00',1,2,878436.00,'2009-01-13 00:00:00',95,2,3),
 (2878,1,278,1,'Turboron microsite','Annual Audit of application code across the organization',1,'2009-01-03 00:00:00',1,1,740562.00,'2009-01-13 00:00:00',96,1,7),
 (2879,1,278,1,'Entnuclear Financial Reporting portal','GloboCorp intranet project.',2,'2009-01-16 00:00:00',2,2,544864.00,'2009-01-20 00:00:00',95,2,4),
 (2880,1,278,1,'Opengraph portal','GloboCorp ecommerce project.',2,'2009-01-24 00:00:00',2,2,337132.00,'2009-01-20 00:00:00',95,2,5),
 (2881,1,278,1,'Softcent RFP application','GloboCorp ecommerce project.',2,'2009-01-24 00:00:00',2,2,127786.00,'2009-01-27 00:00:00',95,2,5),
 (2882,1,278,1,'TeknoViapartners IM application','GloboCorp portal project.',1,'2009-01-17 00:00:00',1,1,578430.00,'2009-01-27 00:00:00',95,1,5),
 (2883,1,278,1,'Airmerica CMS','Employee portal for intranet',1,'2009-01-01 00:00:00',1,1,148163.00,'2009-02-03 00:00:00',95,1,3),
 (2884,1,278,1,'Metaserve Help Desk application','GloboCorp wiki project.',1,'2009-02-28 00:00:00',1,1,792340.00,'2009-02-03 00:00:00',95,1,3),
 (2885,1,278,1,'Softcom.com microsite','Annual Audit of application code across the organization',2,'2009-01-10 00:00:00',2,2,483779.00,'2009-02-10 00:00:00',95,2,2),
 (2886,1,278,1,'Polytheon wiki','GloboCorp website project.',1,'2009-01-11 00:00:00',1,1,980412.00,'2009-02-10 00:00:00',95,1,2),
 (2887,1,278,1,'Texridic Employee portal v1.0','Application to track outside sales',1,'2009-01-09 00:00:00',1,1,124351.00,'2009-02-17 00:00:00',95,1,3),
 (2888,1,278,1,'Mapdant bug tracking site','GloboCorp CMS project.',1,'2009-02-10 00:00:00',1,1,150467.00,'2009-02-17 00:00:00',95,1,4),
 (2889,1,278,1,'Parasource.com ecommerce','GloboCorp website project.',1,'2009-01-15 00:00:00',1,1,150494.00,'2009-02-24 00:00:00',95,1,1),
 (2890,1,278,1,'SynRotobyte Back office integration','GloboCorp microsite project.',2,'2009-02-05 00:00:00',2,2,163075.00,'2009-02-24 00:00:00',95,2,4),
 (2891,1,278,1,'Softscope CMS integration','GloboCorp bug tracking site project.',2,'2009-03-01 00:00:00',2,2,940465.00,'2009-03-03 00:00:00',95,2,7),
 (2892,1,278,1,'Utiliagra Project wiki','GloboCorp portal project.',1,'2009-01-25 00:00:00',1,1,961387.00,'2009-03-03 00:00:00',95,1,4),
 (2893,1,278,1,'Motoicon Company internet','Company internet',2,'2009-01-02 00:00:00',2,2,441548.00,'2009-03-10 00:00:00',95,2,6),
 (2894,1,278,1,'US Costmat IM application','GloboCorp bug tracking site project.',2,'2009-02-19 00:00:00',2,2,737670.00,'2009-03-10 00:00:00',95,2,1),
 (2895,1,278,1,'Sysline ecommerce','Time tracking application for organization',1,'2009-01-05 00:00:00',1,1,873774.00,'2009-03-17 00:00:00',95,1,9),
 (2896,1,278,1,'Parasource.com Financial Reporting portal','GloboCorp portal project.',1,'2009-01-29 00:00:00',1,1,358430.00,'2009-03-17 00:00:00',95,1,4),
 (2897,1,278,1,'Softscope RFP application','Financial Reporting portal',2,'2009-01-04 00:00:00',1,2,704829.00,'2009-03-24 00:00:00',95,2,3),
 (2898,1,278,1,'Motoicon CMS integration','Annual Audit of application code across the organization',1,'2009-01-05 00:00:00',1,1,949307.00,'2009-03-24 00:00:00',95,1,9),
 (2899,1,278,1,'Texridic intranet','GloboCorp website project.',1,'2009-01-11 00:00:00',1,1,896995.00,'2009-03-31 00:00:00',95,1,2),
 (2900,1,278,1,'US SiliCryptoix RFP application','GloboCorp portal project.',1,'2009-01-31 00:00:00',1,1,377604.00,'2009-03-31 00:00:00',95,1,2),
 (2901,1,278,1,'Keygraph Financial Reporting portal','Single sign-on initiative',2,'2009-01-04 00:00:00',1,2,141612.00,'2009-04-07 00:00:00',95,2,3),
 (2902,1,278,1,'Parasource.com portal','Annual Audit of application code across the organization',2,'2009-01-12 00:00:00',2,2,821310.00,'2009-04-07 00:00:00',95,2,7),
 (2903,1,278,1,'Nuserve ecommerce','Annual Audit of application code across the organization',2,'2009-01-02 00:00:00',2,2,233673.00,'2009-04-14 00:00:00',95,2,6),
 (2904,1,278,1,'Uniair website','GloboCorp bug tracking site project.',2,'2009-02-21 00:00:00',2,2,180003.00,'2009-04-14 00:00:00',95,2,3),
 (2905,1,278,1,'Costsouth Help Desk application','GloboCorp wiki project.',1,'2009-02-20 00:00:00',1,1,950631.00,'2009-04-21 00:00:00',95,1,8),
 (2906,1,278,1,'Turboron Single sign-on initiative','Application to automate employee review process',2,'2009-01-10 00:00:00',2,2,199315.00,'2009-04-21 00:00:00',95,2,4),
 (2907,1,278,1,'Rapiway Decision Support System','GloboCorp microsite project.',2,'2009-02-03 00:00:00',2,2,999808.00,'2009-04-28 00:00:00',95,2,9),
 (2908,1,278,1,'US SiliCryptoix Back office integration','GloboCorp portal project.',1,'2009-01-19 00:00:00',1,1,620356.00,'2009-04-28 00:00:00',95,1,5),
 (2909,1,278,1,'Sysmatix Company Benefits portal','Annual Audit of application code across the organization',2,'2009-01-06 00:00:00',2,2,388106.00,'2009-05-05 00:00:00',95,2,5),
 (2910,1,278,1,'Metaserve Single sign-on initiative','GloboCorp CMS project.',1,'2009-02-14 00:00:00',1,1,987568.00,'2009-05-05 00:00:00',95,1,6),
 (2911,1,278,1,'Safephor bug tracking site','GloboCorp microsite project.',2,'2009-02-03 00:00:00',2,2,999991.00,'2009-05-12 00:00:00',95,2,9),
 (2912,1,278,1,'Keygraph portal','GloboCorp wiki project.',1,'2009-03-02 00:00:00',1,1,200278.00,'2009-05-12 00:00:00',95,1,6),
 (2913,1,278,1,'Tekcorp IM application','RFP application to automate prospective client proposal request',2,'2009-01-06 00:00:00',2,2,127890.00,'2009-05-19 00:00:00',95,2,1),
 (2914,1,278,1,'Teramart ecommerce','GloboCorp microsite project.',2,'2009-02-15 00:00:00',2,2,255425.00,'2009-05-19 00:00:00',95,2,5),
 (2915,1,278,1,'Solscope portal','GloboCorp portal project.',1,'2009-01-31 00:00:00',1,1,174608.00,'2009-05-26 00:00:00',95,1,2),
 (2916,1,278,1,'Eyetel wiki','GloboCorp ecommerce project.',2,'2009-01-30 00:00:00',2,2,993819.00,'2009-05-26 00:00:00',95,2,9),
 (2917,1,278,1,'eInfohacker Financial Reporting portal','Annual Audit of application code across the organization',2,'2009-01-02 00:00:00',2,2,148580.00,'2009-06-02 00:00:00',95,2,6),
 (2918,1,278,1,'Nanocom Time Tracking application','GloboCorp microsite project.',2,'2009-02-17 00:00:00',2,2,293075.00,'2009-06-02 00:00:00',95,2,2),
 (2919,1,278,1,'Intraura CMS','GloboCorp website project.',1,'2009-01-13 00:00:00',1,1,120070.00,'2009-06-09 00:00:00',95,1,4),
 (2920,1,278,1,'Intraura IM application','Annual Audit of application code across the organization',1,'2009-01-07 00:00:00',1,1,171977.00,'2009-06-09 00:00:00',96,1,8),
 (2921,1,278,1,'Teleseco Decision Support System','GloboCorp wiki project.',1,'2009-03-04 00:00:00',1,1,361793.00,'2009-06-16 00:00:00',95,1,5),
 (2922,1,278,1,'SynRotobyte Annual Audit 2010','Application to automate employee review process',2,'2009-01-10 00:00:00',2,2,173036.00,'2009-06-16 00:00:00',95,2,4),
 (2923,1,278,1,'Yoyoic Employee portal v1.0','GloboCorp microsite project.',2,'2009-02-11 00:00:00',2,2,853812.00,'2009-06-23 00:00:00',95,2,2),
 (2924,1,278,1,'UltraNetfab microsite','GloboCorp microsite project.',2,'2009-02-15 00:00:00',2,2,299048.00,'2009-06-23 00:00:00',95,2,5),
 (2925,1,278,1,'Costistrix portal','GloboCorp portal project.',1,'2009-01-23 00:00:00',1,1,217664.00,'2009-06-30 00:00:00',95,1,5),
 (2926,1,278,1,'AnthroSoft.com Annual Audit 2010','Company internet',2,'2009-01-02 00:00:00',2,2,946029.00,'2009-06-30 00:00:00',95,2,6),
 (2927,1,278,1,'Thermocom RFP application','GloboCorp wiki project.',1,'2009-02-20 00:00:00',1,1,330746.00,'2009-07-07 00:00:00',95,1,8),
 (2928,1,278,1,'Safephor Back office integration','GloboCorp CMS project.',1,'2009-02-06 00:00:00',1,1,150783.00,'2009-07-07 00:00:00',95,1,7),
 (2929,1,278,1,'Synconich Human Resources Review application','GloboCorp microsite project.',2,'2009-02-03 00:00:00',2,2,121386.00,'2009-07-14 00:00:00',95,2,9),
 (2930,1,278,1,'eRotoway RFP application','GloboCorp bug tracking site project.',2,'2009-03-03 00:00:00',2,2,240179.00,'2009-07-14 00:00:00',95,2,4),
 (2931,1,278,1,'Nanocom Financial Reporting portal','RFP application to automate prospective client proposal request',2,'2009-01-06 00:00:00',2,2,161580.00,'2009-07-21 00:00:00',95,2,1),
 (2932,1,278,1,'Fibronix ecommerce','GloboCorp wiki project.',1,'2009-03-02 00:00:00',1,1,133225.00,'2009-07-21 00:00:00',95,1,6),
 (2933,1,278,1,'Turboron RFP application','GloboCorp website project.',1,'2009-01-15 00:00:00',1,1,158059.00,'2009-07-28 00:00:00',95,1,1),
 (2934,1,278,1,'Aerstate Decision Support System','Annual Audit of application code across the organization',1,'2009-01-05 00:00:00',1,1,283204.00,'2009-07-28 00:00:00',95,1,3),
 (2935,1,278,1,'Sysmatix wiki','GloboCorp intranet project.',2,'2009-01-12 00:00:00',2,2,536049.00,'2009-08-04 00:00:00',95,2,2),
 (2936,1,278,1,'Cyberlectric Employee portal v1.0','Intranet messaging application',2,'2009-01-04 00:00:00',1,2,959908.00,'2009-08-04 00:00:00',95,2,3),
 (2937,1,278,1,'Infracenta Company internet','GloboCorp ecommerce project.',2,'2009-01-18 00:00:00',2,2,973767.00,'2009-08-11 00:00:00',95,2,6),
 (2938,1,278,1,'Ultrafab portal','GloboCorp microsite project.',2,'2009-02-15 00:00:00',2,2,923238.00,'2009-08-11 00:00:00',95,2,5),
 (2939,1,278,1,'Cyphertegra Marketing Collateral application','Time tracking application for organization',1,'2009-01-05 00:00:00',1,1,157803.00,'2009-08-18 00:00:00',95,1,9),
 (2940,1,278,1,'Softcent wiki','GloboCorp CMS project.',1,'2009-02-06 00:00:00',1,1,196182.00,'2009-08-18 00:00:00',95,1,7),
 (2941,1,278,1,'Thermocom Project wiki','Annual Audit of application code across the organization',1,'2009-01-07 00:00:00',1,1,354505.00,'2009-08-25 00:00:00',96,1,8),
 (2942,1,278,1,'Polytheon Employee portal v1.0','GloboCorp ecommerce project.',2,'2009-01-18 00:00:00',2,2,161120.00,'2009-08-25 00:00:00',95,2,6),
 (2943,1,278,1,'Autocast Company internet','GloboCorp ecommerce project.',2,'2009-02-01 00:00:00',2,2,833868.00,'2009-09-01 00:00:00',95,2,7),
 (2944,1,278,1,'Eyetheon CMS','GloboCorp microsite project.',2,'2009-02-09 00:00:00',2,2,137311.00,'2009-09-01 00:00:00',95,2,3),
 (2945,1,278,1,'SynRotobyte Sales Tracking application','GloboCorp portal project.',1,'2009-01-17 00:00:00',1,1,239923.00,'2009-09-08 00:00:00',95,1,5),
 (2946,1,278,1,'US Cyclovalu RFP application','GloboCorp wiki project.',1,'2009-02-28 00:00:00',1,1,213670.00,'2009-09-08 00:00:00',95,1,3),
 (2947,1,278,1,'Ultrafab Time Tracking application','GloboCorp ecommerce project.',2,'2009-01-26 00:00:00',2,2,518238.00,'2009-09-15 00:00:00',95,2,1),
 (2948,1,278,1,'Nanocom CMS','GloboCorp ecommerce project.',2,'2009-01-30 00:00:00',2,2,141769.00,'2009-09-15 00:00:00',95,2,9),
 (2949,1,278,1,'Keygraph IM application','Back office integration for accounting and finance',1,'2009-01-07 00:00:00',1,1,991377.00,'2009-09-22 00:00:00',95,1,5),
 (2950,1,278,1,'Solscope Time Tracking application','Annual Audit of application code across the organization',2,'2009-01-10 00:00:00',2,2,145785.00,'2009-09-22 00:00:00',95,2,2),
 (2951,1,278,1,'US SiliCryptoix Company Benefits portal','GloboCorp bug tracking site project.',2,'2009-03-03 00:00:00',2,2,116896.00,'2009-09-29 00:00:00',95,2,4),
 (2952,1,278,1,'Titanion Back office integration','GloboCorp CMS project.',1,'2009-02-06 00:00:00',1,1,155784.00,'2009-09-29 00:00:00',95,1,7),
 (2953,1,278,1,'Costat ecommerce','GloboCorp ecommerce project.',2,'2009-01-26 00:00:00',2,2,808192.00,'2009-10-06 00:00:00',95,2,1),
 (2954,1,278,1,'Quinvalu bug tracking site','GloboCorp microsite project.',2,'2009-02-07 00:00:00',2,2,337844.00,'2009-10-06 00:00:00',95,2,5),
 (2955,1,278,1,'Softscope Financial Reporting portal','GloboCorp ecommerce project.',2,'2009-02-01 00:00:00',2,2,250291.00,'2009-10-13 00:00:00',95,2,7),
 (2956,1,278,1,'Apfarb Marketing Collateral application','GloboCorp portal project.',1,'2009-01-21 00:00:00',1,1,756354.00,'2009-10-13 00:00:00',95,1,5),
 (2957,1,278,1,'Hyperridium portal','GloboCorp ecommerce project.',2,'2009-01-22 00:00:00',2,2,489835.00,'2009-10-20 00:00:00',95,2,8),
 (2958,1,278,1,'Eyetheon Time Tracking application','GloboCorp wiki project.',1,'2009-02-28 00:00:00',1,1,287568.00,'2009-10-20 00:00:00',95,1,3),
 (2959,1,278,1,'Cryptonetic IM application','GloboCorp ecommerce project.',2,'2009-02-01 00:00:00',2,2,210607.00,'2009-10-27 00:00:00',95,2,7),
 (2960,1,278,1,'Yoyoic microsite','Intranet messaging application',2,'2009-01-04 00:00:00',1,2,316849.00,'2009-10-27 00:00:00',95,2,3),
 (2961,1,278,1,'Costat Employee portal v1.0','GloboCorp bug tracking site project.',2,'2009-02-23 00:00:00',2,2,123344.00,'2009-11-03 00:00:00',95,2,7),
 (2962,1,278,1,'Pacmaxa bug tracking site','GloboCorp CMS project.',1,'2009-02-16 00:00:00',1,1,535911.00,'2009-11-03 00:00:00',95,1,9),
 (2963,1,278,1,'Texridic CMS integration','GloboCorp portal project.',1,'2009-01-25 00:00:00',1,1,614134.00,'2009-11-10 00:00:00',95,1,4),
 (2964,1,278,1,'Apamerica Time Tracking application','GloboCorp bug tracking site project.',2,'2009-02-27 00:00:00',2,2,881438.00,'2009-11-10 00:00:00',95,2,3),
 (2965,1,278,1,'Pacifiphor CMS integration','Decision Support System',1,'2009-01-03 00:00:00',1,1,817711.00,'2009-11-17 00:00:00',95,1,3),
 (2966,1,278,1,'Eyetel Marketing Collateral application','Annual Audit of application code across the organization',2,'2009-01-02 00:00:00',2,2,879849.00,'2009-11-17 00:00:00',95,2,6),
 (2967,1,278,1,'ApSoftEnttiqua bug tracking site','Project wiki',2,'2009-01-02 00:00:00',1,2,164143.00,'2009-11-24 00:00:00',95,2,3),
 (2968,1,278,1,'Cybersouth website','GloboCorp intranet project.',2,'2009-01-14 00:00:00',2,2,124816.00,'2009-11-24 00:00:00',95,2,4),
 (2969,1,278,1,'Unipartners Decision Support System','Intranet messaging application',2,'2009-01-04 00:00:00',1,2,875167.00,'2009-12-01 00:00:00',95,2,3),
 (2970,1,278,1,'Celphor RFP application','GloboCorp ecommerce project.',2,'2009-02-01 00:00:00',2,2,999069.00,'2009-12-01 00:00:00',95,2,7),
 (2971,1,278,1,'SteganoPacPacifidisco CMS','Web mail application',1,'2009-01-03 00:00:00',1,1,144741.00,'2009-12-08 00:00:00',95,1,3),
 (2972,1,278,1,'Cyphertegra Project wiki','GloboCorp portal project.',1,'2009-01-31 00:00:00',1,1,162051.00,'2009-12-08 00:00:00',95,1,2),
 (2973,1,278,1,'Datasource wiki','GloboCorp bug tracking site project.',2,'2009-02-25 00:00:00',2,2,226713.00,'2009-12-15 00:00:00',95,2,7),
 (2974,1,278,1,'Teknocal Financial Reporting portal','GloboCorp wiki project.',1,'2009-02-26 00:00:00',1,1,275682.00,'2009-12-15 00:00:00',95,1,7),
 (2975,1,278,1,'Cyphertegra Help Desk application','Application to automate employee review process',2,'2009-01-10 00:00:00',2,2,132167.00,'2009-12-22 00:00:00',95,2,4),
 (2976,1,278,1,'Yoyoic Company internet','Financial Reporting portal',2,'2009-01-04 00:00:00',1,2,787592.00,'2009-12-22 00:00:00',95,2,3),
 (2977,1,278,1,'Keygraph website','GloboCorp intranet project.',2,'2009-01-14 00:00:00',2,2,987029.00,'2009-12-29 00:00:00',95,2,4),
 (2978,1,278,1,'Airmerica Human Resources Review application','GloboCorp ecommerce project.',2,'2009-01-22 00:00:00',2,2,265784.00,'2009-12-29 00:00:00',95,2,8),
 (2979,1,279,1,'eInfohacker RFP application','GloboCorp website project.',1,'2009-01-15 00:00:00',1,1,162309.00,'2009-01-06 00:00:00',95,1,1),
 (2980,1,279,1,'Nanocom Team-building portal','GloboCorp website project.',1,'2009-01-13 00:00:00',1,1,979998.00,'2009-01-06 00:00:00',95,1,4),
 (2981,1,279,1,'Entnuclear website','Annual Audit of application code across the organization',1,'2009-01-03 00:00:00',1,1,137447.00,'2009-01-13 00:00:00',96,1,7),
 (2982,1,279,1,'Utiliagra portal','GloboCorp wiki project.',1,'2009-02-24 00:00:00',1,1,206085.00,'2009-01-13 00:00:00',95,1,6),
 (2983,1,279,1,'Soleccorp portal','GloboCorp CMS project.',1,'2009-02-14 00:00:00',1,1,512604.00,'2009-01-20 00:00:00',95,1,6),
 (2984,1,279,1,'Theolog Marketing Collateral application','GloboCorp ecommerce project.',2,'2009-01-18 00:00:00',2,2,691865.00,'2009-01-20 00:00:00',95,2,6),
 (2985,1,279,1,'Costistrix Marketing Collateral application','GloboCorp bug tracking site project.',2,'2009-02-27 00:00:00',2,2,859594.00,'2009-01-27 00:00:00',95,2,3),
 (2986,1,279,1,'SysSoltanium Decision Support System','Annual Audit of application code across the organization',2,'2009-01-04 00:00:00',2,2,922101.00,'2009-01-27 00:00:00',95,2,8),
 (2987,1,279,1,'Yoyoic Help Desk application','GloboCorp wiki project.',1,'2009-03-02 00:00:00',1,1,213849.00,'2009-02-03 00:00:00',95,1,6),
 (2988,1,279,1,'Softscope Team-building portal','GloboCorp microsite project.',2,'2009-02-07 00:00:00',2,2,845603.00,'2009-02-03 00:00:00',95,2,5),
 (2989,1,279,1,'Eyetheon wiki','GloboCorp wiki project.',1,'2009-02-18 00:00:00',1,1,627760.00,'2009-02-10 00:00:00',95,1,4),
 (2990,1,279,1,'Yoyoic CMS','GloboCorp microsite project.',2,'2009-02-05 00:00:00',2,2,936477.00,'2009-02-10 00:00:00',95,2,4),
 (2991,1,279,1,'Cyphertegra portal','GloboCorp intranet project.',2,'2009-01-16 00:00:00',2,2,118235.00,'2009-02-17 00:00:00',95,2,4),
 (2992,1,279,1,'MicroTekbyte ecommerce','GloboCorp ecommerce project.',2,'2009-01-20 00:00:00',2,2,236473.00,'2009-02-17 00:00:00',95,2,5),
 (2993,1,279,1,'TeknoViapartners ecommerce','GloboCorp portal project.',1,'2009-01-29 00:00:00',1,1,346362.00,'2009-02-24 00:00:00',95,1,4),
 (2994,1,279,1,'Synconich bug tracking site','GloboCorp portal project.',1,'2009-01-31 00:00:00',1,1,329001.00,'2009-02-24 00:00:00',95,1,2),
 (2995,1,279,1,'Cyberlectric CMS integration','Annual Audit of application code across the organization',2,'2009-01-12 00:00:00',2,2,484786.00,'2009-03-03 00:00:00',95,2,7),
 (2996,1,279,1,'eInmarcs Employee portal v1.0','GloboCorp CMS project.',1,'2009-02-08 00:00:00',1,1,473740.00,'2009-03-03 00:00:00',95,1,7),
 (2997,1,279,1,'Cyberlectric CMS integration','GloboCorp portal project.',1,'2009-01-31 00:00:00',1,1,512308.00,'2009-03-10 00:00:00',95,1,2),
 (2998,1,279,1,'Datasource CMS','GloboCorp CMS project.',1,'2009-02-08 00:00:00',1,1,358983.00,'2009-03-10 00:00:00',95,1,7),
 (2999,1,279,1,'Teknocal Company internet','GloboCorp bug tracking site project.',2,'2009-02-21 00:00:00',2,2,289262.00,'2009-03-17 00:00:00',95,2,3),
 (3000,1,279,1,'eInmarcs intranet','GloboCorp CMS project.',1,'2009-02-16 00:00:00',1,1,991562.00,'2009-03-17 00:00:00',95,1,9),
 (3001,1,279,1,'Sysmatix Help Desk application','GloboCorp portal project.',1,'2009-01-29 00:00:00',1,1,844839.00,'2009-03-24 00:00:00',95,1,4),
 (3002,1,279,1,'Softscope Project wiki','Annual Audit of application code across the organization',2,'2009-01-10 00:00:00',2,2,685250.00,'2009-03-24 00:00:00',95,2,2),
 (3003,1,279,1,'Nanocom Marketing Collateral application','Marketing Collateral application',1,'2009-01-03 00:00:00',1,1,141792.00,'2009-03-31 00:00:00',95,1,3),
 (3004,1,279,1,'Teletronik.com bug tracking site','Annual Audit of application code across the organization',1,'2009-01-03 00:00:00',1,1,992741.00,'2009-03-31 00:00:00',96,1,7),
 (3005,1,279,1,'US Lexalta IM application','Help Desk application',1,'2009-01-01 00:00:00',1,1,398882.00,'2009-04-07 00:00:00',95,1,3),
 (3006,1,279,1,'Periweb microsite','Annual Audit of application code across the organization',1,'2009-01-11 00:00:00',1,1,221987.00,'2009-04-07 00:00:00',96,1,5),
 (3007,1,279,1,'Motoicon Financial Reporting portal','GloboCorp ecommerce project.',2,'2009-01-22 00:00:00',2,2,129767.00,'2009-04-14 00:00:00',95,2,8),
 (3008,1,279,1,'Polytheon CMS integration','GloboCorp portal project.',1,'2009-01-17 00:00:00',1,1,583542.00,'2009-04-14 00:00:00',95,1,5),
 (3009,1,279,1,'Cyberlectric microsite','GloboCorp microsite project.',2,'2009-02-17 00:00:00',2,2,312133.00,'2009-04-21 00:00:00',95,2,2),
 (3010,1,279,1,'Parasource.com microsite','GloboCorp CMS project.',1,'2009-02-08 00:00:00',1,1,133243.00,'2009-04-21 00:00:00',95,1,7),
 (3011,1,279,1,'Infracenta Annual Audit 2010','Web mail application',1,'2009-01-03 00:00:00',1,1,154962.00,'2009-04-28 00:00:00',95,1,3),
 (3012,1,279,1,'Softcom.com Marketing Collateral application','Project wiki',2,'2009-01-02 00:00:00',1,2,235570.00,'2009-04-28 00:00:00',95,2,3),
 (3013,1,279,1,'Thermolog Decision Support System','GloboCorp wiki project.',1,'2009-02-24 00:00:00',1,1,247359.00,'2009-05-05 00:00:00',95,1,6),
 (3014,1,279,1,'Celphor RFP application','GloboCorp CMS project.',1,'2009-02-02 00:00:00',1,1,998272.00,'2009-05-05 00:00:00',95,1,7),
 (3015,1,279,1,'Genlog wiki','Single sign-on initiative',2,'2009-01-04 00:00:00',1,2,116815.00,'2009-05-12 00:00:00',95,2,3),
 (3016,1,279,1,'Aerstate Decision Support System','GloboCorp microsite project.',2,'2009-02-15 00:00:00',2,2,283093.00,'2009-05-12 00:00:00',95,2,5),
 (3017,1,279,1,'AnthroSoft.com website','GloboCorp intranet project.',2,'2009-01-14 00:00:00',2,2,849064.00,'2009-05-19 00:00:00',95,2,4),
 (3018,1,279,1,'Eyetel website','GloboCorp portal project.',1,'2009-01-21 00:00:00',1,1,286010.00,'2009-05-19 00:00:00',95,1,5),
 (3019,1,279,1,'Genlog portal','Employee portal for intranet',1,'2009-01-01 00:00:00',1,1,715674.00,'2009-05-26 00:00:00',95,1,3),
 (3020,1,279,1,'Turboron bug tracking site','GloboCorp portal project.',1,'2009-01-19 00:00:00',1,1,468356.00,'2009-05-26 00:00:00',95,1,5),
 (3021,1,279,1,'Titaniridium Back office integration','GloboCorp CMS project.',1,'2009-02-08 00:00:00',1,1,990486.00,'2009-06-02 00:00:00',95,1,7),
 (3022,1,279,1,'Synconich Help Desk application','GloboCorp microsite project.',2,'2009-02-15 00:00:00',2,2,574302.00,'2009-06-02 00:00:00',95,2,5),
 (3023,1,279,1,'Soncal Human Resources Review application','GloboCorp CMS project.',1,'2009-02-06 00:00:00',1,1,975046.00,'2009-06-09 00:00:00',95,1,7),
 (3024,1,279,1,'US Maxtiqua CMS integration','GloboCorp ecommerce project.',2,'2009-01-18 00:00:00',2,2,260982.00,'2009-06-09 00:00:00',95,2,6),
 (3025,1,279,1,'Tekcorp Financial Reporting portal','GloboCorp wiki project.',1,'2009-02-22 00:00:00',1,1,177313.00,'2009-06-16 00:00:00',95,1,4),
 (3026,1,279,1,'Sysmatix Marketing Collateral application','GloboCorp portal project.',1,'2009-01-31 00:00:00',1,1,361958.00,'2009-06-16 00:00:00',95,1,2),
 (3027,1,279,1,'Costat Single sign-on initiative','GloboCorp wiki project.',1,'2009-02-28 00:00:00',1,1,978997.00,'2009-06-23 00:00:00',95,1,3),
 (3028,1,279,1,'Softscope Project wiki','Annual Audit of application code across the organization',2,'2009-01-08 00:00:00',2,2,635583.00,'2009-06-23 00:00:00',95,2,7),
 (3029,1,279,1,'US Cryptocom Company Benefits portal','Annual Audit of application code across the organization',1,'2009-01-03 00:00:00',1,1,678485.00,'2009-06-30 00:00:00',96,1,7),
 (3030,1,279,1,'Teleseco RFP application','GloboCorp wiki project.',1,'2009-03-04 00:00:00',1,1,910358.00,'2009-06-30 00:00:00',95,1,5),
 (3031,1,279,1,'Teletronik.com Decision Support System','Legacy CMS integration for Marketing group',2,'2009-01-08 00:00:00',2,2,399692.00,'2009-07-07 00:00:00',95,2,8),
 (3032,1,279,1,'Cyberrama Company Benefits portal','GloboCorp website project.',1,'2009-01-15 00:00:00',1,1,994112.00,'2009-07-07 00:00:00',95,1,1),
 (3033,1,279,1,'Apfarb CMS integration','GloboCorp CMS project.',1,'2009-02-10 00:00:00',1,1,277651.00,'2009-07-14 00:00:00',95,1,4),
 (3034,1,279,1,'Yoyoic Human Resources Review application','Company benefits portal for intranet',2,'2009-01-04 00:00:00',2,2,201983.00,'2009-07-14 00:00:00',95,2,8),
 (3035,1,279,1,'Rotopak Time Tracking application','GloboCorp wiki project.',1,'2009-02-20 00:00:00',1,1,447653.00,'2009-07-21 00:00:00',95,1,8),
 (3036,1,279,1,'Teknocal Time Tracking application','GloboCorp CMS project.',1,'2009-02-02 00:00:00',1,1,434179.00,'2009-07-21 00:00:00',95,1,7),
 (3037,1,279,1,'SysSoltanium Marketing Collateral application','GloboCorp wiki project.',1,'2009-02-22 00:00:00',1,1,863399.00,'2009-07-28 00:00:00',95,1,4),
 (3038,1,279,1,'Sysmatix bug tracking site','GloboCorp portal project.',1,'2009-01-23 00:00:00',1,1,771710.00,'2009-07-28 00:00:00',95,1,5),
 (3039,1,279,1,'Navipaq Team-building portal','GloboCorp microsite project.',2,'2009-02-13 00:00:00',2,2,250626.00,'2009-08-04 00:00:00',95,2,5),
 (3040,1,279,1,'Apfarb Sales Tracking application','Single sign-on initiative',2,'2009-01-04 00:00:00',1,2,862834.00,'2009-08-04 00:00:00',95,2,3),
 (3041,1,279,1,'Ultrafab ecommerce','Intranet messaging application',2,'2009-01-04 00:00:00',1,2,324270.00,'2009-08-11 00:00:00',95,2,3),
 (3042,1,279,1,'Teramart Financial Reporting portal','GloboCorp wiki project.',1,'2009-02-18 00:00:00',1,1,231489.00,'2009-08-11 00:00:00',95,1,4),
 (3043,1,279,1,'Cyphertegra CMS','Annual Audit of application code across the organization',2,'2009-01-06 00:00:00',2,2,138074.00,'2009-08-18 00:00:00',95,2,5),
 (3044,1,279,1,'Maxtomic wiki','GloboCorp CMS project.',1,'2009-02-08 00:00:00',1,1,900353.00,'2009-08-18 00:00:00',95,1,7),
 (3045,1,279,1,'Cybersouth Marketing Collateral application','Single sign-on initiative',2,'2009-01-04 00:00:00',1,2,758899.00,'2009-08-25 00:00:00',95,2,3),
 (3046,1,279,1,'US SiliCryptoix Human Resources Review application','Help Desk application',1,'2009-01-01 00:00:00',1,1,273975.00,'2009-08-25 00:00:00',95,1,3),
 (3047,1,279,1,'Eyetheon Human Resources Review application','Legacy CMS integration for Marketing group',2,'2009-01-08 00:00:00',2,2,808952.00,'2009-09-01 00:00:00',95,2,8),
 (3048,1,279,1,'iCeleage Human Resources Review application','GloboCorp bug tracking site project.',2,'2009-03-03 00:00:00',2,2,149070.00,'2009-09-01 00:00:00',95,2,4),
 (3049,1,279,1,'Datasource Single sign-on initiative','Team-building portal for intranet',1,'2009-01-03 00:00:00',1,1,772902.00,'2009-09-08 00:00:00',95,1,8),
 (3050,1,279,1,'Turboron Single sign-on initiative','GloboCorp ecommerce project.',2,'2009-01-30 00:00:00',2,2,357305.00,'2009-09-08 00:00:00',95,2,9),
 (3051,1,279,1,'Ultravalu bug tracking site','GloboCorp ecommerce project.',2,'2009-01-24 00:00:00',2,2,127520.00,'2009-09-15 00:00:00',95,2,5),
 (3052,1,279,1,'US Lexalta Annual Audit 2010','GloboCorp wiki project.',1,'2009-03-02 00:00:00',1,1,323165.00,'2009-09-15 00:00:00',95,1,6),
 (3053,1,279,1,'US Turbolinear Company internet','GloboCorp bug tracking site project.',2,'2009-02-25 00:00:00',2,2,956295.00,'2009-09-22 00:00:00',95,2,7),
 (3054,1,279,1,'Tekcorp Marketing Collateral application','Company benefits portal for intranet',2,'2009-01-04 00:00:00',2,2,132690.00,'2009-09-22 00:00:00',95,2,8),
 (3055,1,279,1,'US Teknorama Help Desk application','GloboCorp bug tracking site project.',2,'2009-03-03 00:00:00',2,2,722245.00,'2009-09-29 00:00:00',95,2,4),
 (3056,1,279,1,'Keygraph microsite','Annual Audit of application code across the organization',1,'2009-01-09 00:00:00',1,1,361820.00,'2009-09-29 00:00:00',95,1,9),
 (3057,1,279,1,'Titaniridium ecommerce','Annual Audit of application code across the organization',1,'2009-01-05 00:00:00',1,1,899274.00,'2009-10-06 00:00:00',95,1,9),
 (3058,1,279,1,'Thermocom wiki','GloboCorp portal project.',1,'2009-01-17 00:00:00',1,1,130710.00,'2009-10-06 00:00:00',95,1,5),
 (3059,1,279,1,'Costat wiki','GloboCorp portal project.',1,'2009-01-19 00:00:00',1,1,924391.00,'2009-10-13 00:00:00',95,1,5),
 (3060,1,279,1,'Thermolog Company Benefits portal','GloboCorp ecommerce project.',2,'2009-01-30 00:00:00',2,2,282697.00,'2009-10-13 00:00:00',95,2,9),
 (3061,1,279,1,'Theolog website','Annual Audit of application code across the organization',1,'2009-01-09 00:00:00',1,1,515333.00,'2009-10-20 00:00:00',95,1,9),
 (3062,1,279,1,'Sysline Help Desk application','GloboCorp wiki project.',1,'2009-02-26 00:00:00',1,1,123303.00,'2009-10-20 00:00:00',95,1,7),
 (3063,1,279,1,'Parasource.com bug tracking site','GloboCorp CMS project.',1,'2009-02-16 00:00:00',1,1,171932.00,'2009-10-27 00:00:00',95,1,9),
 (3064,1,279,1,'SysSoltanium Time Tracking application','Annual Audit of application code across the organization',2,'2009-01-06 00:00:00',2,2,119744.00,'2009-10-27 00:00:00',95,2,5),
 (3065,1,279,1,'Solscope Sales Tracking application','GloboCorp microsite project.',2,'2009-02-11 00:00:00',2,2,369251.00,'2009-11-03 00:00:00',95,2,2),
 (3066,1,279,1,'Ultrafab Time Tracking application','GloboCorp ecommerce project.',2,'2009-01-18 00:00:00',2,2,808051.00,'2009-11-03 00:00:00',95,2,6),
 (3067,1,279,1,'Teletronik.com wiki','GloboCorp portal project.',1,'2009-01-25 00:00:00',1,1,423033.00,'2009-11-10 00:00:00',95,1,4),
 (3068,1,279,1,'Teramart Employee portal v1.0','GloboCorp ecommerce project.',2,'2009-01-26 00:00:00',2,2,187087.00,'2009-11-10 00:00:00',95,2,1),
 (3069,1,279,1,'Costistrix Financial Reporting portal','GloboCorp wiki project.',1,'2009-02-20 00:00:00',1,1,967875.00,'2009-11-17 00:00:00',95,1,8),
 (3070,1,279,1,'Costat CMS integration','GloboCorp wiki project.',1,'2009-02-20 00:00:00',1,1,870305.00,'2009-11-17 00:00:00',95,1,8),
 (3071,1,279,1,'Polytheon Back office integration','Annual Audit of application code across the organization',1,'2009-01-05 00:00:00',1,1,615995.00,'2009-11-24 00:00:00',95,1,3),
 (3072,1,279,1,'Costsouth Company internet','GloboCorp CMS project.',1,'2009-02-02 00:00:00',1,1,126704.00,'2009-11-24 00:00:00',95,1,7),
 (3073,1,279,1,'Intraura wiki','Annual Audit of application code across the organization',2,'2009-01-04 00:00:00',2,2,509958.00,'2009-12-01 00:00:00',95,2,8),
 (3074,1,279,1,'Softcom.com intranet','Application to track outside sales',1,'2009-01-09 00:00:00',1,1,140822.00,'2009-12-01 00:00:00',95,1,3),
 (3075,1,279,1,'eInmarcs IM application','Annual Audit of application code across the organization',2,'2009-01-08 00:00:00',2,2,383029.00,'2009-12-08 00:00:00',95,2,7),
 (3076,1,279,1,'US Cryptocom Financial Reporting portal','GloboCorp wiki project.',1,'2009-02-28 00:00:00',1,1,827373.00,'2009-12-08 00:00:00',95,1,3),
 (3077,1,279,1,'Teramart portal','GloboCorp CMS project.',1,'2009-02-10 00:00:00',1,1,332620.00,'2009-12-15 00:00:00',95,1,4),
 (3078,1,279,1,'Xegate Back office integration','Annual Audit of application code across the organization',1,'2009-01-05 00:00:00',1,1,861571.00,'2009-12-15 00:00:00',95,1,9),
 (3079,1,279,1,'Entnuclear Company internet','GloboCorp bug tracking site project.',2,'2009-02-25 00:00:00',2,2,872334.00,'2009-12-22 00:00:00',95,2,7),
 (3080,1,279,1,'US Maxtiqua ecommerce','Marketing Collateral application',1,'2009-01-03 00:00:00',1,1,466966.00,'2009-12-22 00:00:00',95,1,3),
 (3081,1,279,1,'Entnuclear Time Tracking application','GloboCorp ecommerce project.',2,'2009-01-20 00:00:00',2,2,212813.00,'2009-12-29 00:00:00',95,2,5),
 (3082,1,279,1,'Synconich Time Tracking application','Help Desk application',1,'2009-01-01 00:00:00',1,1,428252.00,'2009-12-29 00:00:00',95,1,3),
 (3083,1,280,1,'Synconich portal','GloboCorp website project.',1,'2009-01-13 00:00:00',1,1,142447.00,'2009-01-06 00:00:00',95,1,4),
 (3084,1,280,1,'Ultrafab CMS','Annual Audit of application code across the organization',2,'2009-01-08 00:00:00',2,2,994153.00,'2009-01-06 00:00:00',95,2,7),
 (3085,1,280,1,'Yoyoic Help Desk application','GloboCorp portal project.',1,'2009-01-23 00:00:00',1,1,984127.00,'2009-01-13 00:00:00',95,1,5),
 (3086,1,280,1,'Thermocom Sales Tracking application','GloboCorp wiki project.',1,'2009-02-18 00:00:00',1,1,305521.00,'2009-01-13 00:00:00',95,1,4),
 (3087,1,280,1,'US SiliCryptoix Human Resources Review application','GloboCorp microsite project.',2,'2009-02-17 00:00:00',2,2,999315.00,'2009-01-20 00:00:00',95,2,2),
 (3088,1,280,1,'SynRotobyte Help Desk application','Annual Audit of application code across the organization',1,'2009-01-11 00:00:00',1,1,413685.00,'2009-01-20 00:00:00',96,1,5),
 (3089,1,280,1,'Softcent ecommerce','GloboCorp microsite project.',2,'2009-02-05 00:00:00',2,2,991949.00,'2009-01-27 00:00:00',95,2,4),
 (3090,1,280,1,'Teleseco RFP application','Annual Audit of application code across the organization',1,'2009-01-09 00:00:00',1,1,155177.00,'2009-01-27 00:00:00',95,1,9),
 (3091,1,280,1,'Cyphertegra ecommerce','GloboCorp website project.',1,'2009-01-11 00:00:00',1,1,753670.00,'2009-02-03 00:00:00',95,1,2),
 (3092,1,280,1,'ApSoftEnttiqua Back office integration','GloboCorp bug tracking site project.',2,'2009-03-03 00:00:00',2,2,657584.00,'2009-02-03 00:00:00',95,2,4),
 (3093,1,280,1,'Uniair portal','GloboCorp bug tracking site project.',2,'2009-03-03 00:00:00',2,2,344919.00,'2009-02-10 00:00:00',95,2,4),
 (3094,1,280,1,'Genlanza Project wiki','GloboCorp microsite project.',2,'2009-02-05 00:00:00',2,2,287176.00,'2009-02-10 00:00:00',95,2,4),
 (3095,1,280,1,'Safephor Project wiki','GloboCorp CMS project.',1,'2009-02-10 00:00:00',1,1,742063.00,'2009-02-17 00:00:00',95,1,4),
 (3096,1,280,1,'eRotoway Team-building portal','Annual Audit of application code across the organization',2,'2009-01-10 00:00:00',2,2,329113.00,'2009-02-17 00:00:00',95,2,2),
 (3097,1,280,1,'Opengraph Human Resources Review application','GloboCorp wiki project.',1,'2009-03-04 00:00:00',1,1,146015.00,'2009-02-24 00:00:00',95,1,5),
 (3098,1,280,1,'Cyberrama CMS','RFP application to automate prospective client proposal request',2,'2009-01-06 00:00:00',2,2,964673.00,'2009-02-24 00:00:00',95,2,1),
 (3099,1,280,1,'US Turbolinear Decision Support System','GloboCorp microsite project.',2,'2009-02-13 00:00:00',2,2,407442.00,'2009-03-03 00:00:00',95,2,5),
 (3100,1,280,1,'Eyetheon Marketing Collateral application','GloboCorp ecommerce project.',2,'2009-01-22 00:00:00',2,2,151558.00,'2009-03-03 00:00:00',95,2,8),
 (3101,1,280,1,'Apfarb wiki','GloboCorp ecommerce project.',2,'2009-01-18 00:00:00',2,2,122932.00,'2009-03-10 00:00:00',95,2,6),
 (3102,1,280,1,'Texridic IM application','GloboCorp bug tracking site project.',2,'2009-02-21 00:00:00',2,2,997225.00,'2009-03-10 00:00:00',95,2,3),
 (3103,1,280,1,'iNetnetic Company internet','Help Desk application',1,'2009-01-01 00:00:00',1,1,125290.00,'2009-03-17 00:00:00',95,1,3),
 (3104,1,280,1,'TeknoViapartners wiki','GloboCorp microsite project.',2,'2009-02-09 00:00:00',2,2,141234.00,'2009-03-17 00:00:00',95,2,3),
 (3105,1,280,1,'Pacmaxa Back office integration','GloboCorp ecommerce project.',2,'2009-01-22 00:00:00',2,2,558863.00,'2009-03-24 00:00:00',95,2,8),
 (3106,1,280,1,'Quinvalu Company internet','Annual Audit of application code across the organization',1,'2009-01-09 00:00:00',1,1,142726.00,'2009-03-24 00:00:00',95,1,9),
 (3107,1,280,1,'Eyetel Project wiki','GloboCorp wiki project.',1,'2009-02-26 00:00:00',1,1,150863.00,'2009-03-31 00:00:00',95,1,7),
 (3108,1,280,1,'US Lexalta website','Annual Audit of application code across the organization',2,'2009-01-02 00:00:00',2,2,565329.00,'2009-03-31 00:00:00',95,2,6),
 (3109,1,280,1,'US Quinrad Annual Audit 2010','GloboCorp portal project.',1,'2009-01-19 00:00:00',1,1,635886.00,'2009-04-07 00:00:00',95,1,5),
 (3110,1,280,1,'Yoyoic microsite','Project wiki',2,'2009-01-02 00:00:00',1,2,295656.00,'2009-04-07 00:00:00',95,2,3),
 (3111,1,280,1,'Westridium Team-building portal','GloboCorp wiki project.',1,'2009-03-04 00:00:00',1,1,998478.00,'2009-04-14 00:00:00',95,1,5),
 (3112,1,280,1,'Softcom.com Project wiki','Annual Audit of application code across the organization',2,'2009-01-12 00:00:00',2,2,997891.00,'2009-04-14 00:00:00',95,2,7),
 (3113,1,280,1,'Infracenta Project wiki','Employee portal for intranet',1,'2009-01-01 00:00:00',1,1,636866.00,'2009-04-21 00:00:00',95,1,3),
 (3114,1,280,1,'Genlog IM application','GloboCorp microsite project.',2,'2009-02-15 00:00:00',2,2,825099.00,'2009-04-21 00:00:00',95,2,5),
 (3115,1,280,1,'Pacmaxa Employee portal v1.0','GloboCorp ecommerce project.',2,'2009-01-22 00:00:00',2,2,591609.00,'2009-04-28 00:00:00',95,2,8),
 (3116,1,280,1,'Thermolog Time Tracking application','Annual Audit of application code across the organization',1,'2009-01-05 00:00:00',1,1,165331.00,'2009-04-28 00:00:00',95,1,3),
 (3117,1,280,1,'Titanion Team-building portal','GloboCorp portal project.',1,'2009-01-23 00:00:00',1,1,806476.00,'2009-05-05 00:00:00',95,1,5),
 (3118,1,280,1,'US Cyclovalu Annual Audit 2010','Project wiki',2,'2009-01-02 00:00:00',1,2,858971.00,'2009-05-05 00:00:00',95,2,3),
 (3119,1,280,1,'Cyberlectric Time Tracking application','GloboCorp portal project.',1,'2009-01-25 00:00:00',1,1,770014.00,'2009-05-12 00:00:00',95,1,4),
 (3120,1,280,1,'Teletronik.com Back office integration','Annual Audit of application code across the organization',1,'2009-01-05 00:00:00',1,1,139767.00,'2009-05-12 00:00:00',95,1,9),
 (3121,1,280,1,'US Lexalta CMS integration','GloboCorp microsite project.',2,'2009-02-09 00:00:00',2,2,962284.00,'2009-05-19 00:00:00',95,2,3),
 (3122,1,280,1,'US SiliCryptoix Help Desk application','Annual Audit of application code across the organization',1,'2009-01-03 00:00:00',1,1,999316.00,'2009-05-19 00:00:00',96,1,7),
 (3123,1,280,1,'Celphor Single sign-on initiative','Annual Audit of application code across the organization',1,'2009-01-03 00:00:00',1,1,263574.00,'2009-05-26 00:00:00',96,1,7),
 (3124,1,280,1,'eAnthrolan Back office integration','GloboCorp portal project.',1,'2009-01-17 00:00:00',1,1,986385.00,'2009-05-26 00:00:00',95,1,5),
 (3125,1,280,1,'Theolog Financial Reporting portal','Annual Audit of application code across the organization',2,'2009-01-12 00:00:00',2,2,218882.00,'2009-06-02 00:00:00',95,2,7),
 (3126,1,280,1,'SteganoPacPacifidisco IM application','GloboCorp CMS project.',1,'2009-02-06 00:00:00',1,1,999933.00,'2009-06-02 00:00:00',95,1,7),
 (3127,1,280,1,'Solscope Time Tracking application','Annual Audit of application code across the organization',1,'2009-01-11 00:00:00',1,1,148662.00,'2009-06-09 00:00:00',96,1,5),
 (3128,1,280,1,'Teramart Marketing Collateral application','GloboCorp wiki project.',1,'2009-02-26 00:00:00',1,1,551013.00,'2009-06-09 00:00:00',95,1,7),
 (3129,1,280,1,'iNetnetic Human Resources Review application','GloboCorp intranet project.',2,'2009-01-16 00:00:00',2,2,208140.00,'2009-06-16 00:00:00',95,2,4),
 (3130,1,280,1,'Infracenta Project wiki','Annual Audit of application code across the organization',1,'2009-01-07 00:00:00',1,1,118824.00,'2009-06-16 00:00:00',96,1,8),
 (3131,1,280,1,'Genlanza Marketing Collateral application','GloboCorp bug tracking site project.',2,'2009-02-25 00:00:00',2,2,230599.00,'2009-06-23 00:00:00',95,2,7),
 (3132,1,280,1,'eInfohacker Time Tracking application','GloboCorp microsite project.',2,'2009-02-05 00:00:00',2,2,131359.00,'2009-06-23 00:00:00',95,2,4),
 (3133,1,280,1,'Titanion Marketing Collateral application','Annual Audit of application code across the organization',2,'2009-01-06 00:00:00',2,2,124224.00,'2009-06-30 00:00:00',95,2,5),
 (3134,1,280,1,'Parasource.com intranet','Intranet messaging application',2,'2009-01-04 00:00:00',1,2,142346.00,'2009-06-30 00:00:00',95,2,3);
INSERT INTO `adobecrm`.`client_deals` VALUES  (3135,1,280,1,'UltraNetfab Financial Reporting portal','GloboCorp CMS project.',1,'2009-02-14 00:00:00',1,1,898529.00,'2009-07-07 00:00:00',95,1,6),
 (3136,1,280,1,'Titanion Help Desk application','GloboCorp portal project.',1,'2009-01-29 00:00:00',1,1,141047.00,'2009-07-07 00:00:00',95,1,4),
 (3137,1,280,1,'Entnuclear intranet','GloboCorp portal project.',1,'2009-01-17 00:00:00',1,1,630615.00,'2009-07-14 00:00:00',95,1,5),
 (3138,1,280,1,'Cyberrama Team-building portal','RFP application to automate prospective client proposal request',2,'2009-01-06 00:00:00',2,2,438481.00,'2009-07-14 00:00:00',95,2,1),
 (3139,1,280,1,'eAnthrolan Sales Tracking application','GloboCorp CMS project.',1,'2009-02-12 00:00:00',1,1,152698.00,'2009-07-21 00:00:00',95,1,5),
 (3140,1,280,1,'Sysline Company Benefits portal','GloboCorp intranet project.',2,'2009-01-16 00:00:00',2,2,993157.00,'2009-07-21 00:00:00',95,2,4),
 (3141,1,280,1,'Intraura Employee portal v1.0','GloboCorp website project.',1,'2009-01-11 00:00:00',1,1,857522.00,'2009-07-28 00:00:00',95,1,2),
 (3142,1,280,1,'Eyetheon Time Tracking application','GloboCorp portal project.',1,'2009-01-29 00:00:00',1,1,258768.00,'2009-07-28 00:00:00',95,1,4),
 (3143,1,280,1,'eInfohacker IM application','GloboCorp microsite project.',2,'2009-02-07 00:00:00',2,2,976070.00,'2009-08-04 00:00:00',95,2,5),
 (3144,1,280,1,'Parasource.com RFP application','GloboCorp bug tracking site project.',2,'2009-03-01 00:00:00',2,2,875966.00,'2009-08-04 00:00:00',95,2,7),
 (3145,1,280,1,'Keygraph CMS integration','GloboCorp microsite project.',2,'2009-02-13 00:00:00',2,2,711674.00,'2009-08-11 00:00:00',95,2,5),
 (3146,1,280,1,'Cryptonetic ecommerce','Annual Audit of application code across the organization',1,'2009-01-11 00:00:00',1,1,158570.00,'2009-08-11 00:00:00',96,1,5),
 (3147,1,280,1,'Eyetheon website','GloboCorp ecommerce project.',2,'2009-01-22 00:00:00',2,2,643599.00,'2009-08-18 00:00:00',95,2,8),
 (3148,1,280,1,'Cryptonetic Company internet','GloboCorp portal project.',1,'2009-01-19 00:00:00',1,1,755279.00,'2009-08-18 00:00:00',95,1,5),
 (3149,1,280,1,'US Lexalta CMS','GloboCorp portal project.',1,'2009-01-17 00:00:00',1,1,624800.00,'2009-08-25 00:00:00',95,1,5),
 (3150,1,280,1,'eRotoway Help Desk application','GloboCorp ecommerce project.',2,'2009-01-24 00:00:00',2,2,933140.00,'2009-08-25 00:00:00',95,2,5),
 (3151,1,280,1,'Solscope CMS','GloboCorp website project.',1,'2009-01-11 00:00:00',1,1,134054.00,'2009-09-01 00:00:00',95,1,2),
 (3152,1,280,1,'Teleseco Team-building portal','GloboCorp bug tracking site project.',2,'2009-02-27 00:00:00',2,2,974957.00,'2009-09-01 00:00:00',95,2,3),
 (3153,1,280,1,'Soleccorp CMS integration','GloboCorp bug tracking site project.',2,'2009-02-25 00:00:00',2,2,401211.00,'2009-09-08 00:00:00',95,2,7),
 (3154,1,280,1,'Safephor Single sign-on initiative','Legacy CMS integration for Marketing group',2,'2009-01-08 00:00:00',2,2,611173.00,'2009-09-08 00:00:00',95,2,8),
 (3155,1,280,1,'Costistrix Team-building portal','GloboCorp CMS project.',1,'2009-02-16 00:00:00',1,1,634771.00,'2009-09-15 00:00:00',95,1,9),
 (3156,1,280,1,'Autocast Employee portal v1.0','Annual Audit of application code across the organization',1,'2009-01-11 00:00:00',1,1,764379.00,'2009-09-15 00:00:00',96,1,5),
 (3157,1,280,1,'Teramart Project wiki','Company internet',2,'2009-01-02 00:00:00',2,2,777073.00,'2009-09-22 00:00:00',95,2,6),
 (3158,1,280,1,'ApSoftEnttiqua RFP application','GloboCorp ecommerce project.',2,'2009-01-26 00:00:00',2,2,889714.00,'2009-09-22 00:00:00',95,2,1),
 (3159,1,280,1,'Xegate Sales Tracking application','GloboCorp wiki project.',1,'2009-02-20 00:00:00',1,1,313730.00,'2009-09-29 00:00:00',95,1,8),
 (3160,1,280,1,'Hyperridium Single sign-on initiative','GloboCorp wiki project.',1,'2009-02-28 00:00:00',1,1,211203.00,'2009-09-29 00:00:00',95,1,3),
 (3161,1,280,1,'Maxtomic Human Resources Review application','GloboCorp bug tracking site project.',2,'2009-02-23 00:00:00',2,2,510256.00,'2009-10-06 00:00:00',95,2,7),
 (3162,1,280,1,'Genlanza ecommerce','GloboCorp portal project.',1,'2009-01-19 00:00:00',1,1,534317.00,'2009-10-06 00:00:00',95,1,5),
 (3163,1,280,1,'Hyperridium Marketing Collateral application','GloboCorp CMS project.',1,'2009-02-16 00:00:00',1,1,218508.00,'2009-10-13 00:00:00',95,1,9),
 (3164,1,280,1,'Aerstate wiki','Annual Audit of application code across the organization',1,'2009-01-05 00:00:00',1,1,821085.00,'2009-10-13 00:00:00',95,1,3),
 (3165,1,280,1,'Genlanza RFP application','Back office integration for accounting and finance',1,'2009-01-07 00:00:00',1,1,319613.00,'2009-10-20 00:00:00',95,1,5),
 (3166,1,280,1,'Uniair Marketing Collateral application','GloboCorp wiki project.',1,'2009-03-02 00:00:00',1,1,800299.00,'2009-10-20 00:00:00',95,1,6),
 (3167,1,280,1,'Keygraph Company internet','GloboCorp wiki project.',1,'2009-02-20 00:00:00',1,1,116755.00,'2009-10-27 00:00:00',95,1,8),
 (3168,1,280,1,'Teramart Time Tracking application','GloboCorp portal project.',1,'2009-01-27 00:00:00',1,1,551143.00,'2009-10-27 00:00:00',95,1,7),
 (3169,1,280,1,'Utiliagra Company Benefits portal','GloboCorp microsite project.',2,'2009-02-05 00:00:00',2,2,642540.00,'2009-11-03 00:00:00',95,2,4),
 (3170,1,280,1,'Titanion CMS','GloboCorp wiki project.',1,'2009-02-20 00:00:00',1,1,269162.00,'2009-11-03 00:00:00',95,1,8),
 (3171,1,280,1,'TeknoViapartners Time Tracking application','Intranet messaging application',2,'2009-01-04 00:00:00',1,2,488177.00,'2009-11-10 00:00:00',95,2,3),
 (3172,1,280,1,'Softcom.com Human Resources Review application','GloboCorp intranet project.',2,'2009-01-16 00:00:00',2,2,283031.00,'2009-11-10 00:00:00',95,2,4),
 (3173,1,280,1,'Turboron microsite','GloboCorp ecommerce project.',2,'2009-01-20 00:00:00',2,2,728025.00,'2009-11-17 00:00:00',95,2,5),
 (3174,1,280,1,'Genlanza Sales Tracking application','GloboCorp portal project.',1,'2009-01-23 00:00:00',1,1,188822.00,'2009-11-17 00:00:00',95,1,5),
 (3175,1,280,1,'US Turbolinear portal','Annual Audit of application code across the organization',2,'2009-01-12 00:00:00',2,2,710018.00,'2009-11-24 00:00:00',95,2,7),
 (3176,1,280,1,'Teleseco IM application','Annual Audit of application code across the organization',1,'2009-01-05 00:00:00',1,1,548521.00,'2009-11-24 00:00:00',95,1,9),
 (3177,1,280,1,'iCeleage Back office integration','GloboCorp microsite project.',2,'2009-02-15 00:00:00',2,2,291839.00,'2009-12-01 00:00:00',95,2,5),
 (3178,1,280,1,'Nettheon bug tracking site','Annual Audit of application code across the organization',1,'2009-01-05 00:00:00',1,1,998506.00,'2009-12-01 00:00:00',95,1,3),
 (3179,1,280,1,'SteganoPacPacifidisco Employee portal v1.0','Marketing Collateral application',1,'2009-01-03 00:00:00',1,1,630125.00,'2009-12-08 00:00:00',95,1,3),
 (3180,1,280,1,'Apamerica RFP application','GloboCorp bug tracking site project.',2,'2009-02-25 00:00:00',2,2,333892.00,'2009-12-08 00:00:00',95,2,7),
 (3181,1,280,1,'Teknocal Single sign-on initiative','Application to track outside sales',1,'2009-01-09 00:00:00',1,1,496386.00,'2009-12-15 00:00:00',95,1,3),
 (3182,1,280,1,'Celphor RFP application','GloboCorp portal project.',1,'2009-01-23 00:00:00',1,1,237077.00,'2009-12-15 00:00:00',95,1,5),
 (3183,1,280,1,'Softcent Back office integration','Single sign-on initiative',2,'2009-01-04 00:00:00',1,2,126485.00,'2009-12-22 00:00:00',95,2,3),
 (3184,1,280,1,'AnthroSoft.com Annual Audit 2010','GloboCorp ecommerce project.',2,'2009-01-20 00:00:00',2,2,391548.00,'2009-12-22 00:00:00',95,2,5),
 (3185,1,280,1,'US Teknorama Project wiki','GloboCorp microsite project.',2,'2009-02-15 00:00:00',2,2,142732.00,'2009-12-29 00:00:00',95,2,5),
 (3186,1,280,1,'Costsouth IM application','GloboCorp wiki project.',1,'2009-02-24 00:00:00',1,1,297329.00,'2009-12-29 00:00:00',95,1,6),
 (3187,1,283,1,'Safephor Project wiki','GloboCorp bug tracking site project.',2,'2009-02-19 00:00:00',2,2,121340.00,'2009-01-06 00:00:00',95,2,1),
 (3188,1,283,1,'Westridium Company internet','Time tracking application for organization',1,'2009-01-05 00:00:00',1,1,148748.00,'2009-01-06 00:00:00',95,1,9),
 (3189,1,283,1,'Nuserve wiki','GloboCorp ecommerce project.',2,'2009-01-18 00:00:00',2,2,434292.00,'2009-01-13 00:00:00',95,2,6),
 (3190,1,283,1,'US Costmat Sales Tracking application','GloboCorp wiki project.',1,'2009-02-28 00:00:00',1,1,157726.00,'2009-01-13 00:00:00',95,1,3),
 (3191,1,283,1,'US Turbolinear wiki','Decision Support System',1,'2009-01-03 00:00:00',1,1,129481.00,'2009-01-20 00:00:00',95,1,3),
 (3192,1,283,1,'Apamerica Employee portal v1.0','GloboCorp portal project.',1,'2009-01-27 00:00:00',1,1,120150.00,'2009-01-20 00:00:00',95,1,7),
 (3193,1,283,1,'Pacmaxa CMS integration','GloboCorp portal project.',1,'2009-01-21 00:00:00',1,1,579546.00,'2009-01-27 00:00:00',95,1,5),
 (3194,1,283,1,'US Costmat Single sign-on initiative','GloboCorp website project.',1,'2009-01-11 00:00:00',1,1,936549.00,'2009-01-27 00:00:00',95,1,2),
 (3195,1,283,1,'Thermocom CMS integration','GloboCorp website project.',1,'2009-01-11 00:00:00',1,1,187620.00,'2009-02-03 00:00:00',95,1,2),
 (3196,1,283,1,'Metaserve website','GloboCorp bug tracking site project.',2,'2009-03-03 00:00:00',2,2,727093.00,'2009-02-03 00:00:00',95,2,4),
 (3197,1,283,1,'Unipartners Help Desk application','GloboCorp microsite project.',2,'2009-02-17 00:00:00',2,2,963220.00,'2009-02-10 00:00:00',95,2,2),
 (3198,1,283,1,'Datasource CMS integration','GloboCorp wiki project.',1,'2009-02-20 00:00:00',1,1,611859.00,'2009-02-10 00:00:00',95,1,8),
 (3199,1,283,1,'Mapdant Team-building portal','GloboCorp website project.',1,'2009-01-13 00:00:00',1,1,518960.00,'2009-02-17 00:00:00',95,1,4),
 (3200,1,283,1,'MicroTekbyte bug tracking site','GloboCorp website project.',1,'2009-01-13 00:00:00',1,1,301643.00,'2009-02-17 00:00:00',95,1,4),
 (3201,1,283,1,'Apamerica Time Tracking application','Company benefits portal for intranet',2,'2009-01-04 00:00:00',2,2,901469.00,'2009-02-24 00:00:00',95,2,8),
 (3202,1,283,1,'Safephor Company Benefits portal','Single sign-on initiative',2,'2009-01-04 00:00:00',1,2,935260.00,'2009-02-24 00:00:00',95,2,3),
 (3203,1,283,1,'Pacifiphor Annual Audit 2010','GloboCorp wiki project.',1,'2009-02-28 00:00:00',1,1,649295.00,'2009-03-03 00:00:00',95,1,3),
 (3204,1,283,1,'Parasource.com Time Tracking application','GloboCorp microsite project.',2,'2009-02-03 00:00:00',2,2,339701.00,'2009-03-03 00:00:00',95,2,9),
 (3205,1,283,1,'Westridium wiki','GloboCorp ecommerce project.',2,'2009-01-22 00:00:00',2,2,871546.00,'2009-03-10 00:00:00',95,2,8),
 (3206,1,283,1,'Soleccorp website','GloboCorp ecommerce project.',2,'2009-01-26 00:00:00',2,2,139249.00,'2009-03-10 00:00:00',95,2,1),
 (3207,1,283,1,'Airmerica IM application','GloboCorp portal project.',1,'2009-01-21 00:00:00',1,1,274741.00,'2009-03-17 00:00:00',95,1,5),
 (3208,1,283,1,'Intraura wiki','GloboCorp portal project.',1,'2009-01-31 00:00:00',1,1,138962.00,'2009-03-17 00:00:00',95,1,2),
 (3209,1,283,1,'Quinvalu Single sign-on initiative','GloboCorp website project.',1,'2009-01-11 00:00:00',1,1,122309.00,'2009-03-24 00:00:00',95,1,2),
 (3210,1,283,1,'Opengraph Company internet','GloboCorp ecommerce project.',2,'2009-01-30 00:00:00',2,2,386420.00,'2009-03-24 00:00:00',95,2,9),
 (3211,1,283,1,'Cyphertegra Team-building portal','GloboCorp microsite project.',2,'2009-02-11 00:00:00',2,2,282412.00,'2009-03-31 00:00:00',95,2,2),
 (3212,1,283,1,'Ultrafab Project wiki','GloboCorp CMS project.',1,'2009-02-02 00:00:00',1,1,676352.00,'2009-03-31 00:00:00',95,1,7),
 (3213,1,283,1,'Keygraph Company Benefits portal','GloboCorp CMS project.',1,'2009-02-12 00:00:00',1,1,690447.00,'2009-04-07 00:00:00',95,1,5),
 (3214,1,283,1,'Fibronix IM application','GloboCorp portal project.',1,'2009-01-19 00:00:00',1,1,232206.00,'2009-04-07 00:00:00',95,1,5),
 (3215,1,283,1,'US Turbolinear Project wiki','Employee portal for intranet',1,'2009-01-01 00:00:00',1,1,165416.00,'2009-04-14 00:00:00',95,1,3),
 (3216,1,283,1,'iCeleage Back office integration','GloboCorp intranet project.',2,'2009-01-16 00:00:00',2,2,320281.00,'2009-04-14 00:00:00',95,2,4),
 (3217,1,283,1,'Genlanza ecommerce','Annual Audit of application code across the organization',1,'2009-01-09 00:00:00',1,1,138286.00,'2009-04-21 00:00:00',95,1,9),
 (3218,1,283,1,'Maxtomic Project wiki','GloboCorp wiki project.',1,'2009-02-26 00:00:00',1,1,706688.00,'2009-04-21 00:00:00',95,1,7),
 (3219,1,283,1,'Thermocom Team-building portal','Financial Reporting portal',2,'2009-01-04 00:00:00',1,2,253637.00,'2009-04-28 00:00:00',95,2,3),
 (3220,1,283,1,'Cyberlectric Marketing Collateral application','Back office integration for accounting and finance',1,'2009-01-07 00:00:00',1,1,559667.00,'2009-04-28 00:00:00',95,1,5),
 (3221,1,283,1,'Rotopak Company Benefits portal','Decision Support System',1,'2009-01-03 00:00:00',1,1,339816.00,'2009-05-05 00:00:00',95,1,3),
 (3222,1,283,1,'UltraNetfab IM application','GloboCorp portal project.',1,'2009-01-17 00:00:00',1,1,338608.00,'2009-05-05 00:00:00',95,1,5),
 (3223,1,283,1,'Rapiway intranet','GloboCorp CMS project.',1,'2009-02-02 00:00:00',1,1,160356.00,'2009-05-12 00:00:00',95,1,7),
 (3224,1,283,1,'US Costmat microsite','GloboCorp portal project.',1,'2009-01-31 00:00:00',1,1,541368.00,'2009-05-12 00:00:00',95,1,2),
 (3225,1,283,1,'Motoicon ecommerce','Annual Audit of application code across the organization',1,'2009-01-09 00:00:00',1,1,669000.00,'2009-05-19 00:00:00',95,1,9),
 (3226,1,283,1,'Genlog Human Resources Review application','Project wiki',2,'2009-01-02 00:00:00',1,2,125768.00,'2009-05-19 00:00:00',95,2,3),
 (3227,1,283,1,'Soleccorp Help Desk application','Annual Audit of application code across the organization',2,'2009-01-06 00:00:00',2,2,148495.00,'2009-05-26 00:00:00',95,2,5),
 (3228,1,283,1,'Nuserve IM application','GloboCorp wiki project.',1,'2009-02-20 00:00:00',1,1,818758.00,'2009-05-26 00:00:00',95,1,8),
 (3229,1,283,1,'Titanion wiki','Application to automate employee review process',2,'2009-01-10 00:00:00',2,2,490759.00,'2009-06-02 00:00:00',95,2,4),
 (3230,1,283,1,'Softcent Company internet','Application to track outside sales',1,'2009-01-09 00:00:00',1,1,148784.00,'2009-06-02 00:00:00',95,1,3),
 (3231,1,283,1,'Sysmatix IM application','Web mail application',1,'2009-01-03 00:00:00',1,1,163266.00,'2009-06-09 00:00:00',95,1,3),
 (3232,1,283,1,'Unipartners website','GloboCorp microsite project.',2,'2009-02-03 00:00:00',2,2,226786.00,'2009-06-09 00:00:00',95,2,9),
 (3233,1,283,1,'Texridic bug tracking site','Back office integration for accounting and finance',1,'2009-01-07 00:00:00',1,1,131626.00,'2009-06-16 00:00:00',95,1,5),
 (3234,1,283,1,'Costistrix Company internet','Project wiki',2,'2009-01-02 00:00:00',1,2,457963.00,'2009-06-16 00:00:00',95,2,3),
 (3235,1,283,1,'Tektron Company internet','Annual Audit of application code across the organization',2,'2009-01-08 00:00:00',2,2,844139.00,'2009-06-23 00:00:00',95,2,7),
 (3236,1,283,1,'Teletronik.com CMS','GloboCorp microsite project.',2,'2009-02-05 00:00:00',2,2,244969.00,'2009-06-23 00:00:00',95,2,4),
 (3237,1,283,1,'Aerstate Help Desk application','Annual Audit of application code across the organization',2,'2009-01-08 00:00:00',2,2,130019.00,'2009-06-30 00:00:00',95,2,7),
 (3238,1,283,1,'Sysline Back office integration','GloboCorp ecommerce project.',2,'2009-01-20 00:00:00',2,2,998676.00,'2009-06-30 00:00:00',95,2,5),
 (3239,1,283,1,'eRotoway ecommerce','GloboCorp wiki project.',1,'2009-03-02 00:00:00',1,1,782261.00,'2009-07-07 00:00:00',95,1,6),
 (3240,1,283,1,'Pacifiphor Single sign-on initiative','Back office integration for accounting and finance',1,'2009-01-07 00:00:00',1,1,735901.00,'2009-07-07 00:00:00',95,1,5),
 (3241,1,283,1,'Apfarb Employee portal v1.0','Decision Support System',1,'2009-01-03 00:00:00',1,1,304104.00,'2009-07-14 00:00:00',95,1,3),
 (3242,1,283,1,'Hyperridium Company internet','Company internet',2,'2009-01-02 00:00:00',2,2,832725.00,'2009-07-14 00:00:00',95,2,6),
 (3243,1,283,1,'Cyphertegra Company Benefits portal','Annual Audit of application code across the organization',2,'2009-01-06 00:00:00',2,2,964080.00,'2009-07-21 00:00:00',95,2,5),
 (3244,1,283,1,'Opengraph Financial Reporting portal','GloboCorp microsite project.',2,'2009-02-05 00:00:00',2,2,192590.00,'2009-07-21 00:00:00',95,2,4),
 (3245,1,283,1,'eRotoway Company Benefits portal','Annual Audit of application code across the organization',1,'2009-01-11 00:00:00',1,1,871273.00,'2009-07-28 00:00:00',96,1,5),
 (3246,1,283,1,'Opengraph website','GloboCorp wiki project.',1,'2009-02-18 00:00:00',1,1,373365.00,'2009-07-28 00:00:00',95,1,4),
 (3247,1,283,1,'XeRotodic Human Resources Review application','GloboCorp microsite project.',2,'2009-02-03 00:00:00',2,2,949245.00,'2009-08-04 00:00:00',95,2,9),
 (3248,1,283,1,'Softcom.com website','GloboCorp CMS project.',1,'2009-02-08 00:00:00',1,1,957678.00,'2009-08-04 00:00:00',95,1,7),
 (3249,1,283,1,'Thermonuclear Human Resources Review application','GloboCorp bug tracking site project.',2,'2009-02-27 00:00:00',2,2,140440.00,'2009-08-11 00:00:00',95,2,3),
 (3250,1,283,1,'Pacifiphor Company Benefits portal','GloboCorp CMS project.',1,'2009-02-10 00:00:00',1,1,874979.00,'2009-08-11 00:00:00',95,1,4),
 (3251,1,283,1,'Metaserve Annual Audit 2010','GloboCorp website project.',1,'2009-01-13 00:00:00',1,1,999352.00,'2009-08-18 00:00:00',95,1,4),
 (3252,1,283,1,'Pacifiphor bug tracking site','Annual Audit of application code across the organization',2,'2009-01-06 00:00:00',2,2,203658.00,'2009-08-18 00:00:00',95,2,5),
 (3253,1,283,1,'Autocast portal','Back office integration for accounting and finance',1,'2009-01-07 00:00:00',1,1,848499.00,'2009-08-25 00:00:00',95,1,5),
 (3254,1,283,1,'Metaserve CMS','RFP application to automate prospective client proposal request',2,'2009-01-06 00:00:00',2,2,132710.00,'2009-08-25 00:00:00',95,2,1),
 (3255,1,283,1,'Tektron intranet','GloboCorp wiki project.',1,'2009-02-20 00:00:00',1,1,287077.00,'2009-09-01 00:00:00',95,1,8),
 (3256,1,283,1,'Nettheon Human Resources Review application','GloboCorp bug tracking site project.',2,'2009-02-27 00:00:00',2,2,850950.00,'2009-09-01 00:00:00',95,2,3),
 (3257,1,283,1,'TeknoViapartners CMS integration','GloboCorp CMS project.',1,'2009-02-14 00:00:00',1,1,175866.00,'2009-09-08 00:00:00',95,1,6),
 (3258,1,283,1,'Aerstate bug tracking site','GloboCorp wiki project.',1,'2009-02-28 00:00:00',1,1,991987.00,'2009-09-08 00:00:00',95,1,3),
 (3259,1,283,1,'Costistrix RFP application','Employee portal for intranet',1,'2009-01-01 00:00:00',1,1,132029.00,'2009-09-15 00:00:00',95,1,3),
 (3260,1,283,1,'US Cyclovalu Financial Reporting portal','GloboCorp portal project.',1,'2009-01-27 00:00:00',1,1,578657.00,'2009-09-15 00:00:00',95,1,7),
 (3261,1,283,1,'Tektron intranet','GloboCorp wiki project.',1,'2009-02-28 00:00:00',1,1,231824.00,'2009-09-22 00:00:00',95,1,3),
 (3262,1,283,1,'US Maxtiqua Project wiki','Marketing Collateral application',1,'2009-01-03 00:00:00',1,1,141649.00,'2009-09-22 00:00:00',95,1,3),
 (3263,1,283,1,'Cyberrama Single sign-on initiative','Back office integration for accounting and finance',1,'2009-01-07 00:00:00',1,1,446988.00,'2009-09-29 00:00:00',95,1,5),
 (3264,1,283,1,'SteganoPacPacifidisco RFP application','GloboCorp ecommerce project.',2,'2009-01-22 00:00:00',2,2,342930.00,'2009-09-29 00:00:00',95,2,8),
 (3265,1,283,1,'Fibronix website','GloboCorp bug tracking site project.',2,'2009-02-23 00:00:00',2,2,169069.00,'2009-10-06 00:00:00',95,2,7),
 (3266,1,283,1,'Softcent bug tracking site','Annual Audit of application code across the organization',1,'2009-01-05 00:00:00',1,1,359033.00,'2009-10-06 00:00:00',95,1,9),
 (3267,1,283,1,'US Quinrad portal','GloboCorp CMS project.',1,'2009-02-12 00:00:00',1,1,216168.00,'2009-10-13 00:00:00',95,1,5),
 (3268,1,283,1,'Rotopak Sales Tracking application','GloboCorp ecommerce project.',2,'2009-01-28 00:00:00',2,2,558710.00,'2009-10-13 00:00:00',95,2,9),
 (3269,1,283,1,'US Quinrad Decision Support System','Project wiki',2,'2009-01-02 00:00:00',1,2,793062.00,'2009-10-20 00:00:00',95,2,3),
 (3270,1,283,1,'eInfohacker IM application','Company internet',2,'2009-01-02 00:00:00',2,2,972092.00,'2009-10-20 00:00:00',95,2,6),
 (3271,1,283,1,'ApSoftEnttiqua Marketing Collateral application','GloboCorp bug tracking site project.',2,'2009-02-25 00:00:00',2,2,932644.00,'2009-10-27 00:00:00',95,2,7),
 (3272,1,283,1,'Eyetel Time Tracking application','GloboCorp ecommerce project.',2,'2009-01-30 00:00:00',2,2,642184.00,'2009-10-27 00:00:00',95,2,9),
 (3273,1,283,1,'Autocast Employee portal v1.0','Annual Audit of application code across the organization',1,'2009-01-05 00:00:00',1,1,597744.00,'2009-11-03 00:00:00',95,1,3),
 (3274,1,283,1,'iCeleage IM application','Intranet messaging application',2,'2009-01-04 00:00:00',1,2,915018.00,'2009-11-03 00:00:00',95,2,3),
 (3275,1,283,1,'Titanion website','GloboCorp portal project.',1,'2009-01-23 00:00:00',1,1,914430.00,'2009-11-10 00:00:00',95,1,5),
 (3276,1,283,1,'Nanocom Time Tracking application','Help Desk application',1,'2009-01-01 00:00:00',1,1,994922.00,'2009-11-10 00:00:00',95,1,3),
 (3277,1,283,1,'Costistrix ecommerce','Application to automate employee review process',2,'2009-01-10 00:00:00',2,2,225837.00,'2009-11-17 00:00:00',95,2,4),
 (3278,1,283,1,'UltraNetfab Project wiki','GloboCorp intranet project.',2,'2009-01-12 00:00:00',2,2,422450.00,'2009-11-17 00:00:00',95,2,2),
 (3279,1,283,1,'Texridic Marketing Collateral application','Annual Audit of application code across the organization',1,'2009-01-05 00:00:00',1,1,989513.00,'2009-11-24 00:00:00',95,1,9),
 (3280,1,283,1,'Sysline Time Tracking application','Time tracking application for organization',1,'2009-01-05 00:00:00',1,1,314685.00,'2009-11-24 00:00:00',95,1,9),
 (3281,1,283,1,'eInfohacker microsite','GloboCorp portal project.',1,'2009-01-21 00:00:00',1,1,982789.00,'2009-12-01 00:00:00',95,1,5),
 (3282,1,283,1,'Solscope Marketing Collateral application','GloboCorp microsite project.',2,'2009-02-09 00:00:00',2,2,238515.00,'2009-12-01 00:00:00',95,2,3),
 (3283,1,283,1,'Tekcorp Team-building portal','GloboCorp wiki project.',1,'2009-02-18 00:00:00',1,1,188753.00,'2009-12-08 00:00:00',95,1,4),
 (3284,1,283,1,'US SiliCryptoix microsite','Company internet',2,'2009-01-02 00:00:00',2,2,344854.00,'2009-12-08 00:00:00',95,2,6),
 (3285,1,283,1,'Airmerica Company Benefits portal','GloboCorp website project.',1,'2009-01-11 00:00:00',1,1,709824.00,'2009-12-15 00:00:00',95,1,2),
 (3286,1,283,1,'UltraNetfab Employee portal v1.0','GloboCorp CMS project.',1,'2009-02-16 00:00:00',1,1,850751.00,'2009-12-15 00:00:00',95,1,9),
 (3287,1,283,1,'UltraNetfab Help Desk application','GloboCorp intranet project.',2,'2009-01-12 00:00:00',2,2,222978.00,'2009-12-22 00:00:00',95,2,2),
 (3288,1,283,1,'Ultravalu Back office integration','Annual Audit of application code across the organization',1,'2009-01-11 00:00:00',1,1,867774.00,'2009-12-22 00:00:00',96,1,5),
 (3289,1,283,1,'ApSoftEnttiqua Single sign-on initiative','GloboCorp portal project.',1,'2009-01-23 00:00:00',1,1,833944.00,'2009-12-29 00:00:00',95,1,5),
 (3290,1,283,1,'Parasource.com wiki','Annual Audit of application code across the organization',1,'2009-01-07 00:00:00',1,1,714781.00,'2009-12-29 00:00:00',96,1,8),
 (3291,1,284,1,'Apamerica website','GloboCorp ecommerce project.',2,'2009-01-30 00:00:00',2,2,328133.00,'2009-01-06 00:00:00',95,2,9),
 (3292,1,284,1,'Ultrafab Human Resources Review application','Annual Audit of application code across the organization',1,'2009-01-03 00:00:00',1,1,132026.00,'2009-01-06 00:00:00',96,1,7),
 (3293,1,284,1,'Thermocom Company Benefits portal','Company internet',2,'2009-01-02 00:00:00',2,2,176663.00,'2009-01-13 00:00:00',95,2,6),
 (3294,1,284,1,'Cyberlectric Human Resources Review application','Annual Audit of application code across the organization',2,'2009-01-04 00:00:00',2,2,891269.00,'2009-01-13 00:00:00',95,2,8),
 (3295,1,284,1,'Ultravalu Company internet','GloboCorp portal project.',1,'2009-01-31 00:00:00',1,1,119542.00,'2009-01-20 00:00:00',95,1,2),
 (3296,1,284,1,'Soncal Team-building portal','Annual Audit of application code across the organization',1,'2009-01-07 00:00:00',1,1,970386.00,'2009-01-20 00:00:00',96,1,8),
 (3297,1,284,1,'Xegate ecommerce','GloboCorp CMS project.',1,'2009-02-12 00:00:00',1,1,138257.00,'2009-01-27 00:00:00',95,1,5),
 (3298,1,284,1,'Westridium CMS integration','GloboCorp CMS project.',1,'2009-02-04 00:00:00',1,1,160859.00,'2009-01-27 00:00:00',95,1,5),
 (3299,1,284,1,'Datasource Decision Support System','Financial Reporting portal',2,'2009-01-04 00:00:00',1,2,495718.00,'2009-02-03 00:00:00',95,2,3),
 (3300,1,284,1,'Xegate Marketing Collateral application','Help Desk application',1,'2009-01-01 00:00:00',1,1,999469.00,'2009-02-03 00:00:00',95,1,3),
 (3301,1,284,1,'eInmarcs IM application','Legacy CMS integration for Marketing group',2,'2009-01-08 00:00:00',2,2,947846.00,'2009-02-10 00:00:00',95,2,8),
 (3302,1,284,1,'Uniair Company internet','GloboCorp bug tracking site project.',2,'2009-02-27 00:00:00',2,2,954015.00,'2009-02-10 00:00:00',95,2,3),
 (3303,1,284,1,'Texridic ecommerce','Help Desk application',1,'2009-01-01 00:00:00',1,1,901582.00,'2009-02-17 00:00:00',95,1,3),
 (3304,1,284,1,'iNetnetic Help Desk application','GloboCorp portal project.',1,'2009-01-27 00:00:00',1,1,972891.00,'2009-02-17 00:00:00',95,1,7),
 (3305,1,284,1,'Titaniridium bug tracking site','GloboCorp wiki project.',1,'2009-03-04 00:00:00',1,1,174157.00,'2009-02-24 00:00:00',95,1,5),
 (3306,1,284,1,'Theolog Project wiki','GloboCorp bug tracking site project.',2,'2009-03-03 00:00:00',2,2,122876.00,'2009-02-24 00:00:00',95,2,4),
 (3307,1,284,1,'Nettheon Sales Tracking application','Annual Audit of application code across the organization',2,'2009-01-02 00:00:00',2,2,629184.00,'2009-03-03 00:00:00',95,2,6),
 (3308,1,284,1,'Cybersouth website','GloboCorp bug tracking site project.',2,'2009-02-21 00:00:00',2,2,558198.00,'2009-03-03 00:00:00',95,2,3),
 (3309,1,284,1,'Thermolog Annual Audit 2010','GloboCorp bug tracking site project.',2,'2009-03-03 00:00:00',2,2,339985.00,'2009-03-10 00:00:00',95,2,4),
 (3310,1,284,1,'Rapiway ecommerce','GloboCorp CMS project.',1,'2009-02-14 00:00:00',1,1,368745.00,'2009-03-10 00:00:00',95,1,6),
 (3311,1,284,1,'US Costmat Team-building portal','Application to track outside sales',1,'2009-01-09 00:00:00',1,1,960376.00,'2009-03-17 00:00:00',95,1,3),
 (3312,1,284,1,'Datasource Employee portal v1.0','GloboCorp ecommerce project.',2,'2009-01-26 00:00:00',2,2,144825.00,'2009-03-17 00:00:00',95,2,1),
 (3313,1,284,1,'US Maxtiqua Team-building portal','Annual Audit of application code across the organization',2,'2009-01-06 00:00:00',2,2,349486.00,'2009-03-24 00:00:00',95,2,5),
 (3314,1,284,1,'Solscope Project wiki','Annual Audit of application code across the organization',1,'2009-01-05 00:00:00',1,1,313210.00,'2009-03-24 00:00:00',95,1,3),
 (3315,1,284,1,'Soleccorp Sales Tracking application','Project wiki',2,'2009-01-02 00:00:00',1,2,239762.00,'2009-03-31 00:00:00',95,2,3),
 (3316,1,284,1,'SteganoPacPacifidisco Annual Audit 2010','Marketing Collateral application',1,'2009-01-03 00:00:00',1,1,504738.00,'2009-03-31 00:00:00',95,1,3),
 (3317,1,284,1,'Solscope Company Benefits portal','GloboCorp wiki project.',1,'2009-02-18 00:00:00',1,1,122919.00,'2009-04-07 00:00:00',95,1,4),
 (3318,1,284,1,'Solscope CMS','GloboCorp microsite project.',2,'2009-02-17 00:00:00',2,2,828587.00,'2009-04-07 00:00:00',95,2,2),
 (3319,1,284,1,'Thermocom RFP application','GloboCorp wiki project.',1,'2009-02-20 00:00:00',1,1,337548.00,'2009-04-14 00:00:00',95,1,8),
 (3320,1,284,1,'Genlog CMS','GloboCorp CMS project.',1,'2009-02-02 00:00:00',1,1,500351.00,'2009-04-14 00:00:00',95,1,7),
 (3321,1,284,1,'Rapiway Back office integration','GloboCorp CMS project.',1,'2009-02-10 00:00:00',1,1,966608.00,'2009-04-21 00:00:00',95,1,4),
 (3322,1,284,1,'Pacmaxa Sales Tracking application','GloboCorp CMS project.',1,'2009-02-10 00:00:00',1,1,961492.00,'2009-04-21 00:00:00',95,1,4),
 (3323,1,284,1,'Ultravalu RFP application','Annual Audit of application code across the organization',2,'2009-01-02 00:00:00',2,2,201959.00,'2009-04-28 00:00:00',95,2,6),
 (3324,1,284,1,'Parasource.com wiki','GloboCorp portal project.',1,'2009-01-17 00:00:00',1,1,606170.00,'2009-04-28 00:00:00',95,1,5),
 (3325,1,284,1,'Autocast portal','GloboCorp portal project.',1,'2009-01-25 00:00:00',1,1,142716.00,'2009-05-05 00:00:00',95,1,4),
 (3326,1,284,1,'Safephor RFP application','GloboCorp intranet project.',2,'2009-01-12 00:00:00',2,2,697710.00,'2009-05-05 00:00:00',95,2,2),
 (3327,1,284,1,'Safephor microsite','GloboCorp portal project.',1,'2009-01-19 00:00:00',1,1,337763.00,'2009-05-12 00:00:00',95,1,5),
 (3328,1,284,1,'Costat Help Desk application','GloboCorp CMS project.',1,'2009-02-04 00:00:00',1,1,180493.00,'2009-05-12 00:00:00',95,1,5),
 (3329,1,284,1,'Sysline Time Tracking application','GloboCorp CMS project.',1,'2009-02-12 00:00:00',1,1,197331.00,'2009-05-19 00:00:00',95,1,5),
 (3330,1,284,1,'Apfarb ecommerce','GloboCorp portal project.',1,'2009-01-19 00:00:00',1,1,919698.00,'2009-05-19 00:00:00',95,1,5),
 (3331,1,284,1,'Celphor wiki','GloboCorp CMS project.',1,'2009-02-12 00:00:00',1,1,902682.00,'2009-05-26 00:00:00',95,1,5),
 (3332,1,284,1,'Periweb bug tracking site','Employee portal for intranet',1,'2009-01-01 00:00:00',1,1,309944.00,'2009-05-26 00:00:00',95,1,3),
 (3333,1,284,1,'Ultravalu Company Benefits portal','GloboCorp microsite project.',2,'2009-02-11 00:00:00',2,2,587751.00,'2009-06-02 00:00:00',95,2,2),
 (3334,1,284,1,'Apfarb Back office integration','GloboCorp wiki project.',1,'2009-03-04 00:00:00',1,1,970369.00,'2009-06-02 00:00:00',95,1,5),
 (3335,1,284,1,'US Cryptocom wiki','GloboCorp wiki project.',1,'2009-03-04 00:00:00',1,1,241288.00,'2009-06-09 00:00:00',95,1,5),
 (3336,1,284,1,'Yoyoic CMS integration','Application to automate employee review process',2,'2009-01-10 00:00:00',2,2,123395.00,'2009-06-09 00:00:00',95,2,4),
 (3337,1,284,1,'Uniair CMS integration','Financial Reporting portal',2,'2009-01-04 00:00:00',1,2,476409.00,'2009-06-16 00:00:00',95,2,3),
 (3338,1,284,1,'Rotopak Annual Audit 2010','GloboCorp ecommerce project.',2,'2009-01-22 00:00:00',2,2,436725.00,'2009-06-16 00:00:00',95,2,8),
 (3339,1,284,1,'Soleccorp IM application','GloboCorp CMS project.',1,'2009-02-14 00:00:00',1,1,185998.00,'2009-06-23 00:00:00',95,1,6),
 (3340,1,284,1,'Keygraph IM application','Back office integration for accounting and finance',1,'2009-01-07 00:00:00',1,1,992159.00,'2009-06-23 00:00:00',95,1,5),
 (3341,1,284,1,'Sysline Marketing Collateral application','Annual Audit of application code across the organization',2,'2009-01-08 00:00:00',2,2,135844.00,'2009-06-30 00:00:00',95,2,7),
 (3342,1,284,1,'Theolog Decision Support System','GloboCorp intranet project.',2,'2009-01-16 00:00:00',2,2,236488.00,'2009-06-30 00:00:00',95,2,4),
 (3343,1,284,1,'Keygraph Single sign-on initiative','Annual Audit of application code across the organization',2,'2009-01-08 00:00:00',2,2,893805.00,'2009-07-07 00:00:00',95,2,7),
 (3344,1,284,1,'US Lexalta Time Tracking application','Back office integration for accounting and finance',1,'2009-01-07 00:00:00',1,1,303848.00,'2009-07-07 00:00:00',95,1,5),
 (3345,1,284,1,'Nettheon Project wiki','GloboCorp CMS project.',1,'2009-02-10 00:00:00',1,1,662610.00,'2009-07-14 00:00:00',95,1,4),
 (3346,1,284,1,'Quinvalu IM application','GloboCorp ecommerce project.',2,'2009-01-22 00:00:00',2,2,168103.00,'2009-07-14 00:00:00',95,2,8),
 (3347,1,284,1,'Entnuclear CMS','GloboCorp portal project.',1,'2009-01-21 00:00:00',1,1,724641.00,'2009-07-21 00:00:00',95,1,5),
 (3348,1,284,1,'iCeleage bug tracking site','GloboCorp bug tracking site project.',2,'2009-03-01 00:00:00',2,2,534277.00,'2009-07-21 00:00:00',95,2,7),
 (3349,1,284,1,'Teramart website','GloboCorp ecommerce project.',2,'2009-01-20 00:00:00',2,2,946012.00,'2009-07-28 00:00:00',95,2,5),
 (3350,1,284,1,'US Costmat intranet','GloboCorp intranet project.',2,'2009-01-14 00:00:00',2,2,831519.00,'2009-07-28 00:00:00',95,2,4),
 (3351,1,284,1,'MicroTekbyte Team-building portal','Intranet messaging application',2,'2009-01-04 00:00:00',1,2,117262.00,'2009-08-04 00:00:00',95,2,3),
 (3352,1,284,1,'US Costmat intranet','RFP application to automate prospective client proposal request',2,'2009-01-06 00:00:00',2,2,493241.00,'2009-08-04 00:00:00',95,2,1),
 (3353,1,284,1,'Ultrafab portal','Company internet',2,'2009-01-02 00:00:00',2,2,403611.00,'2009-08-11 00:00:00',95,2,6),
 (3354,1,284,1,'Thermonuclear Help Desk application','RFP application to automate prospective client proposal request',2,'2009-01-06 00:00:00',2,2,129706.00,'2009-08-11 00:00:00',95,2,1),
 (3355,1,284,1,'US SiliCryptoix bug tracking site','GloboCorp intranet project.',2,'2009-01-16 00:00:00',2,2,464155.00,'2009-08-18 00:00:00',95,2,4),
 (3356,1,284,1,'Cyberrama wiki','GloboCorp portal project.',1,'2009-01-31 00:00:00',1,1,127662.00,'2009-08-18 00:00:00',95,1,2),
 (3357,1,284,1,'Teletronik.com Company internet','Company internet',2,'2009-01-02 00:00:00',2,2,415667.00,'2009-08-25 00:00:00',95,2,6),
 (3358,1,284,1,'Nettheon Project wiki','RFP application to automate prospective client proposal request',2,'2009-01-06 00:00:00',2,2,121546.00,'2009-08-25 00:00:00',95,2,1),
 (3359,1,284,1,'Fibronix CMS integration','GloboCorp ecommerce project.',2,'2009-01-22 00:00:00',2,2,145359.00,'2009-09-01 00:00:00',95,2,8),
 (3360,1,284,1,'US Quinrad ecommerce','GloboCorp wiki project.',1,'2009-02-18 00:00:00',1,1,169160.00,'2009-09-01 00:00:00',95,1,4),
 (3361,1,284,1,'US Lexalta bug tracking site','GloboCorp bug tracking site project.',2,'2009-02-25 00:00:00',2,2,764020.00,'2009-09-08 00:00:00',95,2,7),
 (3362,1,284,1,'Quinvalu Company internet','GloboCorp portal project.',1,'2009-01-19 00:00:00',1,1,505305.00,'2009-09-08 00:00:00',95,1,5),
 (3363,1,284,1,'Xegate portal','GloboCorp microsite project.',2,'2009-02-17 00:00:00',2,2,918069.00,'2009-09-15 00:00:00',95,2,2),
 (3364,1,284,1,'eInfohacker CMS','Annual Audit of application code across the organization',1,'2009-01-09 00:00:00',1,1,914874.00,'2009-09-15 00:00:00',95,1,9),
 (3365,1,284,1,'Cyberrama ecommerce','Annual Audit of application code across the organization',1,'2009-01-05 00:00:00',1,1,371914.00,'2009-09-22 00:00:00',95,1,9),
 (3366,1,284,1,'SysSoltanium Human Resources Review application','GloboCorp wiki project.',1,'2009-02-26 00:00:00',1,1,932400.00,'2009-09-22 00:00:00',95,1,7),
 (3367,1,284,1,'Intraura Marketing Collateral application','Annual Audit of application code across the organization',1,'2009-01-05 00:00:00',1,1,184213.00,'2009-09-29 00:00:00',95,1,9),
 (3368,1,284,1,'Solscope Financial Reporting portal','Annual Audit of application code across the organization',2,'2009-01-06 00:00:00',2,2,751004.00,'2009-09-29 00:00:00',95,2,5),
 (3369,1,284,1,'Celphor intranet','GloboCorp ecommerce project.',2,'2009-01-22 00:00:00',2,2,779913.00,'2009-10-06 00:00:00',95,2,8),
 (3370,1,284,1,'Motoicon Marketing Collateral application','Annual Audit of application code across the organization',1,'2009-01-11 00:00:00',1,1,183944.00,'2009-10-06 00:00:00',96,1,5),
 (3371,1,284,1,'Cyberlectric Sales Tracking application','GloboCorp microsite project.',2,'2009-02-09 00:00:00',2,2,725857.00,'2009-10-13 00:00:00',95,2,3),
 (3372,1,284,1,'US Quinrad IM application','GloboCorp portal project.',1,'2009-01-25 00:00:00',1,1,197793.00,'2009-10-13 00:00:00',95,1,4),
 (3373,1,284,1,'Genlog Company internet','GloboCorp ecommerce project.',2,'2009-01-24 00:00:00',2,2,969874.00,'2009-10-20 00:00:00',95,2,5),
 (3374,1,284,1,'Tektron Team-building portal','GloboCorp CMS project.',1,'2009-02-14 00:00:00',1,1,717620.00,'2009-10-20 00:00:00',95,1,6),
 (3375,1,284,1,'Pacifiphor Help Desk application','GloboCorp ecommerce project.',2,'2009-01-30 00:00:00',2,2,188292.00,'2009-10-27 00:00:00',95,2,9),
 (3376,1,284,1,'Softcom.com Team-building portal','GloboCorp CMS project.',1,'2009-02-10 00:00:00',1,1,389544.00,'2009-10-27 00:00:00',95,1,4),
 (3377,1,284,1,'Xegate Marketing Collateral application','GloboCorp CMS project.',1,'2009-02-16 00:00:00',1,1,263704.00,'2009-11-03 00:00:00',95,1,9),
 (3378,1,284,1,'Mapdant Help Desk application','Application to track outside sales',1,'2009-01-09 00:00:00',1,1,998045.00,'2009-11-03 00:00:00',95,1,3),
 (3379,1,284,1,'UltraNetfab IM application','GloboCorp bug tracking site project.',2,'2009-02-21 00:00:00',2,2,947221.00,'2009-11-10 00:00:00',95,2,3),
 (3380,1,284,1,'Navipaq Sales Tracking application','GloboCorp microsite project.',2,'2009-02-17 00:00:00',2,2,207951.00,'2009-11-10 00:00:00',95,2,2),
 (3381,1,284,1,'Teletronik.com bug tracking site','GloboCorp microsite project.',2,'2009-02-07 00:00:00',2,2,222471.00,'2009-11-17 00:00:00',95,2,5),
 (3382,1,284,1,'Cyphertegra Human Resources Review application','Annual Audit of application code across the organization',1,'2009-01-05 00:00:00',1,1,833548.00,'2009-11-17 00:00:00',95,1,3),
 (3383,1,284,1,'Costistrix ecommerce','Annual Audit of application code across the organization',2,'2009-01-10 00:00:00',2,2,273458.00,'2009-11-24 00:00:00',95,2,2),
 (3384,1,284,1,'XeRotodic Team-building portal','GloboCorp website project.',1,'2009-01-13 00:00:00',1,1,287535.00,'2009-11-24 00:00:00',95,1,4),
 (3385,1,284,1,'Teramart IM application','Help Desk application',1,'2009-01-01 00:00:00',1,1,798589.00,'2009-12-01 00:00:00',95,1,3),
 (3386,1,284,1,'Tektron website','Legacy CMS integration for Marketing group',2,'2009-01-08 00:00:00',2,2,994158.00,'2009-12-01 00:00:00',95,2,8),
 (3387,1,284,1,'Eyetel Company internet','GloboCorp portal project.',1,'2009-01-29 00:00:00',1,1,493610.00,'2009-12-08 00:00:00',95,1,4),
 (3388,1,284,1,'Teletronik.com Single sign-on initiative','Help Desk application',1,'2009-01-01 00:00:00',1,1,722308.00,'2009-12-08 00:00:00',95,1,3),
 (3389,1,284,1,'Infracenta bug tracking site','Marketing Collateral application',1,'2009-01-03 00:00:00',1,1,999950.00,'2009-12-15 00:00:00',95,1,3),
 (3390,1,284,1,'eAnthrolan Help Desk application','GloboCorp ecommerce project.',2,'2009-01-18 00:00:00',2,2,687013.00,'2009-12-15 00:00:00',95,2,6),
 (3391,1,284,1,'Safephor microsite','Annual Audit of application code across the organization',1,'2009-01-05 00:00:00',1,1,327227.00,'2009-12-22 00:00:00',95,1,3),
 (3392,1,284,1,'Ultravalu Marketing Collateral application','GloboCorp CMS project.',1,'2009-02-04 00:00:00',1,1,239471.00,'2009-12-22 00:00:00',95,1,5),
 (3393,1,284,1,'Theolog IM application','GloboCorp bug tracking site project.',2,'2009-02-25 00:00:00',2,2,673797.00,'2009-12-29 00:00:00',95,2,7),
 (3394,1,284,1,'iCeleage Annual Audit 2010','GloboCorp CMS project.',1,'2009-02-16 00:00:00',1,1,277412.00,'2009-12-29 00:00:00',95,1,9),
 (3395,1,285,1,'Infracenta Decision Support System','GloboCorp bug tracking site project.',2,'2009-03-03 00:00:00',2,2,213614.00,'2009-01-06 00:00:00',95,2,4),
 (3396,1,285,1,'Solscope portal','Project wiki',2,'2009-01-02 00:00:00',1,2,957028.00,'2009-01-06 00:00:00',95,2,3),
 (3397,1,285,1,'Synconich Decision Support System','GloboCorp CMS project.',1,'2009-02-06 00:00:00',1,1,249385.00,'2009-01-13 00:00:00',95,1,7),
 (3398,1,285,1,'Cyberrama CMS','GloboCorp portal project.',1,'2009-01-31 00:00:00',1,1,940152.00,'2009-01-13 00:00:00',95,1,2),
 (3399,1,285,1,'Thermolog website','GloboCorp bug tracking site project.',2,'2009-02-25 00:00:00',2,2,784346.00,'2009-01-20 00:00:00',95,2,7),
 (3400,1,285,1,'Intraura CMS integration','GloboCorp intranet project.',2,'2009-01-16 00:00:00',2,2,935601.00,'2009-01-20 00:00:00',95,2,4),
 (3401,1,285,1,'Keygraph intranet','GloboCorp bug tracking site project.',2,'2009-02-25 00:00:00',2,2,389532.00,'2009-01-27 00:00:00',95,2,7),
 (3402,1,285,1,'Sysmatix RFP application','GloboCorp wiki project.',1,'2009-02-24 00:00:00',1,1,308738.00,'2009-01-27 00:00:00',95,1,6),
 (3403,1,285,1,'Cyphertegra Project wiki','Team-building portal for intranet',1,'2009-01-03 00:00:00',1,1,163804.00,'2009-02-03 00:00:00',95,1,8),
 (3404,1,285,1,'Entnuclear intranet','GloboCorp wiki project.',1,'2009-02-22 00:00:00',1,1,122628.00,'2009-02-03 00:00:00',95,1,4),
 (3405,1,285,1,'Softscope Sales Tracking application','GloboCorp website project.',1,'2009-01-13 00:00:00',1,1,800672.00,'2009-02-10 00:00:00',95,1,4),
 (3406,1,285,1,'UltraNetfab Single sign-on initiative','GloboCorp portal project.',1,'2009-01-25 00:00:00',1,1,131496.00,'2009-02-10 00:00:00',95,1,4),
 (3407,1,285,1,'TeknoViapartners Company internet','GloboCorp microsite project.',2,'2009-02-09 00:00:00',2,2,212788.00,'2009-02-17 00:00:00',95,2,3),
 (3408,1,285,1,'Maxtomic RFP application','GloboCorp portal project.',1,'2009-01-17 00:00:00',1,1,711919.00,'2009-02-17 00:00:00',95,1,5),
 (3409,1,285,1,'Keygraph Single sign-on initiative','Back office integration for accounting and finance',1,'2009-01-07 00:00:00',1,1,152284.00,'2009-02-24 00:00:00',95,1,5),
 (3410,1,285,1,'Tekcorp bug tracking site','RFP application to automate prospective client proposal request',2,'2009-01-06 00:00:00',2,2,383206.00,'2009-02-24 00:00:00',95,2,1),
 (3411,1,285,1,'eInmarcs Team-building portal','GloboCorp wiki project.',1,'2009-02-22 00:00:00',1,1,772360.00,'2009-03-03 00:00:00',95,1,4),
 (3412,1,285,1,'Parasource.com Sales Tracking application','Annual Audit of application code across the organization',2,'2009-01-04 00:00:00',2,2,153022.00,'2009-03-03 00:00:00',95,2,8),
 (3413,1,285,1,'Costsouth wiki','GloboCorp wiki project.',1,'2009-03-02 00:00:00',1,1,384799.00,'2009-03-10 00:00:00',95,1,6),
 (3414,1,285,1,'Turboron IM application','Annual Audit of application code across the organization',2,'2009-01-02 00:00:00',2,2,138903.00,'2009-03-10 00:00:00',95,2,6),
 (3415,1,285,1,'US Cyclovalu CMS integration','GloboCorp portal project.',1,'2009-01-27 00:00:00',1,1,567578.00,'2009-03-17 00:00:00',95,1,7),
 (3416,1,285,1,'Utiliagra Help Desk application','GloboCorp bug tracking site project.',2,'2009-03-01 00:00:00',2,2,999997.00,'2009-03-17 00:00:00',95,2,7),
 (3417,1,285,1,'Rapiway Financial Reporting portal','Team-building portal for intranet',1,'2009-01-03 00:00:00',1,1,988597.00,'2009-03-24 00:00:00',95,1,8),
 (3418,1,285,1,'eInfohacker Annual Audit 2010','GloboCorp wiki project.',1,'2009-02-20 00:00:00',1,1,729978.00,'2009-03-24 00:00:00',95,1,8),
 (3419,1,285,1,'Callectrix Employee portal v1.0','GloboCorp intranet project.',2,'2009-01-16 00:00:00',2,2,148254.00,'2009-03-31 00:00:00',95,2,4),
 (3420,1,285,1,'Softscope portal','Project wiki',2,'2009-01-02 00:00:00',1,2,904665.00,'2009-03-31 00:00:00',95,2,3),
 (3421,1,285,1,'Solscope CMS','GloboCorp microsite project.',2,'2009-02-07 00:00:00',2,2,137890.00,'2009-04-07 00:00:00',95,2,5),
 (3422,1,285,1,'Entnuclear Decision Support System','GloboCorp wiki project.',1,'2009-02-24 00:00:00',1,1,851197.00,'2009-04-07 00:00:00',95,1,6),
 (3423,1,285,1,'US Cyclovalu Human Resources Review application','Annual Audit of application code across the organization',1,'2009-01-09 00:00:00',1,1,999618.00,'2009-04-14 00:00:00',95,1,9),
 (3424,1,285,1,'US Cryptocom Annual Audit 2010','GloboCorp bug tracking site project.',2,'2009-02-23 00:00:00',2,2,802183.00,'2009-04-14 00:00:00',95,2,7),
 (3425,1,285,1,'Teletronik.com Financial Reporting portal','GloboCorp intranet project.',2,'2009-01-12 00:00:00',2,2,210019.00,'2009-04-21 00:00:00',95,2,2),
 (3426,1,285,1,'Thermocom Decision Support System','GloboCorp wiki project.',1,'2009-02-20 00:00:00',1,1,875058.00,'2009-04-21 00:00:00',95,1,8),
 (3427,1,285,1,'Safephor ecommerce','GloboCorp CMS project.',1,'2009-02-02 00:00:00',1,1,999148.00,'2009-04-28 00:00:00',95,1,7),
 (3428,1,285,1,'Sysline Annual Audit 2010','Company benefits portal for intranet',2,'2009-01-04 00:00:00',2,2,293708.00,'2009-04-28 00:00:00',95,2,8),
 (3429,1,285,1,'US Costmat website','GloboCorp microsite project.',2,'2009-02-05 00:00:00',2,2,719090.00,'2009-05-05 00:00:00',95,2,4),
 (3430,1,285,1,'US Cryptocom Company internet','GloboCorp microsite project.',2,'2009-02-05 00:00:00',2,2,739060.00,'2009-05-05 00:00:00',95,2,4),
 (3431,1,285,1,'TeknoViapartners CMS integration','Annual Audit of application code across the organization',1,'2009-01-09 00:00:00',1,1,945291.00,'2009-05-12 00:00:00',95,1,9),
 (3432,1,285,1,'Costistrix Back office integration','GloboCorp bug tracking site project.',2,'2009-03-03 00:00:00',2,2,801060.00,'2009-05-12 00:00:00',95,2,4),
 (3433,1,285,1,'Titaniridium Financial Reporting portal','GloboCorp CMS project.',1,'2009-02-16 00:00:00',1,1,341557.00,'2009-05-19 00:00:00',95,1,9),
 (3434,1,285,1,'Celphor IM application','GloboCorp microsite project.',2,'2009-02-17 00:00:00',2,2,361872.00,'2009-05-19 00:00:00',95,2,2),
 (3435,1,285,1,'Teleseco CMS integration','GloboCorp ecommerce project.',2,'2009-01-24 00:00:00',2,2,999995.00,'2009-05-26 00:00:00',95,2,5),
 (3436,1,285,1,'Mapdant Company internet','GloboCorp microsite project.',2,'2009-02-09 00:00:00',2,2,626185.00,'2009-05-26 00:00:00',95,2,3),
 (3437,1,285,1,'Westridium Marketing Collateral application','GloboCorp portal project.',1,'2009-01-25 00:00:00',1,1,358027.00,'2009-06-02 00:00:00',95,1,4),
 (3438,1,285,1,'US Cryptocom Company internet','Annual Audit of application code across the organization',2,'2009-01-10 00:00:00',2,2,119328.00,'2009-06-02 00:00:00',95,2,2),
 (3439,1,285,1,'Motoicon CMS','Annual Audit of application code across the organization',1,'2009-01-11 00:00:00',1,1,613869.00,'2009-06-09 00:00:00',96,1,5),
 (3440,1,285,1,'Tektron microsite','GloboCorp microsite project.',2,'2009-02-09 00:00:00',2,2,999112.00,'2009-06-09 00:00:00',95,2,3),
 (3441,1,285,1,'US Lexalta RFP application','Annual Audit of application code across the organization',1,'2009-01-07 00:00:00',1,1,983643.00,'2009-06-16 00:00:00',96,1,8),
 (3442,1,285,1,'eInmarcs CMS integration','GloboCorp wiki project.',1,'2009-02-24 00:00:00',1,1,123586.00,'2009-06-16 00:00:00',95,1,6),
 (3443,1,285,1,'Periweb Employee portal v1.0','GloboCorp bug tracking site project.',2,'2009-02-19 00:00:00',2,2,172777.00,'2009-06-23 00:00:00',95,2,1),
 (3444,1,285,1,'Callectrix intranet','Annual Audit of application code across the organization',2,'2009-01-08 00:00:00',2,2,712091.00,'2009-06-23 00:00:00',95,2,7),
 (3445,1,285,1,'eInmarcs CMS integration','Employee portal for intranet',1,'2009-01-01 00:00:00',1,1,745096.00,'2009-06-30 00:00:00',95,1,3),
 (3446,1,285,1,'Celphor Company internet','GloboCorp wiki project.',1,'2009-02-22 00:00:00',1,1,138270.00,'2009-06-30 00:00:00',95,1,4),
 (3447,1,285,1,'Quinvalu Company internet','GloboCorp wiki project.',1,'2009-02-24 00:00:00',1,1,142157.00,'2009-07-07 00:00:00',95,1,6),
 (3448,1,285,1,'US Teknorama website','GloboCorp bug tracking site project.',2,'2009-02-25 00:00:00',2,2,119130.00,'2009-07-07 00:00:00',95,2,7),
 (3449,1,285,1,'Eyetheon Help Desk application','GloboCorp microsite project.',2,'2009-02-15 00:00:00',2,2,553380.00,'2009-07-14 00:00:00',95,2,5),
 (3450,1,285,1,'Fibronix CMS integration','GloboCorp bug tracking site project.',2,'2009-02-27 00:00:00',2,2,474353.00,'2009-07-14 00:00:00',95,2,3),
 (3451,1,285,1,'Pacifiphor IM application','GloboCorp wiki project.',1,'2009-02-22 00:00:00',1,1,153729.00,'2009-07-21 00:00:00',95,1,4),
 (3452,1,285,1,'Utiliagra Single sign-on initiative','Annual Audit of application code across the organization',1,'2009-01-11 00:00:00',1,1,150431.00,'2009-07-21 00:00:00',96,1,5),
 (3453,1,285,1,'eRotoway Annual Audit 2010','GloboCorp ecommerce project.',2,'2009-02-01 00:00:00',2,2,929397.00,'2009-07-28 00:00:00',95,2,7),
 (3454,1,285,1,'Synconich Company Benefits portal','GloboCorp website project.',1,'2009-01-13 00:00:00',1,1,204727.00,'2009-07-28 00:00:00',95,1,4),
 (3455,1,285,1,'eInmarcs CMS','Annual Audit of application code across the organization',2,'2009-01-06 00:00:00',2,2,961473.00,'2009-08-04 00:00:00',95,2,5),
 (3456,1,285,1,'Infracenta CMS integration','Team-building portal for intranet',1,'2009-01-03 00:00:00',1,1,396385.00,'2009-08-04 00:00:00',95,1,8),
 (3457,1,285,1,'Uniair IM application','Legacy CMS integration for Marketing group',2,'2009-01-08 00:00:00',2,2,844837.00,'2009-08-11 00:00:00',95,2,8),
 (3458,1,285,1,'Sysmatix bug tracking site','GloboCorp CMS project.',1,'2009-02-02 00:00:00',1,1,130537.00,'2009-08-11 00:00:00',95,1,7),
 (3459,1,285,1,'Cybersouth intranet','GloboCorp microsite project.',2,'2009-02-17 00:00:00',2,2,152723.00,'2009-08-18 00:00:00',95,2,2),
 (3460,1,285,1,'AnthroSoft.com Financial Reporting portal','GloboCorp intranet project.',2,'2009-01-16 00:00:00',2,2,298474.00,'2009-08-18 00:00:00',95,2,4),
 (3461,1,285,1,'Texridic website','Time tracking application for organization',1,'2009-01-05 00:00:00',1,1,975278.00,'2009-08-25 00:00:00',95,1,9),
 (3462,1,285,1,'SteganoPacPacifidisco Time Tracking application','Annual Audit of application code across the organization',2,'2009-01-08 00:00:00',2,2,897543.00,'2009-08-25 00:00:00',95,2,7),
 (3463,1,285,1,'ApSoftEnttiqua wiki','GloboCorp ecommerce project.',2,'2009-01-26 00:00:00',2,2,294019.00,'2009-09-01 00:00:00',95,2,1),
 (3464,1,285,1,'Fibronix microsite','GloboCorp microsite project.',2,'2009-02-17 00:00:00',2,2,459181.00,'2009-09-01 00:00:00',95,2,2),
 (3465,1,285,1,'TeknoViapartners wiki','GloboCorp bug tracking site project.',2,'2009-02-19 00:00:00',2,2,482013.00,'2009-09-08 00:00:00',95,2,1),
 (3466,1,285,1,'SysSoltanium wiki','GloboCorp portal project.',1,'2009-01-23 00:00:00',1,1,339508.00,'2009-09-08 00:00:00',95,1,5),
 (3467,1,285,1,'SysSoltanium Company internet','GloboCorp CMS project.',1,'2009-02-10 00:00:00',1,1,156847.00,'2009-09-15 00:00:00',95,1,4),
 (3468,1,285,1,'Unipartners ecommerce','GloboCorp CMS project.',1,'2009-02-12 00:00:00',1,1,338202.00,'2009-09-15 00:00:00',95,1,5),
 (3469,1,285,1,'Yoyoic Help Desk application','GloboCorp ecommerce project.',2,'2009-01-24 00:00:00',2,2,994879.00,'2009-09-22 00:00:00',95,2,5),
 (3470,1,285,1,'Soleccorp Marketing Collateral application','GloboCorp microsite project.',2,'2009-02-13 00:00:00',2,2,200647.00,'2009-09-22 00:00:00',95,2,5),
 (3471,1,285,1,'Airmerica Project wiki','GloboCorp portal project.',1,'2009-01-25 00:00:00',1,1,965211.00,'2009-09-29 00:00:00',95,1,4),
 (3472,1,285,1,'MicroTekbyte Single sign-on initiative','Web mail application',1,'2009-01-03 00:00:00',1,1,117049.00,'2009-09-29 00:00:00',95,1,3),
 (3473,1,285,1,'Solscope microsite','Annual Audit of application code across the organization',1,'2009-01-07 00:00:00',1,1,419424.00,'2009-10-06 00:00:00',96,1,8),
 (3474,1,285,1,'Ultrafab Help Desk application','GloboCorp ecommerce project.',2,'2009-01-22 00:00:00',2,2,137452.00,'2009-10-06 00:00:00',95,2,8),
 (3475,1,285,1,'MicroTekbyte Marketing Collateral application','GloboCorp bug tracking site project.',2,'2009-02-27 00:00:00',2,2,537162.00,'2009-10-13 00:00:00',95,2,3),
 (3476,1,285,1,'US Maxtiqua Human Resources Review application','GloboCorp ecommerce project.',2,'2009-01-18 00:00:00',2,2,124792.00,'2009-10-13 00:00:00',95,2,6),
 (3477,1,285,1,'Teleseco Help Desk application','GloboCorp wiki project.',1,'2009-02-22 00:00:00',1,1,596434.00,'2009-10-20 00:00:00',95,1,4),
 (3478,1,285,1,'Softscope bug tracking site','GloboCorp portal project.',1,'2009-01-21 00:00:00',1,1,994629.00,'2009-10-20 00:00:00',95,1,5),
 (3479,1,285,1,'Rapiway Marketing Collateral application','GloboCorp CMS project.',1,'2009-02-16 00:00:00',1,1,120716.00,'2009-10-27 00:00:00',95,1,9),
 (3480,1,285,1,'Metaserve Decision Support System','Marketing Collateral application',1,'2009-01-03 00:00:00',1,1,165744.00,'2009-10-27 00:00:00',95,1,3),
 (3481,1,285,1,'Westridium portal','Financial Reporting portal',2,'2009-01-04 00:00:00',1,2,128278.00,'2009-11-03 00:00:00',95,2,3),
 (3482,1,285,1,'Texridic CMS','Annual Audit of application code across the organization',2,'2009-01-04 00:00:00',2,2,477604.00,'2009-11-03 00:00:00',95,2,8),
 (3483,1,285,1,'Costistrix Human Resources Review application','Time tracking application for organization',1,'2009-01-05 00:00:00',1,1,903516.00,'2009-11-10 00:00:00',95,1,9),
 (3484,1,285,1,'Cyberlectric Single sign-on initiative','GloboCorp CMS project.',1,'2009-02-16 00:00:00',1,1,117480.00,'2009-11-10 00:00:00',95,1,9),
 (3485,1,285,1,'Pacmaxa Time Tracking application','GloboCorp CMS project.',1,'2009-02-12 00:00:00',1,1,138335.00,'2009-11-17 00:00:00',95,1,5),
 (3486,1,285,1,'Airmerica Project wiki','GloboCorp bug tracking site project.',2,'2009-02-23 00:00:00',2,2,978951.00,'2009-11-17 00:00:00',95,2,7),
 (3487,1,285,1,'Texridic Project wiki','Help Desk application',1,'2009-01-01 00:00:00',1,1,349522.00,'2009-11-24 00:00:00',95,1,3),
 (3488,1,285,1,'Eyetel Financial Reporting portal','GloboCorp portal project.',1,'2009-01-25 00:00:00',1,1,400258.00,'2009-11-24 00:00:00',95,1,4),
 (3489,1,285,1,'eRotoway Human Resources Review application','GloboCorp portal project.',1,'2009-01-31 00:00:00',1,1,358841.00,'2009-12-01 00:00:00',95,1,2),
 (3490,1,285,1,'Periweb intranet','GloboCorp portal project.',1,'2009-01-21 00:00:00',1,1,999046.00,'2009-12-01 00:00:00',95,1,5),
 (3491,1,285,1,'Tektron website','Annual Audit of application code across the organization',1,'2009-01-09 00:00:00',1,1,285475.00,'2009-12-08 00:00:00',95,1,9),
 (3492,1,285,1,'Costsouth Annual Audit 2010','GloboCorp ecommerce project.',2,'2009-02-01 00:00:00',2,2,927032.00,'2009-12-08 00:00:00',95,2,7),
 (3493,1,285,1,'Autocast microsite','Application to track outside sales',1,'2009-01-09 00:00:00',1,1,824821.00,'2009-12-15 00:00:00',95,1,3),
 (3494,1,285,1,'Nettheon microsite','Annual Audit of application code across the organization',1,'2009-01-11 00:00:00',1,1,346357.00,'2009-12-15 00:00:00',96,1,5),
 (3495,1,285,1,'Parasource.com CMS integration','GloboCorp bug tracking site project.',2,'2009-02-27 00:00:00',2,2,280918.00,'2009-12-22 00:00:00',95,2,3),
 (3496,1,285,1,'Metaserve microsite','Annual Audit of application code across the organization',1,'2009-01-05 00:00:00',1,1,688399.00,'2009-12-22 00:00:00',95,1,3),
 (3497,1,285,1,'Costat Back office integration','GloboCorp intranet project.',2,'2009-01-16 00:00:00',2,2,436724.00,'2009-12-29 00:00:00',95,2,4),
 (3498,1,285,1,'US Turbolinear RFP application','GloboCorp wiki project.',1,'2009-02-22 00:00:00',1,1,367958.00,'2009-12-29 00:00:00',95,1,4),
 (3499,1,286,1,'Intraura Project wiki','GloboCorp ecommerce project.',2,'2009-01-30 00:00:00',2,2,981926.00,'2009-01-06 00:00:00',95,2,9),
 (3500,1,286,1,'Infracenta Financial Reporting portal','GloboCorp intranet project.',2,'2009-01-12 00:00:00',2,2,999891.00,'2009-01-06 00:00:00',95,2,2),
 (3501,1,286,1,'Sysline intranet','GloboCorp website project.',1,'2009-01-13 00:00:00',1,1,138808.00,'2009-01-13 00:00:00',95,1,4),
 (3502,1,286,1,'eRotoway CMS integration','GloboCorp microsite project.',2,'2009-02-17 00:00:00',2,2,465221.00,'2009-01-13 00:00:00',95,2,2),
 (3503,1,286,1,'Nanocom portal','GloboCorp CMS project.',1,'2009-02-10 00:00:00',1,1,696435.00,'2009-01-20 00:00:00',95,1,4),
 (3504,1,286,1,'Solscope Single sign-on initiative','Intranet messaging application',2,'2009-01-04 00:00:00',1,2,387684.00,'2009-01-20 00:00:00',95,2,3),
 (3505,1,286,1,'Texridic microsite','GloboCorp microsite project.',2,'2009-02-05 00:00:00',2,2,939195.00,'2009-01-27 00:00:00',95,2,4),
 (3506,1,286,1,'Safephor Human Resources Review application','GloboCorp wiki project.',1,'2009-02-24 00:00:00',1,1,136976.00,'2009-01-27 00:00:00',95,1,6),
 (3507,1,286,1,'Eyetheon Decision Support System','GloboCorp microsite project.',2,'2009-02-07 00:00:00',2,2,948435.00,'2009-02-03 00:00:00',95,2,5),
 (3508,1,286,1,'Cyberrama Help Desk application','GloboCorp CMS project.',1,'2009-02-16 00:00:00',1,1,730742.00,'2009-02-03 00:00:00',95,1,9),
 (3509,1,286,1,'Aerstate CMS','Annual Audit of application code across the organization',2,'2009-01-02 00:00:00',2,2,330989.00,'2009-02-10 00:00:00',95,2,6),
 (3510,1,286,1,'Softcom.com Annual Audit 2010','Annual Audit of application code across the organization',1,'2009-01-11 00:00:00',1,1,150281.00,'2009-02-10 00:00:00',96,1,5),
 (3511,1,286,1,'US Cryptocom Single sign-on initiative','Annual Audit of application code across the organization',2,'2009-01-04 00:00:00',2,2,453508.00,'2009-02-17 00:00:00',95,2,8),
 (3512,1,286,1,'iNetnetic intranet','GloboCorp microsite project.',2,'2009-02-15 00:00:00',2,2,536698.00,'2009-02-17 00:00:00',95,2,5),
 (3513,1,286,1,'Softcom.com Marketing Collateral application','GloboCorp bug tracking site project.',2,'2009-03-01 00:00:00',2,2,999749.00,'2009-02-24 00:00:00',95,2,7),
 (3514,1,286,1,'Tekcorp Human Resources Review application','GloboCorp CMS project.',1,'2009-02-14 00:00:00',1,1,723800.00,'2009-02-24 00:00:00',95,1,6),
 (3515,1,286,1,'Nuserve CMS integration','GloboCorp portal project.',1,'2009-01-23 00:00:00',1,1,914470.00,'2009-03-03 00:00:00',95,1,5),
 (3516,1,286,1,'Intraura Team-building portal','GloboCorp intranet project.',2,'2009-01-16 00:00:00',2,2,246489.00,'2009-03-03 00:00:00',95,2,4),
 (3517,1,286,1,'AnthroSoft.com Financial Reporting portal','GloboCorp bug tracking site project.',2,'2009-03-03 00:00:00',2,2,211925.00,'2009-03-10 00:00:00',95,2,4),
 (3518,1,286,1,'Sysline RFP application','Annual Audit of application code across the organization',1,'2009-01-03 00:00:00',1,1,161435.00,'2009-03-10 00:00:00',96,1,7),
 (3519,1,286,1,'Eyetheon CMS','GloboCorp wiki project.',1,'2009-02-20 00:00:00',1,1,483413.00,'2009-03-17 00:00:00',95,1,8),
 (3520,1,286,1,'Teleseco microsite','GloboCorp website project.',1,'2009-01-15 00:00:00',1,1,127124.00,'2009-03-17 00:00:00',95,1,1),
 (3521,1,286,1,'Teletronik.com CMS','GloboCorp CMS project.',1,'2009-02-04 00:00:00',1,1,263851.00,'2009-03-24 00:00:00',95,1,5),
 (3522,1,286,1,'Intraura Time Tracking application','GloboCorp website project.',1,'2009-01-13 00:00:00',1,1,289615.00,'2009-03-24 00:00:00',95,1,4),
 (3523,1,286,1,'Uniair Company Benefits portal','RFP application to automate prospective client proposal request',2,'2009-01-06 00:00:00',2,2,906175.00,'2009-03-31 00:00:00',95,2,1),
 (3524,1,286,1,'Ultrafab Financial Reporting portal','GloboCorp microsite project.',2,'2009-02-09 00:00:00',2,2,276646.00,'2009-03-31 00:00:00',95,2,3),
 (3525,1,286,1,'XeRotodic Project wiki','Annual Audit of application code across the organization',1,'2009-01-03 00:00:00',1,1,210898.00,'2009-04-07 00:00:00',96,1,7),
 (3526,1,286,1,'Fibronix portal','Annual Audit of application code across the organization',1,'2009-01-11 00:00:00',1,1,154317.00,'2009-04-07 00:00:00',96,1,5),
 (3527,1,286,1,'Softscope Help Desk application','GloboCorp bug tracking site project.',2,'2009-03-03 00:00:00',2,2,811286.00,'2009-04-14 00:00:00',95,2,4),
 (3528,1,286,1,'Aerstate CMS','Team-building portal for intranet',1,'2009-01-03 00:00:00',1,1,989247.00,'2009-04-14 00:00:00',95,1,8),
 (3529,1,286,1,'Cryptonetic Sales Tracking application','Single sign-on initiative',2,'2009-01-04 00:00:00',1,2,917146.00,'2009-04-21 00:00:00',95,2,3),
 (3530,1,286,1,'Nuserve CMS integration','GloboCorp bug tracking site project.',2,'2009-02-19 00:00:00',2,2,928730.00,'2009-04-21 00:00:00',95,2,1),
 (3531,1,286,1,'eRotoway website','GloboCorp ecommerce project.',2,'2009-01-18 00:00:00',2,2,151470.00,'2009-04-28 00:00:00',95,2,6),
 (3532,1,286,1,'Apamerica microsite','GloboCorp bug tracking site project.',2,'2009-03-03 00:00:00',2,2,393509.00,'2009-04-28 00:00:00',95,2,4),
 (3533,1,286,1,'Texridic Employee portal v1.0','GloboCorp CMS project.',1,'2009-02-06 00:00:00',1,1,123672.00,'2009-05-05 00:00:00',95,1,7),
 (3534,1,286,1,'Genlog wiki','GloboCorp CMS project.',1,'2009-02-12 00:00:00',1,1,118494.00,'2009-05-05 00:00:00',95,1,5),
 (3535,1,286,1,'Xegate Back office integration','GloboCorp bug tracking site project.',2,'2009-02-19 00:00:00',2,2,843091.00,'2009-05-12 00:00:00',95,2,1),
 (3536,1,286,1,'Cybersouth Annual Audit 2010','GloboCorp wiki project.',1,'2009-02-28 00:00:00',1,1,958004.00,'2009-05-12 00:00:00',95,1,3),
 (3537,1,286,1,'US Quinrad Financial Reporting portal','Application to track outside sales',1,'2009-01-09 00:00:00',1,1,846249.00,'2009-05-19 00:00:00',95,1,3),
 (3538,1,286,1,'Rapiway Help Desk application','Time tracking application for organization',1,'2009-01-05 00:00:00',1,1,611804.00,'2009-05-19 00:00:00',95,1,9),
 (3539,1,286,1,'MicroTekbyte Single sign-on initiative','GloboCorp portal project.',1,'2009-01-23 00:00:00',1,1,699394.00,'2009-05-26 00:00:00',95,1,5),
 (3540,1,286,1,'Titanion intranet','Annual Audit of application code across the organization',2,'2009-01-10 00:00:00',2,2,973079.00,'2009-05-26 00:00:00',95,2,2),
 (3541,1,286,1,'Costsouth Sales Tracking application','GloboCorp portal project.',1,'2009-01-21 00:00:00',1,1,221527.00,'2009-06-02 00:00:00',95,1,5),
 (3542,1,286,1,'Entnuclear RFP application','GloboCorp portal project.',1,'2009-01-27 00:00:00',1,1,296828.00,'2009-06-02 00:00:00',95,1,7),
 (3543,1,286,1,'Cryptonetic Financial Reporting portal','Company benefits portal for intranet',2,'2009-01-04 00:00:00',2,2,145322.00,'2009-06-09 00:00:00',95,2,8),
 (3544,1,286,1,'Periweb Financial Reporting portal','Company internet',2,'2009-01-02 00:00:00',2,2,327648.00,'2009-06-09 00:00:00',95,2,6),
 (3545,1,286,1,'Thermonuclear Company internet','GloboCorp portal project.',1,'2009-01-19 00:00:00',1,1,973703.00,'2009-06-16 00:00:00',95,1,5),
 (3546,1,286,1,'Eyetel Back office integration','Single sign-on initiative',2,'2009-01-04 00:00:00',1,2,124192.00,'2009-06-16 00:00:00',95,2,3),
 (3547,1,286,1,'Sysline Single sign-on initiative','GloboCorp ecommerce project.',2,'2009-01-26 00:00:00',2,2,956984.00,'2009-06-23 00:00:00',95,2,1),
 (3548,1,286,1,'Eyetel Help Desk application','Annual Audit of application code across the organization',1,'2009-01-11 00:00:00',1,1,985374.00,'2009-06-23 00:00:00',96,1,5),
 (3549,1,286,1,'XeRotodic Marketing Collateral application','Company benefits portal for intranet',2,'2009-01-04 00:00:00',2,2,974314.00,'2009-06-30 00:00:00',95,2,8),
 (3550,1,286,1,'Celphor RFP application','Web mail application',1,'2009-01-03 00:00:00',1,1,280655.00,'2009-06-30 00:00:00',95,1,3),
 (3551,1,286,1,'Ultravalu wiki','Intranet messaging application',2,'2009-01-04 00:00:00',1,2,177310.00,'2009-07-07 00:00:00',95,2,3),
 (3552,1,286,1,'Cyberlectric Single sign-on initiative','Annual Audit of application code across the organization',1,'2009-01-03 00:00:00',1,1,118092.00,'2009-07-07 00:00:00',96,1,7),
 (3553,1,286,1,'US Cyclovalu Sales Tracking application','GloboCorp microsite project.',2,'2009-02-07 00:00:00',2,2,353236.00,'2009-07-14 00:00:00',95,2,5),
 (3554,1,286,1,'ApSoftEnttiqua Financial Reporting portal','GloboCorp bug tracking site project.',2,'2009-02-19 00:00:00',2,2,895181.00,'2009-07-14 00:00:00',95,2,1),
 (3555,1,286,1,'Callectrix CMS','Annual Audit of application code across the organization',2,'2009-01-12 00:00:00',2,2,789620.00,'2009-07-21 00:00:00',95,2,7),
 (3556,1,286,1,'US Turbolinear Help Desk application','GloboCorp ecommerce project.',2,'2009-01-26 00:00:00',2,2,793899.00,'2009-07-21 00:00:00',95,2,1),
 (3557,1,286,1,'Autocast Project wiki','GloboCorp portal project.',1,'2009-01-31 00:00:00',1,1,272583.00,'2009-07-28 00:00:00',95,1,2),
 (3558,1,286,1,'iNetnetic Sales Tracking application','GloboCorp CMS project.',1,'2009-02-14 00:00:00',1,1,990931.00,'2009-07-28 00:00:00',95,1,6),
 (3559,1,286,1,'Infracenta wiki','Annual Audit of application code across the organization',2,'2009-01-08 00:00:00',2,2,852615.00,'2009-08-04 00:00:00',95,2,7),
 (3560,1,286,1,'Thermolog CMS','GloboCorp bug tracking site project.',2,'2009-02-25 00:00:00',2,2,369356.00,'2009-08-04 00:00:00',95,2,7),
 (3561,1,286,1,'Softcom.com Annual Audit 2010','GloboCorp website project.',1,'2009-01-11 00:00:00',1,1,440197.00,'2009-08-11 00:00:00',95,1,2),
 (3562,1,286,1,'Westridium CMS','Intranet messaging application',2,'2009-01-04 00:00:00',1,2,689373.00,'2009-08-11 00:00:00',95,2,3),
 (3563,1,286,1,'AnthroSoft.com Annual Audit 2010','GloboCorp ecommerce project.',2,'2009-01-20 00:00:00',2,2,390278.00,'2009-08-18 00:00:00',95,2,5);
INSERT INTO `adobecrm`.`client_deals` VALUES  (3564,1,286,1,'Mapdant Decision Support System','GloboCorp microsite project.',2,'2009-02-15 00:00:00',2,2,130786.00,'2009-08-18 00:00:00',95,2,5),
 (3565,1,286,1,'eInmarcs Project wiki','GloboCorp CMS project.',1,'2009-02-10 00:00:00',1,1,154156.00,'2009-08-25 00:00:00',95,1,4),
 (3566,1,286,1,'Opengraph Marketing Collateral application','Team-building portal for intranet',1,'2009-01-03 00:00:00',1,1,130555.00,'2009-08-25 00:00:00',95,1,8),
 (3567,1,286,1,'Pacmaxa portal','GloboCorp CMS project.',1,'2009-02-08 00:00:00',1,1,386293.00,'2009-09-01 00:00:00',95,1,7),
 (3568,1,286,1,'Teletronik.com intranet','GloboCorp website project.',1,'2009-01-13 00:00:00',1,1,989736.00,'2009-09-01 00:00:00',95,1,4),
 (3569,1,286,1,'Sysline Company Benefits portal','GloboCorp CMS project.',1,'2009-02-14 00:00:00',1,1,998078.00,'2009-09-08 00:00:00',95,1,6),
 (3570,1,286,1,'iNetnetic Human Resources Review application','Back office integration for accounting and finance',1,'2009-01-07 00:00:00',1,1,323481.00,'2009-09-08 00:00:00',95,1,5),
 (3571,1,286,1,'eInmarcs Sales Tracking application','Annual Audit of application code across the organization',2,'2009-01-02 00:00:00',2,2,494953.00,'2009-09-15 00:00:00',95,2,6),
 (3572,1,286,1,'Solscope Annual Audit 2010','GloboCorp CMS project.',1,'2009-02-04 00:00:00',1,1,508464.00,'2009-09-15 00:00:00',95,1,5),
 (3573,1,286,1,'Softcom.com Marketing Collateral application','Annual Audit of application code across the organization',1,'2009-01-05 00:00:00',1,1,244418.00,'2009-09-22 00:00:00',95,1,9),
 (3574,1,286,1,'SysSoltanium Team-building portal','GloboCorp bug tracking site project.',2,'2009-02-21 00:00:00',2,2,118747.00,'2009-09-22 00:00:00',95,2,3),
 (3575,1,286,1,'Genlog website','GloboCorp microsite project.',2,'2009-02-03 00:00:00',2,2,658920.00,'2009-09-29 00:00:00',95,2,9),
 (3576,1,286,1,'Solscope Financial Reporting portal','GloboCorp microsite project.',2,'2009-02-11 00:00:00',2,2,125690.00,'2009-09-29 00:00:00',95,2,2),
 (3577,1,286,1,'Navipaq intranet','GloboCorp portal project.',1,'2009-01-23 00:00:00',1,1,622277.00,'2009-10-06 00:00:00',95,1,5),
 (3578,1,286,1,'Tekcorp intranet','GloboCorp ecommerce project.',2,'2009-01-20 00:00:00',2,2,146691.00,'2009-10-06 00:00:00',95,2,5),
 (3579,1,286,1,'iCeleage Project wiki','GloboCorp website project.',1,'2009-01-11 00:00:00',1,1,948043.00,'2009-10-13 00:00:00',95,1,2),
 (3580,1,286,1,'eRotoway CMS integration','GloboCorp microsite project.',2,'2009-02-17 00:00:00',2,2,450661.00,'2009-10-13 00:00:00',95,2,2),
 (3581,1,286,1,'SysSoltanium Annual Audit 2010','GloboCorp CMS project.',1,'2009-02-10 00:00:00',1,1,615666.00,'2009-10-20 00:00:00',95,1,4),
 (3582,1,286,1,'Eyetheon portal','GloboCorp wiki project.',1,'2009-02-22 00:00:00',1,1,717188.00,'2009-10-20 00:00:00',95,1,4),
 (3583,1,286,1,'Soncal Team-building portal','Annual Audit of application code across the organization',2,'2009-01-06 00:00:00',2,2,959075.00,'2009-10-27 00:00:00',95,2,5),
 (3584,1,286,1,'Keygraph bug tracking site','GloboCorp CMS project.',1,'2009-02-12 00:00:00',1,1,141400.00,'2009-10-27 00:00:00',95,1,5),
 (3585,1,286,1,'US Lexalta Team-building portal','GloboCorp website project.',1,'2009-01-11 00:00:00',1,1,246152.00,'2009-11-03 00:00:00',95,1,2),
 (3586,1,286,1,'Entnuclear Company Benefits portal','GloboCorp website project.',1,'2009-01-11 00:00:00',1,1,152056.00,'2009-11-03 00:00:00',95,1,2),
 (3587,1,286,1,'iNetnetic microsite','GloboCorp wiki project.',1,'2009-02-22 00:00:00',1,1,144211.00,'2009-11-10 00:00:00',95,1,4),
 (3588,1,286,1,'Sysmatix bug tracking site','RFP application to automate prospective client proposal request',2,'2009-01-06 00:00:00',2,2,131012.00,'2009-11-10 00:00:00',95,2,1),
 (3589,1,286,1,'Teknocal bug tracking site','GloboCorp CMS project.',1,'2009-02-06 00:00:00',1,1,992979.00,'2009-11-17 00:00:00',95,1,7),
 (3590,1,286,1,'Nuserve Company Benefits portal','GloboCorp ecommerce project.',2,'2009-01-22 00:00:00',2,2,923377.00,'2009-11-17 00:00:00',95,2,8),
 (3591,1,286,1,'Costistrix RFP application','GloboCorp portal project.',1,'2009-01-27 00:00:00',1,1,789478.00,'2009-11-24 00:00:00',95,1,7),
 (3592,1,286,1,'Rapiway Help Desk application','GloboCorp microsite project.',2,'2009-02-03 00:00:00',2,2,587995.00,'2009-11-24 00:00:00',95,2,9),
 (3593,1,286,1,'Costsouth Human Resources Review application','GloboCorp ecommerce project.',2,'2009-01-20 00:00:00',2,2,976798.00,'2009-12-01 00:00:00',95,2,5),
 (3594,1,286,1,'Ultravalu Company internet','GloboCorp portal project.',1,'2009-01-31 00:00:00',1,1,120920.00,'2009-12-01 00:00:00',95,1,2),
 (3595,1,286,1,'Thermocom Decision Support System','Annual Audit of application code across the organization',1,'2009-01-07 00:00:00',1,1,901734.00,'2009-12-08 00:00:00',96,1,8),
 (3596,1,286,1,'Softscope ecommerce','GloboCorp ecommerce project.',2,'2009-01-26 00:00:00',2,2,186921.00,'2009-12-08 00:00:00',95,2,1),
 (3597,1,286,1,'US Teknorama Decision Support System','Annual Audit of application code across the organization',2,'2009-01-08 00:00:00',2,2,342050.00,'2009-12-15 00:00:00',95,2,7),
 (3598,1,286,1,'Softcent Employee portal v1.0','Annual Audit of application code across the organization',2,'2009-01-06 00:00:00',2,2,371189.00,'2009-12-15 00:00:00',95,2,5),
 (3599,1,286,1,'Pacifiphor bug tracking site','GloboCorp portal project.',1,'2009-01-25 00:00:00',1,1,193390.00,'2009-12-22 00:00:00',95,1,4),
 (3600,1,286,1,'Nanocom RFP application','Annual Audit of application code across the organization',1,'2009-01-11 00:00:00',1,1,428653.00,'2009-12-22 00:00:00',96,1,5),
 (3601,1,286,1,'Nanocom Company internet','GloboCorp portal project.',1,'2009-01-29 00:00:00',1,1,969545.00,'2009-12-29 00:00:00',95,1,4),
 (3602,1,286,1,'Navipaq Decision Support System','GloboCorp website project.',1,'2009-01-13 00:00:00',1,1,901617.00,'2009-12-29 00:00:00',95,1,4),
 (3603,1,288,1,'Aerstate Annual Audit 2010','GloboCorp ecommerce project.',2,'2009-01-18 00:00:00',2,2,909178.00,'2009-01-06 00:00:00',95,2,6),
 (3604,1,288,1,'Nettheon Employee portal v1.0','GloboCorp intranet project.',2,'2009-01-12 00:00:00',2,2,216547.00,'2009-01-06 00:00:00',95,2,2),
 (3605,1,288,1,'US Costmat Help Desk application','GloboCorp CMS project.',1,'2009-02-12 00:00:00',1,1,118205.00,'2009-01-13 00:00:00',95,1,5),
 (3606,1,288,1,'Yoyoic Sales Tracking application','Intranet messaging application',2,'2009-01-04 00:00:00',1,2,879065.00,'2009-01-13 00:00:00',95,2,3),
 (3607,1,288,1,'MicroTekbyte wiki','GloboCorp microsite project.',2,'2009-02-15 00:00:00',2,2,936689.00,'2009-01-20 00:00:00',95,2,5),
 (3608,1,288,1,'Soncal IM application','GloboCorp microsite project.',2,'2009-02-05 00:00:00',2,2,984291.00,'2009-01-20 00:00:00',95,2,4),
 (3609,1,288,1,'SteganoPacPacifidisco Help Desk application','GloboCorp ecommerce project.',2,'2009-01-30 00:00:00',2,2,229851.00,'2009-01-27 00:00:00',95,2,9),
 (3610,1,288,1,'SysSoltanium CMS integration','GloboCorp bug tracking site project.',2,'2009-02-25 00:00:00',2,2,798974.00,'2009-01-27 00:00:00',95,2,7),
 (3611,1,288,1,'Uniair Back office integration','Annual Audit of application code across the organization',2,'2009-01-10 00:00:00',2,2,142434.00,'2009-02-03 00:00:00',95,2,2),
 (3612,1,288,1,'Metaserve intranet','GloboCorp website project.',1,'2009-01-11 00:00:00',1,1,625068.00,'2009-02-03 00:00:00',95,1,2),
 (3613,1,288,1,'Utiliagra intranet','GloboCorp website project.',1,'2009-01-13 00:00:00',1,1,955724.00,'2009-02-10 00:00:00',95,1,4),
 (3614,1,288,1,'Theolog portal','Application to track outside sales',1,'2009-01-09 00:00:00',1,1,853375.00,'2009-02-10 00:00:00',95,1,3),
 (3615,1,288,1,'Synconich Sales Tracking application','GloboCorp microsite project.',2,'2009-02-13 00:00:00',2,2,547462.00,'2009-02-17 00:00:00',95,2,5),
 (3616,1,288,1,'UltraNetfab microsite','GloboCorp wiki project.',1,'2009-02-24 00:00:00',1,1,216789.00,'2009-02-17 00:00:00',95,1,6),
 (3617,1,288,1,'Safephor microsite','GloboCorp portal project.',1,'2009-01-29 00:00:00',1,1,981585.00,'2009-02-24 00:00:00',95,1,4),
 (3618,1,288,1,'MicroTekbyte IM application','GloboCorp CMS project.',1,'2009-02-02 00:00:00',1,1,475388.00,'2009-02-24 00:00:00',95,1,7),
 (3619,1,288,1,'Apfarb CMS','Annual Audit of application code across the organization',1,'2009-01-11 00:00:00',1,1,167196.00,'2009-03-03 00:00:00',96,1,5),
 (3620,1,288,1,'XeRotodic website','GloboCorp ecommerce project.',2,'2009-01-30 00:00:00',2,2,143386.00,'2009-03-03 00:00:00',95,2,9),
 (3621,1,288,1,'Teknocal Team-building portal','Financial Reporting portal',2,'2009-01-04 00:00:00',1,2,141274.00,'2009-03-10 00:00:00',95,2,3),
 (3622,1,288,1,'Titanion Team-building portal','GloboCorp ecommerce project.',2,'2009-02-01 00:00:00',2,2,517831.00,'2009-03-10 00:00:00',95,2,7),
 (3623,1,288,1,'Cyberlectric Single sign-on initiative','Help Desk application',1,'2009-01-01 00:00:00',1,1,681984.00,'2009-03-17 00:00:00',95,1,3),
 (3624,1,288,1,'Turboron Company internet','GloboCorp microsite project.',2,'2009-02-13 00:00:00',2,2,189853.00,'2009-03-17 00:00:00',95,2,5),
 (3625,1,288,1,'Costistrix bug tracking site','GloboCorp wiki project.',1,'2009-02-28 00:00:00',1,1,323388.00,'2009-03-24 00:00:00',95,1,3),
 (3626,1,288,1,'Costsouth Marketing Collateral application','Decision Support System',1,'2009-01-03 00:00:00',1,1,996961.00,'2009-03-24 00:00:00',95,1,3),
 (3627,1,288,1,'Teknocal Back office integration','Project wiki',2,'2009-01-02 00:00:00',1,2,177674.00,'2009-03-31 00:00:00',95,2,3),
 (3628,1,288,1,'SynRotobyte Employee portal v1.0','Annual Audit of application code across the organization',1,'2009-01-11 00:00:00',1,1,129929.00,'2009-03-31 00:00:00',96,1,5),
 (3629,1,288,1,'Ultravalu Single sign-on initiative','GloboCorp microsite project.',2,'2009-02-13 00:00:00',2,2,175813.00,'2009-04-07 00:00:00',95,2,5),
 (3630,1,288,1,'Fibronix Sales Tracking application','GloboCorp wiki project.',1,'2009-02-20 00:00:00',1,1,994006.00,'2009-04-07 00:00:00',95,1,8),
 (3631,1,288,1,'Teletronik.com CMS','GloboCorp CMS project.',1,'2009-02-06 00:00:00',1,1,237510.00,'2009-04-14 00:00:00',95,1,7),
 (3632,1,288,1,'Costistrix CMS','Annual Audit of application code across the organization',1,'2009-01-11 00:00:00',1,1,291270.00,'2009-04-14 00:00:00',96,1,5),
 (3633,1,288,1,'Softcom.com Human Resources Review application','Legacy CMS integration for Marketing group',2,'2009-01-08 00:00:00',2,2,986400.00,'2009-04-21 00:00:00',95,2,8),
 (3634,1,288,1,'Fibronix Single sign-on initiative','Application to automate employee review process',2,'2009-01-10 00:00:00',2,2,353312.00,'2009-04-21 00:00:00',95,2,4),
 (3635,1,288,1,'ApSoftEnttiqua Single sign-on initiative','GloboCorp wiki project.',1,'2009-02-28 00:00:00',1,1,136152.00,'2009-04-28 00:00:00',95,1,3),
 (3636,1,288,1,'Eyetel Help Desk application','Annual Audit of application code across the organization',1,'2009-01-09 00:00:00',1,1,970902.00,'2009-04-28 00:00:00',95,1,9),
 (3637,1,288,1,'Texridic Sales Tracking application','Legacy CMS integration for Marketing group',2,'2009-01-08 00:00:00',2,2,400553.00,'2009-05-05 00:00:00',95,2,8),
 (3638,1,288,1,'Theolog Financial Reporting portal','GloboCorp microsite project.',2,'2009-02-17 00:00:00',2,2,990476.00,'2009-05-05 00:00:00',95,2,2),
 (3639,1,288,1,'Soleccorp website','GloboCorp portal project.',1,'2009-01-27 00:00:00',1,1,135905.00,'2009-05-12 00:00:00',95,1,7),
 (3640,1,288,1,'SysSoltanium Time Tracking application','GloboCorp portal project.',1,'2009-01-25 00:00:00',1,1,117117.00,'2009-05-12 00:00:00',95,1,4),
 (3641,1,288,1,'Teramart RFP application','GloboCorp microsite project.',2,'2009-02-03 00:00:00',2,2,707730.00,'2009-05-19 00:00:00',95,2,9),
 (3642,1,288,1,'Callectrix wiki','GloboCorp wiki project.',1,'2009-02-24 00:00:00',1,1,131316.00,'2009-05-19 00:00:00',95,1,6),
 (3643,1,288,1,'Maxtomic CMS','GloboCorp CMS project.',1,'2009-02-10 00:00:00',1,1,257126.00,'2009-05-26 00:00:00',95,1,4),
 (3644,1,288,1,'Teknocal Decision Support System','GloboCorp wiki project.',1,'2009-02-20 00:00:00',1,1,268438.00,'2009-05-26 00:00:00',95,1,8),
 (3645,1,288,1,'Metaserve Marketing Collateral application','GloboCorp wiki project.',1,'2009-03-02 00:00:00',1,1,407596.00,'2009-06-02 00:00:00',95,1,6),
 (3646,1,288,1,'US SiliCryptoix Back office integration','GloboCorp bug tracking site project.',2,'2009-02-27 00:00:00',2,2,770891.00,'2009-06-02 00:00:00',95,2,3),
 (3647,1,288,1,'Synconich Decision Support System','Annual Audit of application code across the organization',1,'2009-01-05 00:00:00',1,1,999808.00,'2009-06-09 00:00:00',95,1,3),
 (3648,1,288,1,'Xegate website','GloboCorp portal project.',1,'2009-01-27 00:00:00',1,1,374698.00,'2009-06-09 00:00:00',95,1,7),
 (3649,1,288,1,'Metaserve Help Desk application','GloboCorp intranet project.',2,'2009-01-12 00:00:00',2,2,548111.00,'2009-06-16 00:00:00',95,2,2),
 (3650,1,288,1,'SteganoPacPacifidisco Sales Tracking application','Team-building portal for intranet',1,'2009-01-03 00:00:00',1,1,967210.00,'2009-06-16 00:00:00',95,1,8),
 (3651,1,288,1,'Maxtomic Help Desk application','GloboCorp wiki project.',1,'2009-03-04 00:00:00',1,1,843853.00,'2009-06-23 00:00:00',95,1,5),
 (3652,1,288,1,'Titaniridium Employee portal v1.0','Team-building portal for intranet',1,'2009-01-03 00:00:00',1,1,986668.00,'2009-06-23 00:00:00',95,1,8),
 (3653,1,288,1,'Maxtomic Marketing Collateral application','GloboCorp ecommerce project.',2,'2009-02-01 00:00:00',2,2,769405.00,'2009-06-30 00:00:00',95,2,7),
 (3654,1,288,1,'Celphor Single sign-on initiative','GloboCorp microsite project.',2,'2009-02-17 00:00:00',2,2,274206.00,'2009-06-30 00:00:00',95,2,2),
 (3655,1,288,1,'Cybersouth Time Tracking application','GloboCorp ecommerce project.',2,'2009-01-24 00:00:00',2,2,167030.00,'2009-07-07 00:00:00',95,2,5),
 (3656,1,288,1,'Thermolog Team-building portal','Help Desk application',1,'2009-01-01 00:00:00',1,1,417852.00,'2009-07-07 00:00:00',95,1,3),
 (3657,1,288,1,'Nuserve Decision Support System','Application to track outside sales',1,'2009-01-09 00:00:00',1,1,186017.00,'2009-07-14 00:00:00',95,1,3),
 (3658,1,288,1,'Xegate Back office integration','GloboCorp bug tracking site project.',2,'2009-02-27 00:00:00',2,2,135703.00,'2009-07-14 00:00:00',95,2,3),
 (3659,1,288,1,'Aerstate Time Tracking application','Help Desk application',1,'2009-01-01 00:00:00',1,1,147977.00,'2009-07-21 00:00:00',95,1,3),
 (3660,1,288,1,'US Teknorama Annual Audit 2010','Annual Audit of application code across the organization',1,'2009-01-09 00:00:00',1,1,312547.00,'2009-07-21 00:00:00',95,1,9),
 (3661,1,288,1,'Nuserve Sales Tracking application','Intranet messaging application',2,'2009-01-04 00:00:00',1,2,612525.00,'2009-07-28 00:00:00',95,2,3),
 (3662,1,288,1,'Cybersouth Marketing Collateral application','Legacy CMS integration for Marketing group',2,'2009-01-08 00:00:00',2,2,121323.00,'2009-07-28 00:00:00',95,2,8),
 (3663,1,288,1,'Fibronix Annual Audit 2010','GloboCorp bug tracking site project.',2,'2009-02-21 00:00:00',2,2,157146.00,'2009-08-04 00:00:00',95,2,3),
 (3664,1,288,1,'Rotopak intranet','GloboCorp ecommerce project.',2,'2009-01-22 00:00:00',2,2,963846.00,'2009-08-04 00:00:00',95,2,8),
 (3665,1,288,1,'Aerstate Time Tracking application','GloboCorp bug tracking site project.',2,'2009-02-25 00:00:00',2,2,455854.00,'2009-08-11 00:00:00',95,2,7),
 (3666,1,288,1,'Utiliagra wiki','Time tracking application for organization',1,'2009-01-05 00:00:00',1,1,999993.00,'2009-08-11 00:00:00',95,1,9),
 (3667,1,288,1,'Tektron Project wiki','Decision Support System',1,'2009-01-03 00:00:00',1,1,452386.00,'2009-08-18 00:00:00',95,1,3),
 (3668,1,288,1,'Teleseco Help Desk application','GloboCorp CMS project.',1,'2009-02-04 00:00:00',1,1,123025.00,'2009-08-18 00:00:00',95,1,5),
 (3669,1,288,1,'Cyberrama Time Tracking application','GloboCorp ecommerce project.',2,'2009-01-22 00:00:00',2,2,930849.00,'2009-08-25 00:00:00',95,2,8),
 (3670,1,288,1,'US Costmat Decision Support System','GloboCorp bug tracking site project.',2,'2009-02-23 00:00:00',2,2,990554.00,'2009-08-25 00:00:00',95,2,7),
 (3671,1,288,1,'Navipaq CMS integration','GloboCorp microsite project.',2,'2009-02-17 00:00:00',2,2,983974.00,'2009-09-01 00:00:00',95,2,2),
 (3672,1,288,1,'UltraNetfab Financial Reporting portal','GloboCorp CMS project.',1,'2009-02-14 00:00:00',1,1,899171.00,'2009-09-01 00:00:00',95,1,6),
 (3673,1,288,1,'SynRotobyte website','GloboCorp CMS project.',1,'2009-02-02 00:00:00',1,1,492959.00,'2009-09-08 00:00:00',95,1,7),
 (3674,1,288,1,'Texridic Financial Reporting portal','Back office integration for accounting and finance',1,'2009-01-07 00:00:00',1,1,130630.00,'2009-09-08 00:00:00',95,1,5),
 (3675,1,288,1,'Costat Back office integration','GloboCorp wiki project.',1,'2009-03-04 00:00:00',1,1,163175.00,'2009-09-15 00:00:00',95,1,5),
 (3676,1,288,1,'Aerstate Marketing Collateral application','GloboCorp wiki project.',1,'2009-02-18 00:00:00',1,1,118488.00,'2009-09-15 00:00:00',95,1,4),
 (3677,1,288,1,'Pacifiphor Annual Audit 2010','Project wiki',2,'2009-01-02 00:00:00',1,2,121398.00,'2009-09-22 00:00:00',95,2,3),
 (3678,1,288,1,'Cyberrama portal','GloboCorp microsite project.',2,'2009-02-13 00:00:00',2,2,496084.00,'2009-09-22 00:00:00',95,2,5),
 (3679,1,288,1,'Teramart Financial Reporting portal','GloboCorp ecommerce project.',2,'2009-02-01 00:00:00',2,2,987560.00,'2009-09-29 00:00:00',95,2,7),
 (3680,1,288,1,'SynRotobyte Annual Audit 2010','Annual Audit of application code across the organization',1,'2009-01-05 00:00:00',1,1,378470.00,'2009-09-29 00:00:00',95,1,3),
 (3681,1,288,1,'Metaserve Annual Audit 2010','GloboCorp CMS project.',1,'2009-02-08 00:00:00',1,1,997117.00,'2009-10-06 00:00:00',95,1,7),
 (3682,1,288,1,'eRotoway IM application','Annual Audit of application code across the organization',2,'2009-01-12 00:00:00',2,2,335019.00,'2009-10-06 00:00:00',95,2,7),
 (3683,1,288,1,'Aerstate ecommerce','GloboCorp microsite project.',2,'2009-02-15 00:00:00',2,2,349053.00,'2009-10-13 00:00:00',95,2,5),
 (3684,1,288,1,'Nettheon Sales Tracking application','GloboCorp intranet project.',2,'2009-01-12 00:00:00',2,2,700779.00,'2009-10-13 00:00:00',95,2,2),
 (3685,1,288,1,'Turboron Sales Tracking application','GloboCorp bug tracking site project.',2,'2009-02-19 00:00:00',2,2,945855.00,'2009-10-20 00:00:00',95,2,1),
 (3686,1,288,1,'Nettheon ecommerce','GloboCorp website project.',1,'2009-01-15 00:00:00',1,1,997131.00,'2009-10-20 00:00:00',95,1,1),
 (3687,1,288,1,'Teletronik.com website','GloboCorp portal project.',1,'2009-01-19 00:00:00',1,1,179955.00,'2009-10-27 00:00:00',95,1,5),
 (3688,1,288,1,'Ultrafab Human Resources Review application','Company benefits portal for intranet',2,'2009-01-04 00:00:00',2,2,505852.00,'2009-10-27 00:00:00',95,2,8),
 (3689,1,288,1,'TeknoViapartners Human Resources Review application','Employee portal for intranet',1,'2009-01-01 00:00:00',1,1,127151.00,'2009-11-03 00:00:00',95,1,3),
 (3690,1,288,1,'Genlog Company Benefits portal','GloboCorp wiki project.',1,'2009-02-24 00:00:00',1,1,995931.00,'2009-11-03 00:00:00',95,1,6),
 (3691,1,288,1,'US Lexalta Back office integration','GloboCorp ecommerce project.',2,'2009-01-22 00:00:00',2,2,186330.00,'2009-11-10 00:00:00',95,2,8),
 (3692,1,288,1,'eInfohacker Sales Tracking application','Marketing Collateral application',1,'2009-01-03 00:00:00',1,1,148662.00,'2009-11-10 00:00:00',95,1,3),
 (3693,1,288,1,'Texridic website','GloboCorp ecommerce project.',2,'2009-02-01 00:00:00',2,2,979566.00,'2009-11-17 00:00:00',95,2,7),
 (3694,1,288,1,'Teletronik.com Company Benefits portal','Annual Audit of application code across the organization',1,'2009-01-11 00:00:00',1,1,905829.00,'2009-11-17 00:00:00',96,1,5),
 (3695,1,288,1,'Celphor Back office integration','Annual Audit of application code across the organization',1,'2009-01-05 00:00:00',1,1,947564.00,'2009-11-24 00:00:00',95,1,9),
 (3696,1,288,1,'Mapdant bug tracking site','Time tracking application for organization',1,'2009-01-05 00:00:00',1,1,454225.00,'2009-11-24 00:00:00',95,1,9),
 (3697,1,288,1,'Westridium Team-building portal','GloboCorp portal project.',1,'2009-01-17 00:00:00',1,1,238059.00,'2009-12-01 00:00:00',95,1,5),
 (3698,1,288,1,'Teletronik.com intranet','Annual Audit of application code across the organization',2,'2009-01-06 00:00:00',2,2,220346.00,'2009-12-01 00:00:00',95,2,5),
 (3699,1,288,1,'Mapdant Project wiki','GloboCorp CMS project.',1,'2009-02-06 00:00:00',1,1,164106.00,'2009-12-08 00:00:00',95,1,7),
 (3700,1,288,1,'Thermocom ecommerce','GloboCorp CMS project.',1,'2009-02-12 00:00:00',1,1,720497.00,'2009-12-08 00:00:00',95,1,5),
 (3701,1,288,1,'ApSoftEnttiqua Company internet','GloboCorp ecommerce project.',2,'2009-01-28 00:00:00',2,2,808189.00,'2009-12-15 00:00:00',95,2,9),
 (3702,1,288,1,'Uniair Sales Tracking application','GloboCorp portal project.',1,'2009-01-27 00:00:00',1,1,665980.00,'2009-12-15 00:00:00',95,1,7),
 (3703,1,288,1,'Pacmaxa Company Benefits portal','GloboCorp portal project.',1,'2009-01-19 00:00:00',1,1,618242.00,'2009-12-22 00:00:00',95,1,5),
 (3704,1,288,1,'AnthroSoft.com Decision Support System','GloboCorp portal project.',1,'2009-01-29 00:00:00',1,1,999943.00,'2009-12-22 00:00:00',95,1,4),
 (3705,1,288,1,'Autocast portal','GloboCorp CMS project.',1,'2009-02-14 00:00:00',1,1,510030.00,'2009-12-29 00:00:00',95,1,6),
 (3706,1,288,1,'Softcom.com Single sign-on initiative','Legacy CMS integration for Marketing group',2,'2009-01-08 00:00:00',2,2,199464.00,'2009-12-29 00:00:00',95,2,8),
 (3707,1,289,1,'Genlanza Company internet','GloboCorp ecommerce project.',2,'2009-01-20 00:00:00',2,2,598865.00,'2009-01-06 00:00:00',95,2,5),
 (3708,1,289,1,'Titanion Annual Audit 2010','GloboCorp CMS project.',1,'2009-02-06 00:00:00',1,1,151775.00,'2009-01-06 00:00:00',95,1,7),
 (3709,1,289,1,'eRotoway Financial Reporting portal','GloboCorp portal project.',1,'2009-01-21 00:00:00',1,1,718374.00,'2009-01-13 00:00:00',95,1,5),
 (3710,1,289,1,'SysSoltanium Company internet','GloboCorp ecommerce project.',2,'2009-02-01 00:00:00',2,2,428911.00,'2009-01-13 00:00:00',95,2,7),
 (3711,1,289,1,'US Turbolinear CMS','GloboCorp microsite project.',2,'2009-02-15 00:00:00',2,2,794538.00,'2009-01-20 00:00:00',95,2,5),
 (3712,1,289,1,'Costsouth Financial Reporting portal','Application to automate employee review process',2,'2009-01-10 00:00:00',2,2,683647.00,'2009-01-20 00:00:00',95,2,4),
 (3713,1,289,1,'US Maxtiqua CMS','GloboCorp CMS project.',1,'2009-02-10 00:00:00',1,1,455997.00,'2009-01-27 00:00:00',95,1,4),
 (3714,1,289,1,'SynRotobyte website','Team-building portal for intranet',1,'2009-01-03 00:00:00',1,1,445251.00,'2009-01-27 00:00:00',95,1,8),
 (3715,1,289,1,'Xegate website','GloboCorp ecommerce project.',2,'2009-01-18 00:00:00',2,2,944754.00,'2009-02-03 00:00:00',95,2,6),
 (3716,1,289,1,'MicroTekbyte IM application','GloboCorp website project.',1,'2009-01-15 00:00:00',1,1,876532.00,'2009-02-03 00:00:00',95,1,1),
 (3717,1,289,1,'TeknoViapartners Sales Tracking application','Annual Audit of application code across the organization',1,'2009-01-09 00:00:00',1,1,128680.00,'2009-02-10 00:00:00',95,1,9),
 (3718,1,289,1,'Autocast intranet','GloboCorp wiki project.',1,'2009-02-26 00:00:00',1,1,128601.00,'2009-02-10 00:00:00',95,1,7),
 (3719,1,289,1,'Metaserve portal','GloboCorp wiki project.',1,'2009-03-04 00:00:00',1,1,706190.00,'2009-02-17 00:00:00',95,1,5),
 (3720,1,289,1,'TeknoViapartners Sales Tracking application','GloboCorp CMS project.',1,'2009-02-14 00:00:00',1,1,574012.00,'2009-02-17 00:00:00',95,1,6),
 (3721,1,289,1,'Titaniridium RFP application','GloboCorp bug tracking site project.',2,'2009-02-19 00:00:00',2,2,847785.00,'2009-02-24 00:00:00',95,2,1),
 (3722,1,289,1,'Soleccorp Time Tracking application','GloboCorp portal project.',1,'2009-01-23 00:00:00',1,1,194741.00,'2009-02-24 00:00:00',95,1,5),
 (3723,1,289,1,'Maxtomic Team-building portal','GloboCorp microsite project.',2,'2009-02-09 00:00:00',2,2,806470.00,'2009-03-03 00:00:00',95,2,3),
 (3724,1,289,1,'eInfohacker bug tracking site','GloboCorp bug tracking site project.',2,'2009-02-23 00:00:00',2,2,919115.00,'2009-03-03 00:00:00',95,2,7),
 (3725,1,289,1,'US Maxtiqua website','Web mail application',1,'2009-01-03 00:00:00',1,1,728394.00,'2009-03-10 00:00:00',95,1,3),
 (3726,1,289,1,'US Teknorama intranet','Annual Audit of application code across the organization',2,'2009-01-08 00:00:00',2,2,844695.00,'2009-03-10 00:00:00',95,2,7),
 (3727,1,289,1,'Tektron website','Annual Audit of application code across the organization',1,'2009-01-09 00:00:00',1,1,281042.00,'2009-03-17 00:00:00',95,1,9),
 (3728,1,289,1,'TeknoViapartners website','GloboCorp ecommerce project.',2,'2009-02-01 00:00:00',2,2,875580.00,'2009-03-17 00:00:00',95,2,7),
 (3729,1,289,1,'Polytheon Company internet','GloboCorp intranet project.',2,'2009-01-14 00:00:00',2,2,515938.00,'2009-03-24 00:00:00',95,2,4),
 (3730,1,289,1,'Unipartners wiki','Annual Audit of application code across the organization',2,'2009-01-06 00:00:00',2,2,990998.00,'2009-03-24 00:00:00',95,2,5),
 (3731,1,289,1,'Nettheon Employee portal v1.0','GloboCorp ecommerce project.',2,'2009-01-30 00:00:00',2,2,300351.00,'2009-03-31 00:00:00',95,2,9),
 (3732,1,289,1,'SteganoPacPacifidisco ecommerce','GloboCorp CMS project.',1,'2009-02-10 00:00:00',1,1,148596.00,'2009-03-31 00:00:00',95,1,4),
 (3733,1,289,1,'Thermocom microsite','GloboCorp CMS project.',1,'2009-02-08 00:00:00',1,1,639023.00,'2009-04-07 00:00:00',95,1,7),
 (3734,1,289,1,'SysSoltanium Team-building portal','GloboCorp bug tracking site project.',2,'2009-02-23 00:00:00',2,2,118676.00,'2009-04-07 00:00:00',95,2,7),
 (3735,1,289,1,'Periweb RFP application','GloboCorp ecommerce project.',2,'2009-01-22 00:00:00',2,2,583089.00,'2009-04-14 00:00:00',95,2,8),
 (3736,1,289,1,'Teleseco Back office integration','Annual Audit of application code across the organization',1,'2009-01-07 00:00:00',1,1,999959.00,'2009-04-14 00:00:00',96,1,8),
 (3737,1,289,1,'Infracenta Time Tracking application','GloboCorp portal project.',1,'2009-01-27 00:00:00',1,1,854789.00,'2009-04-21 00:00:00',95,1,7),
 (3738,1,289,1,'Cybersouth Company internet','GloboCorp microsite project.',2,'2009-02-11 00:00:00',2,2,252273.00,'2009-04-21 00:00:00',95,2,2),
 (3739,1,289,1,'Cryptonetic IM application','Intranet messaging application',2,'2009-01-04 00:00:00',1,2,303537.00,'2009-04-28 00:00:00',95,2,3),
 (3740,1,289,1,'Teknocal Back office integration','Annual Audit of application code across the organization',1,'2009-01-03 00:00:00',1,1,953116.00,'2009-04-28 00:00:00',96,1,7),
 (3741,1,289,1,'Tekcorp Company internet','Team-building portal for intranet',1,'2009-01-03 00:00:00',1,1,218609.00,'2009-05-05 00:00:00',95,1,8),
 (3742,1,289,1,'AnthroSoft.com Time Tracking application','Annual Audit of application code across the organization',2,'2009-01-04 00:00:00',2,2,417652.00,'2009-05-05 00:00:00',95,2,8),
 (3743,1,289,1,'Softcom.com Financial Reporting portal','GloboCorp microsite project.',2,'2009-02-03 00:00:00',2,2,632025.00,'2009-05-12 00:00:00',95,2,9),
 (3744,1,289,1,'iNetnetic Project wiki','GloboCorp portal project.',1,'2009-01-19 00:00:00',1,1,999052.00,'2009-05-12 00:00:00',95,1,5),
 (3745,1,289,1,'Thermonuclear RFP application','GloboCorp bug tracking site project.',2,'2009-02-21 00:00:00',2,2,170642.00,'2009-05-19 00:00:00',95,2,3),
 (3746,1,289,1,'Callectrix Company internet','GloboCorp intranet project.',2,'2009-01-12 00:00:00',2,2,962248.00,'2009-05-19 00:00:00',95,2,2),
 (3747,1,289,1,'Entnuclear website','GloboCorp portal project.',1,'2009-01-21 00:00:00',1,1,137419.00,'2009-05-26 00:00:00',95,1,5),
 (3748,1,289,1,'Motoicon Back office integration','GloboCorp bug tracking site project.',2,'2009-03-01 00:00:00',2,2,179670.00,'2009-05-26 00:00:00',95,2,7),
 (3749,1,289,1,'Navipaq CMS','Back office integration for accounting and finance',1,'2009-01-07 00:00:00',1,1,781979.00,'2009-06-02 00:00:00',95,1,5),
 (3750,1,289,1,'Cyberlectric RFP application','Single sign-on initiative',2,'2009-01-04 00:00:00',1,2,780332.00,'2009-06-02 00:00:00',95,2,3),
 (3751,1,289,1,'SynRotobyte ecommerce','Application to automate employee review process',2,'2009-01-10 00:00:00',2,2,592387.00,'2009-06-09 00:00:00',95,2,4),
 (3752,1,289,1,'Safephor microsite','GloboCorp microsite project.',2,'2009-02-05 00:00:00',2,2,186256.00,'2009-06-09 00:00:00',95,2,4),
 (3753,1,289,1,'Genlog bug tracking site','GloboCorp CMS project.',1,'2009-02-14 00:00:00',1,1,895380.00,'2009-06-16 00:00:00',95,1,6),
 (3754,1,289,1,'Softcent bug tracking site','GloboCorp portal project.',1,'2009-01-29 00:00:00',1,1,205142.00,'2009-06-16 00:00:00',95,1,4),
 (3755,1,289,1,'Softscope microsite','GloboCorp bug tracking site project.',2,'2009-03-01 00:00:00',2,2,386891.00,'2009-06-23 00:00:00',95,2,7),
 (3756,1,289,1,'Utiliagra Back office integration','GloboCorp portal project.',1,'2009-01-21 00:00:00',1,1,121145.00,'2009-06-23 00:00:00',95,1,5),
 (3757,1,289,1,'Hyperridium microsite','GloboCorp ecommerce project.',2,'2009-01-22 00:00:00',2,2,491304.00,'2009-06-30 00:00:00',95,2,8),
 (3758,1,289,1,'Thermolog Project wiki','GloboCorp bug tracking site project.',2,'2009-02-23 00:00:00',2,2,130327.00,'2009-06-30 00:00:00',95,2,7),
 (3759,1,289,1,'eInfohacker Team-building portal','GloboCorp ecommerce project.',2,'2009-01-26 00:00:00',2,2,791371.00,'2009-07-07 00:00:00',95,2,1),
 (3760,1,289,1,'Soleccorp CMS','Decision Support System',1,'2009-01-03 00:00:00',1,1,641086.00,'2009-07-07 00:00:00',95,1,3),
 (3761,1,289,1,'Costsouth wiki','GloboCorp ecommerce project.',2,'2009-01-24 00:00:00',2,2,939922.00,'2009-07-14 00:00:00',95,2,5),
 (3762,1,289,1,'Softscope microsite','Annual Audit of application code across the organization',1,'2009-01-05 00:00:00',1,1,164374.00,'2009-07-14 00:00:00',95,1,9),
 (3763,1,289,1,'Cyberrama intranet','GloboCorp ecommerce project.',2,'2009-01-28 00:00:00',2,2,893873.00,'2009-07-21 00:00:00',95,2,9),
 (3764,1,289,1,'US Lexalta Sales Tracking application','Annual Audit of application code across the organization',2,'2009-01-04 00:00:00',2,2,997277.00,'2009-07-21 00:00:00',95,2,8),
 (3765,1,289,1,'Nettheon Company Benefits portal','Decision Support System',1,'2009-01-03 00:00:00',1,1,176458.00,'2009-07-28 00:00:00',95,1,3),
 (3766,1,289,1,'Eyetheon Single sign-on initiative','Annual Audit of application code across the organization',2,'2009-01-06 00:00:00',2,2,984242.00,'2009-07-28 00:00:00',95,2,5),
 (3767,1,289,1,'Costistrix Company Benefits portal','Team-building portal for intranet',1,'2009-01-03 00:00:00',1,1,868522.00,'2009-08-04 00:00:00',95,1,8),
 (3768,1,289,1,'Keygraph Annual Audit 2010','Annual Audit of application code across the organization',2,'2009-01-04 00:00:00',2,2,829855.00,'2009-08-04 00:00:00',95,2,8),
 (3769,1,289,1,'Costsouth Decision Support System','GloboCorp microsite project.',2,'2009-02-11 00:00:00',2,2,576284.00,'2009-08-11 00:00:00',95,2,2),
 (3770,1,289,1,'Softcent Team-building portal','Annual Audit of application code across the organization',2,'2009-01-12 00:00:00',2,2,649923.00,'2009-08-11 00:00:00',95,2,7),
 (3771,1,289,1,'eInfohacker Annual Audit 2010','GloboCorp bug tracking site project.',2,'2009-03-03 00:00:00',2,2,126621.00,'2009-08-18 00:00:00',95,2,4),
 (3772,1,289,1,'Metaserve RFP application','GloboCorp intranet project.',2,'2009-01-12 00:00:00',2,2,178774.00,'2009-08-18 00:00:00',95,2,2),
 (3773,1,289,1,'Cyberrama Decision Support System','Team-building portal for intranet',1,'2009-01-03 00:00:00',1,1,263376.00,'2009-08-25 00:00:00',95,1,8),
 (3774,1,289,1,'Pacmaxa Team-building portal','Employee portal for intranet',1,'2009-01-01 00:00:00',1,1,886456.00,'2009-08-25 00:00:00',95,1,3),
 (3775,1,289,1,'Cyberlectric IM application','GloboCorp ecommerce project.',2,'2009-01-28 00:00:00',2,2,139628.00,'2009-09-01 00:00:00',95,2,9),
 (3776,1,289,1,'Callectrix Project wiki','GloboCorp CMS project.',1,'2009-02-16 00:00:00',1,1,167339.00,'2009-09-01 00:00:00',95,1,9),
 (3777,1,289,1,'Teknocal Company internet','GloboCorp microsite project.',2,'2009-02-03 00:00:00',2,2,217255.00,'2009-09-08 00:00:00',95,2,9),
 (3778,1,289,1,'Keygraph Marketing Collateral application','GloboCorp wiki project.',1,'2009-02-22 00:00:00',1,1,291929.00,'2009-09-08 00:00:00',95,1,4),
 (3779,1,289,1,'Metaserve ecommerce','GloboCorp intranet project.',2,'2009-01-12 00:00:00',2,2,617857.00,'2009-09-15 00:00:00',95,2,2),
 (3780,1,289,1,'ApSoftEnttiqua Financial Reporting portal','Annual Audit of application code across the organization',2,'2009-01-04 00:00:00',2,2,918588.00,'2009-09-15 00:00:00',95,2,8),
 (3781,1,289,1,'US Quinrad Annual Audit 2010','Annual Audit of application code across the organization',1,'2009-01-11 00:00:00',1,1,726053.00,'2009-09-22 00:00:00',96,1,5),
 (3782,1,289,1,'Keygraph Sales Tracking application','Help Desk application',1,'2009-01-01 00:00:00',1,1,172858.00,'2009-09-22 00:00:00',95,1,3),
 (3783,1,289,1,'eAnthrolan Team-building portal','GloboCorp bug tracking site project.',2,'2009-03-01 00:00:00',2,2,408778.00,'2009-09-29 00:00:00',95,2,7),
 (3784,1,289,1,'Nettheon website','GloboCorp microsite project.',2,'2009-02-03 00:00:00',2,2,903469.00,'2009-09-29 00:00:00',95,2,9),
 (3785,1,289,1,'Ultravalu Back office integration','Application to automate employee review process',2,'2009-01-10 00:00:00',2,2,141332.00,'2009-10-06 00:00:00',95,2,4),
 (3786,1,289,1,'Callectrix portal','GloboCorp portal project.',1,'2009-01-21 00:00:00',1,1,611837.00,'2009-10-06 00:00:00',95,1,5),
 (3787,1,289,1,'Eyetel Help Desk application','Application to track outside sales',1,'2009-01-09 00:00:00',1,1,192070.00,'2009-10-13 00:00:00',95,1,3),
 (3788,1,289,1,'US Costmat ecommerce','Back office integration for accounting and finance',1,'2009-01-07 00:00:00',1,1,463994.00,'2009-10-13 00:00:00',95,1,5),
 (3789,1,289,1,'Teletronik.com ecommerce','GloboCorp wiki project.',1,'2009-02-22 00:00:00',1,1,245546.00,'2009-10-20 00:00:00',95,1,4),
 (3790,1,289,1,'Softcom.com Financial Reporting portal','GloboCorp intranet project.',2,'2009-01-16 00:00:00',2,2,119408.00,'2009-10-20 00:00:00',95,2,4),
 (3791,1,289,1,'eInmarcs Company Benefits portal','GloboCorp intranet project.',2,'2009-01-16 00:00:00',2,2,560246.00,'2009-10-27 00:00:00',95,2,4),
 (3792,1,289,1,'Apamerica RFP application','Financial Reporting portal',2,'2009-01-04 00:00:00',1,2,181920.00,'2009-10-27 00:00:00',95,2,3),
 (3793,1,289,1,'Ultrafab bug tracking site','GloboCorp portal project.',1,'2009-01-19 00:00:00',1,1,252879.00,'2009-11-03 00:00:00',95,1,5),
 (3794,1,289,1,'US Costmat Back office integration','Time tracking application for organization',1,'2009-01-05 00:00:00',1,1,993882.00,'2009-11-03 00:00:00',95,1,9),
 (3795,1,289,1,'Xegate Single sign-on initiative','Marketing Collateral application',1,'2009-01-03 00:00:00',1,1,189109.00,'2009-11-10 00:00:00',95,1,3),
 (3796,1,289,1,'eRotoway website','Annual Audit of application code across the organization',1,'2009-01-05 00:00:00',1,1,148218.00,'2009-11-10 00:00:00',95,1,3),
 (3797,1,289,1,'eAnthrolan Company internet','Project wiki',2,'2009-01-02 00:00:00',1,2,998701.00,'2009-11-17 00:00:00',95,2,3),
 (3798,1,289,1,'Cyphertegra Decision Support System','GloboCorp bug tracking site project.',2,'2009-02-27 00:00:00',2,2,168810.00,'2009-11-17 00:00:00',95,2,3),
 (3799,1,289,1,'ApSoftEnttiqua Employee portal v1.0','GloboCorp bug tracking site project.',2,'2009-03-03 00:00:00',2,2,497984.00,'2009-11-24 00:00:00',95,2,4),
 (3800,1,289,1,'eInfohacker Back office integration','GloboCorp wiki project.',1,'2009-02-28 00:00:00',1,1,119396.00,'2009-11-24 00:00:00',95,1,3),
 (3801,1,289,1,'Costat CMS','GloboCorp CMS project.',1,'2009-02-08 00:00:00',1,1,625625.00,'2009-12-01 00:00:00',95,1,7),
 (3802,1,289,1,'Yoyoic Marketing Collateral application','GloboCorp website project.',1,'2009-01-11 00:00:00',1,1,350400.00,'2009-12-01 00:00:00',95,1,2),
 (3803,1,289,1,'Cyberlectric ecommerce','Annual Audit of application code across the organization',2,'2009-01-08 00:00:00',2,2,241425.00,'2009-12-08 00:00:00',95,2,7),
 (3804,1,289,1,'Polytheon Marketing Collateral application','Annual Audit of application code across the organization',1,'2009-01-05 00:00:00',1,1,436623.00,'2009-12-08 00:00:00',95,1,9),
 (3805,1,289,1,'Datasource website','Annual Audit of application code across the organization',1,'2009-01-03 00:00:00',1,1,998252.00,'2009-12-15 00:00:00',96,1,7),
 (3806,1,289,1,'ApSoftEnttiqua Help Desk application','GloboCorp microsite project.',2,'2009-02-13 00:00:00',2,2,211350.00,'2009-12-15 00:00:00',95,2,5),
 (3807,1,289,1,'Rotopak Time Tracking application','GloboCorp wiki project.',1,'2009-03-02 00:00:00',1,1,144253.00,'2009-12-22 00:00:00',95,1,6),
 (3808,1,289,1,'Cyphertegra Decision Support System','GloboCorp portal project.',1,'2009-01-31 00:00:00',1,1,173624.00,'2009-12-22 00:00:00',95,1,2),
 (3809,1,289,1,'Quinvalu intranet','GloboCorp wiki project.',1,'2009-03-02 00:00:00',1,1,271422.00,'2009-12-29 00:00:00',95,1,6),
 (3810,1,289,1,'Titaniridium RFP application','Annual Audit of application code across the organization',2,'2009-01-06 00:00:00',2,2,824362.00,'2009-12-29 00:00:00',95,2,5),
 (3811,1,290,1,'Soncal Decision Support System','GloboCorp ecommerce project.',2,'2009-01-22 00:00:00',2,2,126792.00,'2009-01-06 00:00:00',95,2,8),
 (3812,1,290,1,'Pacifiphor portal','Single sign-on initiative',2,'2009-01-04 00:00:00',1,2,285017.00,'2009-01-06 00:00:00',95,2,3),
 (3813,1,290,1,'eInfohacker Human Resources Review application','Company benefits portal for intranet',2,'2009-01-04 00:00:00',2,2,286068.00,'2009-01-13 00:00:00',95,2,8),
 (3814,1,290,1,'Genlanza Human Resources Review application','GloboCorp CMS project.',1,'2009-02-02 00:00:00',1,1,292729.00,'2009-01-13 00:00:00',95,1,7),
 (3815,1,290,1,'Cybersouth Financial Reporting portal','Annual Audit of application code across the organization',2,'2009-01-10 00:00:00',2,2,194735.00,'2009-01-20 00:00:00',95,2,2),
 (3816,1,290,1,'Nuserve ecommerce','GloboCorp microsite project.',2,'2009-02-05 00:00:00',2,2,991909.00,'2009-01-20 00:00:00',95,2,4),
 (3817,1,290,1,'US Maxtiqua Single sign-on initiative','GloboCorp bug tracking site project.',2,'2009-02-23 00:00:00',2,2,392927.00,'2009-01-27 00:00:00',95,2,7),
 (3818,1,290,1,'US Turbolinear Financial Reporting portal','GloboCorp bug tracking site project.',2,'2009-03-01 00:00:00',2,2,150094.00,'2009-01-27 00:00:00',95,2,7),
 (3819,1,290,1,'US Cyclovalu Back office integration','GloboCorp bug tracking site project.',2,'2009-02-25 00:00:00',2,2,523082.00,'2009-02-03 00:00:00',95,2,7),
 (3820,1,290,1,'Eyetheon Marketing Collateral application','GloboCorp wiki project.',1,'2009-02-18 00:00:00',1,1,156216.00,'2009-02-03 00:00:00',95,1,4),
 (3821,1,290,1,'Titaniridium Back office integration','GloboCorp ecommerce project.',2,'2009-01-22 00:00:00',2,2,323395.00,'2009-02-10 00:00:00',95,2,8),
 (3822,1,290,1,'Infracenta wiki','GloboCorp microsite project.',2,'2009-02-03 00:00:00',2,2,137714.00,'2009-02-10 00:00:00',95,2,9),
 (3823,1,290,1,'Hyperridium Project wiki','Employee portal for intranet',1,'2009-01-01 00:00:00',1,1,264733.00,'2009-02-17 00:00:00',95,1,3),
 (3824,1,290,1,'Utiliagra Company Benefits portal','Legacy CMS integration for Marketing group',2,'2009-01-08 00:00:00',2,2,656400.00,'2009-02-17 00:00:00',95,2,8),
 (3825,1,290,1,'Periweb Company internet','GloboCorp wiki project.',1,'2009-02-22 00:00:00',1,1,151861.00,'2009-02-24 00:00:00',95,1,4),
 (3826,1,290,1,'Hyperridium Help Desk application','GloboCorp bug tracking site project.',2,'2009-02-23 00:00:00',2,2,167254.00,'2009-02-24 00:00:00',95,2,7),
 (3827,1,290,1,'Unipartners bug tracking site','GloboCorp portal project.',1,'2009-01-27 00:00:00',1,1,172521.00,'2009-03-03 00:00:00',95,1,7),
 (3828,1,290,1,'Xegate RFP application','Time tracking application for organization',1,'2009-01-05 00:00:00',1,1,986892.00,'2009-03-03 00:00:00',95,1,9),
 (3829,1,290,1,'US Quinrad Help Desk application','GloboCorp microsite project.',2,'2009-02-15 00:00:00',2,2,992529.00,'2009-03-10 00:00:00',95,2,5),
 (3830,1,290,1,'Yoyoic Decision Support System','Decision Support System',1,'2009-01-03 00:00:00',1,1,803627.00,'2009-03-10 00:00:00',95,1,3),
 (3831,1,290,1,'Synconich website','GloboCorp portal project.',1,'2009-01-31 00:00:00',1,1,846879.00,'2009-03-17 00:00:00',95,1,2),
 (3832,1,290,1,'Celphor wiki','Back office integration for accounting and finance',1,'2009-01-07 00:00:00',1,1,151661.00,'2009-03-17 00:00:00',95,1,5),
 (3833,1,290,1,'US Cyclovalu Company Benefits portal','GloboCorp bug tracking site project.',2,'2009-02-23 00:00:00',2,2,567638.00,'2009-03-24 00:00:00',95,2,7),
 (3834,1,290,1,'Keygraph IM application','Decision Support System',1,'2009-01-03 00:00:00',1,1,228708.00,'2009-03-24 00:00:00',95,1,3),
 (3835,1,290,1,'Costat Decision Support System','Annual Audit of application code across the organization',2,'2009-01-10 00:00:00',2,2,126293.00,'2009-03-31 00:00:00',95,2,2),
 (3836,1,290,1,'iNetnetic CMS integration','GloboCorp CMS project.',1,'2009-02-12 00:00:00',1,1,140736.00,'2009-03-31 00:00:00',95,1,5),
 (3837,1,290,1,'Sysline Time Tracking application','Time tracking application for organization',1,'2009-01-05 00:00:00',1,1,312395.00,'2009-04-07 00:00:00',95,1,9),
 (3838,1,290,1,'SteganoPacPacifidisco intranet','GloboCorp ecommerce project.',2,'2009-01-22 00:00:00',2,2,899945.00,'2009-04-07 00:00:00',95,2,8),
 (3839,1,290,1,'Keygraph RFP application','GloboCorp microsite project.',2,'2009-02-17 00:00:00',2,2,378360.00,'2009-04-14 00:00:00',95,2,2),
 (3840,1,290,1,'US SiliCryptoix bug tracking site','GloboCorp bug tracking site project.',2,'2009-02-23 00:00:00',2,2,141310.00,'2009-04-14 00:00:00',95,2,7),
 (3841,1,290,1,'ApSoftEnttiqua Financial Reporting portal','GloboCorp portal project.',1,'2009-01-23 00:00:00',1,1,899764.00,'2009-04-21 00:00:00',95,1,5),
 (3842,1,290,1,'TeknoViapartners Annual Audit 2010','Annual Audit of application code across the organization',1,'2009-01-03 00:00:00',1,1,153681.00,'2009-04-21 00:00:00',96,1,7),
 (3843,1,290,1,'Entnuclear Financial Reporting portal','GloboCorp portal project.',1,'2009-01-31 00:00:00',1,1,123741.00,'2009-04-28 00:00:00',95,1,2),
 (3844,1,290,1,'Thermocom Single sign-on initiative','GloboCorp CMS project.',1,'2009-02-06 00:00:00',1,1,999454.00,'2009-04-28 00:00:00',95,1,7),
 (3845,1,290,1,'Cyberrama portal','Single sign-on initiative',2,'2009-01-04 00:00:00',1,2,513399.00,'2009-05-05 00:00:00',95,2,3),
 (3846,1,290,1,'US Lexalta Annual Audit 2010','GloboCorp portal project.',1,'2009-01-25 00:00:00',1,1,207471.00,'2009-05-05 00:00:00',95,1,4),
 (3847,1,290,1,'Synconich CMS','GloboCorp bug tracking site project.',2,'2009-02-19 00:00:00',2,2,204024.00,'2009-05-12 00:00:00',95,2,1),
 (3848,1,290,1,'Cryptonetic intranet','Back office integration for accounting and finance',1,'2009-01-07 00:00:00',1,1,950624.00,'2009-05-12 00:00:00',95,1,5),
 (3849,1,290,1,'Titaniridium bug tracking site','GloboCorp CMS project.',1,'2009-02-06 00:00:00',1,1,183680.00,'2009-05-19 00:00:00',95,1,7),
 (3850,1,290,1,'TeknoViapartners Human Resources Review application','GloboCorp wiki project.',1,'2009-03-04 00:00:00',1,1,125978.00,'2009-05-19 00:00:00',95,1,5),
 (3851,1,290,1,'Navipaq Company internet','GloboCorp bug tracking site project.',2,'2009-03-01 00:00:00',2,2,417219.00,'2009-05-26 00:00:00',95,2,7),
 (3852,1,290,1,'US Costmat portal','Annual Audit of application code across the organization',1,'2009-01-11 00:00:00',1,1,593766.00,'2009-05-26 00:00:00',96,1,5),
 (3853,1,290,1,'Tektron IM application','GloboCorp portal project.',1,'2009-01-19 00:00:00',1,1,402189.00,'2009-06-02 00:00:00',95,1,5),
 (3854,1,290,1,'eInfohacker ecommerce','GloboCorp website project.',1,'2009-01-15 00:00:00',1,1,178140.00,'2009-06-02 00:00:00',95,1,1),
 (3855,1,290,1,'Polytheon bug tracking site','GloboCorp intranet project.',2,'2009-01-16 00:00:00',2,2,171533.00,'2009-06-09 00:00:00',95,2,4),
 (3856,1,290,1,'Synconich CMS','GloboCorp wiki project.',1,'2009-02-28 00:00:00',1,1,319130.00,'2009-06-09 00:00:00',95,1,3),
 (3857,1,290,1,'Mapdant Time Tracking application','Application to automate employee review process',2,'2009-01-10 00:00:00',2,2,583316.00,'2009-06-16 00:00:00',95,2,4),
 (3858,1,290,1,'UltraNetfab intranet','GloboCorp CMS project.',1,'2009-02-08 00:00:00',1,1,971775.00,'2009-06-16 00:00:00',95,1,7),
 (3859,1,290,1,'Genlog website','Legacy CMS integration for Marketing group',2,'2009-01-08 00:00:00',2,2,696436.00,'2009-06-23 00:00:00',95,2,8),
 (3860,1,290,1,'Callectrix bug tracking site','GloboCorp portal project.',1,'2009-01-31 00:00:00',1,1,824065.00,'2009-06-23 00:00:00',95,1,2),
 (3861,1,290,1,'Teramart Sales Tracking application','GloboCorp intranet project.',2,'2009-01-14 00:00:00',2,2,117434.00,'2009-06-30 00:00:00',95,2,4),
 (3862,1,290,1,'Costat CMS integration','Web mail application',1,'2009-01-03 00:00:00',1,1,463884.00,'2009-06-30 00:00:00',95,1,3),
 (3863,1,290,1,'US Turbolinear CMS','Annual Audit of application code across the organization',2,'2009-01-02 00:00:00',2,2,829196.00,'2009-07-07 00:00:00',95,2,6),
 (3864,1,290,1,'Soleccorp Decision Support System','Time tracking application for organization',1,'2009-01-05 00:00:00',1,1,847223.00,'2009-07-07 00:00:00',95,1,9),
 (3865,1,290,1,'Teletronik.com Time Tracking application','GloboCorp CMS project.',1,'2009-02-14 00:00:00',1,1,588770.00,'2009-07-14 00:00:00',95,1,6),
 (3866,1,290,1,'Motoicon Company internet','Legacy CMS integration for Marketing group',2,'2009-01-08 00:00:00',2,2,475768.00,'2009-07-14 00:00:00',95,2,8),
 (3867,1,290,1,'Callectrix wiki','GloboCorp bug tracking site project.',2,'2009-02-25 00:00:00',2,2,129713.00,'2009-07-21 00:00:00',95,2,7),
 (3868,1,290,1,'Sysmatix Company Benefits portal','GloboCorp microsite project.',2,'2009-02-03 00:00:00',2,2,951138.00,'2009-07-21 00:00:00',95,2,9),
 (3869,1,290,1,'Thermocom ecommerce','GloboCorp microsite project.',2,'2009-02-11 00:00:00',2,2,704355.00,'2009-07-28 00:00:00',95,2,2),
 (3870,1,290,1,'Utiliagra CMS integration','GloboCorp portal project.',1,'2009-01-29 00:00:00',1,1,663037.00,'2009-07-28 00:00:00',95,1,4),
 (3871,1,290,1,'Intraura Single sign-on initiative','GloboCorp ecommerce project.',2,'2009-01-26 00:00:00',2,2,999381.00,'2009-08-04 00:00:00',95,2,1),
 (3872,1,290,1,'SynRotobyte Decision Support System','GloboCorp microsite project.',2,'2009-02-17 00:00:00',2,2,814944.00,'2009-08-04 00:00:00',95,2,2),
 (3873,1,290,1,'Intraura intranet','GloboCorp portal project.',1,'2009-01-29 00:00:00',1,1,659979.00,'2009-08-11 00:00:00',95,1,4),
 (3874,1,290,1,'SteganoPacPacifidisco Employee portal v1.0','GloboCorp ecommerce project.',2,'2009-01-30 00:00:00',2,2,734232.00,'2009-08-11 00:00:00',95,2,9),
 (3875,1,290,1,'Rotopak Marketing Collateral application','GloboCorp wiki project.',1,'2009-02-22 00:00:00',1,1,642833.00,'2009-08-18 00:00:00',95,1,4),
 (3876,1,290,1,'Airmerica Company internet','GloboCorp portal project.',1,'2009-01-17 00:00:00',1,1,118480.00,'2009-08-18 00:00:00',95,1,5),
 (3877,1,290,1,'Genlanza bug tracking site','Project wiki',2,'2009-01-02 00:00:00',1,2,779052.00,'2009-08-25 00:00:00',95,2,3),
 (3878,1,290,1,'Mapdant bug tracking site','GloboCorp portal project.',1,'2009-01-23 00:00:00',1,1,879315.00,'2009-08-25 00:00:00',95,1,5),
 (3879,1,290,1,'Navipaq CMS integration','Application to automate employee review process',2,'2009-01-10 00:00:00',2,2,335010.00,'2009-09-01 00:00:00',95,2,4),
 (3880,1,290,1,'US SiliCryptoix CMS integration','GloboCorp microsite project.',2,'2009-02-15 00:00:00',2,2,631863.00,'2009-09-01 00:00:00',95,2,5),
 (3881,1,290,1,'Mapdant Single sign-on initiative','GloboCorp intranet project.',2,'2009-01-14 00:00:00',2,2,497009.00,'2009-09-08 00:00:00',95,2,4),
 (3882,1,290,1,'Costat Help Desk application','Legacy CMS integration for Marketing group',2,'2009-01-08 00:00:00',2,2,179728.00,'2009-09-08 00:00:00',95,2,8),
 (3883,1,290,1,'SteganoPacPacifidisco Help Desk application','GloboCorp wiki project.',1,'2009-02-18 00:00:00',1,1,274380.00,'2009-09-15 00:00:00',95,1,4),
 (3884,1,290,1,'Opengraph Annual Audit 2010','GloboCorp bug tracking site project.',2,'2009-02-25 00:00:00',2,2,810123.00,'2009-09-15 00:00:00',95,2,7),
 (3885,1,290,1,'Cyberlectric Sales Tracking application','GloboCorp wiki project.',1,'2009-02-28 00:00:00',1,1,626018.00,'2009-09-22 00:00:00',95,1,3),
 (3886,1,290,1,'Tektron Back office integration','GloboCorp portal project.',1,'2009-01-23 00:00:00',1,1,121235.00,'2009-09-22 00:00:00',95,1,5),
 (3887,1,290,1,'Titaniridium Decision Support System','Marketing Collateral application',1,'2009-01-03 00:00:00',1,1,214509.00,'2009-09-29 00:00:00',95,1,3),
 (3888,1,290,1,'Datasource Time Tracking application','GloboCorp portal project.',1,'2009-01-19 00:00:00',1,1,644851.00,'2009-09-29 00:00:00',95,1,5),
 (3889,1,290,1,'Apamerica IM application','GloboCorp bug tracking site project.',2,'2009-03-01 00:00:00',2,2,266251.00,'2009-10-06 00:00:00',95,2,7),
 (3890,1,290,1,'Tekcorp CMS','GloboCorp wiki project.',1,'2009-02-20 00:00:00',1,1,163282.00,'2009-10-06 00:00:00',95,1,8),
 (3891,1,290,1,'Yoyoic Company Benefits portal','Employee portal for intranet',1,'2009-01-01 00:00:00',1,1,127611.00,'2009-10-13 00:00:00',95,1,3),
 (3892,1,290,1,'Opengraph Marketing Collateral application','Time tracking application for organization',1,'2009-01-05 00:00:00',1,1,137799.00,'2009-10-13 00:00:00',95,1,9),
 (3893,1,290,1,'Periweb CMS','GloboCorp ecommerce project.',2,'2009-01-26 00:00:00',2,2,990461.00,'2009-10-20 00:00:00',95,2,1),
 (3894,1,290,1,'TeknoViapartners Back office integration','GloboCorp microsite project.',2,'2009-02-15 00:00:00',2,2,164461.00,'2009-10-20 00:00:00',95,2,5),
 (3895,1,290,1,'Callectrix Back office integration','GloboCorp wiki project.',1,'2009-02-22 00:00:00',1,1,212989.00,'2009-10-27 00:00:00',95,1,4),
 (3896,1,290,1,'Thermolog Single sign-on initiative','GloboCorp wiki project.',1,'2009-02-28 00:00:00',1,1,876792.00,'2009-10-27 00:00:00',95,1,3),
 (3897,1,290,1,'Hyperridium Company Benefits portal','Annual Audit of application code across the organization',2,'2009-01-04 00:00:00',2,2,148248.00,'2009-11-03 00:00:00',95,2,8),
 (3898,1,290,1,'Unipartners ecommerce','GloboCorp bug tracking site project.',2,'2009-03-03 00:00:00',2,2,965832.00,'2009-11-03 00:00:00',95,2,4),
 (3899,1,290,1,'Cybersouth Company Benefits portal','GloboCorp portal project.',1,'2009-01-25 00:00:00',1,1,998922.00,'2009-11-10 00:00:00',95,1,4),
 (3900,1,290,1,'Sysmatix microsite','GloboCorp wiki project.',1,'2009-02-22 00:00:00',1,1,121126.00,'2009-11-10 00:00:00',95,1,4),
 (3901,1,290,1,'Costsouth CMS integration','GloboCorp ecommerce project.',2,'2009-01-28 00:00:00',2,2,852065.00,'2009-11-17 00:00:00',95,2,9),
 (3902,1,290,1,'Theolog ecommerce','GloboCorp CMS project.',1,'2009-02-12 00:00:00',1,1,948175.00,'2009-11-17 00:00:00',95,1,5),
 (3903,1,290,1,'Theolog Help Desk application','Annual Audit of application code across the organization',2,'2009-01-06 00:00:00',2,2,579292.00,'2009-11-24 00:00:00',95,2,5),
 (3904,1,290,1,'Cryptonetic Company Benefits portal','GloboCorp website project.',1,'2009-01-13 00:00:00',1,1,117038.00,'2009-11-24 00:00:00',95,1,4),
 (3905,1,290,1,'Navipaq bug tracking site','Annual Audit of application code across the organization',1,'2009-01-09 00:00:00',1,1,529225.00,'2009-12-01 00:00:00',95,1,9),
 (3906,1,290,1,'Solscope RFP application','GloboCorp wiki project.',1,'2009-02-22 00:00:00',1,1,969227.00,'2009-12-01 00:00:00',95,1,4),
 (3907,1,290,1,'Entnuclear Help Desk application','Annual Audit of application code across the organization',2,'2009-01-08 00:00:00',2,2,909423.00,'2009-12-08 00:00:00',95,2,7),
 (3908,1,290,1,'Safephor Marketing Collateral application','Back office integration for accounting and finance',1,'2009-01-07 00:00:00',1,1,560419.00,'2009-12-08 00:00:00',95,1,5),
 (3909,1,290,1,'TeknoViapartners Team-building portal','GloboCorp bug tracking site project.',2,'2009-03-01 00:00:00',2,2,847603.00,'2009-12-15 00:00:00',95,2,7),
 (3910,1,290,1,'Soleccorp bug tracking site','Annual Audit of application code across the organization',2,'2009-01-10 00:00:00',2,2,745871.00,'2009-12-15 00:00:00',95,2,2),
 (3911,1,290,1,'US Teknorama Single sign-on initiative','GloboCorp website project.',1,'2009-01-11 00:00:00',1,1,184507.00,'2009-12-22 00:00:00',95,1,2),
 (3912,1,290,1,'Ultrafab Company internet','GloboCorp microsite project.',2,'2009-02-05 00:00:00',2,2,963367.00,'2009-12-22 00:00:00',95,2,4),
 (3913,1,290,1,'Maxtomic Project wiki','GloboCorp ecommerce project.',2,'2009-01-28 00:00:00',2,2,681275.00,'2009-12-29 00:00:00',95,2,9),
 (3914,1,290,1,'Titaniridium Company Benefits portal','Financial Reporting portal',2,'2009-01-04 00:00:00',1,2,266461.00,'2009-12-29 00:00:00',95,2,3),
 (3915,1,291,1,'US Costmat Help Desk application','Web mail application',1,'2009-01-03 00:00:00',1,1,118670.00,'2009-01-06 00:00:00',95,1,3),
 (3916,1,291,1,'Safephor microsite','Employee portal for intranet',1,'2009-01-01 00:00:00',1,1,184399.00,'2009-01-06 00:00:00',95,1,3),
 (3917,1,291,1,'Hyperridium Human Resources Review application','GloboCorp CMS project.',1,'2009-02-10 00:00:00',1,1,341598.00,'2009-01-13 00:00:00',95,1,4),
 (3918,1,291,1,'MicroTekbyte microsite','GloboCorp microsite project.',2,'2009-02-13 00:00:00',2,2,280648.00,'2009-01-13 00:00:00',95,2,5),
 (3919,1,291,1,'US Cryptocom microsite','Intranet messaging application',2,'2009-01-04 00:00:00',1,2,182528.00,'2009-01-20 00:00:00',95,2,3),
 (3920,1,291,1,'Xegate wiki','GloboCorp CMS project.',1,'2009-02-04 00:00:00',1,1,184792.00,'2009-01-20 00:00:00',95,1,5),
 (3921,1,291,1,'Westridium Single sign-on initiative','GloboCorp CMS project.',1,'2009-02-04 00:00:00',1,1,999056.00,'2009-01-27 00:00:00',95,1,5),
 (3922,1,291,1,'Uniair wiki','Annual Audit of application code across the organization',1,'2009-01-05 00:00:00',1,1,168836.00,'2009-01-27 00:00:00',95,1,9),
 (3923,1,291,1,'Thermonuclear Time Tracking application','GloboCorp bug tracking site project.',2,'2009-03-03 00:00:00',2,2,258476.00,'2009-02-03 00:00:00',95,2,4),
 (3924,1,291,1,'Mapdant Marketing Collateral application','Time tracking application for organization',1,'2009-01-05 00:00:00',1,1,977004.00,'2009-02-03 00:00:00',95,1,9),
 (3925,1,291,1,'Polytheon Financial Reporting portal','GloboCorp website project.',1,'2009-01-15 00:00:00',1,1,177638.00,'2009-02-10 00:00:00',95,1,1),
 (3926,1,291,1,'Cryptonetic Help Desk application','GloboCorp wiki project.',1,'2009-02-22 00:00:00',1,1,997492.00,'2009-02-10 00:00:00',95,1,4),
 (3927,1,291,1,'Softcom.com Single sign-on initiative','GloboCorp microsite project.',2,'2009-02-11 00:00:00',2,2,374490.00,'2009-02-17 00:00:00',95,2,2),
 (3928,1,291,1,'Eyetel microsite','GloboCorp CMS project.',1,'2009-02-04 00:00:00',1,1,997700.00,'2009-02-17 00:00:00',95,1,5),
 (3929,1,291,1,'AnthroSoft.com Team-building portal','GloboCorp portal project.',1,'2009-01-25 00:00:00',1,1,486457.00,'2009-02-24 00:00:00',95,1,4),
 (3930,1,291,1,'US Maxtiqua Decision Support System','GloboCorp intranet project.',2,'2009-01-12 00:00:00',2,2,205168.00,'2009-02-24 00:00:00',95,2,2),
 (3931,1,291,1,'Turboron wiki','GloboCorp ecommerce project.',2,'2009-01-24 00:00:00',2,2,123502.00,'2009-03-03 00:00:00',95,2,5),
 (3932,1,291,1,'Fibronix CMS integration','Help Desk application',1,'2009-01-01 00:00:00',1,1,841756.00,'2009-03-03 00:00:00',95,1,3),
 (3933,1,291,1,'Nettheon Team-building portal','GloboCorp wiki project.',1,'2009-03-04 00:00:00',1,1,788306.00,'2009-03-10 00:00:00',95,1,5),
 (3934,1,291,1,'Hyperridium CMS','Annual Audit of application code across the organization',2,'2009-01-10 00:00:00',2,2,604346.00,'2009-03-10 00:00:00',95,2,2),
 (3935,1,291,1,'SynRotobyte website','Team-building portal for intranet',1,'2009-01-03 00:00:00',1,1,450920.00,'2009-03-17 00:00:00',95,1,8),
 (3936,1,291,1,'US Cyclovalu Human Resources Review application','GloboCorp website project.',1,'2009-01-11 00:00:00',1,1,296346.00,'2009-03-17 00:00:00',95,1,2),
 (3937,1,291,1,'Tekcorp CMS integration','GloboCorp microsite project.',2,'2009-02-13 00:00:00',2,2,233841.00,'2009-03-24 00:00:00',95,2,5),
 (3938,1,291,1,'UltraNetfab Time Tracking application','GloboCorp CMS project.',1,'2009-02-10 00:00:00',1,1,767026.00,'2009-03-24 00:00:00',95,1,4),
 (3939,1,291,1,'Aerstate ecommerce','Employee portal for intranet',1,'2009-01-01 00:00:00',1,1,180961.00,'2009-03-31 00:00:00',95,1,3),
 (3940,1,291,1,'Celphor bug tracking site','GloboCorp ecommerce project.',2,'2009-01-18 00:00:00',2,2,118428.00,'2009-03-31 00:00:00',95,2,6),
 (3941,1,291,1,'Soncal Financial Reporting portal','GloboCorp microsite project.',2,'2009-02-05 00:00:00',2,2,676293.00,'2009-04-07 00:00:00',95,2,4),
 (3942,1,291,1,'Fibronix Decision Support System','GloboCorp portal project.',1,'2009-01-23 00:00:00',1,1,638057.00,'2009-04-07 00:00:00',95,1,5),
 (3943,1,291,1,'Nanocom microsite','GloboCorp portal project.',1,'2009-01-25 00:00:00',1,1,123732.00,'2009-04-14 00:00:00',95,1,4),
 (3944,1,291,1,'eInfohacker Company internet','GloboCorp bug tracking site project.',2,'2009-02-23 00:00:00',2,2,124196.00,'2009-04-14 00:00:00',95,2,7),
 (3945,1,291,1,'Solscope Decision Support System','Annual Audit of application code across the organization',1,'2009-01-11 00:00:00',1,1,649800.00,'2009-04-21 00:00:00',96,1,5),
 (3946,1,291,1,'Entnuclear bug tracking site','Marketing Collateral application',1,'2009-01-03 00:00:00',1,1,602955.00,'2009-04-21 00:00:00',95,1,3),
 (3947,1,291,1,'Xegate Human Resources Review application','GloboCorp bug tracking site project.',2,'2009-02-19 00:00:00',2,2,304690.00,'2009-04-28 00:00:00',95,2,1),
 (3948,1,291,1,'Hyperridium IM application','Marketing Collateral application',1,'2009-01-03 00:00:00',1,1,317190.00,'2009-04-28 00:00:00',95,1,3),
 (3949,1,291,1,'US Teknorama CMS','GloboCorp wiki project.',1,'2009-02-24 00:00:00',1,1,870606.00,'2009-05-05 00:00:00',95,1,6),
 (3950,1,291,1,'Parasource.com website','GloboCorp wiki project.',1,'2009-02-24 00:00:00',1,1,760843.00,'2009-05-05 00:00:00',95,1,6),
 (3951,1,291,1,'ApSoftEnttiqua CMS integration','GloboCorp intranet project.',2,'2009-01-14 00:00:00',2,2,638747.00,'2009-05-12 00:00:00',95,2,4),
 (3952,1,291,1,'Westridium Single sign-on initiative','Annual Audit of application code across the organization',1,'2009-01-09 00:00:00',1,1,261133.00,'2009-05-12 00:00:00',95,1,9),
 (3953,1,291,1,'Mapdant Decision Support System','Annual Audit of application code across the organization',2,'2009-01-02 00:00:00',2,2,125729.00,'2009-05-19 00:00:00',95,2,6),
 (3954,1,291,1,'Cyberrama CMS','GloboCorp microsite project.',2,'2009-02-11 00:00:00',2,2,183499.00,'2009-05-19 00:00:00',95,2,2),
 (3955,1,291,1,'Yoyoic Employee portal v1.0','GloboCorp CMS project.',1,'2009-02-10 00:00:00',1,1,866887.00,'2009-05-26 00:00:00',95,1,4),
 (3956,1,291,1,'Autocast Marketing Collateral application','GloboCorp bug tracking site project.',2,'2009-02-21 00:00:00',2,2,987221.00,'2009-05-26 00:00:00',95,2,3),
 (3957,1,291,1,'Teknocal Financial Reporting portal','GloboCorp ecommerce project.',2,'2009-01-20 00:00:00',2,2,230692.00,'2009-06-02 00:00:00',95,2,5),
 (3958,1,291,1,'Navipaq Back office integration','GloboCorp ecommerce project.',2,'2009-01-20 00:00:00',2,2,982326.00,'2009-06-02 00:00:00',95,2,5),
 (3959,1,291,1,'US Teknorama ecommerce','GloboCorp microsite project.',2,'2009-02-03 00:00:00',2,2,136794.00,'2009-06-09 00:00:00',95,2,9),
 (3960,1,291,1,'Nettheon Employee portal v1.0','Annual Audit of application code across the organization',2,'2009-01-04 00:00:00',2,2,988520.00,'2009-06-09 00:00:00',95,2,8),
 (3961,1,291,1,'Mapdant bug tracking site','GloboCorp CMS project.',1,'2009-02-10 00:00:00',1,1,151262.00,'2009-06-16 00:00:00',95,1,4),
 (3962,1,291,1,'Polytheon ecommerce','GloboCorp website project.',1,'2009-01-11 00:00:00',1,1,213478.00,'2009-06-16 00:00:00',95,1,2),
 (3963,1,291,1,'Teletronik.com portal','GloboCorp ecommerce project.',2,'2009-01-20 00:00:00',2,2,186893.00,'2009-06-23 00:00:00',95,2,5),
 (3964,1,291,1,'Cyberlectric Help Desk application','Marketing Collateral application',1,'2009-01-03 00:00:00',1,1,426645.00,'2009-06-23 00:00:00',95,1,3),
 (3965,1,291,1,'Parasource.com Project wiki','GloboCorp portal project.',1,'2009-01-17 00:00:00',1,1,541680.00,'2009-06-30 00:00:00',95,1,5),
 (3966,1,291,1,'Teramart Annual Audit 2010','GloboCorp ecommerce project.',2,'2009-01-24 00:00:00',2,2,478610.00,'2009-06-30 00:00:00',95,2,5),
 (3967,1,291,1,'Yoyoic Decision Support System','GloboCorp bug tracking site project.',2,'2009-02-23 00:00:00',2,2,549367.00,'2009-07-07 00:00:00',95,2,7),
 (3968,1,291,1,'US Lexalta bug tracking site','GloboCorp ecommerce project.',2,'2009-01-30 00:00:00',2,2,812924.00,'2009-07-07 00:00:00',95,2,9),
 (3969,1,291,1,'Safephor CMS','Company benefits portal for intranet',2,'2009-01-04 00:00:00',2,2,995837.00,'2009-07-14 00:00:00',95,2,8),
 (3970,1,291,1,'Pacmaxa CMS','Annual Audit of application code across the organization',1,'2009-01-09 00:00:00',1,1,142536.00,'2009-07-14 00:00:00',95,1,9),
 (3971,1,291,1,'Periweb CMS','GloboCorp microsite project.',2,'2009-02-03 00:00:00',2,2,282703.00,'2009-07-21 00:00:00',95,2,9),
 (3972,1,291,1,'Genlanza Decision Support System','GloboCorp bug tracking site project.',2,'2009-02-23 00:00:00',2,2,705690.00,'2009-07-21 00:00:00',95,2,7),
 (3973,1,291,1,'US Maxtiqua Project wiki','GloboCorp bug tracking site project.',2,'2009-02-19 00:00:00',2,2,847521.00,'2009-07-28 00:00:00',95,2,1),
 (3974,1,291,1,'Polytheon Single sign-on initiative','GloboCorp website project.',1,'2009-01-15 00:00:00',1,1,608664.00,'2009-07-28 00:00:00',95,1,1),
 (3975,1,291,1,'Opengraph Project wiki','GloboCorp bug tracking site project.',2,'2009-03-01 00:00:00',2,2,134990.00,'2009-08-04 00:00:00',95,2,7),
 (3976,1,291,1,'Unipartners microsite','GloboCorp microsite project.',2,'2009-02-07 00:00:00',2,2,273437.00,'2009-08-04 00:00:00',95,2,5),
 (3977,1,291,1,'Infracenta ecommerce','GloboCorp bug tracking site project.',2,'2009-03-03 00:00:00',2,2,974423.00,'2009-08-11 00:00:00',95,2,4),
 (3978,1,291,1,'Infracenta portal','GloboCorp wiki project.',1,'2009-02-26 00:00:00',1,1,922416.00,'2009-08-11 00:00:00',95,1,7),
 (3979,1,291,1,'Synconich Help Desk application','GloboCorp portal project.',1,'2009-01-17 00:00:00',1,1,598470.00,'2009-08-18 00:00:00',95,1,5),
 (3980,1,291,1,'UltraNetfab CMS integration','GloboCorp microsite project.',2,'2009-02-15 00:00:00',2,2,118350.00,'2009-08-18 00:00:00',95,2,5),
 (3981,1,291,1,'Opengraph Annual Audit 2010','GloboCorp ecommerce project.',2,'2009-01-28 00:00:00',2,2,817239.00,'2009-08-25 00:00:00',95,2,9),
 (3982,1,291,1,'US Maxtiqua Single sign-on initiative','GloboCorp wiki project.',1,'2009-03-04 00:00:00',1,1,169057.00,'2009-08-25 00:00:00',95,1,5),
 (3983,1,291,1,'Sysline Financial Reporting portal','GloboCorp bug tracking site project.',2,'2009-02-23 00:00:00',2,2,425970.00,'2009-09-01 00:00:00',95,2,7),
 (3984,1,291,1,'US Teknorama Human Resources Review application','Annual Audit of application code across the organization',1,'2009-01-05 00:00:00',1,1,126806.00,'2009-09-01 00:00:00',95,1,9),
 (3985,1,291,1,'eInfohacker Company Benefits portal','GloboCorp ecommerce project.',2,'2009-01-20 00:00:00',2,2,671267.00,'2009-09-08 00:00:00',95,2,5),
 (3986,1,291,1,'Tektron bug tracking site','GloboCorp wiki project.',1,'2009-02-26 00:00:00',1,1,378512.00,'2009-09-08 00:00:00',95,1,7),
 (3987,1,291,1,'Navipaq Company Benefits portal','Application to track outside sales',1,'2009-01-09 00:00:00',1,1,348689.00,'2009-09-15 00:00:00',95,1,3),
 (3988,1,291,1,'Costistrix CMS','GloboCorp bug tracking site project.',2,'2009-02-25 00:00:00',2,2,275787.00,'2009-09-15 00:00:00',95,2,7),
 (3989,1,291,1,'US Teknorama Decision Support System','Back office integration for accounting and finance',1,'2009-01-07 00:00:00',1,1,966811.00,'2009-09-22 00:00:00',95,1,5),
 (3990,1,291,1,'US Costmat RFP application','Annual Audit of application code across the organization',2,'2009-01-06 00:00:00',2,2,448892.00,'2009-09-22 00:00:00',95,2,5);
INSERT INTO `adobecrm`.`client_deals` VALUES  (3991,1,291,1,'Sysmatix CMS integration','GloboCorp bug tracking site project.',2,'2009-03-03 00:00:00',2,2,965784.00,'2009-09-29 00:00:00',95,2,4),
 (3992,1,291,1,'Entnuclear Single sign-on initiative','GloboCorp ecommerce project.',2,'2009-02-01 00:00:00',2,2,256277.00,'2009-09-29 00:00:00',95,2,7),
 (3993,1,291,1,'Nuserve microsite','GloboCorp ecommerce project.',2,'2009-02-01 00:00:00',2,2,961707.00,'2009-10-06 00:00:00',95,2,7),
 (3994,1,291,1,'Aerstate Marketing Collateral application','Application to automate employee review process',2,'2009-01-10 00:00:00',2,2,653455.00,'2009-10-06 00:00:00',95,2,4),
 (3995,1,291,1,'Apfarb CMS','Annual Audit of application code across the organization',2,'2009-01-02 00:00:00',2,2,931918.00,'2009-10-13 00:00:00',95,2,6),
 (3996,1,291,1,'Xegate Back office integration','GloboCorp CMS project.',1,'2009-02-02 00:00:00',1,1,146849.00,'2009-10-13 00:00:00',95,1,7),
 (3997,1,291,1,'Celphor website','GloboCorp bug tracking site project.',2,'2009-02-23 00:00:00',2,2,466267.00,'2009-10-20 00:00:00',95,2,7),
 (3998,1,291,1,'Datasource microsite','GloboCorp wiki project.',1,'2009-02-20 00:00:00',1,1,999320.00,'2009-10-20 00:00:00',95,1,8),
 (3999,1,291,1,'Softcent Employee portal v1.0','GloboCorp intranet project.',2,'2009-01-14 00:00:00',2,2,954367.00,'2009-10-27 00:00:00',95,2,4),
 (4000,1,291,1,'Cyberrama IM application','GloboCorp portal project.',1,'2009-01-27 00:00:00',1,1,117500.00,'2009-10-27 00:00:00',95,1,7),
 (4001,1,291,1,'Thermocom Team-building portal','GloboCorp ecommerce project.',2,'2009-01-18 00:00:00',2,2,253924.00,'2009-11-03 00:00:00',95,2,6),
 (4002,1,291,1,'Softcent Employee portal v1.0','Annual Audit of application code across the organization',2,'2009-01-08 00:00:00',2,2,416048.00,'2009-11-03 00:00:00',95,2,7),
 (4003,1,291,1,'Yoyoic portal','GloboCorp intranet project.',2,'2009-01-12 00:00:00',2,2,291344.00,'2009-11-10 00:00:00',95,2,2),
 (4004,1,291,1,'AnthroSoft.com Human Resources Review application','Financial Reporting portal',2,'2009-01-04 00:00:00',1,2,121006.00,'2009-11-10 00:00:00',95,2,3),
 (4005,1,291,1,'Costsouth bug tracking site','Annual Audit of application code across the organization',2,'2009-01-08 00:00:00',2,2,123851.00,'2009-11-17 00:00:00',95,2,7),
 (4006,1,291,1,'Mapdant Company Benefits portal','GloboCorp bug tracking site project.',2,'2009-02-27 00:00:00',2,2,752568.00,'2009-11-17 00:00:00',95,2,3),
 (4007,1,291,1,'iCeleage bug tracking site','GloboCorp ecommerce project.',2,'2009-01-22 00:00:00',2,2,128296.00,'2009-11-24 00:00:00',95,2,8),
 (4008,1,291,1,'Metaserve ecommerce','GloboCorp portal project.',1,'2009-01-31 00:00:00',1,1,123173.00,'2009-11-24 00:00:00',95,1,2),
 (4009,1,291,1,'Airmerica Employee portal v1.0','Annual Audit of application code across the organization',1,'2009-01-05 00:00:00',1,1,788630.00,'2009-12-01 00:00:00',95,1,9),
 (4010,1,291,1,'Tektron IM application','GloboCorp website project.',1,'2009-01-11 00:00:00',1,1,172664.00,'2009-12-01 00:00:00',95,1,2),
 (4011,1,291,1,'Thermocom Time Tracking application','Back office integration for accounting and finance',1,'2009-01-07 00:00:00',1,1,999135.00,'2009-12-08 00:00:00',95,1,5),
 (4012,1,291,1,'Fibronix Sales Tracking application','GloboCorp portal project.',1,'2009-01-21 00:00:00',1,1,982367.00,'2009-12-08 00:00:00',95,1,5),
 (4013,1,291,1,'Turboron RFP application','GloboCorp bug tracking site project.',2,'2009-02-19 00:00:00',2,2,939004.00,'2009-12-15 00:00:00',95,2,1),
 (4014,1,291,1,'Polytheon bug tracking site','Annual Audit of application code across the organization',2,'2009-01-08 00:00:00',2,2,941847.00,'2009-12-15 00:00:00',95,2,7),
 (4015,1,291,1,'TeknoViapartners CMS','GloboCorp wiki project.',1,'2009-02-28 00:00:00',1,1,318327.00,'2009-12-22 00:00:00',95,1,3),
 (4016,1,291,1,'Theolog Employee portal v1.0','GloboCorp intranet project.',2,'2009-01-12 00:00:00',2,2,275488.00,'2009-12-22 00:00:00',95,2,2),
 (4017,1,291,1,'Turboron Team-building portal','GloboCorp portal project.',1,'2009-01-19 00:00:00',1,1,977117.00,'2009-12-29 00:00:00',95,1,5),
 (4018,1,291,1,'Synconich Company Benefits portal','GloboCorp CMS project.',1,'2009-02-10 00:00:00',1,1,201505.00,'2009-12-29 00:00:00',95,1,4),
 (4019,1,294,1,'Soncal Annual Audit 2010','Annual Audit of application code across the organization',1,'2009-01-03 00:00:00',1,1,922655.00,'2009-01-06 00:00:00',96,1,7),
 (4020,1,294,1,'Soncal Company Benefits portal','Web mail application',1,'2009-01-03 00:00:00',1,1,817436.00,'2009-01-06 00:00:00',95,1,3),
 (4021,1,294,1,'Datasource bug tracking site','GloboCorp CMS project.',1,'2009-02-10 00:00:00',1,1,408057.00,'2009-01-13 00:00:00',95,1,4),
 (4022,1,294,1,'Softcent CMS','GloboCorp portal project.',1,'2009-01-27 00:00:00',1,1,221070.00,'2009-01-13 00:00:00',95,1,7),
 (4023,1,294,1,'Teramart wiki','Decision Support System',1,'2009-01-03 00:00:00',1,1,909286.00,'2009-01-20 00:00:00',95,1,3),
 (4024,1,294,1,'Maxtomic Marketing Collateral application','GloboCorp ecommerce project.',2,'2009-02-01 00:00:00',2,2,784060.00,'2009-01-20 00:00:00',95,2,7),
 (4025,1,294,1,'Callectrix ecommerce','GloboCorp CMS project.',1,'2009-02-14 00:00:00',1,1,617185.00,'2009-01-27 00:00:00',95,1,6),
 (4026,1,294,1,'Uniair wiki','GloboCorp CMS project.',1,'2009-02-10 00:00:00',1,1,933823.00,'2009-01-27 00:00:00',95,1,4),
 (4027,1,294,1,'TeknoViapartners CMS integration','GloboCorp wiki project.',1,'2009-03-04 00:00:00',1,1,380731.00,'2009-02-03 00:00:00',95,1,5),
 (4028,1,294,1,'Periweb Project wiki','Web mail application',1,'2009-01-03 00:00:00',1,1,131360.00,'2009-02-03 00:00:00',95,1,3),
 (4029,1,294,1,'Soncal Back office integration','Help Desk application',1,'2009-01-01 00:00:00',1,1,435294.00,'2009-02-10 00:00:00',95,1,3),
 (4030,1,294,1,'Soncal CMS','Time tracking application for organization',1,'2009-01-05 00:00:00',1,1,601519.00,'2009-02-10 00:00:00',95,1,9),
 (4031,1,294,1,'XeRotodic intranet','GloboCorp bug tracking site project.',2,'2009-02-23 00:00:00',2,2,592409.00,'2009-02-17 00:00:00',95,2,7),
 (4032,1,294,1,'Nanocom Sales Tracking application','GloboCorp CMS project.',1,'2009-02-04 00:00:00',1,1,176180.00,'2009-02-17 00:00:00',95,1,5),
 (4033,1,294,1,'Teleseco Company internet','GloboCorp microsite project.',2,'2009-02-17 00:00:00',2,2,989674.00,'2009-02-24 00:00:00',95,2,2),
 (4034,1,294,1,'Aerstate Sales Tracking application','Single sign-on initiative',2,'2009-01-04 00:00:00',1,2,127125.00,'2009-02-24 00:00:00',95,2,3),
 (4035,1,294,1,'Entnuclear microsite','GloboCorp microsite project.',2,'2009-02-03 00:00:00',2,2,748784.00,'2009-03-03 00:00:00',95,2,9),
 (4036,1,294,1,'eRotoway Sales Tracking application','GloboCorp portal project.',1,'2009-01-23 00:00:00',1,1,245451.00,'2009-03-03 00:00:00',95,1,5),
 (4037,1,294,1,'Cybersouth Marketing Collateral application','GloboCorp portal project.',1,'2009-01-17 00:00:00',1,1,725007.00,'2009-03-10 00:00:00',95,1,5),
 (4038,1,294,1,'Quinvalu Help Desk application','GloboCorp bug tracking site project.',2,'2009-02-21 00:00:00',2,2,186835.00,'2009-03-10 00:00:00',95,2,3),
 (4039,1,294,1,'Cybersouth IM application','Decision Support System',1,'2009-01-03 00:00:00',1,1,741913.00,'2009-03-17 00:00:00',95,1,3),
 (4040,1,294,1,'iCeleage Annual Audit 2010','GloboCorp microsite project.',2,'2009-02-15 00:00:00',2,2,284752.00,'2009-03-17 00:00:00',95,2,5),
 (4041,1,294,1,'Titaniridium Employee portal v1.0','Project wiki',2,'2009-01-02 00:00:00',1,2,200031.00,'2009-03-24 00:00:00',95,2,3),
 (4042,1,294,1,'eInfohacker RFP application','GloboCorp CMS project.',1,'2009-02-02 00:00:00',1,1,913627.00,'2009-03-24 00:00:00',95,1,7),
 (4043,1,294,1,'Aerstate ecommerce','GloboCorp ecommerce project.',2,'2009-01-18 00:00:00',2,2,363048.00,'2009-03-31 00:00:00',95,2,6),
 (4044,1,294,1,'Solscope wiki','Application to track outside sales',1,'2009-01-09 00:00:00',1,1,981813.00,'2009-03-31 00:00:00',95,1,3),
 (4045,1,294,1,'Softcent website','Annual Audit of application code across the organization',1,'2009-01-05 00:00:00',1,1,328101.00,'2009-04-07 00:00:00',95,1,3),
 (4046,1,294,1,'iCeleage Marketing Collateral application','Marketing Collateral application',1,'2009-01-03 00:00:00',1,1,932380.00,'2009-04-07 00:00:00',95,1,3),
 (4047,1,294,1,'Callectrix Marketing Collateral application','GloboCorp CMS project.',1,'2009-02-08 00:00:00',1,1,405826.00,'2009-04-14 00:00:00',95,1,7),
 (4048,1,294,1,'AnthroSoft.com Time Tracking application','GloboCorp ecommerce project.',2,'2009-01-22 00:00:00',2,2,437269.00,'2009-04-14 00:00:00',95,2,8),
 (4049,1,294,1,'Airmerica Single sign-on initiative','GloboCorp ecommerce project.',2,'2009-01-30 00:00:00',2,2,157009.00,'2009-04-21 00:00:00',95,2,9),
 (4050,1,294,1,'Callectrix Help Desk application','GloboCorp microsite project.',2,'2009-02-05 00:00:00',2,2,802464.00,'2009-04-21 00:00:00',95,2,4),
 (4051,1,294,1,'US Lexalta microsite','GloboCorp bug tracking site project.',2,'2009-02-19 00:00:00',2,2,644666.00,'2009-04-28 00:00:00',95,2,1),
 (4052,1,294,1,'ApSoftEnttiqua website','Financial Reporting portal',2,'2009-01-04 00:00:00',1,2,227864.00,'2009-04-28 00:00:00',95,2,3),
 (4053,1,294,1,'US Cyclovalu portal','GloboCorp CMS project.',1,'2009-02-04 00:00:00',1,1,943666.00,'2009-05-05 00:00:00',95,1,5),
 (4054,1,294,1,'US SiliCryptoix Sales Tracking application','Annual Audit of application code across the organization',2,'2009-01-02 00:00:00',2,2,160326.00,'2009-05-05 00:00:00',95,2,6),
 (4055,1,294,1,'US Turbolinear Sales Tracking application','RFP application to automate prospective client proposal request',2,'2009-01-06 00:00:00',2,2,187683.00,'2009-05-12 00:00:00',95,2,1),
 (4056,1,294,1,'Nanocom Company Benefits portal','GloboCorp microsite project.',2,'2009-02-11 00:00:00',2,2,218893.00,'2009-05-12 00:00:00',95,2,2),
 (4057,1,294,1,'eInmarcs Marketing Collateral application','Single sign-on initiative',2,'2009-01-04 00:00:00',1,2,168919.00,'2009-05-19 00:00:00',95,2,3),
 (4058,1,294,1,'Mapdant Annual Audit 2010','Annual Audit of application code across the organization',1,'2009-01-05 00:00:00',1,1,749324.00,'2009-05-19 00:00:00',95,1,3),
 (4059,1,294,1,'Cyberlectric portal','GloboCorp bug tracking site project.',2,'2009-02-25 00:00:00',2,2,982518.00,'2009-05-26 00:00:00',95,2,7),
 (4060,1,294,1,'Cyberrama Annual Audit 2010','GloboCorp wiki project.',1,'2009-02-18 00:00:00',1,1,948861.00,'2009-05-26 00:00:00',95,1,4),
 (4061,1,294,1,'Westridium Help Desk application','Annual Audit of application code across the organization',2,'2009-01-02 00:00:00',2,2,920494.00,'2009-06-02 00:00:00',95,2,6),
 (4062,1,294,1,'Mapdant website','GloboCorp wiki project.',1,'2009-02-18 00:00:00',1,1,275527.00,'2009-06-02 00:00:00',95,1,4),
 (4063,1,294,1,'Metaserve RFP application','GloboCorp portal project.',1,'2009-01-29 00:00:00',1,1,332129.00,'2009-06-09 00:00:00',95,1,4),
 (4064,1,294,1,'Tektron Marketing Collateral application','Back office integration for accounting and finance',1,'2009-01-07 00:00:00',1,1,146399.00,'2009-06-09 00:00:00',95,1,5),
 (4065,1,294,1,'Softcom.com portal','GloboCorp microsite project.',2,'2009-02-03 00:00:00',2,2,156496.00,'2009-06-16 00:00:00',95,2,9),
 (4066,1,294,1,'Fibronix Help Desk application','GloboCorp ecommerce project.',2,'2009-02-01 00:00:00',2,2,977249.00,'2009-06-16 00:00:00',95,2,7),
 (4067,1,294,1,'Tektron Single sign-on initiative','GloboCorp portal project.',1,'2009-01-29 00:00:00',1,1,125848.00,'2009-06-23 00:00:00',95,1,4),
 (4068,1,294,1,'Pacifiphor CMS','GloboCorp website project.',1,'2009-01-13 00:00:00',1,1,296285.00,'2009-06-23 00:00:00',95,1,4),
 (4069,1,294,1,'eInfohacker Back office integration','GloboCorp portal project.',1,'2009-01-21 00:00:00',1,1,687479.00,'2009-06-30 00:00:00',95,1,5),
 (4070,1,294,1,'Pacmaxa Decision Support System','GloboCorp CMS project.',1,'2009-02-02 00:00:00',1,1,120941.00,'2009-06-30 00:00:00',95,1,7),
 (4071,1,294,1,'Xegate IM application','Project wiki',2,'2009-01-02 00:00:00',1,2,996632.00,'2009-07-07 00:00:00',95,2,3),
 (4072,1,294,1,'US Cryptocom Company internet','Annual Audit of application code across the organization',1,'2009-01-09 00:00:00',1,1,122487.00,'2009-07-07 00:00:00',95,1,9),
 (4073,1,294,1,'Rotopak bug tracking site','Annual Audit of application code across the organization',1,'2009-01-07 00:00:00',1,1,985604.00,'2009-07-14 00:00:00',96,1,8),
 (4074,1,294,1,'AnthroSoft.com Back office integration','GloboCorp ecommerce project.',2,'2009-01-18 00:00:00',2,2,346048.00,'2009-07-14 00:00:00',95,2,6),
 (4075,1,294,1,'Titanion Back office integration','Employee portal for intranet',1,'2009-01-01 00:00:00',1,1,154003.00,'2009-07-21 00:00:00',95,1,3),
 (4076,1,294,1,'Eyetel bug tracking site','GloboCorp ecommerce project.',2,'2009-02-01 00:00:00',2,2,179660.00,'2009-07-21 00:00:00',95,2,7),
 (4077,1,294,1,'Pacmaxa microsite','GloboCorp wiki project.',1,'2009-02-26 00:00:00',1,1,953177.00,'2009-07-28 00:00:00',95,1,7),
 (4078,1,294,1,'SysSoltanium CMS integration','Application to automate employee review process',2,'2009-01-10 00:00:00',2,2,540764.00,'2009-07-28 00:00:00',95,2,4),
 (4079,1,294,1,'Motoicon Project wiki','Annual Audit of application code across the organization',1,'2009-01-09 00:00:00',1,1,203340.00,'2009-08-04 00:00:00',95,1,9),
 (4080,1,294,1,'Titaniridium Sales Tracking application','GloboCorp bug tracking site project.',2,'2009-02-27 00:00:00',2,2,466896.00,'2009-08-04 00:00:00',95,2,3),
 (4081,1,294,1,'Ultrafab Single sign-on initiative','GloboCorp microsite project.',2,'2009-02-09 00:00:00',2,2,122377.00,'2009-08-11 00:00:00',95,2,3),
 (4082,1,294,1,'Eyetel Annual Audit 2010','Annual Audit of application code across the organization',1,'2009-01-05 00:00:00',1,1,116701.00,'2009-08-11 00:00:00',95,1,3),
 (4083,1,294,1,'Motoicon portal','Team-building portal for intranet',1,'2009-01-03 00:00:00',1,1,567377.00,'2009-08-18 00:00:00',95,1,8),
 (4084,1,294,1,'Synconich Employee portal v1.0','GloboCorp portal project.',1,'2009-01-25 00:00:00',1,1,231700.00,'2009-08-18 00:00:00',95,1,4),
 (4085,1,294,1,'Datasource microsite','GloboCorp bug tracking site project.',2,'2009-02-21 00:00:00',2,2,996453.00,'2009-08-25 00:00:00',95,2,3),
 (4086,1,294,1,'Nettheon intranet','GloboCorp intranet project.',2,'2009-01-12 00:00:00',2,2,978748.00,'2009-08-25 00:00:00',95,2,2),
 (4087,1,294,1,'iNetnetic Single sign-on initiative','GloboCorp microsite project.',2,'2009-02-13 00:00:00',2,2,988856.00,'2009-09-01 00:00:00',95,2,5),
 (4088,1,294,1,'Autocast Human Resources Review application','Annual Audit of application code across the organization',1,'2009-01-11 00:00:00',1,1,951076.00,'2009-09-01 00:00:00',96,1,5),
 (4089,1,294,1,'Infracenta Company internet','Decision Support System',1,'2009-01-03 00:00:00',1,1,984481.00,'2009-09-08 00:00:00',95,1,3),
 (4090,1,294,1,'Teletronik.com bug tracking site','GloboCorp microsite project.',2,'2009-02-17 00:00:00',2,2,993273.00,'2009-09-08 00:00:00',95,2,2),
 (4091,1,294,1,'US Teknorama bug tracking site','Annual Audit of application code across the organization',1,'2009-01-03 00:00:00',1,1,413806.00,'2009-09-15 00:00:00',96,1,7),
 (4092,1,294,1,'SysSoltanium Company internet','GloboCorp microsite project.',2,'2009-02-03 00:00:00',2,2,471682.00,'2009-09-15 00:00:00',95,2,9),
 (4093,1,294,1,'Genlanza portal','GloboCorp portal project.',1,'2009-01-31 00:00:00',1,1,922937.00,'2009-09-22 00:00:00',95,1,2),
 (4094,1,294,1,'Thermolog wiki','GloboCorp ecommerce project.',2,'2009-01-18 00:00:00',2,2,578604.00,'2009-09-22 00:00:00',95,2,6),
 (4095,1,294,1,'Cyphertegra Employee portal v1.0','GloboCorp ecommerce project.',2,'2009-01-28 00:00:00',2,2,157499.00,'2009-09-29 00:00:00',95,2,9),
 (4096,1,294,1,'eInfohacker Annual Audit 2010','Web mail application',1,'2009-01-03 00:00:00',1,1,600130.00,'2009-09-29 00:00:00',95,1,3),
 (4097,1,294,1,'Parasource.com Human Resources Review application','GloboCorp ecommerce project.',2,'2009-01-20 00:00:00',2,2,611504.00,'2009-10-06 00:00:00',95,2,5),
 (4098,1,294,1,'Soleccorp bug tracking site','Employee portal for intranet',1,'2009-01-01 00:00:00',1,1,122857.00,'2009-10-06 00:00:00',95,1,3),
 (4099,1,294,1,'Metaserve RFP application','GloboCorp website project.',1,'2009-01-11 00:00:00',1,1,190336.00,'2009-10-13 00:00:00',95,1,2),
 (4100,1,294,1,'Cyberrama Decision Support System','Annual Audit of application code across the organization',2,'2009-01-12 00:00:00',2,2,268163.00,'2009-10-13 00:00:00',95,2,7),
 (4101,1,294,1,'Yoyoic Annual Audit 2010','GloboCorp wiki project.',1,'2009-03-04 00:00:00',1,1,750458.00,'2009-10-20 00:00:00',95,1,5),
 (4102,1,294,1,'Pacifiphor Decision Support System','GloboCorp portal project.',1,'2009-01-29 00:00:00',1,1,161804.00,'2009-10-20 00:00:00',95,1,4),
 (4103,1,294,1,'Entnuclear Marketing Collateral application','GloboCorp CMS project.',1,'2009-02-08 00:00:00',1,1,192895.00,'2009-10-27 00:00:00',95,1,7),
 (4104,1,294,1,'Texridic Single sign-on initiative','GloboCorp bug tracking site project.',2,'2009-02-21 00:00:00',2,2,154017.00,'2009-10-27 00:00:00',95,2,3),
 (4105,1,294,1,'Autocast bug tracking site','Web mail application',1,'2009-01-03 00:00:00',1,1,691339.00,'2009-11-03 00:00:00',95,1,3),
 (4106,1,294,1,'Synconich Company Benefits portal','GloboCorp portal project.',1,'2009-01-23 00:00:00',1,1,981092.00,'2009-11-03 00:00:00',95,1,5),
 (4107,1,294,1,'Keygraph Annual Audit 2010','Annual Audit of application code across the organization',2,'2009-01-02 00:00:00',2,2,790085.00,'2009-11-10 00:00:00',95,2,6),
 (4108,1,294,1,'Softscope Decision Support System','GloboCorp CMS project.',1,'2009-02-14 00:00:00',1,1,214977.00,'2009-11-10 00:00:00',95,1,6),
 (4109,1,294,1,'Rapiway ecommerce','Annual Audit of application code across the organization',1,'2009-01-09 00:00:00',1,1,949841.00,'2009-11-17 00:00:00',95,1,9),
 (4110,1,294,1,'Thermolog intranet','Back office integration for accounting and finance',1,'2009-01-07 00:00:00',1,1,908161.00,'2009-11-17 00:00:00',95,1,5),
 (4111,1,294,1,'Synconich wiki','GloboCorp microsite project.',2,'2009-02-17 00:00:00',2,2,524100.00,'2009-11-24 00:00:00',95,2,2),
 (4112,1,294,1,'Mapdant Back office integration','GloboCorp ecommerce project.',2,'2009-01-28 00:00:00',2,2,124368.00,'2009-11-24 00:00:00',95,2,9),
 (4113,1,294,1,'Hyperridium IM application','GloboCorp bug tracking site project.',2,'2009-02-27 00:00:00',2,2,986920.00,'2009-12-01 00:00:00',95,2,3),
 (4114,1,294,1,'US Cryptocom wiki','GloboCorp wiki project.',1,'2009-03-04 00:00:00',1,1,233706.00,'2009-12-01 00:00:00',95,1,5),
 (4115,1,294,1,'US Costmat IM application','Application to automate employee review process',2,'2009-01-10 00:00:00',2,2,131477.00,'2009-12-08 00:00:00',95,2,4),
 (4116,1,294,1,'Maxtomic Help Desk application','GloboCorp portal project.',1,'2009-01-17 00:00:00',1,1,140270.00,'2009-12-08 00:00:00',95,1,5),
 (4117,1,294,1,'US Cyclovalu Single sign-on initiative','Application to track outside sales',1,'2009-01-09 00:00:00',1,1,367004.00,'2009-12-15 00:00:00',95,1,3),
 (4118,1,294,1,'Parasource.com Time Tracking application','GloboCorp bug tracking site project.',2,'2009-03-03 00:00:00',2,2,350869.00,'2009-12-15 00:00:00',95,2,4),
 (4119,1,294,1,'Nettheon website','GloboCorp ecommerce project.',2,'2009-01-26 00:00:00',2,2,407634.00,'2009-12-22 00:00:00',95,2,1),
 (4120,1,294,1,'Cryptonetic Single sign-on initiative','Company benefits portal for intranet',2,'2009-01-04 00:00:00',2,2,479730.00,'2009-12-22 00:00:00',95,2,8),
 (4121,1,294,1,'Thermolog Human Resources Review application','Web mail application',1,'2009-01-03 00:00:00',1,1,648555.00,'2009-12-29 00:00:00',95,1,3),
 (4122,1,294,1,'Tekcorp Annual Audit 2010','GloboCorp wiki project.',1,'2009-02-24 00:00:00',1,1,990411.00,'2009-12-29 00:00:00',95,1,6),
 (4123,1,295,1,'Sysline IM application','Legacy CMS integration for Marketing group',2,'2009-01-08 00:00:00',2,2,798784.00,'2009-01-06 00:00:00',95,2,8),
 (4124,1,295,1,'Westridium Financial Reporting portal','Annual Audit of application code across the organization',2,'2009-01-10 00:00:00',2,2,130558.00,'2009-01-06 00:00:00',95,2,2),
 (4125,1,295,1,'US Maxtiqua bug tracking site','GloboCorp wiki project.',1,'2009-03-04 00:00:00',1,1,169564.00,'2009-01-13 00:00:00',95,1,5),
 (4126,1,295,1,'eInfohacker Team-building portal','GloboCorp wiki project.',1,'2009-03-04 00:00:00',1,1,130683.00,'2009-01-13 00:00:00',95,1,5),
 (4127,1,295,1,'US Maxtiqua Financial Reporting portal','Annual Audit of application code across the organization',1,'2009-01-05 00:00:00',1,1,350839.00,'2009-01-20 00:00:00',95,1,3),
 (4128,1,295,1,'Teknocal Financial Reporting portal','GloboCorp microsite project.',2,'2009-02-15 00:00:00',2,2,220020.00,'2009-01-20 00:00:00',95,2,5),
 (4129,1,295,1,'Eyetel RFP application','GloboCorp portal project.',1,'2009-01-19 00:00:00',1,1,859069.00,'2009-01-27 00:00:00',95,1,5),
 (4130,1,295,1,'Soncal Decision Support System','GloboCorp intranet project.',2,'2009-01-12 00:00:00',2,2,746186.00,'2009-01-27 00:00:00',95,2,2),
 (4131,1,295,1,'Eyetel Annual Audit 2010','Annual Audit of application code across the organization',2,'2009-01-02 00:00:00',2,2,116568.00,'2009-02-03 00:00:00',95,2,6),
 (4132,1,295,1,'Eyetel Sales Tracking application','Annual Audit of application code across the organization',2,'2009-01-08 00:00:00',2,2,133459.00,'2009-02-03 00:00:00',95,2,7),
 (4133,1,295,1,'Costistrix Company Benefits portal','GloboCorp ecommerce project.',2,'2009-01-22 00:00:00',2,2,140400.00,'2009-02-10 00:00:00',95,2,8),
 (4134,1,295,1,'Cybersouth Employee portal v1.0','Help Desk application',1,'2009-01-01 00:00:00',1,1,299453.00,'2009-02-10 00:00:00',95,1,3),
 (4135,1,295,1,'US Maxtiqua RFP application','GloboCorp ecommerce project.',2,'2009-01-20 00:00:00',2,2,899691.00,'2009-02-17 00:00:00',95,2,5),
 (4136,1,295,1,'eInfohacker Employee portal v1.0','GloboCorp ecommerce project.',2,'2009-02-01 00:00:00',2,2,815308.00,'2009-02-17 00:00:00',95,2,7),
 (4137,1,295,1,'Theolog bug tracking site','GloboCorp ecommerce project.',2,'2009-01-28 00:00:00',2,2,206386.00,'2009-02-24 00:00:00',95,2,9),
 (4138,1,295,1,'Safephor Single sign-on initiative','GloboCorp microsite project.',2,'2009-02-15 00:00:00',2,2,118955.00,'2009-02-24 00:00:00',95,2,5),
 (4139,1,295,1,'Callectrix Employee portal v1.0','GloboCorp CMS project.',1,'2009-02-12 00:00:00',1,1,146178.00,'2009-03-03 00:00:00',95,1,5),
 (4140,1,295,1,'Genlanza Single sign-on initiative','Project wiki',2,'2009-01-02 00:00:00',1,2,945563.00,'2009-03-03 00:00:00',95,2,3),
 (4141,1,295,1,'iNetnetic RFP application','GloboCorp portal project.',1,'2009-01-17 00:00:00',1,1,993437.00,'2009-03-10 00:00:00',95,1,5),
 (4142,1,295,1,'Costat Company Benefits portal','Marketing Collateral application',1,'2009-01-03 00:00:00',1,1,508459.00,'2009-03-10 00:00:00',95,1,3),
 (4143,1,295,1,'Theolog Sales Tracking application','Team-building portal for intranet',1,'2009-01-03 00:00:00',1,1,135881.00,'2009-03-17 00:00:00',95,1,8),
 (4144,1,295,1,'Sysline Project wiki','GloboCorp ecommerce project.',2,'2009-01-22 00:00:00',2,2,149395.00,'2009-03-17 00:00:00',95,2,8),
 (4145,1,295,1,'Texridic Team-building portal','GloboCorp ecommerce project.',2,'2009-02-01 00:00:00',2,2,455162.00,'2009-03-24 00:00:00',95,2,7),
 (4146,1,295,1,'eAnthrolan CMS integration','Annual Audit of application code across the organization',1,'2009-01-07 00:00:00',1,1,287274.00,'2009-03-24 00:00:00',96,1,8),
 (4147,1,295,1,'Pacifiphor Sales Tracking application','GloboCorp portal project.',1,'2009-01-19 00:00:00',1,1,128396.00,'2009-03-31 00:00:00',95,1,5),
 (4148,1,295,1,'Autocast microsite','GloboCorp bug tracking site project.',2,'2009-02-25 00:00:00',2,2,131820.00,'2009-03-31 00:00:00',95,2,7),
 (4149,1,295,1,'Titanion wiki','Annual Audit of application code across the organization',2,'2009-01-04 00:00:00',2,2,899132.00,'2009-04-07 00:00:00',95,2,8),
 (4150,1,295,1,'Nuserve wiki','Annual Audit of application code across the organization',2,'2009-01-10 00:00:00',2,2,901483.00,'2009-04-07 00:00:00',95,2,2),
 (4151,1,295,1,'Nettheon intranet','GloboCorp wiki project.',1,'2009-02-26 00:00:00',1,1,345530.00,'2009-04-14 00:00:00',95,1,7),
 (4152,1,295,1,'Apfarb Project wiki','GloboCorp CMS project.',1,'2009-02-16 00:00:00',1,1,797293.00,'2009-04-14 00:00:00',95,1,9),
 (4153,1,295,1,'Pacmaxa microsite','GloboCorp microsite project.',2,'2009-02-09 00:00:00',2,2,400662.00,'2009-04-21 00:00:00',95,2,3),
 (4154,1,295,1,'iNetnetic bug tracking site','Company benefits portal for intranet',2,'2009-01-04 00:00:00',2,2,121833.00,'2009-04-21 00:00:00',95,2,8),
 (4155,1,295,1,'Metaserve Project wiki','GloboCorp portal project.',1,'2009-01-23 00:00:00',1,1,934221.00,'2009-04-28 00:00:00',95,1,5),
 (4156,1,295,1,'Tekcorp Single sign-on initiative','GloboCorp bug tracking site project.',2,'2009-03-03 00:00:00',2,2,927902.00,'2009-04-28 00:00:00',95,2,4),
 (4157,1,295,1,'Airmerica wiki','GloboCorp microsite project.',2,'2009-02-15 00:00:00',2,2,312904.00,'2009-05-05 00:00:00',95,2,5),
 (4158,1,295,1,'Datasource microsite','GloboCorp bug tracking site project.',2,'2009-03-03 00:00:00',2,2,299470.00,'2009-05-05 00:00:00',95,2,4),
 (4159,1,295,1,'ApSoftEnttiqua Single sign-on initiative','Company benefits portal for intranet',2,'2009-01-04 00:00:00',2,2,138348.00,'2009-05-12 00:00:00',95,2,8),
 (4160,1,295,1,'Teleseco Time Tracking application','Annual Audit of application code across the organization',1,'2009-01-11 00:00:00',1,1,988492.00,'2009-05-12 00:00:00',96,1,5),
 (4161,1,295,1,'Thermolog website','Annual Audit of application code across the organization',1,'2009-01-05 00:00:00',1,1,574318.00,'2009-05-19 00:00:00',95,1,3),
 (4162,1,295,1,'Xegate Employee portal v1.0','GloboCorp intranet project.',2,'2009-01-14 00:00:00',2,2,668321.00,'2009-05-19 00:00:00',95,2,4),
 (4163,1,295,1,'Solscope Decision Support System','GloboCorp wiki project.',1,'2009-02-22 00:00:00',1,1,717341.00,'2009-05-26 00:00:00',95,1,4),
 (4164,1,295,1,'eRotoway Company internet','Annual Audit of application code across the organization',2,'2009-01-08 00:00:00',2,2,811239.00,'2009-05-26 00:00:00',95,2,7),
 (4165,1,295,1,'US Maxtiqua IM application','Decision Support System',1,'2009-01-03 00:00:00',1,1,128719.00,'2009-06-02 00:00:00',95,1,3),
 (4166,1,295,1,'Yoyoic Company Benefits portal','Help Desk application',1,'2009-01-01 00:00:00',1,1,123072.00,'2009-06-02 00:00:00',95,1,3),
 (4167,1,295,1,'Costistrix bug tracking site','Annual Audit of application code across the organization',2,'2009-01-06 00:00:00',2,2,966536.00,'2009-06-09 00:00:00',95,2,5),
 (4168,1,295,1,'AnthroSoft.com Single sign-on initiative','GloboCorp wiki project.',1,'2009-03-02 00:00:00',1,1,145842.00,'2009-06-09 00:00:00',95,1,6),
 (4169,1,295,1,'US SiliCryptoix Back office integration','Application to automate employee review process',2,'2009-01-10 00:00:00',2,2,121128.00,'2009-06-16 00:00:00',95,2,4),
 (4170,1,295,1,'Synconich RFP application','Annual Audit of application code across the organization',1,'2009-01-09 00:00:00',1,1,127773.00,'2009-06-16 00:00:00',95,1,9),
 (4171,1,295,1,'Aerstate bug tracking site','GloboCorp CMS project.',1,'2009-02-10 00:00:00',1,1,224883.00,'2009-06-23 00:00:00',95,1,4),
 (4172,1,295,1,'Yoyoic Single sign-on initiative','GloboCorp bug tracking site project.',2,'2009-02-27 00:00:00',2,2,502185.00,'2009-06-23 00:00:00',95,2,3),
 (4173,1,295,1,'Pacmaxa Single sign-on initiative','Company internet',2,'2009-01-02 00:00:00',2,2,907819.00,'2009-06-30 00:00:00',95,2,6),
 (4174,1,295,1,'Ultrafab Sales Tracking application','GloboCorp ecommerce project.',2,'2009-01-20 00:00:00',2,2,762982.00,'2009-06-30 00:00:00',95,2,5),
 (4175,1,295,1,'Intraura Employee portal v1.0','Annual Audit of application code across the organization',2,'2009-01-02 00:00:00',2,2,142797.00,'2009-07-07 00:00:00',95,2,6),
 (4176,1,295,1,'Datasource wiki','GloboCorp portal project.',1,'2009-01-29 00:00:00',1,1,225313.00,'2009-07-07 00:00:00',95,1,4),
 (4177,1,295,1,'Fibronix microsite','GloboCorp wiki project.',1,'2009-02-28 00:00:00',1,1,142072.00,'2009-07-14 00:00:00',95,1,3),
 (4178,1,295,1,'Costistrix intranet','GloboCorp microsite project.',2,'2009-02-15 00:00:00',2,2,998934.00,'2009-07-14 00:00:00',95,2,5),
 (4179,1,295,1,'Intraura Sales Tracking application','GloboCorp portal project.',1,'2009-01-27 00:00:00',1,1,998354.00,'2009-07-21 00:00:00',95,1,7),
 (4180,1,295,1,'Cyphertegra wiki','GloboCorp microsite project.',2,'2009-02-09 00:00:00',2,2,125833.00,'2009-07-21 00:00:00',95,2,3),
 (4181,1,295,1,'Hyperridium Company internet','GloboCorp bug tracking site project.',2,'2009-02-25 00:00:00',2,2,528248.00,'2009-07-28 00:00:00',95,2,7),
 (4182,1,295,1,'Maxtomic wiki','Annual Audit of application code across the organization',1,'2009-01-11 00:00:00',1,1,454710.00,'2009-07-28 00:00:00',96,1,5),
 (4183,1,295,1,'SteganoPacPacifidisco bug tracking site','Employee portal for intranet',1,'2009-01-01 00:00:00',1,1,548929.00,'2009-08-04 00:00:00',95,1,3),
 (4184,1,295,1,'Rapiway Sales Tracking application','GloboCorp website project.',1,'2009-01-13 00:00:00',1,1,137330.00,'2009-08-04 00:00:00',95,1,4),
 (4185,1,295,1,'Costsouth Human Resources Review application','GloboCorp microsite project.',2,'2009-02-07 00:00:00',2,2,207109.00,'2009-08-11 00:00:00',95,2,5),
 (4186,1,295,1,'Callectrix website','GloboCorp ecommerce project.',2,'2009-01-30 00:00:00',2,2,122710.00,'2009-08-11 00:00:00',95,2,9),
 (4187,1,295,1,'Thermolog RFP application','GloboCorp ecommerce project.',2,'2009-01-24 00:00:00',2,2,138705.00,'2009-08-18 00:00:00',95,2,5),
 (4188,1,295,1,'iNetnetic microsite','GloboCorp CMS project.',1,'2009-02-12 00:00:00',1,1,460140.00,'2009-08-18 00:00:00',95,1,5),
 (4189,1,295,1,'Teletronik.com Sales Tracking application','Time tracking application for organization',1,'2009-01-05 00:00:00',1,1,120931.00,'2009-08-25 00:00:00',95,1,9),
 (4190,1,295,1,'eInfohacker RFP application','GloboCorp CMS project.',1,'2009-02-10 00:00:00',1,1,153151.00,'2009-08-25 00:00:00',95,1,4),
 (4191,1,295,1,'Celphor Employee portal v1.0','GloboCorp ecommerce project.',2,'2009-01-22 00:00:00',2,2,129379.00,'2009-09-01 00:00:00',95,2,8),
 (4192,1,295,1,'Xegate Time Tracking application','Annual Audit of application code across the organization',2,'2009-01-10 00:00:00',2,2,937332.00,'2009-09-01 00:00:00',95,2,2),
 (4193,1,295,1,'Apfarb CMS','GloboCorp portal project.',1,'2009-01-19 00:00:00',1,1,919678.00,'2009-09-08 00:00:00',95,1,5),
 (4194,1,295,1,'Sysline Single sign-on initiative','GloboCorp microsite project.',2,'2009-02-05 00:00:00',2,2,361901.00,'2009-09-08 00:00:00',95,2,4),
 (4195,1,295,1,'Apamerica intranet','Financial Reporting portal',2,'2009-01-04 00:00:00',1,2,154139.00,'2009-09-15 00:00:00',95,2,3),
 (4196,1,295,1,'Rotopak Team-building portal','GloboCorp ecommerce project.',2,'2009-01-24 00:00:00',2,2,466648.00,'2009-09-15 00:00:00',95,2,5),
 (4197,1,295,1,'Infracenta intranet','GloboCorp portal project.',1,'2009-01-25 00:00:00',1,1,332106.00,'2009-09-22 00:00:00',95,1,4),
 (4198,1,295,1,'Intraura ecommerce','Marketing Collateral application',1,'2009-01-03 00:00:00',1,1,120393.00,'2009-09-22 00:00:00',95,1,3),
 (4199,1,295,1,'iCeleage RFP application','Application to automate employee review process',2,'2009-01-10 00:00:00',2,2,963816.00,'2009-09-29 00:00:00',95,2,4),
 (4200,1,295,1,'Apfarb bug tracking site','Marketing Collateral application',1,'2009-01-03 00:00:00',1,1,360881.00,'2009-09-29 00:00:00',95,1,3),
 (4201,1,295,1,'eInmarcs CMS integration','GloboCorp portal project.',1,'2009-01-19 00:00:00',1,1,638150.00,'2009-10-06 00:00:00',95,1,5),
 (4202,1,295,1,'Turboron wiki','GloboCorp wiki project.',1,'2009-02-20 00:00:00',1,1,125081.00,'2009-10-06 00:00:00',95,1,8),
 (4203,1,295,1,'Nanocom Employee portal v1.0','Financial Reporting portal',2,'2009-01-04 00:00:00',1,2,371149.00,'2009-10-13 00:00:00',95,2,3),
 (4204,1,295,1,'Pacmaxa CMS','GloboCorp microsite project.',2,'2009-02-05 00:00:00',2,2,847992.00,'2009-10-13 00:00:00',95,2,4),
 (4205,1,295,1,'eInmarcs Team-building portal','GloboCorp microsite project.',2,'2009-02-13 00:00:00',2,2,567361.00,'2009-10-20 00:00:00',95,2,5),
 (4206,1,295,1,'Polytheon Sales Tracking application','Financial Reporting portal',2,'2009-01-04 00:00:00',1,2,560056.00,'2009-10-20 00:00:00',95,2,3),
 (4207,1,295,1,'eInfohacker portal','GloboCorp CMS project.',1,'2009-02-06 00:00:00',1,1,224259.00,'2009-10-27 00:00:00',95,1,7),
 (4208,1,295,1,'Eyetel Project wiki','GloboCorp wiki project.',1,'2009-02-26 00:00:00',1,1,148915.00,'2009-10-27 00:00:00',95,1,7),
 (4209,1,295,1,'Rapiway Company internet','Decision Support System',1,'2009-01-03 00:00:00',1,1,256294.00,'2009-11-03 00:00:00',95,1,3),
 (4210,1,295,1,'US Turbolinear Company internet','Legacy CMS integration for Marketing group',2,'2009-01-08 00:00:00',2,2,169390.00,'2009-11-03 00:00:00',95,2,8),
 (4211,1,295,1,'Nuserve Financial Reporting portal','GloboCorp website project.',1,'2009-01-15 00:00:00',1,1,992929.00,'2009-11-10 00:00:00',95,1,1),
 (4212,1,295,1,'Quinvalu Single sign-on initiative','GloboCorp website project.',1,'2009-01-13 00:00:00',1,1,127057.00,'2009-11-10 00:00:00',95,1,4),
 (4213,1,295,1,'Maxtomic RFP application','GloboCorp ecommerce project.',2,'2009-01-20 00:00:00',2,2,647724.00,'2009-11-17 00:00:00',95,2,5),
 (4214,1,295,1,'US Cryptocom CMS integration','Annual Audit of application code across the organization',1,'2009-01-03 00:00:00',1,1,690210.00,'2009-11-17 00:00:00',96,1,7),
 (4215,1,295,1,'Rapiway wiki','GloboCorp wiki project.',1,'2009-02-22 00:00:00',1,1,126522.00,'2009-11-24 00:00:00',95,1,4),
 (4216,1,295,1,'Celphor RFP application','GloboCorp website project.',1,'2009-01-13 00:00:00',1,1,259930.00,'2009-11-24 00:00:00',95,1,4),
 (4217,1,295,1,'Genlanza bug tracking site','Annual Audit of application code across the organization',2,'2009-01-04 00:00:00',2,2,593268.00,'2009-12-01 00:00:00',95,2,8),
 (4218,1,295,1,'Opengraph portal','GloboCorp website project.',1,'2009-01-15 00:00:00',1,1,190130.00,'2009-12-01 00:00:00',95,1,1),
 (4219,1,295,1,'Texridic Financial Reporting portal','GloboCorp intranet project.',2,'2009-01-16 00:00:00',2,2,801589.00,'2009-12-08 00:00:00',95,2,4),
 (4220,1,295,1,'Maxtomic Financial Reporting portal','GloboCorp bug tracking site project.',2,'2009-02-21 00:00:00',2,2,998148.00,'2009-12-08 00:00:00',95,2,3),
 (4221,1,295,1,'Teknocal ecommerce','GloboCorp ecommerce project.',2,'2009-01-24 00:00:00',2,2,342720.00,'2009-12-15 00:00:00',95,2,5),
 (4222,1,295,1,'Cyberlectric Company internet','GloboCorp bug tracking site project.',2,'2009-02-23 00:00:00',2,2,416356.00,'2009-12-15 00:00:00',95,2,7),
 (4223,1,295,1,'Sysmatix Back office integration','Annual Audit of application code across the organization',2,'2009-01-02 00:00:00',2,2,211046.00,'2009-12-22 00:00:00',95,2,6),
 (4224,1,295,1,'Ultravalu Decision Support System','GloboCorp website project.',1,'2009-01-11 00:00:00',1,1,679141.00,'2009-12-22 00:00:00',95,1,2),
 (4225,1,295,1,'Quinvalu bug tracking site','GloboCorp intranet project.',2,'2009-01-12 00:00:00',2,2,373297.00,'2009-12-29 00:00:00',95,2,2),
 (4226,1,295,1,'Uniair Annual Audit 2010','GloboCorp ecommerce project.',2,'2009-01-28 00:00:00',2,2,140381.00,'2009-12-29 00:00:00',95,2,9),
 (4227,1,296,1,'Synconich Company internet','Annual Audit of application code across the organization',2,'2009-01-12 00:00:00',2,2,281019.00,'2009-01-06 00:00:00',95,2,7),
 (4228,1,296,1,'Sysmatix Employee portal v1.0','GloboCorp ecommerce project.',2,'2009-01-18 00:00:00',2,2,490147.00,'2009-01-06 00:00:00',95,2,6),
 (4229,1,296,1,'Synconich Help Desk application','Application to automate employee review process',2,'2009-01-10 00:00:00',2,2,131594.00,'2009-01-13 00:00:00',95,2,4),
 (4230,1,296,1,'Cyphertegra RFP application','GloboCorp microsite project.',2,'2009-02-07 00:00:00',2,2,962112.00,'2009-01-13 00:00:00',95,2,5),
 (4231,1,296,1,'US Quinrad website','Intranet messaging application',2,'2009-01-04 00:00:00',1,2,235997.00,'2009-01-20 00:00:00',95,2,3),
 (4232,1,296,1,'Mapdant Back office integration','GloboCorp CMS project.',1,'2009-02-04 00:00:00',1,1,637057.00,'2009-01-20 00:00:00',95,1,5),
 (4233,1,296,1,'Cybersouth bug tracking site','GloboCorp bug tracking site project.',2,'2009-03-03 00:00:00',2,2,364062.00,'2009-01-27 00:00:00',95,2,4),
 (4234,1,296,1,'Nuserve Human Resources Review application','GloboCorp bug tracking site project.',2,'2009-02-23 00:00:00',2,2,877628.00,'2009-01-27 00:00:00',95,2,7),
 (4235,1,296,1,'US Maxtiqua Decision Support System','Annual Audit of application code across the organization',1,'2009-01-03 00:00:00',1,1,323752.00,'2009-02-03 00:00:00',96,1,7),
 (4236,1,296,1,'Datasource Financial Reporting portal','GloboCorp portal project.',1,'2009-01-23 00:00:00',1,1,163883.00,'2009-02-03 00:00:00',95,1,5),
 (4237,1,296,1,'Tektron Employee portal v1.0','GloboCorp ecommerce project.',2,'2009-01-22 00:00:00',2,2,917218.00,'2009-02-10 00:00:00',95,2,8),
 (4238,1,296,1,'eInfohacker Time Tracking application','Single sign-on initiative',2,'2009-01-04 00:00:00',1,2,572729.00,'2009-02-10 00:00:00',95,2,3),
 (4239,1,296,1,'iCeleage Single sign-on initiative','Time tracking application for organization',1,'2009-01-05 00:00:00',1,1,995852.00,'2009-02-17 00:00:00',95,1,9),
 (4240,1,296,1,'US Maxtiqua RFP application','GloboCorp portal project.',1,'2009-01-19 00:00:00',1,1,913954.00,'2009-02-17 00:00:00',95,1,5),
 (4241,1,296,1,'Pacmaxa Marketing Collateral application','GloboCorp microsite project.',2,'2009-02-05 00:00:00',2,2,299843.00,'2009-02-24 00:00:00',95,2,4),
 (4242,1,296,1,'Autocast Annual Audit 2010','GloboCorp ecommerce project.',2,'2009-01-30 00:00:00',2,2,374285.00,'2009-02-24 00:00:00',95,2,9),
 (4243,1,296,1,'US Teknorama IM application','GloboCorp wiki project.',1,'2009-02-28 00:00:00',1,1,783247.00,'2009-03-03 00:00:00',95,1,3),
 (4244,1,296,1,'Texridic CMS','GloboCorp ecommerce project.',2,'2009-02-01 00:00:00',2,2,141834.00,'2009-03-03 00:00:00',95,2,7),
 (4245,1,296,1,'Thermonuclear Project wiki','Application to track outside sales',1,'2009-01-09 00:00:00',1,1,903395.00,'2009-03-10 00:00:00',95,1,3),
 (4246,1,296,1,'Soncal Back office integration','Annual Audit of application code across the organization',1,'2009-01-03 00:00:00',1,1,916037.00,'2009-03-10 00:00:00',96,1,7),
 (4247,1,296,1,'Pacifiphor Team-building portal','RFP application to automate prospective client proposal request',2,'2009-01-06 00:00:00',2,2,701961.00,'2009-03-17 00:00:00',95,2,1),
 (4248,1,296,1,'iCeleage wiki','Application to automate employee review process',2,'2009-01-10 00:00:00',2,2,132787.00,'2009-03-17 00:00:00',95,2,4),
 (4249,1,296,1,'iCeleage Marketing Collateral application','GloboCorp wiki project.',1,'2009-02-28 00:00:00',1,1,164517.00,'2009-03-24 00:00:00',95,1,3),
 (4250,1,296,1,'Cyberlectric RFP application','GloboCorp CMS project.',1,'2009-02-10 00:00:00',1,1,735856.00,'2009-03-24 00:00:00',95,1,4),
 (4251,1,296,1,'Celphor wiki','GloboCorp website project.',1,'2009-01-15 00:00:00',1,1,906407.00,'2009-03-31 00:00:00',95,1,1),
 (4252,1,296,1,'Solscope Company internet','Project wiki',2,'2009-01-02 00:00:00',1,2,730051.00,'2009-03-31 00:00:00',95,2,3),
 (4253,1,296,1,'Soncal Back office integration','GloboCorp wiki project.',1,'2009-02-26 00:00:00',1,1,156281.00,'2009-04-07 00:00:00',95,1,7),
 (4254,1,296,1,'US Costmat Help Desk application','Time tracking application for organization',1,'2009-01-05 00:00:00',1,1,647289.00,'2009-04-07 00:00:00',95,1,9),
 (4255,1,296,1,'Callectrix Marketing Collateral application','Help Desk application',1,'2009-01-01 00:00:00',1,1,398932.00,'2009-04-14 00:00:00',95,1,3),
 (4256,1,296,1,'Teramart Back office integration','GloboCorp portal project.',1,'2009-01-23 00:00:00',1,1,451458.00,'2009-04-14 00:00:00',95,1,5),
 (4257,1,296,1,'Cyberrama CMS','Intranet messaging application',2,'2009-01-04 00:00:00',1,2,177283.00,'2009-04-21 00:00:00',95,2,3),
 (4258,1,296,1,'Rotopak Single sign-on initiative','GloboCorp bug tracking site project.',2,'2009-02-23 00:00:00',2,2,519596.00,'2009-04-21 00:00:00',95,2,7),
 (4259,1,296,1,'Nettheon CMS','RFP application to automate prospective client proposal request',2,'2009-01-06 00:00:00',2,2,273843.00,'2009-04-28 00:00:00',95,2,1),
 (4260,1,296,1,'Teletronik.com Team-building portal','Application to automate employee review process',2,'2009-01-10 00:00:00',2,2,743007.00,'2009-04-28 00:00:00',95,2,4),
 (4261,1,296,1,'SynRotobyte Back office integration','Decision Support System',1,'2009-01-03 00:00:00',1,1,413021.00,'2009-05-05 00:00:00',95,1,3),
 (4262,1,296,1,'Nettheon Human Resources Review application','GloboCorp bug tracking site project.',2,'2009-02-25 00:00:00',2,2,818148.00,'2009-05-05 00:00:00',95,2,7),
 (4263,1,296,1,'Titanion intranet','GloboCorp wiki project.',1,'2009-02-24 00:00:00',1,1,964412.00,'2009-05-12 00:00:00',95,1,6),
 (4264,1,296,1,'Teknocal website','GloboCorp ecommerce project.',2,'2009-01-26 00:00:00',2,2,859354.00,'2009-05-12 00:00:00',95,2,1),
 (4265,1,296,1,'Softcent Project wiki','GloboCorp microsite project.',2,'2009-02-05 00:00:00',2,2,516257.00,'2009-05-19 00:00:00',95,2,4),
 (4266,1,296,1,'UltraNetfab CMS integration','Annual Audit of application code across the organization',2,'2009-01-08 00:00:00',2,2,739760.00,'2009-05-19 00:00:00',95,2,7),
 (4267,1,296,1,'Opengraph Team-building portal','GloboCorp CMS project.',1,'2009-02-10 00:00:00',1,1,617774.00,'2009-05-26 00:00:00',95,1,4),
 (4268,1,296,1,'Soleccorp Company internet','GloboCorp CMS project.',1,'2009-02-04 00:00:00',1,1,892820.00,'2009-05-26 00:00:00',95,1,5),
 (4269,1,296,1,'Pacifiphor ecommerce','GloboCorp portal project.',1,'2009-01-31 00:00:00',1,1,992897.00,'2009-06-02 00:00:00',95,1,2),
 (4270,1,296,1,'Tektron intranet','GloboCorp portal project.',1,'2009-01-31 00:00:00',1,1,236598.00,'2009-06-02 00:00:00',95,1,2),
 (4271,1,296,1,'US Maxtiqua Project wiki','Marketing Collateral application',1,'2009-01-03 00:00:00',1,1,141058.00,'2009-06-09 00:00:00',95,1,3),
 (4272,1,296,1,'Maxtomic Decision Support System','GloboCorp ecommerce project.',2,'2009-01-18 00:00:00',2,2,205220.00,'2009-06-09 00:00:00',95,2,6),
 (4273,1,296,1,'Texridic Back office integration','Annual Audit of application code across the organization',1,'2009-01-05 00:00:00',1,1,133103.00,'2009-06-16 00:00:00',95,1,3),
 (4274,1,296,1,'Sysmatix Time Tracking application','GloboCorp CMS project.',1,'2009-02-10 00:00:00',1,1,999662.00,'2009-06-16 00:00:00',95,1,4),
 (4275,1,296,1,'Softcom.com Sales Tracking application','Company internet',2,'2009-01-02 00:00:00',2,2,213149.00,'2009-06-23 00:00:00',95,2,6),
 (4276,1,296,1,'Celphor Help Desk application','Time tracking application for organization',1,'2009-01-05 00:00:00',1,1,161230.00,'2009-06-23 00:00:00',95,1,9),
 (4277,1,296,1,'Cyberrama intranet','Annual Audit of application code across the organization',1,'2009-01-05 00:00:00',1,1,451695.00,'2009-06-30 00:00:00',95,1,3),
 (4278,1,296,1,'US Cyclovalu intranet','Annual Audit of application code across the organization',2,'2009-01-12 00:00:00',2,2,151567.00,'2009-06-30 00:00:00',95,2,7),
 (4279,1,296,1,'Airmerica Annual Audit 2010','GloboCorp CMS project.',1,'2009-02-12 00:00:00',1,1,800160.00,'2009-07-07 00:00:00',95,1,5),
 (4280,1,296,1,'Costat Single sign-on initiative','Annual Audit of application code across the organization',2,'2009-01-04 00:00:00',2,2,336326.00,'2009-07-07 00:00:00',95,2,8),
 (4281,1,296,1,'Navipaq website','Annual Audit of application code across the organization',2,'2009-01-08 00:00:00',2,2,590770.00,'2009-07-14 00:00:00',95,2,7),
 (4282,1,296,1,'Rotopak bug tracking site','Single sign-on initiative',2,'2009-01-04 00:00:00',1,2,298090.00,'2009-07-14 00:00:00',95,2,3),
 (4283,1,296,1,'Maxtomic Annual Audit 2010','GloboCorp portal project.',1,'2009-01-19 00:00:00',1,1,482138.00,'2009-07-21 00:00:00',95,1,5),
 (4284,1,296,1,'Nettheon Help Desk application','Annual Audit of application code across the organization',1,'2009-01-03 00:00:00',1,1,509956.00,'2009-07-21 00:00:00',96,1,7),
 (4285,1,296,1,'Celphor Annual Audit 2010','GloboCorp microsite project.',2,'2009-02-11 00:00:00',2,2,352713.00,'2009-07-28 00:00:00',95,2,2),
 (4286,1,296,1,'Theolog Help Desk application','Annual Audit of application code across the organization',2,'2009-01-04 00:00:00',2,2,624289.00,'2009-07-28 00:00:00',95,2,8),
 (4287,1,296,1,'Ultrafab Company internet','GloboCorp intranet project.',2,'2009-01-16 00:00:00',2,2,338228.00,'2009-08-04 00:00:00',95,2,4),
 (4288,1,296,1,'Utiliagra bug tracking site','GloboCorp ecommerce project.',2,'2009-01-26 00:00:00',2,2,441238.00,'2009-08-04 00:00:00',95,2,1),
 (4289,1,296,1,'Teletronik.com Company internet','GloboCorp CMS project.',1,'2009-02-14 00:00:00',1,1,169289.00,'2009-08-11 00:00:00',95,1,6),
 (4290,1,296,1,'Costistrix Decision Support System','Application to automate employee review process',2,'2009-01-10 00:00:00',2,2,436055.00,'2009-08-11 00:00:00',95,2,4),
 (4291,1,296,1,'US Lexalta Back office integration','GloboCorp website project.',1,'2009-01-15 00:00:00',1,1,982099.00,'2009-08-18 00:00:00',95,1,1),
 (4292,1,296,1,'Softcom.com ecommerce','Help Desk application',1,'2009-01-01 00:00:00',1,1,138086.00,'2009-08-18 00:00:00',95,1,3),
 (4293,1,296,1,'Costat Company internet','Annual Audit of application code across the organization',1,'2009-01-05 00:00:00',1,1,769288.00,'2009-08-25 00:00:00',95,1,3),
 (4294,1,296,1,'XeRotodic ecommerce','GloboCorp ecommerce project.',2,'2009-01-28 00:00:00',2,2,639681.00,'2009-08-25 00:00:00',95,2,9),
 (4295,1,296,1,'Teknocal Human Resources Review application','GloboCorp intranet project.',2,'2009-01-12 00:00:00',2,2,581228.00,'2009-09-01 00:00:00',95,2,2),
 (4296,1,296,1,'Fibronix Financial Reporting portal','Annual Audit of application code across the organization',2,'2009-01-12 00:00:00',2,2,666322.00,'2009-09-01 00:00:00',95,2,7),
 (4297,1,296,1,'Opengraph Back office integration','GloboCorp wiki project.',1,'2009-02-24 00:00:00',1,1,828097.00,'2009-09-08 00:00:00',95,1,6),
 (4298,1,296,1,'Soleccorp wiki','Web mail application',1,'2009-01-03 00:00:00',1,1,460687.00,'2009-09-08 00:00:00',95,1,3),
 (4299,1,296,1,'Teknocal IM application','GloboCorp CMS project.',1,'2009-02-06 00:00:00',1,1,635962.00,'2009-09-15 00:00:00',95,1,7),
 (4300,1,296,1,'Costistrix Help Desk application','GloboCorp portal project.',1,'2009-01-17 00:00:00',1,1,169210.00,'2009-09-15 00:00:00',95,1,5),
 (4301,1,296,1,'Utiliagra Sales Tracking application','GloboCorp ecommerce project.',2,'2009-01-30 00:00:00',2,2,154037.00,'2009-09-22 00:00:00',95,2,9),
 (4302,1,296,1,'MicroTekbyte Back office integration','GloboCorp portal project.',1,'2009-01-17 00:00:00',1,1,813314.00,'2009-09-22 00:00:00',95,1,5),
 (4303,1,296,1,'Hyperridium ecommerce','GloboCorp bug tracking site project.',2,'2009-02-23 00:00:00',2,2,593821.00,'2009-09-29 00:00:00',95,2,7),
 (4304,1,296,1,'Yoyoic Human Resources Review application','GloboCorp intranet project.',2,'2009-01-14 00:00:00',2,2,308052.00,'2009-09-29 00:00:00',95,2,4),
 (4305,1,296,1,'Solscope Project wiki','GloboCorp wiki project.',1,'2009-02-24 00:00:00',1,1,981405.00,'2009-10-06 00:00:00',95,1,6),
 (4306,1,296,1,'eInmarcs IM application','Decision Support System',1,'2009-01-03 00:00:00',1,1,172523.00,'2009-10-06 00:00:00',95,1,3),
 (4307,1,296,1,'eInmarcs microsite','Employee portal for intranet',1,'2009-01-01 00:00:00',1,1,237147.00,'2009-10-13 00:00:00',95,1,3),
 (4308,1,296,1,'US Cryptocom Sales Tracking application','GloboCorp wiki project.',1,'2009-02-20 00:00:00',1,1,424434.00,'2009-10-13 00:00:00',95,1,8),
 (4309,1,296,1,'Parasource.com CMS integration','GloboCorp microsite project.',2,'2009-02-07 00:00:00',2,2,239709.00,'2009-10-20 00:00:00',95,2,5),
 (4310,1,296,1,'Infracenta Annual Audit 2010','Annual Audit of application code across the organization',2,'2009-01-06 00:00:00',2,2,908673.00,'2009-10-20 00:00:00',95,2,5),
 (4311,1,296,1,'Rotopak portal','Decision Support System',1,'2009-01-03 00:00:00',1,1,893108.00,'2009-10-27 00:00:00',95,1,3),
 (4312,1,296,1,'Softcent Financial Reporting portal','Company benefits portal for intranet',2,'2009-01-04 00:00:00',2,2,183562.00,'2009-10-27 00:00:00',95,2,8),
 (4313,1,296,1,'iNetnetic Back office integration','GloboCorp microsite project.',2,'2009-02-03 00:00:00',2,2,867539.00,'2009-11-03 00:00:00',95,2,9),
 (4314,1,296,1,'Opengraph Decision Support System','Annual Audit of application code across the organization',1,'2009-01-03 00:00:00',1,1,939137.00,'2009-11-03 00:00:00',96,1,7),
 (4315,1,296,1,'US Cryptocom RFP application','GloboCorp wiki project.',1,'2009-02-22 00:00:00',1,1,379155.00,'2009-11-10 00:00:00',95,1,4),
 (4316,1,296,1,'Quinvalu IM application','GloboCorp website project.',1,'2009-01-11 00:00:00',1,1,910776.00,'2009-11-10 00:00:00',95,1,2),
 (4317,1,296,1,'SteganoPacPacifidisco Back office integration','GloboCorp portal project.',1,'2009-01-21 00:00:00',1,1,824160.00,'2009-11-17 00:00:00',95,1,5),
 (4318,1,296,1,'Periweb Decision Support System','GloboCorp wiki project.',1,'2009-02-28 00:00:00',1,1,945039.00,'2009-11-17 00:00:00',95,1,3),
 (4319,1,296,1,'SynRotobyte intranet','Annual Audit of application code across the organization',1,'2009-01-05 00:00:00',1,1,127717.00,'2009-11-24 00:00:00',95,1,3),
 (4320,1,296,1,'Thermonuclear RFP application','GloboCorp wiki project.',1,'2009-02-20 00:00:00',1,1,179540.00,'2009-11-24 00:00:00',95,1,8),
 (4321,1,296,1,'Safephor microsite','GloboCorp ecommerce project.',2,'2009-01-18 00:00:00',2,2,341186.00,'2009-12-01 00:00:00',95,2,6),
 (4322,1,296,1,'Cyberrama CMS integration','GloboCorp CMS project.',1,'2009-02-04 00:00:00',1,1,214194.00,'2009-12-01 00:00:00',95,1,5),
 (4323,1,296,1,'Nanocom Help Desk application','GloboCorp ecommerce project.',2,'2009-01-18 00:00:00',2,2,125809.00,'2009-12-08 00:00:00',95,2,6),
 (4324,1,296,1,'SynRotobyte RFP application','GloboCorp microsite project.',2,'2009-02-07 00:00:00',2,2,999250.00,'2009-12-08 00:00:00',95,2,5),
 (4325,1,296,1,'eRotoway ecommerce','GloboCorp microsite project.',2,'2009-02-13 00:00:00',2,2,612536.00,'2009-12-15 00:00:00',95,2,5),
 (4326,1,296,1,'Safephor Help Desk application','Annual Audit of application code across the organization',2,'2009-01-12 00:00:00',2,2,148704.00,'2009-12-15 00:00:00',95,2,7),
 (4327,1,296,1,'Parasource.com CMS','GloboCorp portal project.',1,'2009-01-25 00:00:00',1,1,431936.00,'2009-12-22 00:00:00',95,1,4),
 (4328,1,296,1,'US Costmat Team-building portal','GloboCorp portal project.',1,'2009-01-19 00:00:00',1,1,365638.00,'2009-12-22 00:00:00',95,1,5),
 (4329,1,296,1,'US Maxtiqua intranet','GloboCorp portal project.',1,'2009-01-29 00:00:00',1,1,136185.00,'2009-12-29 00:00:00',95,1,4),
 (4330,1,296,1,'Westridium intranet','GloboCorp portal project.',1,'2009-01-29 00:00:00',1,1,738956.00,'2009-12-29 00:00:00',95,1,4),
 (4331,1,297,1,'Nettheon CMS','GloboCorp microsite project.',2,'2009-02-13 00:00:00',2,2,998587.00,'2009-01-06 00:00:00',95,2,5),
 (4332,1,297,1,'Utiliagra Sales Tracking application','GloboCorp intranet project.',2,'2009-01-12 00:00:00',2,2,430974.00,'2009-01-06 00:00:00',95,2,2),
 (4333,1,297,1,'Aerstate Back office integration','GloboCorp intranet project.',2,'2009-01-16 00:00:00',2,2,936661.00,'2009-01-13 00:00:00',95,2,4),
 (4334,1,297,1,'Genlog RFP application','GloboCorp portal project.',1,'2009-01-31 00:00:00',1,1,160437.00,'2009-01-13 00:00:00',95,1,2),
 (4335,1,297,1,'Turboron Company internet','GloboCorp bug tracking site project.',2,'2009-03-03 00:00:00',2,2,966911.00,'2009-01-20 00:00:00',95,2,4),
 (4336,1,297,1,'US Cyclovalu Sales Tracking application','GloboCorp wiki project.',1,'2009-02-26 00:00:00',1,1,194893.00,'2009-01-20 00:00:00',95,1,7),
 (4337,1,297,1,'Costistrix Annual Audit 2010','GloboCorp CMS project.',1,'2009-02-14 00:00:00',1,1,588315.00,'2009-01-27 00:00:00',95,1,6),
 (4338,1,297,1,'eInmarcs Back office integration','GloboCorp portal project.',1,'2009-01-19 00:00:00',1,1,639076.00,'2009-01-27 00:00:00',95,1,5),
 (4339,1,297,1,'US SiliCryptoix RFP application','GloboCorp CMS project.',1,'2009-02-10 00:00:00',1,1,956695.00,'2009-02-03 00:00:00',95,1,4),
 (4340,1,297,1,'Cyberrama bug tracking site','GloboCorp bug tracking site project.',2,'2009-03-03 00:00:00',2,2,971896.00,'2009-02-03 00:00:00',95,2,4),
 (4341,1,297,1,'Costistrix Employee portal v1.0','GloboCorp microsite project.',2,'2009-02-03 00:00:00',2,2,365010.00,'2009-02-10 00:00:00',95,2,9),
 (4342,1,297,1,'Cryptonetic Marketing Collateral application','GloboCorp CMS project.',1,'2009-02-08 00:00:00',1,1,332085.00,'2009-02-10 00:00:00',95,1,7),
 (4343,1,297,1,'eInmarcs CMS','Time tracking application for organization',1,'2009-01-05 00:00:00',1,1,353078.00,'2009-02-17 00:00:00',95,1,9),
 (4344,1,297,1,'Softcom.com Marketing Collateral application','Annual Audit of application code across the organization',2,'2009-01-06 00:00:00',2,2,241659.00,'2009-02-17 00:00:00',95,2,5),
 (4345,1,297,1,'XeRotodic Company internet','GloboCorp CMS project.',1,'2009-02-10 00:00:00',1,1,888322.00,'2009-02-24 00:00:00',95,1,4),
 (4346,1,297,1,'Texridic ecommerce','Annual Audit of application code across the organization',2,'2009-01-02 00:00:00',2,2,438441.00,'2009-02-24 00:00:00',95,2,6),
 (4347,1,297,1,'TeknoViapartners Back office integration','GloboCorp portal project.',1,'2009-01-27 00:00:00',1,1,936871.00,'2009-03-03 00:00:00',95,1,7),
 (4348,1,297,1,'Synconich Financial Reporting portal','GloboCorp wiki project.',1,'2009-02-22 00:00:00',1,1,228233.00,'2009-03-03 00:00:00',95,1,4),
 (4349,1,297,1,'ApSoftEnttiqua portal','GloboCorp bug tracking site project.',2,'2009-02-27 00:00:00',2,2,240762.00,'2009-03-10 00:00:00',95,2,3),
 (4350,1,297,1,'Opengraph IM application','Back office integration for accounting and finance',1,'2009-01-07 00:00:00',1,1,144933.00,'2009-03-10 00:00:00',95,1,5),
 (4351,1,297,1,'Aerstate Sales Tracking application','GloboCorp website project.',1,'2009-01-15 00:00:00',1,1,129155.00,'2009-03-17 00:00:00',95,1,1),
 (4352,1,297,1,'US Cryptocom website','GloboCorp microsite project.',2,'2009-02-07 00:00:00',2,2,209149.00,'2009-03-17 00:00:00',95,2,5),
 (4353,1,297,1,'MicroTekbyte Project wiki','Annual Audit of application code across the organization',1,'2009-01-03 00:00:00',1,1,133990.00,'2009-03-24 00:00:00',96,1,7),
 (4354,1,297,1,'Ultravalu CMS integration','GloboCorp ecommerce project.',2,'2009-01-26 00:00:00',2,2,799836.00,'2009-03-24 00:00:00',95,2,1),
 (4355,1,297,1,'Fibronix bug tracking site','GloboCorp microsite project.',2,'2009-02-15 00:00:00',2,2,739228.00,'2009-03-31 00:00:00',95,2,5),
 (4356,1,297,1,'Tektron Back office integration','Marketing Collateral application',1,'2009-01-03 00:00:00',1,1,615343.00,'2009-03-31 00:00:00',95,1,3),
 (4357,1,297,1,'Costat Team-building portal','Marketing Collateral application',1,'2009-01-03 00:00:00',1,1,195721.00,'2009-04-07 00:00:00',95,1,3),
 (4358,1,297,1,'Cryptonetic Sales Tracking application','Back office integration for accounting and finance',1,'2009-01-07 00:00:00',1,1,418755.00,'2009-04-07 00:00:00',95,1,5),
 (4359,1,297,1,'Yoyoic Back office integration','GloboCorp wiki project.',1,'2009-02-20 00:00:00',1,1,646388.00,'2009-04-14 00:00:00',95,1,8),
 (4360,1,297,1,'eRotoway microsite','GloboCorp wiki project.',1,'2009-02-18 00:00:00',1,1,136926.00,'2009-04-14 00:00:00',95,1,4),
 (4361,1,297,1,'Eyetel Employee portal v1.0','GloboCorp CMS project.',1,'2009-02-06 00:00:00',1,1,145373.00,'2009-04-21 00:00:00',95,1,7),
 (4362,1,297,1,'Callectrix ecommerce','Application to track outside sales',1,'2009-01-09 00:00:00',1,1,124466.00,'2009-04-21 00:00:00',95,1,3),
 (4363,1,297,1,'Teleseco Annual Audit 2010','GloboCorp microsite project.',2,'2009-02-05 00:00:00',2,2,284072.00,'2009-04-28 00:00:00',95,2,4),
 (4364,1,297,1,'Ultravalu Time Tracking application','Company benefits portal for intranet',2,'2009-01-04 00:00:00',2,2,916721.00,'2009-04-28 00:00:00',95,2,8),
 (4365,1,297,1,'US Maxtiqua Decision Support System','Annual Audit of application code across the organization',1,'2009-01-03 00:00:00',1,1,332714.00,'2009-05-05 00:00:00',96,1,7),
 (4366,1,297,1,'Safephor Marketing Collateral application','GloboCorp portal project.',1,'2009-01-25 00:00:00',1,1,129450.00,'2009-05-05 00:00:00',95,1,4),
 (4367,1,297,1,'Turboron Team-building portal','Help Desk application',1,'2009-01-01 00:00:00',1,1,192703.00,'2009-05-12 00:00:00',95,1,3),
 (4368,1,297,1,'Titaniridium microsite','GloboCorp CMS project.',1,'2009-02-08 00:00:00',1,1,492880.00,'2009-05-12 00:00:00',95,1,7),
 (4369,1,297,1,'US Teknorama Team-building portal','GloboCorp microsite project.',2,'2009-02-15 00:00:00',2,2,977403.00,'2009-05-19 00:00:00',95,2,5),
 (4370,1,297,1,'Apfarb Team-building portal','GloboCorp microsite project.',2,'2009-02-17 00:00:00',2,2,398878.00,'2009-05-19 00:00:00',95,2,2),
 (4371,1,297,1,'TeknoViapartners wiki','GloboCorp portal project.',1,'2009-01-23 00:00:00',1,1,460235.00,'2009-05-26 00:00:00',95,1,5),
 (4372,1,297,1,'Teknocal Project wiki','GloboCorp intranet project.',2,'2009-01-14 00:00:00',2,2,618530.00,'2009-05-26 00:00:00',95,2,4),
 (4373,1,297,1,'Teletronik.com Annual Audit 2010','GloboCorp bug tracking site project.',2,'2009-02-21 00:00:00',2,2,136012.00,'2009-06-02 00:00:00',95,2,3),
 (4374,1,297,1,'UltraNetfab ecommerce','GloboCorp portal project.',1,'2009-01-29 00:00:00',1,1,195467.00,'2009-06-02 00:00:00',95,1,4),
 (4375,1,297,1,'AnthroSoft.com CMS','Team-building portal for intranet',1,'2009-01-03 00:00:00',1,1,182049.00,'2009-06-09 00:00:00',95,1,8),
 (4376,1,297,1,'Maxtomic Team-building portal','GloboCorp portal project.',1,'2009-01-31 00:00:00',1,1,129865.00,'2009-06-09 00:00:00',95,1,2),
 (4377,1,297,1,'Ultravalu microsite','GloboCorp wiki project.',1,'2009-02-24 00:00:00',1,1,898954.00,'2009-06-16 00:00:00',95,1,6),
 (4378,1,297,1,'XeRotodic IM application','GloboCorp microsite project.',2,'2009-02-11 00:00:00',2,2,360368.00,'2009-06-16 00:00:00',95,2,2),
 (4379,1,297,1,'MicroTekbyte CMS','GloboCorp bug tracking site project.',2,'2009-02-27 00:00:00',2,2,997503.00,'2009-06-23 00:00:00',95,2,3),
 (4380,1,297,1,'Soleccorp Company internet','GloboCorp intranet project.',2,'2009-01-16 00:00:00',2,2,147458.00,'2009-06-23 00:00:00',95,2,4),
 (4381,1,297,1,'Nettheon Financial Reporting portal','GloboCorp CMS project.',1,'2009-02-06 00:00:00',1,1,243163.00,'2009-06-30 00:00:00',95,1,7),
 (4382,1,297,1,'US Lexalta intranet','GloboCorp bug tracking site project.',2,'2009-03-03 00:00:00',2,2,117284.00,'2009-06-30 00:00:00',95,2,4),
 (4383,1,297,1,'Genlog CMS','GloboCorp wiki project.',1,'2009-02-22 00:00:00',1,1,142284.00,'2009-07-07 00:00:00',95,1,4),
 (4384,1,297,1,'US Turbolinear wiki','GloboCorp CMS project.',1,'2009-02-06 00:00:00',1,1,597588.00,'2009-07-07 00:00:00',95,1,7),
 (4385,1,297,1,'Cyphertegra Financial Reporting portal','GloboCorp intranet project.',2,'2009-01-16 00:00:00',2,2,865251.00,'2009-07-14 00:00:00',95,2,4),
 (4386,1,297,1,'Eyetheon CMS','GloboCorp website project.',1,'2009-01-13 00:00:00',1,1,137830.00,'2009-07-14 00:00:00',95,1,4),
 (4387,1,297,1,'Cybersouth Company internet','GloboCorp ecommerce project.',2,'2009-01-24 00:00:00',2,2,999991.00,'2009-07-21 00:00:00',95,2,5),
 (4388,1,297,1,'Teramart portal','Intranet messaging application',2,'2009-01-04 00:00:00',1,2,328120.00,'2009-07-21 00:00:00',95,2,3),
 (4389,1,297,1,'Uniair bug tracking site','Annual Audit of application code across the organization',2,'2009-01-08 00:00:00',2,2,993798.00,'2009-07-28 00:00:00',95,2,7),
 (4390,1,297,1,'US Quinrad RFP application','GloboCorp microsite project.',2,'2009-02-05 00:00:00',2,2,882273.00,'2009-07-28 00:00:00',95,2,4),
 (4391,1,297,1,'Utiliagra microsite','Annual Audit of application code across the organization',2,'2009-01-02 00:00:00',2,2,333807.00,'2009-08-04 00:00:00',95,2,6),
 (4392,1,297,1,'Celphor Financial Reporting portal','GloboCorp portal project.',1,'2009-01-21 00:00:00',1,1,125166.00,'2009-08-04 00:00:00',95,1,5),
 (4393,1,297,1,'Cyberrama IM application','GloboCorp portal project.',1,'2009-01-17 00:00:00',1,1,678383.00,'2009-08-11 00:00:00',95,1,5),
 (4394,1,297,1,'Maxtomic Annual Audit 2010','GloboCorp ecommerce project.',2,'2009-01-20 00:00:00',2,2,511344.00,'2009-08-11 00:00:00',95,2,5),
 (4395,1,297,1,'Cyberlectric Company Benefits portal','Annual Audit of application code across the organization',1,'2009-01-05 00:00:00',1,1,892460.00,'2009-08-18 00:00:00',95,1,3),
 (4396,1,297,1,'Safephor Financial Reporting portal','GloboCorp wiki project.',1,'2009-03-04 00:00:00',1,1,999233.00,'2009-08-18 00:00:00',95,1,5),
 (4397,1,297,1,'XeRotodic portal','GloboCorp bug tracking site project.',2,'2009-02-19 00:00:00',2,2,511640.00,'2009-08-25 00:00:00',95,2,1),
 (4398,1,297,1,'AnthroSoft.com Annual Audit 2010','Help Desk application',1,'2009-01-01 00:00:00',1,1,936162.00,'2009-08-25 00:00:00',95,1,3),
 (4399,1,297,1,'US Teknorama Back office integration','GloboCorp bug tracking site project.',2,'2009-02-19 00:00:00',2,2,255761.00,'2009-09-01 00:00:00',95,2,1),
 (4400,1,297,1,'SysSoltanium Company Benefits portal','GloboCorp portal project.',1,'2009-01-17 00:00:00',1,1,141161.00,'2009-09-01 00:00:00',95,1,5),
 (4401,1,297,1,'Mapdant Project wiki','GloboCorp ecommerce project.',2,'2009-01-28 00:00:00',2,2,930858.00,'2009-09-08 00:00:00',95,2,9),
 (4402,1,297,1,'Unipartners microsite','GloboCorp microsite project.',2,'2009-02-09 00:00:00',2,2,291879.00,'2009-09-08 00:00:00',95,2,3),
 (4403,1,297,1,'Navipaq Company Benefits portal','GloboCorp wiki project.',1,'2009-02-24 00:00:00',1,1,190998.00,'2009-09-15 00:00:00',95,1,6),
 (4404,1,297,1,'Periweb RFP application','GloboCorp wiki project.',1,'2009-02-28 00:00:00',1,1,779145.00,'2009-09-15 00:00:00',95,1,3),
 (4405,1,297,1,'ApSoftEnttiqua wiki','Financial Reporting portal',2,'2009-01-04 00:00:00',1,2,231606.00,'2009-09-22 00:00:00',95,2,3),
 (4406,1,297,1,'Autocast Project wiki','GloboCorp CMS project.',1,'2009-02-10 00:00:00',1,1,231446.00,'2009-09-22 00:00:00',95,1,4),
 (4407,1,297,1,'Soleccorp bug tracking site','GloboCorp microsite project.',2,'2009-02-05 00:00:00',2,2,120564.00,'2009-09-29 00:00:00',95,2,4),
 (4408,1,297,1,'Teramart Decision Support System','GloboCorp portal project.',1,'2009-01-17 00:00:00',1,1,361657.00,'2009-09-29 00:00:00',95,1,5),
 (4409,1,297,1,'Autocast Company Benefits portal','GloboCorp microsite project.',2,'2009-02-11 00:00:00',2,2,138481.00,'2009-10-06 00:00:00',95,2,2),
 (4410,1,297,1,'iCeleage Human Resources Review application','GloboCorp portal project.',1,'2009-01-25 00:00:00',1,1,465241.00,'2009-10-06 00:00:00',95,1,4),
 (4411,1,297,1,'Celphor Project wiki','RFP application to automate prospective client proposal request',2,'2009-01-06 00:00:00',2,2,994060.00,'2009-10-13 00:00:00',95,2,1),
 (4412,1,297,1,'Turboron Single sign-on initiative','GloboCorp bug tracking site project.',2,'2009-02-25 00:00:00',2,2,330225.00,'2009-10-13 00:00:00',95,2,7),
 (4413,1,297,1,'SysSoltanium Employee portal v1.0','GloboCorp portal project.',1,'2009-01-29 00:00:00',1,1,377700.00,'2009-10-20 00:00:00',95,1,4),
 (4414,1,297,1,'iNetnetic Financial Reporting portal','Web mail application',1,'2009-01-03 00:00:00',1,1,698009.00,'2009-10-20 00:00:00',95,1,3),
 (4415,1,297,1,'Thermonuclear Company internet','Application to track outside sales',1,'2009-01-09 00:00:00',1,1,347576.00,'2009-10-27 00:00:00',95,1,3),
 (4416,1,297,1,'AnthroSoft.com Financial Reporting portal','Annual Audit of application code across the organization',2,'2009-01-08 00:00:00',2,2,988420.00,'2009-10-27 00:00:00',95,2,7),
 (4417,1,297,1,'US Maxtiqua Single sign-on initiative','Annual Audit of application code across the organization',1,'2009-01-09 00:00:00',1,1,395906.00,'2009-11-03 00:00:00',95,1,9),
 (4418,1,297,1,'Eyetel ecommerce','GloboCorp bug tracking site project.',2,'2009-02-25 00:00:00',2,2,206036.00,'2009-11-03 00:00:00',95,2,7),
 (4419,1,297,1,'eInfohacker RFP application','Annual Audit of application code across the organization',2,'2009-01-06 00:00:00',2,2,410432.00,'2009-11-10 00:00:00',95,2,5);
INSERT INTO `adobecrm`.`client_deals` VALUES  (4420,1,297,1,'Intraura RFP application','GloboCorp portal project.',1,'2009-01-19 00:00:00',1,1,218898.00,'2009-11-10 00:00:00',95,1,5),
 (4421,1,297,1,'Maxtomic portal','GloboCorp ecommerce project.',2,'2009-01-24 00:00:00',2,2,175063.00,'2009-11-17 00:00:00',95,2,5),
 (4422,1,297,1,'US SiliCryptoix Annual Audit 2010','GloboCorp CMS project.',1,'2009-02-10 00:00:00',1,1,130555.00,'2009-11-17 00:00:00',95,1,4),
 (4423,1,297,1,'Cryptonetic portal','Marketing Collateral application',1,'2009-01-03 00:00:00',1,1,312803.00,'2009-11-24 00:00:00',95,1,3),
 (4424,1,297,1,'US Cyclovalu ecommerce','Annual Audit of application code across the organization',1,'2009-01-05 00:00:00',1,1,493362.00,'2009-11-24 00:00:00',95,1,9),
 (4425,1,297,1,'Datasource Company Benefits portal','GloboCorp ecommerce project.',2,'2009-01-22 00:00:00',2,2,590182.00,'2009-12-01 00:00:00',95,2,8),
 (4426,1,297,1,'Thermolog Team-building portal','GloboCorp portal project.',1,'2009-01-29 00:00:00',1,1,910892.00,'2009-12-01 00:00:00',95,1,4),
 (4427,1,297,1,'Eyetel wiki','Annual Audit of application code across the organization',2,'2009-01-12 00:00:00',2,2,989451.00,'2009-12-08 00:00:00',95,2,7),
 (4428,1,297,1,'Costistrix intranet','Annual Audit of application code across the organization',2,'2009-01-06 00:00:00',2,2,227771.00,'2009-12-08 00:00:00',95,2,5),
 (4429,1,297,1,'Motoicon Employee portal v1.0','GloboCorp CMS project.',1,'2009-02-12 00:00:00',1,1,839814.00,'2009-12-15 00:00:00',95,1,5),
 (4430,1,297,1,'Quinvalu Time Tracking application','Annual Audit of application code across the organization',1,'2009-01-09 00:00:00',1,1,668354.00,'2009-12-15 00:00:00',95,1,9),
 (4431,1,297,1,'eRotoway RFP application','GloboCorp bug tracking site project.',2,'2009-03-01 00:00:00',2,2,259818.00,'2009-12-22 00:00:00',95,2,7),
 (4432,1,297,1,'Parasource.com Employee portal v1.0','GloboCorp website project.',1,'2009-01-13 00:00:00',1,1,979260.00,'2009-12-22 00:00:00',95,1,4),
 (4433,1,297,1,'Pacmaxa bug tracking site','GloboCorp CMS project.',1,'2009-02-16 00:00:00',1,1,529840.00,'2009-12-29 00:00:00',95,1,9),
 (4434,1,297,1,'US Turbolinear CMS','GloboCorp portal project.',1,'2009-01-19 00:00:00',1,1,808885.00,'2009-12-29 00:00:00',95,1,5),
 (4435,1,299,1,'Eyetel microsite','Back office integration for accounting and finance',1,'2009-01-07 00:00:00',1,1,997649.00,'2009-01-06 00:00:00',95,1,5),
 (4436,1,299,1,'MicroTekbyte Back office integration','GloboCorp portal project.',1,'2009-01-25 00:00:00',1,1,510159.00,'2009-01-06 00:00:00',95,1,4),
 (4437,1,299,1,'Solscope bug tracking site','Help Desk application',1,'2009-01-01 00:00:00',1,1,135875.00,'2009-01-13 00:00:00',95,1,3),
 (4438,1,299,1,'Autocast Human Resources Review application','GloboCorp CMS project.',1,'2009-02-14 00:00:00',1,1,189157.00,'2009-01-13 00:00:00',95,1,6),
 (4439,1,299,1,'US Maxtiqua portal','Annual Audit of application code across the organization',2,'2009-01-08 00:00:00',2,2,128057.00,'2009-01-20 00:00:00',95,2,7),
 (4440,1,299,1,'Aerstate Company internet','Company internet',2,'2009-01-02 00:00:00',2,2,995620.00,'2009-01-20 00:00:00',95,2,6),
 (4441,1,299,1,'Ultrafab IM application','Annual Audit of application code across the organization',1,'2009-01-11 00:00:00',1,1,572361.00,'2009-01-27 00:00:00',96,1,5),
 (4442,1,299,1,'eInmarcs Marketing Collateral application','Back office integration for accounting and finance',1,'2009-01-07 00:00:00',1,1,940141.00,'2009-01-27 00:00:00',95,1,5),
 (4443,1,299,1,'Cybersouth Team-building portal','Single sign-on initiative',2,'2009-01-04 00:00:00',1,2,418524.00,'2009-02-03 00:00:00',95,2,3),
 (4444,1,299,1,'US Costmat Sales Tracking application','GloboCorp bug tracking site project.',2,'2009-03-01 00:00:00',2,2,154118.00,'2009-02-03 00:00:00',95,2,7),
 (4445,1,299,1,'SteganoPacPacifidisco Team-building portal','Annual Audit of application code across the organization',2,'2009-01-08 00:00:00',2,2,896558.00,'2009-02-10 00:00:00',95,2,7),
 (4446,1,299,1,'Sysmatix Company internet','GloboCorp intranet project.',2,'2009-01-12 00:00:00',2,2,156954.00,'2009-02-10 00:00:00',95,2,2),
 (4447,1,299,1,'Uniair Back office integration','Help Desk application',1,'2009-01-01 00:00:00',1,1,832650.00,'2009-02-17 00:00:00',95,1,3),
 (4448,1,299,1,'Soncal Human Resources Review application','Application to track outside sales',1,'2009-01-09 00:00:00',1,1,981142.00,'2009-02-17 00:00:00',95,1,3),
 (4449,1,299,1,'Genlanza CMS','GloboCorp ecommerce project.',2,'2009-01-20 00:00:00',2,2,554397.00,'2009-02-24 00:00:00',95,2,5),
 (4450,1,299,1,'XeRotodic Single sign-on initiative','GloboCorp microsite project.',2,'2009-02-03 00:00:00',2,2,248238.00,'2009-02-24 00:00:00',95,2,9),
 (4451,1,299,1,'Cyberrama Team-building portal','GloboCorp wiki project.',1,'2009-02-20 00:00:00',1,1,910638.00,'2009-03-03 00:00:00',95,1,8),
 (4452,1,299,1,'Teknocal Time Tracking application','GloboCorp CMS project.',1,'2009-02-12 00:00:00',1,1,150240.00,'2009-03-03 00:00:00',95,1,5),
 (4453,1,299,1,'TeknoViapartners intranet','GloboCorp CMS project.',1,'2009-02-16 00:00:00',1,1,184127.00,'2009-03-10 00:00:00',95,1,9),
 (4454,1,299,1,'Cyberlectric CMS integration','GloboCorp microsite project.',2,'2009-02-15 00:00:00',2,2,892082.00,'2009-03-10 00:00:00',95,2,5),
 (4455,1,299,1,'UltraNetfab wiki','GloboCorp bug tracking site project.',2,'2009-02-19 00:00:00',2,2,272535.00,'2009-03-17 00:00:00',95,2,1),
 (4456,1,299,1,'SysSoltanium Back office integration','Annual Audit of application code across the organization',1,'2009-01-03 00:00:00',1,1,126068.00,'2009-03-17 00:00:00',96,1,7),
 (4457,1,299,1,'SteganoPacPacifidisco Company Benefits portal','Decision Support System',1,'2009-01-03 00:00:00',1,1,727761.00,'2009-03-24 00:00:00',95,1,3),
 (4458,1,299,1,'US SiliCryptoix RFP application','GloboCorp website project.',1,'2009-01-11 00:00:00',1,1,920748.00,'2009-03-24 00:00:00',95,1,2),
 (4459,1,299,1,'eInfohacker IM application','Annual Audit of application code across the organization',1,'2009-01-05 00:00:00',1,1,188875.00,'2009-03-31 00:00:00',95,1,3),
 (4460,1,299,1,'Costat Financial Reporting portal','GloboCorp wiki project.',1,'2009-03-02 00:00:00',1,1,654240.00,'2009-03-31 00:00:00',95,1,6),
 (4461,1,299,1,'Teknocal Company internet','Web mail application',1,'2009-01-03 00:00:00',1,1,995804.00,'2009-04-07 00:00:00',95,1,3),
 (4462,1,299,1,'US Cryptocom Sales Tracking application','GloboCorp bug tracking site project.',2,'2009-02-21 00:00:00',2,2,400522.00,'2009-04-07 00:00:00',95,2,3),
 (4463,1,299,1,'US Teknorama bug tracking site','GloboCorp ecommerce project.',2,'2009-01-30 00:00:00',2,2,919103.00,'2009-04-14 00:00:00',95,2,9),
 (4464,1,299,1,'Metaserve Back office integration','GloboCorp microsite project.',2,'2009-02-07 00:00:00',2,2,991424.00,'2009-04-14 00:00:00',95,2,5),
 (4465,1,299,1,'Tekcorp Company Benefits portal','GloboCorp intranet project.',2,'2009-01-14 00:00:00',2,2,267211.00,'2009-04-21 00:00:00',95,2,4),
 (4466,1,299,1,'Infracenta CMS integration','GloboCorp bug tracking site project.',2,'2009-02-27 00:00:00',2,2,379527.00,'2009-04-21 00:00:00',95,2,3),
 (4467,1,299,1,'Utiliagra CMS integration','GloboCorp portal project.',1,'2009-01-19 00:00:00',1,1,117504.00,'2009-04-28 00:00:00',95,1,5),
 (4468,1,299,1,'Celphor Financial Reporting portal','GloboCorp ecommerce project.',2,'2009-01-30 00:00:00',2,2,604904.00,'2009-04-28 00:00:00',95,2,9),
 (4469,1,299,1,'Cyberlectric Marketing Collateral application','GloboCorp ecommerce project.',2,'2009-01-18 00:00:00',2,2,838174.00,'2009-05-05 00:00:00',95,2,6),
 (4470,1,299,1,'Infracenta portal','GloboCorp wiki project.',1,'2009-02-26 00:00:00',1,1,927096.00,'2009-05-05 00:00:00',95,1,7),
 (4471,1,299,1,'Hyperridium Back office integration','GloboCorp portal project.',1,'2009-01-25 00:00:00',1,1,163483.00,'2009-05-12 00:00:00',95,1,4),
 (4472,1,299,1,'eInmarcs Financial Reporting portal','GloboCorp CMS project.',1,'2009-02-06 00:00:00',1,1,437026.00,'2009-05-12 00:00:00',95,1,7),
 (4473,1,299,1,'Soncal bug tracking site','GloboCorp microsite project.',2,'2009-02-13 00:00:00',2,2,119374.00,'2009-05-19 00:00:00',95,2,5),
 (4474,1,299,1,'Rapiway microsite','GloboCorp portal project.',1,'2009-01-31 00:00:00',1,1,146468.00,'2009-05-19 00:00:00',95,1,2),
 (4475,1,299,1,'US SiliCryptoix Time Tracking application','GloboCorp bug tracking site project.',2,'2009-02-19 00:00:00',2,2,555734.00,'2009-05-26 00:00:00',95,2,1),
 (4476,1,299,1,'US Cryptocom CMS','GloboCorp wiki project.',1,'2009-02-26 00:00:00',1,1,873747.00,'2009-05-26 00:00:00',95,1,7),
 (4477,1,299,1,'US Costmat IM application','Annual Audit of application code across the organization',1,'2009-01-03 00:00:00',1,1,777465.00,'2009-06-02 00:00:00',96,1,7),
 (4478,1,299,1,'Maxtomic bug tracking site','GloboCorp website project.',1,'2009-01-13 00:00:00',1,1,261361.00,'2009-06-02 00:00:00',95,1,4),
 (4479,1,299,1,'Periweb Annual Audit 2010','GloboCorp microsite project.',2,'2009-02-09 00:00:00',2,2,795874.00,'2009-06-09 00:00:00',95,2,3),
 (4480,1,299,1,'US Lexalta Help Desk application','Annual Audit of application code across the organization',2,'2009-01-08 00:00:00',2,2,139383.00,'2009-06-09 00:00:00',95,2,7),
 (4481,1,299,1,'US Turbolinear Employee portal v1.0','GloboCorp bug tracking site project.',2,'2009-02-21 00:00:00',2,2,899937.00,'2009-06-16 00:00:00',95,2,3),
 (4482,1,299,1,'Airmerica Team-building portal','GloboCorp microsite project.',2,'2009-02-07 00:00:00',2,2,456274.00,'2009-06-16 00:00:00',95,2,5),
 (4483,1,299,1,'XeRotodic Sales Tracking application','GloboCorp wiki project.',1,'2009-02-22 00:00:00',1,1,999990.00,'2009-06-23 00:00:00',95,1,4),
 (4484,1,299,1,'Texridic microsite','GloboCorp CMS project.',1,'2009-02-14 00:00:00',1,1,384259.00,'2009-06-23 00:00:00',95,1,6),
 (4485,1,299,1,'Opengraph RFP application','GloboCorp bug tracking site project.',2,'2009-02-23 00:00:00',2,2,118728.00,'2009-06-30 00:00:00',95,2,7),
 (4486,1,299,1,'Celphor CMS','Decision Support System',1,'2009-01-03 00:00:00',1,1,116985.00,'2009-06-30 00:00:00',95,1,3),
 (4487,1,299,1,'eRotoway Decision Support System','GloboCorp CMS project.',1,'2009-02-12 00:00:00',1,1,560309.00,'2009-07-07 00:00:00',95,1,5),
 (4488,1,299,1,'Mapdant microsite','RFP application to automate prospective client proposal request',2,'2009-01-06 00:00:00',2,2,203794.00,'2009-07-07 00:00:00',95,2,1),
 (4489,1,299,1,'Motoicon Back office integration','Annual Audit of application code across the organization',2,'2009-01-06 00:00:00',2,2,956440.00,'2009-07-14 00:00:00',95,2,5),
 (4490,1,299,1,'Thermonuclear CMS integration','Annual Audit of application code across the organization',2,'2009-01-12 00:00:00',2,2,212434.00,'2009-07-14 00:00:00',95,2,7),
 (4491,1,299,1,'iCeleage Team-building portal','GloboCorp bug tracking site project.',2,'2009-02-19 00:00:00',2,2,242713.00,'2009-07-21 00:00:00',95,2,1),
 (4492,1,299,1,'Pacifiphor Employee portal v1.0','GloboCorp CMS project.',1,'2009-02-06 00:00:00',1,1,929929.00,'2009-07-21 00:00:00',95,1,7),
 (4493,1,299,1,'Cryptonetic bug tracking site','GloboCorp wiki project.',1,'2009-02-28 00:00:00',1,1,144799.00,'2009-07-28 00:00:00',95,1,3),
 (4494,1,299,1,'Opengraph wiki','Annual Audit of application code across the organization',1,'2009-01-03 00:00:00',1,1,397012.00,'2009-07-28 00:00:00',96,1,7),
 (4495,1,299,1,'Motoicon Project wiki','GloboCorp microsite project.',2,'2009-02-15 00:00:00',2,2,338475.00,'2009-08-04 00:00:00',95,2,5),
 (4496,1,299,1,'Teramart Financial Reporting portal','GloboCorp bug tracking site project.',2,'2009-02-19 00:00:00',2,2,217920.00,'2009-08-04 00:00:00',95,2,1),
 (4497,1,299,1,'Celphor wiki','Web mail application',1,'2009-01-03 00:00:00',1,1,904402.00,'2009-08-11 00:00:00',95,1,3),
 (4498,1,299,1,'Titanion Decision Support System','GloboCorp wiki project.',1,'2009-02-26 00:00:00',1,1,204982.00,'2009-08-11 00:00:00',95,1,7),
 (4499,1,299,1,'Solscope microsite','Time tracking application for organization',1,'2009-01-05 00:00:00',1,1,163130.00,'2009-08-18 00:00:00',95,1,9),
 (4500,1,299,1,'Softscope microsite','GloboCorp portal project.',1,'2009-01-23 00:00:00',1,1,167495.00,'2009-08-18 00:00:00',95,1,5),
 (4501,1,299,1,'SynRotobyte intranet','GloboCorp ecommerce project.',2,'2009-01-20 00:00:00',2,2,122478.00,'2009-08-25 00:00:00',95,2,5),
 (4502,1,299,1,'SysSoltanium Annual Audit 2010','GloboCorp microsite project.',2,'2009-02-09 00:00:00',2,2,600078.00,'2009-08-25 00:00:00',95,2,3),
 (4503,1,299,1,'eInmarcs Team-building portal','GloboCorp wiki project.',1,'2009-02-22 00:00:00',1,1,782395.00,'2009-09-01 00:00:00',95,1,4),
 (4504,1,299,1,'Tekcorp ecommerce','Project wiki',2,'2009-01-02 00:00:00',1,2,889666.00,'2009-09-01 00:00:00',95,2,3),
 (4505,1,299,1,'Apfarb Marketing Collateral application','Annual Audit of application code across the organization',2,'2009-01-04 00:00:00',2,2,749211.00,'2009-09-08 00:00:00',95,2,8),
 (4506,1,299,1,'Sysline wiki','GloboCorp portal project.',1,'2009-01-23 00:00:00',1,1,670408.00,'2009-09-08 00:00:00',95,1,5),
 (4507,1,299,1,'Softcent ecommerce','GloboCorp microsite project.',2,'2009-02-05 00:00:00',2,2,994831.00,'2009-09-15 00:00:00',95,2,4),
 (4508,1,299,1,'iNetnetic Marketing Collateral application','Company benefits portal for intranet',2,'2009-01-04 00:00:00',2,2,279325.00,'2009-09-15 00:00:00',95,2,8),
 (4509,1,299,1,'Soleccorp Marketing Collateral application','GloboCorp portal project.',1,'2009-01-27 00:00:00',1,1,963422.00,'2009-09-22 00:00:00',95,1,7),
 (4510,1,299,1,'Westridium RFP application','GloboCorp portal project.',1,'2009-01-21 00:00:00',1,1,286658.00,'2009-09-22 00:00:00',95,1,5),
 (4511,1,299,1,'Turboron wiki','GloboCorp microsite project.',2,'2009-02-13 00:00:00',2,2,649451.00,'2009-09-29 00:00:00',95,2,5),
 (4512,1,299,1,'Fibronix RFP application','GloboCorp bug tracking site project.',2,'2009-03-03 00:00:00',2,2,243009.00,'2009-09-29 00:00:00',95,2,4),
 (4513,1,299,1,'eInmarcs Financial Reporting portal','GloboCorp ecommerce project.',2,'2009-01-20 00:00:00',2,2,150334.00,'2009-10-06 00:00:00',95,2,5),
 (4514,1,299,1,'Genlanza Time Tracking application','GloboCorp microsite project.',2,'2009-02-15 00:00:00',2,2,153876.00,'2009-10-06 00:00:00',95,2,5),
 (4515,1,299,1,'SteganoPacPacifidisco Annual Audit 2010','GloboCorp CMS project.',1,'2009-02-10 00:00:00',1,1,504257.00,'2009-10-13 00:00:00',95,1,4),
 (4516,1,299,1,'US Cryptocom Back office integration','GloboCorp microsite project.',2,'2009-02-11 00:00:00',2,2,595559.00,'2009-10-13 00:00:00',95,2,2),
 (4517,1,299,1,'UltraNetfab IM application','GloboCorp microsite project.',2,'2009-02-05 00:00:00',2,2,192716.00,'2009-10-20 00:00:00',95,2,4),
 (4518,1,299,1,'Nanocom Financial Reporting portal','GloboCorp CMS project.',1,'2009-02-02 00:00:00',1,1,154365.00,'2009-10-20 00:00:00',95,1,7),
 (4519,1,299,1,'US Turbolinear Single sign-on initiative','GloboCorp wiki project.',1,'2009-02-28 00:00:00',1,1,199595.00,'2009-10-27 00:00:00',95,1,3),
 (4520,1,299,1,'Fibronix Project wiki','GloboCorp wiki project.',1,'2009-03-02 00:00:00',1,1,226387.00,'2009-10-27 00:00:00',95,1,6),
 (4521,1,299,1,'AnthroSoft.com Employee portal v1.0','GloboCorp portal project.',1,'2009-01-17 00:00:00',1,1,288555.00,'2009-11-03 00:00:00',95,1,5),
 (4522,1,299,1,'Celphor Help Desk application','Intranet messaging application',2,'2009-01-04 00:00:00',1,2,918928.00,'2009-11-03 00:00:00',95,2,3),
 (4523,1,299,1,'Safephor Project wiki','Annual Audit of application code across the organization',2,'2009-01-06 00:00:00',2,2,126040.00,'2009-11-10 00:00:00',95,2,5),
 (4524,1,299,1,'Westridium Employee portal v1.0','Annual Audit of application code across the organization',2,'2009-01-02 00:00:00',2,2,809998.00,'2009-11-10 00:00:00',95,2,6),
 (4525,1,299,1,'eAnthrolan website','GloboCorp wiki project.',1,'2009-02-18 00:00:00',1,1,751614.00,'2009-11-17 00:00:00',95,1,4),
 (4526,1,299,1,'Tektron wiki','GloboCorp CMS project.',1,'2009-02-12 00:00:00',1,1,201908.00,'2009-11-17 00:00:00',95,1,5),
 (4527,1,299,1,'US Maxtiqua Marketing Collateral application','GloboCorp microsite project.',2,'2009-02-11 00:00:00',2,2,136266.00,'2009-11-24 00:00:00',95,2,2),
 (4528,1,299,1,'US Teknorama Single sign-on initiative','Annual Audit of application code across the organization',1,'2009-01-03 00:00:00',1,1,954724.00,'2009-11-24 00:00:00',96,1,7),
 (4529,1,299,1,'eInfohacker portal','GloboCorp portal project.',1,'2009-01-29 00:00:00',1,1,297719.00,'2009-12-01 00:00:00',95,1,4),
 (4530,1,299,1,'Safephor bug tracking site','GloboCorp wiki project.',1,'2009-02-22 00:00:00',1,1,249891.00,'2009-12-01 00:00:00',95,1,4),
 (4531,1,299,1,'US Cyclovalu Time Tracking application','GloboCorp wiki project.',1,'2009-02-28 00:00:00',1,1,473621.00,'2009-12-08 00:00:00',95,1,3),
 (4532,1,299,1,'US Lexalta website','GloboCorp ecommerce project.',2,'2009-01-18 00:00:00',2,2,545684.00,'2009-12-08 00:00:00',95,2,6),
 (4533,1,299,1,'Theolog bug tracking site','GloboCorp portal project.',1,'2009-01-27 00:00:00',1,1,197011.00,'2009-12-15 00:00:00',95,1,7),
 (4534,1,299,1,'Softcent Time Tracking application','GloboCorp microsite project.',2,'2009-02-15 00:00:00',2,2,118182.00,'2009-12-15 00:00:00',95,2,5),
 (4535,1,299,1,'Genlog Marketing Collateral application','Decision Support System',1,'2009-01-03 00:00:00',1,1,847722.00,'2009-12-22 00:00:00',95,1,3),
 (4536,1,299,1,'Motoicon Help Desk application','GloboCorp CMS project.',1,'2009-02-02 00:00:00',1,1,154816.00,'2009-12-22 00:00:00',95,1,7),
 (4537,1,299,1,'eRotoway Company Benefits portal','Annual Audit of application code across the organization',1,'2009-01-05 00:00:00',1,1,491987.00,'2009-12-29 00:00:00',95,1,3),
 (4538,1,299,1,'Soncal CMS','GloboCorp wiki project.',1,'2009-02-28 00:00:00',1,1,579844.00,'2009-12-29 00:00:00',95,1,3),
 (4539,1,300,1,'Hyperridium IM application','GloboCorp bug tracking site project.',2,'2009-02-27 00:00:00',2,2,983321.00,'2009-01-06 00:00:00',95,2,3),
 (4540,1,300,1,'Uniair portal','GloboCorp bug tracking site project.',2,'2009-03-03 00:00:00',2,2,340191.00,'2009-01-06 00:00:00',95,2,4),
 (4541,1,300,1,'Tekcorp Employee portal v1.0','GloboCorp microsite project.',2,'2009-02-05 00:00:00',2,2,344417.00,'2009-01-13 00:00:00',95,2,4),
 (4542,1,300,1,'US Costmat IM application','GloboCorp ecommerce project.',2,'2009-01-20 00:00:00',2,2,791718.00,'2009-01-13 00:00:00',95,2,5),
 (4543,1,300,1,'Nettheon Decision Support System','GloboCorp intranet project.',2,'2009-01-14 00:00:00',2,2,196059.00,'2009-01-20 00:00:00',95,2,4),
 (4544,1,300,1,'Thermonuclear Sales Tracking application','GloboCorp portal project.',1,'2009-01-21 00:00:00',1,1,193681.00,'2009-01-20 00:00:00',95,1,5),
 (4545,1,300,1,'SynRotobyte Financial Reporting portal','GloboCorp CMS project.',1,'2009-02-04 00:00:00',1,1,599767.00,'2009-01-27 00:00:00',95,1,5),
 (4546,1,300,1,'SteganoPacPacifidisco Employee portal v1.0','Project wiki',2,'2009-01-02 00:00:00',1,2,601971.00,'2009-01-27 00:00:00',95,2,3),
 (4547,1,300,1,'Teleseco Marketing Collateral application','GloboCorp bug tracking site project.',2,'2009-02-27 00:00:00',2,2,136774.00,'2009-02-03 00:00:00',95,2,3),
 (4548,1,300,1,'Datasource wiki','Company internet',2,'2009-01-02 00:00:00',2,2,294892.00,'2009-02-03 00:00:00',95,2,6),
 (4549,1,300,1,'US Turbolinear Team-building portal','GloboCorp wiki project.',1,'2009-02-26 00:00:00',1,1,220449.00,'2009-02-10 00:00:00',95,1,7),
 (4550,1,300,1,'Cybersouth Time Tracking application','Company benefits portal for intranet',2,'2009-01-04 00:00:00',2,2,950521.00,'2009-02-10 00:00:00',95,2,8),
 (4551,1,300,1,'Periweb Team-building portal','Annual Audit of application code across the organization',1,'2009-01-05 00:00:00',1,1,657212.00,'2009-02-17 00:00:00',95,1,3),
 (4552,1,300,1,'Pacifiphor Financial Reporting portal','GloboCorp microsite project.',2,'2009-02-05 00:00:00',2,2,949822.00,'2009-02-17 00:00:00',95,2,4),
 (4553,1,300,1,'Teknocal Company internet','Web mail application',1,'2009-01-03 00:00:00',1,1,995948.00,'2009-02-24 00:00:00',95,1,3),
 (4554,1,300,1,'Hyperridium wiki','GloboCorp wiki project.',1,'2009-02-24 00:00:00',1,1,161210.00,'2009-02-24 00:00:00',95,1,6),
 (4555,1,300,1,'Cybersouth Team-building portal','GloboCorp intranet project.',2,'2009-01-14 00:00:00',2,2,380345.00,'2009-03-03 00:00:00',95,2,4),
 (4556,1,300,1,'Thermonuclear Time Tracking application','Company internet',2,'2009-01-02 00:00:00',2,2,294472.00,'2009-03-03 00:00:00',95,2,6),
 (4557,1,300,1,'eRotoway Company Benefits portal','Annual Audit of application code across the organization',1,'2009-01-05 00:00:00',1,1,486029.00,'2009-03-10 00:00:00',95,1,3),
 (4558,1,300,1,'Teletronik.com Annual Audit 2010','GloboCorp wiki project.',1,'2009-02-22 00:00:00',1,1,130984.00,'2009-03-10 00:00:00',95,1,4),
 (4559,1,300,1,'Eyetheon Employee portal v1.0','GloboCorp portal project.',1,'2009-01-27 00:00:00',1,1,405162.00,'2009-03-17 00:00:00',95,1,7),
 (4560,1,300,1,'Costistrix Single sign-on initiative','GloboCorp bug tracking site project.',2,'2009-03-01 00:00:00',2,2,119248.00,'2009-03-17 00:00:00',95,2,7),
 (4561,1,300,1,'Turboron Company Benefits portal','GloboCorp wiki project.',1,'2009-02-24 00:00:00',1,1,318462.00,'2009-03-24 00:00:00',95,1,6),
 (4562,1,300,1,'Teletronik.com Help Desk application','GloboCorp bug tracking site project.',2,'2009-02-19 00:00:00',2,2,462830.00,'2009-03-24 00:00:00',95,2,1),
 (4563,1,300,1,'Pacmaxa Financial Reporting portal','GloboCorp microsite project.',2,'2009-02-09 00:00:00',2,2,768755.00,'2009-03-31 00:00:00',95,2,3),
 (4564,1,300,1,'Tektron IM application','Annual Audit of application code across the organization',1,'2009-01-11 00:00:00',1,1,930310.00,'2009-03-31 00:00:00',96,1,5),
 (4565,1,300,1,'iNetnetic ecommerce','Application to automate employee review process',2,'2009-01-10 00:00:00',2,2,812512.00,'2009-04-07 00:00:00',95,2,4),
 (4566,1,300,1,'US Teknorama Time Tracking application','GloboCorp bug tracking site project.',2,'2009-02-23 00:00:00',2,2,300225.00,'2009-04-07 00:00:00',95,2,7),
 (4567,1,300,1,'Tektron Marketing Collateral application','Company internet',2,'2009-01-02 00:00:00',2,2,159256.00,'2009-04-14 00:00:00',95,2,6),
 (4568,1,300,1,'Nuserve Human Resources Review application','GloboCorp ecommerce project.',2,'2009-01-24 00:00:00',2,2,839704.00,'2009-04-14 00:00:00',95,2,5),
 (4569,1,300,1,'Apamerica Single sign-on initiative','Time tracking application for organization',1,'2009-01-05 00:00:00',1,1,919129.00,'2009-04-21 00:00:00',95,1,9),
 (4570,1,300,1,'Airmerica Decision Support System','GloboCorp bug tracking site project.',2,'2009-02-23 00:00:00',2,2,707827.00,'2009-04-21 00:00:00',95,2,7),
 (4571,1,300,1,'Infracenta Time Tracking application','Financial Reporting portal',2,'2009-01-04 00:00:00',1,2,142995.00,'2009-04-28 00:00:00',95,2,3),
 (4572,1,300,1,'Pacmaxa wiki','GloboCorp CMS project.',1,'2009-02-12 00:00:00',1,1,219135.00,'2009-04-28 00:00:00',95,1,5),
 (4573,1,300,1,'SynRotobyte microsite','GloboCorp bug tracking site project.',2,'2009-02-23 00:00:00',2,2,805681.00,'2009-05-05 00:00:00',95,2,7),
 (4574,1,300,1,'Nanocom CMS integration','GloboCorp bug tracking site project.',2,'2009-03-03 00:00:00',2,2,999591.00,'2009-05-05 00:00:00',95,2,4),
 (4575,1,300,1,'Costsouth Marketing Collateral application','GloboCorp bug tracking site project.',2,'2009-02-23 00:00:00',2,2,285562.00,'2009-05-12 00:00:00',95,2,7),
 (4576,1,300,1,'Keygraph CMS integration','GloboCorp wiki project.',1,'2009-03-04 00:00:00',1,1,637651.00,'2009-05-12 00:00:00',95,1,5),
 (4577,1,300,1,'Teletronik.com Single sign-on initiative','Team-building portal for intranet',1,'2009-01-03 00:00:00',1,1,118129.00,'2009-05-19 00:00:00',95,1,8),
 (4578,1,300,1,'Cryptonetic CMS','GloboCorp bug tracking site project.',2,'2009-02-25 00:00:00',2,2,158792.00,'2009-05-19 00:00:00',95,2,7),
 (4579,1,300,1,'Eyetheon Help Desk application','Application to track outside sales',1,'2009-01-09 00:00:00',1,1,800715.00,'2009-05-26 00:00:00',95,1,3),
 (4580,1,300,1,'Solscope Sales Tracking application','GloboCorp wiki project.',1,'2009-02-22 00:00:00',1,1,966690.00,'2009-05-26 00:00:00',95,1,4),
 (4581,1,300,1,'US Quinrad ecommerce','Application to automate employee review process',2,'2009-01-10 00:00:00',2,2,348762.00,'2009-06-02 00:00:00',95,2,4),
 (4582,1,300,1,'Titaniridium website','GloboCorp bug tracking site project.',2,'2009-03-03 00:00:00',2,2,591983.00,'2009-06-02 00:00:00',95,2,4),
 (4583,1,300,1,'US Cryptocom bug tracking site','Annual Audit of application code across the organization',2,'2009-01-12 00:00:00',2,2,859704.00,'2009-06-09 00:00:00',95,2,7),
 (4584,1,300,1,'Eyetheon Sales Tracking application','GloboCorp wiki project.',1,'2009-02-24 00:00:00',1,1,944900.00,'2009-06-09 00:00:00',95,1,6),
 (4585,1,300,1,'eInmarcs ecommerce','GloboCorp bug tracking site project.',2,'2009-03-01 00:00:00',2,2,349628.00,'2009-06-16 00:00:00',95,2,7),
 (4586,1,300,1,'Unipartners wiki','GloboCorp intranet project.',2,'2009-01-14 00:00:00',2,2,306090.00,'2009-06-16 00:00:00',95,2,4),
 (4587,1,300,1,'US Maxtiqua microsite','GloboCorp portal project.',1,'2009-01-27 00:00:00',1,1,131582.00,'2009-06-23 00:00:00',95,1,7),
 (4588,1,300,1,'Pacmaxa Marketing Collateral application','GloboCorp CMS project.',1,'2009-02-14 00:00:00',1,1,987760.00,'2009-06-23 00:00:00',95,1,6),
 (4589,1,300,1,'Teletronik.com Project wiki','GloboCorp CMS project.',1,'2009-02-04 00:00:00',1,1,125608.00,'2009-06-30 00:00:00',95,1,5),
 (4590,1,300,1,'MicroTekbyte Company internet','GloboCorp website project.',1,'2009-01-13 00:00:00',1,1,892764.00,'2009-06-30 00:00:00',95,1,4),
 (4591,1,300,1,'Tektron Marketing Collateral application','GloboCorp ecommerce project.',2,'2009-01-18 00:00:00',2,2,437298.00,'2009-07-07 00:00:00',95,2,6),
 (4592,1,300,1,'XeRotodic Company internet','GloboCorp portal project.',1,'2009-01-31 00:00:00',1,1,465802.00,'2009-07-07 00:00:00',95,1,2),
 (4593,1,300,1,'iNetnetic CMS','Annual Audit of application code across the organization',1,'2009-01-03 00:00:00',1,1,581137.00,'2009-07-14 00:00:00',96,1,7),
 (4594,1,300,1,'Fibronix microsite','GloboCorp ecommerce project.',2,'2009-01-30 00:00:00',2,2,148484.00,'2009-07-14 00:00:00',95,2,9),
 (4595,1,300,1,'US Maxtiqua Sales Tracking application','GloboCorp CMS project.',1,'2009-02-16 00:00:00',1,1,905584.00,'2009-07-21 00:00:00',95,1,9),
 (4596,1,300,1,'Softcent Company Benefits portal','GloboCorp microsite project.',2,'2009-02-07 00:00:00',2,2,142566.00,'2009-07-21 00:00:00',95,2,5),
 (4597,1,300,1,'Safephor IM application','GloboCorp bug tracking site project.',2,'2009-02-23 00:00:00',2,2,133921.00,'2009-07-28 00:00:00',95,2,7),
 (4598,1,300,1,'Eyetheon intranet','GloboCorp bug tracking site project.',2,'2009-02-25 00:00:00',2,2,777038.00,'2009-07-28 00:00:00',95,2,7),
 (4599,1,300,1,'Genlanza microsite','GloboCorp bug tracking site project.',2,'2009-02-19 00:00:00',2,2,158130.00,'2009-08-04 00:00:00',95,2,1),
 (4600,1,300,1,'Quinvalu Project wiki','Annual Audit of application code across the organization',2,'2009-01-10 00:00:00',2,2,463453.00,'2009-08-04 00:00:00',95,2,2),
 (4601,1,300,1,'Quinvalu wiki','GloboCorp wiki project.',1,'2009-02-24 00:00:00',1,1,207839.00,'2009-08-11 00:00:00',95,1,6),
 (4602,1,300,1,'eAnthrolan Decision Support System','GloboCorp bug tracking site project.',2,'2009-02-25 00:00:00',2,2,289781.00,'2009-08-11 00:00:00',95,2,7),
 (4603,1,300,1,'Teknocal Financial Reporting portal','Company internet',2,'2009-01-02 00:00:00',2,2,993602.00,'2009-08-18 00:00:00',95,2,6),
 (4604,1,300,1,'US SiliCryptoix Help Desk application','GloboCorp portal project.',1,'2009-01-21 00:00:00',1,1,999385.00,'2009-08-18 00:00:00',95,1,5),
 (4605,1,300,1,'Thermolog Financial Reporting portal','Intranet messaging application',2,'2009-01-04 00:00:00',1,2,986538.00,'2009-08-25 00:00:00',95,2,3),
 (4606,1,300,1,'Sysline website','GloboCorp wiki project.',1,'2009-03-02 00:00:00',1,1,117099.00,'2009-08-25 00:00:00',95,1,6),
 (4607,1,300,1,'Opengraph wiki','GloboCorp ecommerce project.',2,'2009-01-22 00:00:00',2,2,371287.00,'2009-09-01 00:00:00',95,2,8),
 (4608,1,300,1,'Cyphertegra RFP application','GloboCorp CMS project.',1,'2009-02-16 00:00:00',1,1,351543.00,'2009-09-01 00:00:00',95,1,9),
 (4609,1,300,1,'US Costmat wiki','Decision Support System',1,'2009-01-03 00:00:00',1,1,118552.00,'2009-09-08 00:00:00',95,1,3),
 (4610,1,300,1,'SysSoltanium Decision Support System','GloboCorp CMS project.',1,'2009-02-10 00:00:00',1,1,156132.00,'2009-09-08 00:00:00',95,1,4),
 (4611,1,300,1,'iNetnetic Back office integration','GloboCorp wiki project.',1,'2009-02-22 00:00:00',1,1,473922.00,'2009-09-15 00:00:00',95,1,4),
 (4612,1,300,1,'Celphor intranet','Annual Audit of application code across the organization',2,'2009-01-04 00:00:00',2,2,775835.00,'2009-09-15 00:00:00',95,2,8),
 (4613,1,300,1,'Yoyoic bug tracking site','Annual Audit of application code across the organization',2,'2009-01-12 00:00:00',2,2,156779.00,'2009-09-22 00:00:00',95,2,7),
 (4614,1,300,1,'Thermolog website','Annual Audit of application code across the organization',1,'2009-01-05 00:00:00',1,1,562867.00,'2009-09-22 00:00:00',95,1,3),
 (4615,1,300,1,'TeknoViapartners Time Tracking application','GloboCorp website project.',1,'2009-01-13 00:00:00',1,1,466878.00,'2009-09-29 00:00:00',95,1,4),
 (4616,1,300,1,'Maxtomic Back office integration','GloboCorp portal project.',1,'2009-01-17 00:00:00',1,1,449274.00,'2009-09-29 00:00:00',95,1,5),
 (4617,1,300,1,'Airmerica Sales Tracking application','GloboCorp intranet project.',2,'2009-01-12 00:00:00',2,2,414260.00,'2009-10-06 00:00:00',95,2,2),
 (4618,1,300,1,'Theolog Marketing Collateral application','GloboCorp ecommerce project.',2,'2009-01-18 00:00:00',2,2,698549.00,'2009-10-06 00:00:00',95,2,6),
 (4619,1,300,1,'Xegate Financial Reporting portal','GloboCorp bug tracking site project.',2,'2009-02-19 00:00:00',2,2,118279.00,'2009-10-13 00:00:00',95,2,1),
 (4620,1,300,1,'Cyberlectric Single sign-on initiative','Help Desk application',1,'2009-01-01 00:00:00',1,1,687643.00,'2009-10-13 00:00:00',95,1,3),
 (4621,1,300,1,'Maxtomic Human Resources Review application','GloboCorp CMS project.',1,'2009-02-12 00:00:00',1,1,130844.00,'2009-10-20 00:00:00',95,1,5),
 (4622,1,300,1,'Theolog website','GloboCorp portal project.',1,'2009-01-27 00:00:00',1,1,501739.00,'2009-10-20 00:00:00',95,1,7),
 (4623,1,300,1,'US Lexalta RFP application','GloboCorp bug tracking site project.',2,'2009-03-03 00:00:00',2,2,324723.00,'2009-10-27 00:00:00',95,2,4),
 (4624,1,300,1,'Costat Single sign-on initiative','GloboCorp bug tracking site project.',2,'2009-02-21 00:00:00',2,2,301628.00,'2009-10-27 00:00:00',95,2,3),
 (4625,1,300,1,'Mapdant Single sign-on initiative','Web mail application',1,'2009-01-03 00:00:00',1,1,475480.00,'2009-11-03 00:00:00',95,1,3),
 (4626,1,300,1,'Opengraph Human Resources Review application','Annual Audit of application code across the organization',1,'2009-01-09 00:00:00',1,1,883343.00,'2009-11-03 00:00:00',95,1,9),
 (4627,1,300,1,'Thermonuclear Company internet','Annual Audit of application code across the organization',1,'2009-01-09 00:00:00',1,1,186156.00,'2009-11-10 00:00:00',95,1,9),
 (4628,1,300,1,'Titanion Decision Support System','Annual Audit of application code across the organization',2,'2009-01-02 00:00:00',2,2,309855.00,'2009-11-10 00:00:00',95,2,6),
 (4629,1,300,1,'Tektron CMS','GloboCorp ecommerce project.',2,'2009-01-18 00:00:00',2,2,966705.00,'2009-11-17 00:00:00',95,2,6),
 (4630,1,300,1,'US Turbolinear Employee portal v1.0','GloboCorp CMS project.',1,'2009-02-02 00:00:00',1,1,155749.00,'2009-11-17 00:00:00',95,1,7),
 (4631,1,300,1,'Periweb Project wiki','GloboCorp microsite project.',2,'2009-02-13 00:00:00',2,2,138055.00,'2009-11-24 00:00:00',95,2,5),
 (4632,1,300,1,'Rapiway Team-building portal','GloboCorp wiki project.',1,'2009-02-26 00:00:00',1,1,455926.00,'2009-11-24 00:00:00',95,1,7),
 (4633,1,300,1,'Quinvalu Human Resources Review application','Project wiki',2,'2009-01-02 00:00:00',1,2,923949.00,'2009-12-01 00:00:00',95,2,3),
 (4634,1,300,1,'Navipaq ecommerce','GloboCorp website project.',1,'2009-01-15 00:00:00',1,1,124365.00,'2009-12-01 00:00:00',95,1,1),
 (4635,1,300,1,'MicroTekbyte wiki','Annual Audit of application code across the organization',2,'2009-01-12 00:00:00',2,2,178200.00,'2009-12-08 00:00:00',95,2,7),
 (4636,1,300,1,'Costsouth Team-building portal','GloboCorp microsite project.',2,'2009-02-03 00:00:00',2,2,949151.00,'2009-12-08 00:00:00',95,2,9),
 (4637,1,300,1,'Uniair Time Tracking application','GloboCorp bug tracking site project.',2,'2009-03-01 00:00:00',2,2,125351.00,'2009-12-15 00:00:00',95,2,7),
 (4638,1,300,1,'Titanion Company Benefits portal','GloboCorp wiki project.',1,'2009-03-02 00:00:00',1,1,175679.00,'2009-12-15 00:00:00',95,1,6),
 (4639,1,300,1,'Sysmatix ecommerce','Company internet',2,'2009-01-02 00:00:00',2,2,671950.00,'2009-12-22 00:00:00',95,2,6),
 (4640,1,300,1,'iCeleage Sales Tracking application','Annual Audit of application code across the organization',1,'2009-01-09 00:00:00',1,1,197330.00,'2009-12-22 00:00:00',95,1,9),
 (4641,1,300,1,'Pacifiphor Company internet','Annual Audit of application code across the organization',2,'2009-01-04 00:00:00',2,2,440187.00,'2009-12-29 00:00:00',95,2,8),
 (4642,1,300,1,'Keygraph portal','GloboCorp portal project.',1,'2009-01-27 00:00:00',1,1,354458.00,'2009-12-29 00:00:00',95,1,7),
 (4643,1,301,1,'Turboron Project wiki','Annual Audit of application code across the organization',1,'2009-01-09 00:00:00',1,1,878292.00,'2009-01-06 00:00:00',95,1,9),
 (4644,1,301,1,'Infracenta intranet','GloboCorp bug tracking site project.',2,'2009-03-01 00:00:00',2,2,958160.00,'2009-01-06 00:00:00',95,2,7),
 (4645,1,301,1,'Turboron Project wiki','Annual Audit of application code across the organization',2,'2009-01-06 00:00:00',2,2,928292.00,'2009-01-13 00:00:00',95,2,5),
 (4646,1,301,1,'Turboron Company internet','Decision Support System',1,'2009-01-03 00:00:00',1,1,196923.00,'2009-01-13 00:00:00',95,1,3),
 (4647,1,301,1,'Uniair ecommerce','GloboCorp bug tracking site project.',2,'2009-02-27 00:00:00',2,2,236906.00,'2009-01-20 00:00:00',95,2,3),
 (4648,1,301,1,'Metaserve RFP application','Annual Audit of application code across the organization',2,'2009-01-04 00:00:00',2,2,952868.00,'2009-01-20 00:00:00',95,2,8),
 (4649,1,301,1,'Motoicon ecommerce','Annual Audit of application code across the organization',2,'2009-01-10 00:00:00',2,2,648851.00,'2009-01-27 00:00:00',95,2,2),
 (4650,1,301,1,'Synconich Single sign-on initiative','GloboCorp wiki project.',1,'2009-03-02 00:00:00',1,1,847763.00,'2009-01-27 00:00:00',95,1,6),
 (4651,1,301,1,'Thermolog Human Resources Review application','Web mail application',1,'2009-01-03 00:00:00',1,1,659695.00,'2009-02-03 00:00:00',95,1,3),
 (4652,1,301,1,'Turboron CMS','GloboCorp wiki project.',1,'2009-02-22 00:00:00',1,1,820480.00,'2009-02-03 00:00:00',95,1,4),
 (4653,1,301,1,'Nettheon Annual Audit 2010','GloboCorp wiki project.',1,'2009-02-28 00:00:00',1,1,872847.00,'2009-02-10 00:00:00',95,1,3),
 (4654,1,301,1,'Apamerica Company Benefits portal','GloboCorp ecommerce project.',2,'2009-02-01 00:00:00',2,2,121662.00,'2009-02-10 00:00:00',95,2,7),
 (4655,1,301,1,'Pacifiphor Financial Reporting portal','GloboCorp wiki project.',1,'2009-03-04 00:00:00',1,1,953857.00,'2009-02-17 00:00:00',95,1,5),
 (4656,1,301,1,'Mapdant Project wiki','Annual Audit of application code across the organization',2,'2009-01-02 00:00:00',2,2,393435.00,'2009-02-17 00:00:00',95,2,6),
 (4657,1,301,1,'Titanion intranet','GloboCorp CMS project.',1,'2009-02-08 00:00:00',1,1,204913.00,'2009-02-24 00:00:00',95,1,7),
 (4658,1,301,1,'Uniair bug tracking site','GloboCorp intranet project.',2,'2009-01-16 00:00:00',2,2,227094.00,'2009-02-24 00:00:00',95,2,4),
 (4659,1,301,1,'Eyetheon website','GloboCorp CMS project.',1,'2009-02-10 00:00:00',1,1,698838.00,'2009-03-03 00:00:00',95,1,4),
 (4660,1,301,1,'MicroTekbyte IM application','GloboCorp intranet project.',2,'2009-01-14 00:00:00',2,2,869391.00,'2009-03-03 00:00:00',95,2,4),
 (4661,1,301,1,'Cryptonetic Project wiki','Annual Audit of application code across the organization',2,'2009-01-12 00:00:00',2,2,189476.00,'2009-03-10 00:00:00',95,2,7),
 (4662,1,301,1,'Keygraph Team-building portal','GloboCorp website project.',1,'2009-01-15 00:00:00',1,1,474006.00,'2009-03-10 00:00:00',95,1,1),
 (4663,1,301,1,'Costat Single sign-on initiative','GloboCorp intranet project.',2,'2009-01-12 00:00:00',2,2,190939.00,'2009-03-17 00:00:00',95,2,2),
 (4664,1,301,1,'SteganoPacPacifidisco wiki','Annual Audit of application code across the organization',2,'2009-01-06 00:00:00',2,2,309959.00,'2009-03-17 00:00:00',95,2,5),
 (4665,1,301,1,'eRotoway IM application','GloboCorp portal project.',1,'2009-01-29 00:00:00',1,1,327682.00,'2009-03-24 00:00:00',95,1,4),
 (4666,1,301,1,'iNetnetic wiki','GloboCorp microsite project.',2,'2009-02-17 00:00:00',2,2,169748.00,'2009-03-24 00:00:00',95,2,2),
 (4667,1,301,1,'eInmarcs ecommerce','GloboCorp microsite project.',2,'2009-02-09 00:00:00',2,2,196778.00,'2009-03-31 00:00:00',95,2,3),
 (4668,1,301,1,'eInfohacker CMS integration','GloboCorp website project.',1,'2009-01-11 00:00:00',1,1,675797.00,'2009-03-31 00:00:00',95,1,2),
 (4669,1,301,1,'Cyphertegra bug tracking site','GloboCorp wiki project.',1,'2009-02-22 00:00:00',1,1,145515.00,'2009-04-07 00:00:00',95,1,4),
 (4670,1,301,1,'Metaserve microsite','GloboCorp ecommerce project.',2,'2009-01-18 00:00:00',2,2,672115.00,'2009-04-07 00:00:00',95,2,6),
 (4671,1,301,1,'iCeleage Help Desk application','GloboCorp ecommerce project.',2,'2009-01-26 00:00:00',2,2,470992.00,'2009-04-14 00:00:00',95,2,1),
 (4672,1,301,1,'US SiliCryptoix ecommerce','Annual Audit of application code across the organization',1,'2009-01-05 00:00:00',1,1,164346.00,'2009-04-14 00:00:00',95,1,9),
 (4673,1,301,1,'Periweb Team-building portal','GloboCorp bug tracking site project.',2,'2009-02-25 00:00:00',2,2,699760.00,'2009-04-21 00:00:00',95,2,7),
 (4674,1,301,1,'Xegate RFP application','GloboCorp microsite project.',2,'2009-02-03 00:00:00',2,2,994392.00,'2009-04-21 00:00:00',95,2,9),
 (4675,1,301,1,'SynRotobyte Time Tracking application','GloboCorp microsite project.',2,'2009-02-09 00:00:00',2,2,191287.00,'2009-04-28 00:00:00',95,2,3),
 (4676,1,301,1,'iCeleage Project wiki','GloboCorp ecommerce project.',2,'2009-01-28 00:00:00',2,2,185593.00,'2009-04-28 00:00:00',95,2,9),
 (4677,1,301,1,'US Lexalta Team-building portal','GloboCorp bug tracking site project.',2,'2009-02-25 00:00:00',2,2,246362.00,'2009-05-05 00:00:00',95,2,7),
 (4678,1,301,1,'Aerstate Help Desk application','GloboCorp portal project.',1,'2009-01-17 00:00:00',1,1,795964.00,'2009-05-05 00:00:00',95,1,5),
 (4679,1,301,1,'Mapdant Human Resources Review application','GloboCorp ecommerce project.',2,'2009-01-26 00:00:00',2,2,289895.00,'2009-05-12 00:00:00',95,2,1),
 (4680,1,301,1,'US SiliCryptoix ecommerce','Project wiki',2,'2009-01-02 00:00:00',1,2,378528.00,'2009-05-12 00:00:00',95,2,3),
 (4681,1,301,1,'Metaserve Sales Tracking application','Help Desk application',1,'2009-01-01 00:00:00',1,1,195760.00,'2009-05-19 00:00:00',95,1,3),
 (4682,1,301,1,'eAnthrolan Marketing Collateral application','GloboCorp website project.',1,'2009-01-11 00:00:00',1,1,529743.00,'2009-05-19 00:00:00',95,1,2),
 (4683,1,301,1,'eRotoway intranet','GloboCorp wiki project.',1,'2009-02-20 00:00:00',1,1,128943.00,'2009-05-26 00:00:00',95,1,8),
 (4684,1,301,1,'Cybersouth microsite','Legacy CMS integration for Marketing group',2,'2009-01-08 00:00:00',2,2,827513.00,'2009-05-26 00:00:00',95,2,8),
 (4685,1,301,1,'Thermocom Marketing Collateral application','GloboCorp CMS project.',1,'2009-02-06 00:00:00',1,1,165377.00,'2009-06-02 00:00:00',95,1,7),
 (4686,1,301,1,'Sysline Time Tracking application','Time tracking application for organization',1,'2009-01-05 00:00:00',1,1,309047.00,'2009-06-02 00:00:00',95,1,9),
 (4687,1,301,1,'Nanocom Marketing Collateral application','GloboCorp ecommerce project.',2,'2009-01-22 00:00:00',2,2,861170.00,'2009-06-09 00:00:00',95,2,8),
 (4688,1,301,1,'Infracenta Company Benefits portal','Annual Audit of application code across the organization',1,'2009-01-03 00:00:00',1,1,940415.00,'2009-06-09 00:00:00',96,1,7),
 (4689,1,301,1,'eRotoway Sales Tracking application','GloboCorp ecommerce project.',2,'2009-01-22 00:00:00',2,2,232596.00,'2009-06-16 00:00:00',95,2,8),
 (4690,1,301,1,'Softcent Sales Tracking application','GloboCorp ecommerce project.',2,'2009-01-24 00:00:00',2,2,127733.00,'2009-06-16 00:00:00',95,2,5),
 (4691,1,301,1,'Apfarb microsite','GloboCorp ecommerce project.',2,'2009-01-24 00:00:00',2,2,143266.00,'2009-06-23 00:00:00',95,2,5),
 (4692,1,301,1,'Xegate CMS integration','Annual Audit of application code across the organization',2,'2009-01-04 00:00:00',2,2,833721.00,'2009-06-23 00:00:00',95,2,8),
 (4693,1,301,1,'Eyetheon Time Tracking application','Annual Audit of application code across the organization',2,'2009-01-04 00:00:00',2,2,992584.00,'2009-06-30 00:00:00',95,2,8),
 (4694,1,301,1,'US SiliCryptoix Employee portal v1.0','GloboCorp portal project.',1,'2009-01-29 00:00:00',1,1,134211.00,'2009-06-30 00:00:00',95,1,4),
 (4695,1,301,1,'US Turbolinear Sales Tracking application','Annual Audit of application code across the organization',1,'2009-01-07 00:00:00',1,1,349234.00,'2009-07-07 00:00:00',96,1,8),
 (4696,1,301,1,'Cryptonetic intranet','GloboCorp CMS project.',1,'2009-02-12 00:00:00',1,1,347747.00,'2009-07-07 00:00:00',95,1,5),
 (4697,1,301,1,'Keygraph microsite','GloboCorp CMS project.',1,'2009-02-14 00:00:00',1,1,959906.00,'2009-07-14 00:00:00',95,1,6),
 (4698,1,301,1,'Autocast ecommerce','Annual Audit of application code across the organization',1,'2009-01-03 00:00:00',1,1,589165.00,'2009-07-14 00:00:00',96,1,7),
 (4699,1,301,1,'eRotoway Company internet','GloboCorp CMS project.',1,'2009-02-14 00:00:00',1,1,511738.00,'2009-07-21 00:00:00',95,1,6),
 (4700,1,301,1,'Parasource.com IM application','Help Desk application',1,'2009-01-01 00:00:00',1,1,753254.00,'2009-07-21 00:00:00',95,1,3),
 (4701,1,301,1,'Genlog Human Resources Review application','Annual Audit of application code across the organization',1,'2009-01-03 00:00:00',1,1,779096.00,'2009-07-28 00:00:00',96,1,7),
 (4702,1,301,1,'Softcent Project wiki','Annual Audit of application code across the organization',2,'2009-01-08 00:00:00',2,2,132243.00,'2009-07-28 00:00:00',95,2,7),
 (4703,1,301,1,'eRotoway Team-building portal','Annual Audit of application code across the organization',2,'2009-01-10 00:00:00',2,2,320901.00,'2009-08-04 00:00:00',95,2,2),
 (4704,1,301,1,'Costsouth website','GloboCorp wiki project.',1,'2009-02-22 00:00:00',1,1,916932.00,'2009-08-04 00:00:00',95,1,4),
 (4705,1,301,1,'Teletronik.com Sales Tracking application','Web mail application',1,'2009-01-03 00:00:00',1,1,622457.00,'2009-08-11 00:00:00',95,1,3),
 (4706,1,301,1,'Softcent Company internet','GloboCorp microsite project.',2,'2009-02-07 00:00:00',2,2,143049.00,'2009-08-11 00:00:00',95,2,5),
 (4707,1,301,1,'Fibronix website','Employee portal for intranet',1,'2009-01-01 00:00:00',1,1,916666.00,'2009-08-18 00:00:00',95,1,3),
 (4708,1,301,1,'Xegate Time Tracking application','Annual Audit of application code across the organization',1,'2009-01-09 00:00:00',1,1,916168.00,'2009-08-18 00:00:00',95,1,9),
 (4709,1,301,1,'Motoicon Project wiki','GloboCorp portal project.',1,'2009-01-27 00:00:00',1,1,194971.00,'2009-08-25 00:00:00',95,1,7),
 (4710,1,301,1,'iNetnetic portal','GloboCorp wiki project.',1,'2009-02-20 00:00:00',1,1,151277.00,'2009-08-25 00:00:00',95,1,8),
 (4711,1,301,1,'SynRotobyte Annual Audit 2010','GloboCorp ecommerce project.',2,'2009-01-20 00:00:00',2,2,357950.00,'2009-09-01 00:00:00',95,2,5),
 (4712,1,301,1,'Cyphertegra Marketing Collateral application','GloboCorp CMS project.',1,'2009-02-10 00:00:00',1,1,911326.00,'2009-09-01 00:00:00',95,1,4),
 (4713,1,301,1,'Maxtomic Single sign-on initiative','GloboCorp microsite project.',2,'2009-02-03 00:00:00',2,2,122544.00,'2009-09-08 00:00:00',95,2,9),
 (4714,1,301,1,'Maxtomic intranet','GloboCorp portal project.',1,'2009-01-27 00:00:00',1,1,200212.00,'2009-09-08 00:00:00',95,1,7),
 (4715,1,301,1,'Titaniridium intranet','Team-building portal for intranet',1,'2009-01-03 00:00:00',1,1,147480.00,'2009-09-15 00:00:00',95,1,8),
 (4716,1,301,1,'Airmerica ecommerce','GloboCorp CMS project.',1,'2009-02-04 00:00:00',1,1,153937.00,'2009-09-15 00:00:00',95,1,5),
 (4717,1,301,1,'SynRotobyte website','Annual Audit of application code across the organization',2,'2009-01-04 00:00:00',2,2,881622.00,'2009-09-22 00:00:00',95,2,8),
 (4718,1,301,1,'Datasource bug tracking site','GloboCorp intranet project.',2,'2009-01-12 00:00:00',2,2,377884.00,'2009-09-22 00:00:00',95,2,2),
 (4719,1,301,1,'Eyetheon Decision Support System','GloboCorp microsite project.',2,'2009-02-07 00:00:00',2,2,945101.00,'2009-09-29 00:00:00',95,2,5),
 (4720,1,301,1,'US Costmat Financial Reporting portal','GloboCorp wiki project.',1,'2009-02-18 00:00:00',1,1,949261.00,'2009-09-29 00:00:00',95,1,4),
 (4721,1,301,1,'Infracenta portal','Annual Audit of application code across the organization',2,'2009-01-12 00:00:00',2,2,920505.00,'2009-10-06 00:00:00',95,2,7),
 (4722,1,301,1,'Utiliagra Human Resources Review application','GloboCorp portal project.',1,'2009-01-19 00:00:00',1,1,309438.00,'2009-10-06 00:00:00',95,1,5),
 (4723,1,301,1,'US Cyclovalu Company Benefits portal','GloboCorp ecommerce project.',2,'2009-01-26 00:00:00',2,2,581210.00,'2009-10-13 00:00:00',95,2,1),
 (4724,1,301,1,'US Turbolinear bug tracking site','Annual Audit of application code across the organization',2,'2009-01-04 00:00:00',2,2,865099.00,'2009-10-13 00:00:00',95,2,8),
 (4725,1,301,1,'Intraura Company internet','Web mail application',1,'2009-01-03 00:00:00',1,1,916479.00,'2009-10-20 00:00:00',95,1,3),
 (4726,1,301,1,'Costat Back office integration','Annual Audit of application code across the organization',2,'2009-01-06 00:00:00',2,2,865639.00,'2009-10-20 00:00:00',95,2,5),
 (4727,1,301,1,'TeknoViapartners Financial Reporting portal','Company internet',2,'2009-01-02 00:00:00',2,2,242031.00,'2009-10-27 00:00:00',95,2,6),
 (4728,1,301,1,'UltraNetfab Back office integration','GloboCorp wiki project.',1,'2009-02-24 00:00:00',1,1,697881.00,'2009-10-27 00:00:00',95,1,6),
 (4729,1,301,1,'Eyetheon website','GloboCorp ecommerce project.',2,'2009-01-22 00:00:00',2,2,648865.00,'2009-11-03 00:00:00',95,2,8),
 (4730,1,301,1,'Entnuclear Company Benefits portal','GloboCorp portal project.',1,'2009-01-21 00:00:00',1,1,439101.00,'2009-11-03 00:00:00',95,1,5),
 (4731,1,301,1,'Nettheon Team-building portal','GloboCorp wiki project.',1,'2009-02-22 00:00:00',1,1,130748.00,'2009-11-10 00:00:00',95,1,4),
 (4732,1,301,1,'Softscope Back office integration','Company benefits portal for intranet',2,'2009-01-04 00:00:00',2,2,945214.00,'2009-11-10 00:00:00',95,2,8),
 (4733,1,301,1,'Thermonuclear Human Resources Review application','GloboCorp ecommerce project.',2,'2009-01-22 00:00:00',2,2,513069.00,'2009-11-17 00:00:00',95,2,8),
 (4734,1,301,1,'Metaserve Marketing Collateral application','GloboCorp CMS project.',1,'2009-02-04 00:00:00',1,1,436980.00,'2009-11-17 00:00:00',95,1,5),
 (4735,1,301,1,'Cybersouth Annual Audit 2010','GloboCorp wiki project.',1,'2009-02-18 00:00:00',1,1,189797.00,'2009-11-24 00:00:00',95,1,4),
 (4736,1,301,1,'US Turbolinear Marketing Collateral application','Annual Audit of application code across the organization',2,'2009-01-12 00:00:00',2,2,441166.00,'2009-11-24 00:00:00',95,2,7),
 (4737,1,301,1,'Tektron website','Annual Audit of application code across the organization',2,'2009-01-08 00:00:00',2,2,309006.00,'2009-12-01 00:00:00',95,2,7),
 (4738,1,301,1,'Texridic microsite','GloboCorp CMS project.',1,'2009-02-04 00:00:00',1,1,953916.00,'2009-12-01 00:00:00',95,1,5),
 (4739,1,301,1,'Nettheon Employee portal v1.0','GloboCorp bug tracking site project.',2,'2009-02-27 00:00:00',2,2,295004.00,'2009-12-08 00:00:00',95,2,3),
 (4740,1,301,1,'Callectrix website','GloboCorp wiki project.',1,'2009-02-18 00:00:00',1,1,612185.00,'2009-12-08 00:00:00',95,1,4),
 (4741,1,301,1,'Teleseco wiki','GloboCorp portal project.',1,'2009-01-19 00:00:00',1,1,693779.00,'2009-12-15 00:00:00',95,1,5),
 (4742,1,301,1,'Apfarb Company Benefits portal','Annual Audit of application code across the organization',2,'2009-01-12 00:00:00',2,2,999838.00,'2009-12-15 00:00:00',95,2,7),
 (4743,1,301,1,'Softscope microsite','GloboCorp ecommerce project.',2,'2009-01-22 00:00:00',2,2,161558.00,'2009-12-22 00:00:00',95,2,8),
 (4744,1,301,1,'Unipartners Company Benefits portal','GloboCorp ecommerce project.',2,'2009-01-26 00:00:00',2,2,534260.00,'2009-12-22 00:00:00',95,2,1),
 (4745,1,301,1,'Quinvalu CMS integration','Team-building portal for intranet',1,'2009-01-03 00:00:00',1,1,128917.00,'2009-12-29 00:00:00',95,1,8),
 (4746,1,301,1,'Fibronix intranet','GloboCorp portal project.',1,'2009-01-23 00:00:00',1,1,519957.00,'2009-12-29 00:00:00',95,1,5),
 (4747,1,302,1,'eInfohacker bug tracking site','GloboCorp ecommerce project.',2,'2009-01-28 00:00:00',2,2,895435.00,'2009-01-06 00:00:00',95,2,9),
 (4748,1,302,1,'eInmarcs wiki','GloboCorp bug tracking site project.',2,'2009-03-01 00:00:00',2,2,284026.00,'2009-01-06 00:00:00',95,2,7),
 (4749,1,302,1,'Cyberlectric Company Benefits portal','Application to track outside sales',1,'2009-01-09 00:00:00',1,1,154412.00,'2009-01-13 00:00:00',95,1,3),
 (4750,1,302,1,'Teleseco Decision Support System','GloboCorp wiki project.',1,'2009-02-24 00:00:00',1,1,192555.00,'2009-01-13 00:00:00',95,1,6),
 (4751,1,302,1,'Softscope portal','Team-building portal for intranet',1,'2009-01-03 00:00:00',1,1,419790.00,'2009-01-20 00:00:00',95,1,8),
 (4752,1,302,1,'XeRotodic Back office integration','GloboCorp CMS project.',1,'2009-02-04 00:00:00',1,1,387998.00,'2009-01-20 00:00:00',95,1,5),
 (4753,1,302,1,'Texridic CMS','GloboCorp portal project.',1,'2009-01-31 00:00:00',1,1,143697.00,'2009-01-27 00:00:00',95,1,2),
 (4754,1,302,1,'Soncal Marketing Collateral application','Back office integration for accounting and finance',1,'2009-01-07 00:00:00',1,1,989153.00,'2009-01-27 00:00:00',95,1,5),
 (4755,1,302,1,'iNetnetic wiki','GloboCorp CMS project.',1,'2009-02-06 00:00:00',1,1,361124.00,'2009-02-03 00:00:00',95,1,7),
 (4756,1,302,1,'ApSoftEnttiqua Single sign-on initiative','GloboCorp bug tracking site project.',2,'2009-02-19 00:00:00',2,2,823565.00,'2009-02-03 00:00:00',95,2,1),
 (4757,1,302,1,'Soncal Single sign-on initiative','Annual Audit of application code across the organization',1,'2009-01-09 00:00:00',1,1,987109.00,'2009-02-10 00:00:00',95,1,9),
 (4758,1,302,1,'iNetnetic Project wiki','GloboCorp portal project.',1,'2009-01-29 00:00:00',1,1,241450.00,'2009-02-10 00:00:00',95,1,4),
 (4759,1,302,1,'ApSoftEnttiqua IM application','GloboCorp bug tracking site project.',2,'2009-02-19 00:00:00',2,2,344203.00,'2009-02-17 00:00:00',95,2,1),
 (4760,1,302,1,'Keygraph IM application','Back office integration for accounting and finance',1,'2009-01-07 00:00:00',1,1,995018.00,'2009-02-17 00:00:00',95,1,5),
 (4761,1,302,1,'Mapdant Help Desk application','Legacy CMS integration for Marketing group',2,'2009-01-08 00:00:00',2,2,996286.00,'2009-02-24 00:00:00',95,2,8),
 (4762,1,302,1,'Datasource Back office integration','GloboCorp wiki project.',1,'2009-03-04 00:00:00',1,1,117807.00,'2009-02-24 00:00:00',95,1,5),
 (4763,1,302,1,'Thermonuclear CMS integration','Annual Audit of application code across the organization',2,'2009-01-12 00:00:00',2,2,210994.00,'2009-03-03 00:00:00',95,2,7),
 (4764,1,302,1,'iCeleage Team-building portal','GloboCorp bug tracking site project.',2,'2009-02-19 00:00:00',2,2,242938.00,'2009-03-03 00:00:00',95,2,1),
 (4765,1,302,1,'Uniair Annual Audit 2010','GloboCorp microsite project.',2,'2009-02-07 00:00:00',2,2,836743.00,'2009-03-10 00:00:00',95,2,5),
 (4766,1,302,1,'Thermonuclear RFP application','Annual Audit of application code across the organization',2,'2009-01-06 00:00:00',2,2,174038.00,'2009-03-10 00:00:00',95,2,5),
 (4767,1,302,1,'Nettheon intranet','GloboCorp intranet project.',2,'2009-01-12 00:00:00',2,2,981297.00,'2009-03-17 00:00:00',95,2,2),
 (4768,1,302,1,'Westridium Human Resources Review application','GloboCorp microsite project.',2,'2009-02-15 00:00:00',2,2,932540.00,'2009-03-17 00:00:00',95,2,5),
 (4769,1,302,1,'Tektron CMS','GloboCorp bug tracking site project.',2,'2009-03-03 00:00:00',2,2,200889.00,'2009-03-24 00:00:00',95,2,4),
 (4770,1,302,1,'Datasource intranet','GloboCorp CMS project.',1,'2009-02-04 00:00:00',1,1,310924.00,'2009-03-24 00:00:00',95,1,5),
 (4771,1,302,1,'Sysline Financial Reporting portal','Annual Audit of application code across the organization',1,'2009-01-09 00:00:00',1,1,417111.00,'2009-03-31 00:00:00',95,1,9),
 (4772,1,302,1,'eAnthrolan Marketing Collateral application','Annual Audit of application code across the organization',1,'2009-01-05 00:00:00',1,1,125525.00,'2009-03-31 00:00:00',95,1,9),
 (4773,1,302,1,'US Cyclovalu Human Resources Review application','GloboCorp microsite project.',2,'2009-02-05 00:00:00',2,2,261164.00,'2009-04-07 00:00:00',95,2,4),
 (4774,1,302,1,'Periweb Time Tracking application','GloboCorp wiki project.',1,'2009-02-22 00:00:00',1,1,632454.00,'2009-04-07 00:00:00',95,1,4),
 (4775,1,302,1,'Safephor portal','GloboCorp bug tracking site project.',2,'2009-02-21 00:00:00',2,2,935321.00,'2009-04-14 00:00:00',95,2,3),
 (4776,1,302,1,'Infracenta Annual Audit 2010','GloboCorp wiki project.',1,'2009-03-02 00:00:00',1,1,440797.00,'2009-04-14 00:00:00',95,1,6),
 (4777,1,302,1,'Callectrix ecommerce','Company internet',2,'2009-01-02 00:00:00',2,2,125476.00,'2009-04-21 00:00:00',95,2,6),
 (4778,1,302,1,'Infracenta Help Desk application','GloboCorp microsite project.',2,'2009-02-03 00:00:00',2,2,139234.00,'2009-04-21 00:00:00',95,2,9),
 (4779,1,302,1,'Soleccorp Time Tracking application','Intranet messaging application',2,'2009-01-04 00:00:00',1,2,972968.00,'2009-04-28 00:00:00',95,2,3),
 (4780,1,302,1,'US SiliCryptoix microsite','GloboCorp CMS project.',1,'2009-02-14 00:00:00',1,1,203354.00,'2009-04-28 00:00:00',95,1,6),
 (4781,1,302,1,'Sysline portal','GloboCorp portal project.',1,'2009-01-17 00:00:00',1,1,618064.00,'2009-05-05 00:00:00',95,1,5),
 (4782,1,302,1,'Ultrafab Time Tracking application','RFP application to automate prospective client proposal request',2,'2009-01-06 00:00:00',2,2,142998.00,'2009-05-05 00:00:00',95,2,1),
 (4783,1,302,1,'Nuserve CMS','GloboCorp microsite project.',2,'2009-02-07 00:00:00',2,2,998966.00,'2009-05-12 00:00:00',95,2,5),
 (4784,1,302,1,'Aerstate ecommerce','GloboCorp microsite project.',2,'2009-02-15 00:00:00',2,2,358836.00,'2009-05-12 00:00:00',95,2,5),
 (4785,1,302,1,'Eyetheon bug tracking site','Back office integration for accounting and finance',1,'2009-01-07 00:00:00',1,1,895113.00,'2009-05-19 00:00:00',95,1,5),
 (4786,1,302,1,'Infracenta Company internet','Annual Audit of application code across the organization',1,'2009-01-09 00:00:00',1,1,333252.00,'2009-05-19 00:00:00',95,1,9),
 (4787,1,302,1,'US Quinrad Help Desk application','GloboCorp CMS project.',1,'2009-02-16 00:00:00',1,1,997022.00,'2009-05-26 00:00:00',95,1,9),
 (4788,1,302,1,'Motoicon Help Desk application','Decision Support System',1,'2009-01-03 00:00:00',1,1,879918.00,'2009-05-26 00:00:00',95,1,3),
 (4789,1,302,1,'Teramart Annual Audit 2010','Decision Support System',1,'2009-01-03 00:00:00',1,1,826726.00,'2009-06-02 00:00:00',95,1,3),
 (4790,1,302,1,'Nanocom website','GloboCorp microsite project.',2,'2009-02-17 00:00:00',2,2,119152.00,'2009-06-02 00:00:00',95,2,2),
 (4791,1,302,1,'Westridium Marketing Collateral application','Back office integration for accounting and finance',1,'2009-01-07 00:00:00',1,1,180690.00,'2009-06-09 00:00:00',95,1,5),
 (4792,1,302,1,'Synconich intranet','Application to track outside sales',1,'2009-01-09 00:00:00',1,1,942409.00,'2009-06-09 00:00:00',95,1,3),
 (4793,1,302,1,'eInmarcs portal','GloboCorp microsite project.',2,'2009-02-13 00:00:00',2,2,999986.00,'2009-06-16 00:00:00',95,2,5),
 (4794,1,302,1,'Utiliagra microsite','Help Desk application',1,'2009-01-01 00:00:00',1,1,978248.00,'2009-06-16 00:00:00',95,1,3),
 (4795,1,302,1,'Quinvalu Time Tracking application','GloboCorp portal project.',1,'2009-01-27 00:00:00',1,1,679307.00,'2009-06-23 00:00:00',95,1,7),
 (4796,1,302,1,'Solscope intranet','GloboCorp bug tracking site project.',2,'2009-03-03 00:00:00',2,2,156285.00,'2009-06-23 00:00:00',95,2,4),
 (4797,1,302,1,'Sysline Team-building portal','RFP application to automate prospective client proposal request',2,'2009-01-06 00:00:00',2,2,329962.00,'2009-06-30 00:00:00',95,2,1),
 (4798,1,302,1,'Mapdant Marketing Collateral application','GloboCorp website project.',1,'2009-01-13 00:00:00',1,1,189263.00,'2009-06-30 00:00:00',95,1,4),
 (4799,1,302,1,'Uniair Team-building portal','GloboCorp portal project.',1,'2009-01-23 00:00:00',1,1,583144.00,'2009-07-07 00:00:00',95,1,5),
 (4800,1,302,1,'Nuserve CMS','GloboCorp microsite project.',2,'2009-02-15 00:00:00',2,2,226773.00,'2009-07-07 00:00:00',95,2,5),
 (4801,1,302,1,'Nettheon Back office integration','GloboCorp microsite project.',2,'2009-02-17 00:00:00',2,2,152309.00,'2009-07-14 00:00:00',95,2,2),
 (4802,1,302,1,'SteganoPacPacifidisco Decision Support System','GloboCorp bug tracking site project.',2,'2009-02-19 00:00:00',2,2,119030.00,'2009-07-14 00:00:00',95,2,1),
 (4803,1,302,1,'US Cyclovalu microsite','GloboCorp CMS project.',1,'2009-02-14 00:00:00',1,1,392215.00,'2009-07-21 00:00:00',95,1,6),
 (4804,1,302,1,'Safephor Time Tracking application','GloboCorp bug tracking site project.',2,'2009-03-01 00:00:00',2,2,533281.00,'2009-07-21 00:00:00',95,2,7),
 (4805,1,302,1,'Thermolog Decision Support System','Annual Audit of application code across the organization',1,'2009-01-09 00:00:00',1,1,244762.00,'2009-07-28 00:00:00',95,1,9),
 (4806,1,302,1,'Costistrix Marketing Collateral application','GloboCorp ecommerce project.',2,'2009-01-30 00:00:00',2,2,863553.00,'2009-07-28 00:00:00',95,2,9),
 (4807,1,302,1,'Nanocom Marketing Collateral application','Annual Audit of application code across the organization',1,'2009-01-05 00:00:00',1,1,857420.00,'2009-08-04 00:00:00',95,1,9),
 (4808,1,302,1,'SynRotobyte Single sign-on initiative','Annual Audit of application code across the organization',2,'2009-01-08 00:00:00',2,2,269294.00,'2009-08-04 00:00:00',95,2,7),
 (4809,1,302,1,'Callectrix Company internet','Company internet',2,'2009-01-02 00:00:00',2,2,929638.00,'2009-08-11 00:00:00',95,2,6),
 (4810,1,302,1,'Soleccorp bug tracking site','GloboCorp ecommerce project.',2,'2009-01-28 00:00:00',2,2,756587.00,'2009-08-11 00:00:00',95,2,9),
 (4811,1,302,1,'Polytheon CMS integration','RFP application to automate prospective client proposal request',2,'2009-01-06 00:00:00',2,2,801972.00,'2009-08-18 00:00:00',95,2,1),
 (4812,1,302,1,'Softscope ecommerce','GloboCorp wiki project.',1,'2009-02-22 00:00:00',1,1,186769.00,'2009-08-18 00:00:00',95,1,4),
 (4813,1,302,1,'Costistrix Human Resources Review application','Annual Audit of application code across the organization',1,'2009-01-07 00:00:00',1,1,412282.00,'2009-08-25 00:00:00',96,1,8),
 (4814,1,302,1,'Mapdant portal','GloboCorp wiki project.',1,'2009-02-20 00:00:00',1,1,298825.00,'2009-08-25 00:00:00',95,1,8),
 (4815,1,302,1,'Polytheon wiki','Annual Audit of application code across the organization',2,'2009-01-12 00:00:00',2,2,321429.00,'2009-09-01 00:00:00',95,2,7),
 (4816,1,302,1,'MicroTekbyte Help Desk application','GloboCorp ecommerce project.',2,'2009-01-18 00:00:00',2,2,926645.00,'2009-09-01 00:00:00',95,2,6),
 (4817,1,302,1,'Rotopak IM application','GloboCorp CMS project.',1,'2009-02-14 00:00:00',1,1,121625.00,'2009-09-08 00:00:00',95,1,6),
 (4818,1,302,1,'Ultrafab RFP application','Time tracking application for organization',1,'2009-01-05 00:00:00',1,1,656003.00,'2009-09-08 00:00:00',95,1,9),
 (4819,1,302,1,'Titaniridium Single sign-on initiative','GloboCorp microsite project.',2,'2009-02-17 00:00:00',2,2,885963.00,'2009-09-15 00:00:00',95,2,2),
 (4820,1,302,1,'Nanocom Human Resources Review application','GloboCorp bug tracking site project.',2,'2009-02-21 00:00:00',2,2,824883.00,'2009-09-15 00:00:00',95,2,3),
 (4821,1,302,1,'Westridium CMS integration','GloboCorp wiki project.',1,'2009-02-24 00:00:00',1,1,940801.00,'2009-09-22 00:00:00',95,1,6),
 (4822,1,302,1,'Apfarb Back office integration','Financial Reporting portal',2,'2009-01-04 00:00:00',1,2,341109.00,'2009-09-22 00:00:00',95,2,3),
 (4823,1,302,1,'Teknocal Company Benefits portal','GloboCorp wiki project.',1,'2009-03-04 00:00:00',1,1,201382.00,'2009-09-29 00:00:00',95,1,5),
 (4824,1,302,1,'US Costmat Marketing Collateral application','GloboCorp CMS project.',1,'2009-02-06 00:00:00',1,1,135144.00,'2009-09-29 00:00:00',95,1,7),
 (4825,1,302,1,'Fibronix Project wiki','GloboCorp ecommerce project.',2,'2009-01-26 00:00:00',2,2,999890.00,'2009-10-06 00:00:00',95,2,1),
 (4826,1,302,1,'Rotopak Time Tracking application','GloboCorp website project.',1,'2009-01-13 00:00:00',1,1,900334.00,'2009-10-06 00:00:00',95,1,4),
 (4827,1,302,1,'Fibronix microsite','GloboCorp microsite project.',2,'2009-02-09 00:00:00',2,2,865524.00,'2009-10-13 00:00:00',95,2,3),
 (4828,1,302,1,'ApSoftEnttiqua CMS','GloboCorp microsite project.',2,'2009-02-15 00:00:00',2,2,951949.00,'2009-10-13 00:00:00',95,2,5),
 (4829,1,302,1,'XeRotodic website','GloboCorp portal project.',1,'2009-01-31 00:00:00',1,1,140857.00,'2009-10-20 00:00:00',95,1,2),
 (4830,1,302,1,'Yoyoic Team-building portal','Annual Audit of application code across the organization',2,'2009-01-02 00:00:00',2,2,133929.00,'2009-10-20 00:00:00',95,2,6),
 (4831,1,302,1,'Thermolog Employee portal v1.0','Annual Audit of application code across the organization',2,'2009-01-06 00:00:00',2,2,207075.00,'2009-10-27 00:00:00',95,2,5),
 (4832,1,302,1,'Nettheon Company internet','GloboCorp bug tracking site project.',2,'2009-02-21 00:00:00',2,2,965619.00,'2009-10-27 00:00:00',95,2,3),
 (4833,1,302,1,'Synconich Financial Reporting portal','GloboCorp intranet project.',2,'2009-01-14 00:00:00',2,2,986551.00,'2009-11-03 00:00:00',95,2,4),
 (4834,1,302,1,'Teletronik.com intranet','Web mail application',1,'2009-01-03 00:00:00',1,1,995322.00,'2009-11-03 00:00:00',95,1,3),
 (4835,1,302,1,'Entnuclear portal','GloboCorp CMS project.',1,'2009-02-10 00:00:00',1,1,559605.00,'2009-11-10 00:00:00',95,1,4),
 (4836,1,302,1,'Eyetel portal','GloboCorp microsite project.',2,'2009-02-11 00:00:00',2,2,251402.00,'2009-11-10 00:00:00',95,2,2),
 (4837,1,302,1,'Tektron Human Resources Review application','GloboCorp CMS project.',1,'2009-02-10 00:00:00',1,1,185994.00,'2009-11-17 00:00:00',95,1,4),
 (4838,1,302,1,'Pacifiphor CMS integration','Annual Audit of application code across the organization',1,'2009-01-05 00:00:00',1,1,768877.00,'2009-11-17 00:00:00',95,1,3),
 (4839,1,302,1,'AnthroSoft.com microsite','GloboCorp wiki project.',1,'2009-03-04 00:00:00',1,1,442584.00,'2009-11-24 00:00:00',95,1,5),
 (4840,1,302,1,'Yoyoic CMS','Annual Audit of application code across the organization',1,'2009-01-05 00:00:00',1,1,410886.00,'2009-11-24 00:00:00',95,1,3),
 (4841,1,302,1,'SysSoltanium Sales Tracking application','Application to automate employee review process',2,'2009-01-10 00:00:00',2,2,605196.00,'2009-12-01 00:00:00',95,2,4),
 (4842,1,302,1,'Texridic Back office integration','Annual Audit of application code across the organization',1,'2009-01-05 00:00:00',1,1,130100.00,'2009-12-01 00:00:00',95,1,3),
 (4843,1,302,1,'US Maxtiqua Team-building portal','GloboCorp microsite project.',2,'2009-02-11 00:00:00',2,2,969175.00,'2009-12-08 00:00:00',95,2,2),
 (4844,1,302,1,'Theolog IM application','Annual Audit of application code across the organization',1,'2009-01-11 00:00:00',1,1,683437.00,'2009-12-08 00:00:00',96,1,5),
 (4845,1,302,1,'Costat Time Tracking application','GloboCorp microsite project.',2,'2009-02-15 00:00:00',2,2,394930.00,'2009-12-15 00:00:00',95,2,5);
INSERT INTO `adobecrm`.`client_deals` VALUES  (4846,1,302,1,'Unipartners Financial Reporting portal','GloboCorp ecommerce project.',2,'2009-01-28 00:00:00',2,2,165150.00,'2009-12-15 00:00:00',95,2,9),
 (4847,1,302,1,'US Maxtiqua Team-building portal','Single sign-on initiative',2,'2009-01-04 00:00:00',1,2,949116.00,'2009-12-22 00:00:00',95,2,3),
 (4848,1,302,1,'Theolog CMS integration','Annual Audit of application code across the organization',2,'2009-01-02 00:00:00',2,2,196551.00,'2009-12-22 00:00:00',95,2,6),
 (4849,1,302,1,'US SiliCryptoix intranet','GloboCorp microsite project.',2,'2009-02-09 00:00:00',2,2,388860.00,'2009-12-29 00:00:00',95,2,3),
 (4850,1,302,1,'Costsouth Financial Reporting portal','Annual Audit of application code across the organization',2,'2009-01-02 00:00:00',2,2,670654.00,'2009-12-29 00:00:00',95,2,6),
 (4851,1,305,1,'Nuserve Marketing Collateral application','GloboCorp microsite project.',2,'2009-02-09 00:00:00',2,2,553326.00,'2009-01-06 00:00:00',95,2,3),
 (4852,1,305,1,'Soncal Employee portal v1.0','GloboCorp portal project.',1,'2009-01-29 00:00:00',1,1,636422.00,'2009-01-06 00:00:00',95,1,4),
 (4853,1,305,1,'Aerstate Annual Audit 2010','Application to track outside sales',1,'2009-01-09 00:00:00',1,1,156960.00,'2009-01-13 00:00:00',95,1,3),
 (4854,1,305,1,'US Teknorama Single sign-on initiative','GloboCorp intranet project.',2,'2009-01-12 00:00:00',2,2,176540.00,'2009-01-13 00:00:00',95,2,2),
 (4855,1,305,1,'Sysmatix microsite','GloboCorp portal project.',1,'2009-01-25 00:00:00',1,1,123823.00,'2009-01-20 00:00:00',95,1,4),
 (4856,1,305,1,'Costsouth ecommerce','GloboCorp ecommerce project.',2,'2009-02-01 00:00:00',2,2,802784.00,'2009-01-20 00:00:00',95,2,7),
 (4857,1,305,1,'US Maxtiqua intranet','Annual Audit of application code across the organization',2,'2009-01-12 00:00:00',2,2,138445.00,'2009-01-27 00:00:00',95,2,7),
 (4858,1,305,1,'Rapiway IM application','GloboCorp portal project.',1,'2009-01-29 00:00:00',1,1,692178.00,'2009-01-27 00:00:00',95,1,4),
 (4859,1,305,1,'Xegate Team-building portal','GloboCorp bug tracking site project.',2,'2009-02-25 00:00:00',2,2,944394.00,'2009-02-03 00:00:00',95,2,7),
 (4860,1,305,1,'Softscope Annual Audit 2010','GloboCorp intranet project.',2,'2009-01-16 00:00:00',2,2,414412.00,'2009-02-03 00:00:00',95,2,4),
 (4861,1,305,1,'Thermolog Company internet','Annual Audit of application code across the organization',1,'2009-01-11 00:00:00',1,1,267240.00,'2009-02-10 00:00:00',96,1,5),
 (4862,1,305,1,'ApSoftEnttiqua microsite','GloboCorp intranet project.',2,'2009-01-14 00:00:00',2,2,991682.00,'2009-02-10 00:00:00',95,2,4),
 (4863,1,305,1,'Autocast Marketing Collateral application','Annual Audit of application code across the organization',1,'2009-01-07 00:00:00',1,1,984490.00,'2009-02-17 00:00:00',96,1,8),
 (4864,1,305,1,'eInfohacker Annual Audit 2010','GloboCorp portal project.',1,'2009-01-23 00:00:00',1,1,741539.00,'2009-02-17 00:00:00',95,1,5),
 (4865,1,305,1,'Celphor Annual Audit 2010','GloboCorp portal project.',1,'2009-01-23 00:00:00',1,1,946905.00,'2009-02-24 00:00:00',95,1,5),
 (4866,1,305,1,'Rotopak RFP application','Annual Audit of application code across the organization',1,'2009-01-03 00:00:00',1,1,766358.00,'2009-02-24 00:00:00',96,1,7),
 (4867,1,305,1,'eAnthrolan Help Desk application','GloboCorp wiki project.',1,'2009-02-24 00:00:00',1,1,117850.00,'2009-03-03 00:00:00',95,1,6),
 (4868,1,305,1,'Softscope ecommerce','Annual Audit of application code across the organization',2,'2009-01-08 00:00:00',2,2,183038.00,'2009-03-03 00:00:00',95,2,7),
 (4869,1,305,1,'Pacmaxa Annual Audit 2010','Annual Audit of application code across the organization',2,'2009-01-06 00:00:00',2,2,513995.00,'2009-03-10 00:00:00',95,2,5),
 (4870,1,305,1,'Polytheon portal','GloboCorp wiki project.',1,'2009-03-02 00:00:00',1,1,266804.00,'2009-03-10 00:00:00',95,1,6),
 (4871,1,305,1,'SysSoltanium portal','Employee portal for intranet',1,'2009-01-01 00:00:00',1,1,996474.00,'2009-03-17 00:00:00',95,1,3),
 (4872,1,305,1,'Titanion RFP application','GloboCorp intranet project.',2,'2009-01-12 00:00:00',2,2,688701.00,'2009-03-17 00:00:00',95,2,2),
 (4873,1,305,1,'Thermonuclear bug tracking site','GloboCorp website project.',1,'2009-01-11 00:00:00',1,1,869590.00,'2009-03-24 00:00:00',95,1,2),
 (4874,1,305,1,'Yoyoic Financial Reporting portal','GloboCorp bug tracking site project.',2,'2009-02-19 00:00:00',2,2,476175.00,'2009-03-24 00:00:00',95,2,1),
 (4875,1,305,1,'Rotopak Annual Audit 2010','GloboCorp bug tracking site project.',2,'2009-03-01 00:00:00',2,2,151976.00,'2009-03-31 00:00:00',95,2,7),
 (4876,1,305,1,'Teknocal wiki','GloboCorp microsite project.',2,'2009-02-11 00:00:00',2,2,524454.00,'2009-03-31 00:00:00',95,2,2),
 (4877,1,305,1,'AnthroSoft.com Employee portal v1.0','GloboCorp wiki project.',1,'2009-03-04 00:00:00',1,1,219490.00,'2009-04-07 00:00:00',95,1,5),
 (4878,1,305,1,'Ultrafab Annual Audit 2010','Web mail application',1,'2009-01-03 00:00:00',1,1,875939.00,'2009-04-07 00:00:00',95,1,3),
 (4879,1,305,1,'Cyphertegra CMS integration','GloboCorp microsite project.',2,'2009-02-13 00:00:00',2,2,315295.00,'2009-04-14 00:00:00',95,2,5),
 (4880,1,305,1,'Aerstate intranet','GloboCorp website project.',1,'2009-01-15 00:00:00',1,1,412642.00,'2009-04-14 00:00:00',95,1,1),
 (4881,1,305,1,'Teramart Time Tracking application','GloboCorp microsite project.',2,'2009-02-05 00:00:00',2,2,132663.00,'2009-04-21 00:00:00',95,2,4),
 (4882,1,305,1,'Soncal bug tracking site','GloboCorp microsite project.',2,'2009-02-05 00:00:00',2,2,669678.00,'2009-04-21 00:00:00',95,2,4),
 (4883,1,305,1,'Yoyoic Human Resources Review application','GloboCorp ecommerce project.',2,'2009-02-01 00:00:00',2,2,206955.00,'2009-04-28 00:00:00',95,2,7),
 (4884,1,305,1,'Quinvalu bug tracking site','GloboCorp bug tracking site project.',2,'2009-02-25 00:00:00',2,2,969250.00,'2009-04-28 00:00:00',95,2,7),
 (4885,1,305,1,'Safephor Employee portal v1.0','GloboCorp microsite project.',2,'2009-02-09 00:00:00',2,2,975041.00,'2009-05-05 00:00:00',95,2,3),
 (4886,1,305,1,'Airmerica CMS','GloboCorp portal project.',1,'2009-01-19 00:00:00',1,1,855112.00,'2009-05-05 00:00:00',95,1,5),
 (4887,1,305,1,'XeRotodic Marketing Collateral application','GloboCorp wiki project.',1,'2009-02-26 00:00:00',1,1,987186.00,'2009-05-12 00:00:00',95,1,7),
 (4888,1,305,1,'eRotoway Annual Audit 2010','Annual Audit of application code across the organization',2,'2009-01-08 00:00:00',2,2,346930.00,'2009-05-12 00:00:00',95,2,7),
 (4889,1,305,1,'Pacifiphor Human Resources Review application','Annual Audit of application code across the organization',1,'2009-01-09 00:00:00',1,1,163142.00,'2009-05-19 00:00:00',95,1,9),
 (4890,1,305,1,'Cryptonetic website','Marketing Collateral application',1,'2009-01-03 00:00:00',1,1,304914.00,'2009-05-19 00:00:00',95,1,3),
 (4891,1,305,1,'Celphor Employee portal v1.0','Team-building portal for intranet',1,'2009-01-03 00:00:00',1,1,587508.00,'2009-05-26 00:00:00',95,1,8),
 (4892,1,305,1,'Cybersouth CMS','Back office integration for accounting and finance',1,'2009-01-07 00:00:00',1,1,366701.00,'2009-05-26 00:00:00',95,1,5),
 (4893,1,305,1,'Cyphertegra CMS','GloboCorp bug tracking site project.',2,'2009-03-01 00:00:00',2,2,535046.00,'2009-06-02 00:00:00',95,2,7),
 (4894,1,305,1,'Rapiway ecommerce','GloboCorp CMS project.',1,'2009-02-14 00:00:00',1,1,359800.00,'2009-06-02 00:00:00',95,1,6),
 (4895,1,305,1,'Cyphertegra website','Time tracking application for organization',1,'2009-01-05 00:00:00',1,1,627538.00,'2009-06-09 00:00:00',95,1,9),
 (4896,1,305,1,'US Costmat bug tracking site','GloboCorp CMS project.',1,'2009-02-06 00:00:00',1,1,415912.00,'2009-06-09 00:00:00',95,1,7),
 (4897,1,305,1,'Nettheon Employee portal v1.0','GloboCorp portal project.',1,'2009-01-23 00:00:00',1,1,978224.00,'2009-06-16 00:00:00',95,1,5),
 (4898,1,305,1,'Xegate Company Benefits portal','GloboCorp CMS project.',1,'2009-02-06 00:00:00',1,1,573905.00,'2009-06-16 00:00:00',95,1,7),
 (4899,1,305,1,'Infracenta Financial Reporting portal','GloboCorp website project.',1,'2009-01-13 00:00:00',1,1,999608.00,'2009-06-23 00:00:00',95,1,4),
 (4900,1,305,1,'US SiliCryptoix ecommerce','Team-building portal for intranet',1,'2009-01-03 00:00:00',1,1,931965.00,'2009-06-23 00:00:00',95,1,8),
 (4901,1,305,1,'Costistrix CMS integration','GloboCorp wiki project.',1,'2009-03-02 00:00:00',1,1,817225.00,'2009-06-30 00:00:00',95,1,6),
 (4902,1,305,1,'eInfohacker website','GloboCorp bug tracking site project.',2,'2009-02-23 00:00:00',2,2,271586.00,'2009-06-30 00:00:00',95,2,7),
 (4903,1,305,1,'Keygraph Employee portal v1.0','Annual Audit of application code across the organization',1,'2009-01-05 00:00:00',1,1,130293.00,'2009-07-07 00:00:00',95,1,3),
 (4904,1,305,1,'Callectrix portal','GloboCorp wiki project.',1,'2009-02-28 00:00:00',1,1,120657.00,'2009-07-07 00:00:00',95,1,3),
 (4905,1,305,1,'Infracenta Sales Tracking application','GloboCorp intranet project.',2,'2009-01-12 00:00:00',2,2,573723.00,'2009-07-14 00:00:00',95,2,2),
 (4906,1,305,1,'Hyperridium intranet','Back office integration for accounting and finance',1,'2009-01-07 00:00:00',1,1,128632.00,'2009-07-14 00:00:00',95,1,5),
 (4907,1,305,1,'Softcent Help Desk application','GloboCorp ecommerce project.',2,'2009-01-26 00:00:00',2,2,959010.00,'2009-07-21 00:00:00',95,2,1),
 (4908,1,305,1,'Nuserve Company internet','Application to automate employee review process',2,'2009-01-10 00:00:00',2,2,183378.00,'2009-07-21 00:00:00',95,2,4),
 (4909,1,305,1,'Solscope bug tracking site','GloboCorp bug tracking site project.',2,'2009-02-19 00:00:00',2,2,778110.00,'2009-07-28 00:00:00',95,2,1),
 (4910,1,305,1,'Theolog portal','GloboCorp microsite project.',2,'2009-02-05 00:00:00',2,2,842186.00,'2009-07-28 00:00:00',95,2,4),
 (4911,1,305,1,'Nuserve Company Benefits portal','GloboCorp bug tracking site project.',2,'2009-02-19 00:00:00',2,2,923619.00,'2009-08-04 00:00:00',95,2,1),
 (4912,1,305,1,'SteganoPacPacifidisco Single sign-on initiative','GloboCorp ecommerce project.',2,'2009-01-28 00:00:00',2,2,928353.00,'2009-08-04 00:00:00',95,2,9),
 (4913,1,305,1,'Teramart Back office integration','Annual Audit of application code across the organization',1,'2009-01-07 00:00:00',1,1,491661.00,'2009-08-11 00:00:00',96,1,8),
 (4914,1,305,1,'eInmarcs Decision Support System','GloboCorp bug tracking site project.',2,'2009-03-01 00:00:00',2,2,824464.00,'2009-08-11 00:00:00',95,2,7),
 (4915,1,305,1,'US Cyclovalu Time Tracking application','GloboCorp intranet project.',2,'2009-01-14 00:00:00',2,2,896247.00,'2009-08-18 00:00:00',95,2,4),
 (4916,1,305,1,'Tekcorp Team-building portal','Company benefits portal for intranet',2,'2009-01-04 00:00:00',2,2,954182.00,'2009-08-18 00:00:00',95,2,8),
 (4917,1,305,1,'Rotopak Human Resources Review application','GloboCorp wiki project.',1,'2009-02-24 00:00:00',1,1,611225.00,'2009-08-25 00:00:00',95,1,6),
 (4918,1,305,1,'AnthroSoft.com Company Benefits portal','Annual Audit of application code across the organization',2,'2009-01-06 00:00:00',2,2,213520.00,'2009-08-25 00:00:00',95,2,5),
 (4919,1,305,1,'eInfohacker wiki','GloboCorp ecommerce project.',2,'2009-01-24 00:00:00',2,2,235584.00,'2009-09-01 00:00:00',95,2,5),
 (4920,1,305,1,'SteganoPacPacifidisco portal','Legacy CMS integration for Marketing group',2,'2009-01-08 00:00:00',2,2,180655.00,'2009-09-01 00:00:00',95,2,8),
 (4921,1,305,1,'US Cryptocom Annual Audit 2010','Back office integration for accounting and finance',1,'2009-01-07 00:00:00',1,1,130730.00,'2009-09-08 00:00:00',95,1,5),
 (4922,1,305,1,'Utiliagra Decision Support System','GloboCorp intranet project.',2,'2009-01-14 00:00:00',2,2,127806.00,'2009-09-08 00:00:00',95,2,4),
 (4923,1,305,1,'Parasource.com bug tracking site','Annual Audit of application code across the organization',2,'2009-01-02 00:00:00',2,2,180756.00,'2009-09-15 00:00:00',95,2,6),
 (4924,1,305,1,'Texridic Single sign-on initiative','Annual Audit of application code across the organization',2,'2009-01-08 00:00:00',2,2,163921.00,'2009-09-15 00:00:00',95,2,7),
 (4925,1,305,1,'Nettheon Sales Tracking application','GloboCorp bug tracking site project.',2,'2009-02-27 00:00:00',2,2,119130.00,'2009-09-22 00:00:00',95,2,3),
 (4926,1,305,1,'Pacifiphor bug tracking site','GloboCorp CMS project.',1,'2009-02-12 00:00:00',1,1,332707.00,'2009-09-22 00:00:00',95,1,5),
 (4927,1,305,1,'Apfarb Back office integration','RFP application to automate prospective client proposal request',2,'2009-01-06 00:00:00',2,2,985264.00,'2009-09-29 00:00:00',95,2,1),
 (4928,1,305,1,'Opengraph Company internet','Annual Audit of application code across the organization',2,'2009-01-04 00:00:00',2,2,934187.00,'2009-09-29 00:00:00',95,2,8),
 (4929,1,305,1,'US SiliCryptoix Back office integration','GloboCorp CMS project.',1,'2009-02-08 00:00:00',1,1,125481.00,'2009-10-06 00:00:00',95,1,7),
 (4930,1,305,1,'Apamerica Help Desk application','Annual Audit of application code across the organization',1,'2009-01-05 00:00:00',1,1,990528.00,'2009-10-06 00:00:00',95,1,3),
 (4931,1,305,1,'Sysline ecommerce','GloboCorp intranet project.',2,'2009-01-12 00:00:00',2,2,136120.00,'2009-10-13 00:00:00',95,2,2),
 (4932,1,305,1,'AnthroSoft.com Employee portal v1.0','GloboCorp microsite project.',2,'2009-02-05 00:00:00',2,2,228543.00,'2009-10-13 00:00:00',95,2,4),
 (4933,1,305,1,'Synconich Human Resources Review application','Decision Support System',1,'2009-01-03 00:00:00',1,1,612118.00,'2009-10-20 00:00:00',95,1,3),
 (4934,1,305,1,'Tektron Back office integration','GloboCorp bug tracking site project.',2,'2009-02-27 00:00:00',2,2,762238.00,'2009-10-20 00:00:00',95,2,3),
 (4935,1,305,1,'Teletronik.com Time Tracking application','Single sign-on initiative',2,'2009-01-04 00:00:00',1,2,540263.00,'2009-10-27 00:00:00',95,2,3),
 (4936,1,305,1,'US SiliCryptoix Financial Reporting portal','GloboCorp ecommerce project.',2,'2009-01-18 00:00:00',2,2,500195.00,'2009-10-27 00:00:00',95,2,6),
 (4937,1,305,1,'Safephor Back office integration','Application to automate employee review process',2,'2009-01-10 00:00:00',2,2,148573.00,'2009-11-03 00:00:00',95,2,4),
 (4938,1,305,1,'Maxtomic wiki','GloboCorp portal project.',1,'2009-01-29 00:00:00',1,1,451087.00,'2009-11-03 00:00:00',95,1,4),
 (4939,1,305,1,'Ultrafab Annual Audit 2010','Web mail application',1,'2009-01-03 00:00:00',1,1,870369.00,'2009-11-10 00:00:00',95,1,3),
 (4940,1,305,1,'Metaserve Team-building portal','GloboCorp wiki project.',1,'2009-02-20 00:00:00',1,1,256853.00,'2009-11-10 00:00:00',95,1,8),
 (4941,1,305,1,'Airmerica Company Benefits portal','GloboCorp bug tracking site project.',2,'2009-02-25 00:00:00',2,2,660539.00,'2009-11-17 00:00:00',95,2,7),
 (4942,1,305,1,'eAnthrolan bug tracking site','GloboCorp bug tracking site project.',2,'2009-02-19 00:00:00',2,2,377168.00,'2009-11-17 00:00:00',95,2,1),
 (4943,1,305,1,'MicroTekbyte portal','GloboCorp ecommerce project.',2,'2009-02-01 00:00:00',2,2,196121.00,'2009-11-24 00:00:00',95,2,7),
 (4944,1,305,1,'Soleccorp Back office integration','Team-building portal for intranet',1,'2009-01-03 00:00:00',1,1,363554.00,'2009-11-24 00:00:00',95,1,8),
 (4945,1,305,1,'Costsouth CMS','Decision Support System',1,'2009-01-03 00:00:00',1,1,620026.00,'2009-12-01 00:00:00',95,1,3),
 (4946,1,305,1,'Nettheon IM application','Help Desk application',1,'2009-01-01 00:00:00',1,1,135592.00,'2009-12-01 00:00:00',95,1,3),
 (4947,1,305,1,'ApSoftEnttiqua ecommerce','GloboCorp wiki project.',1,'2009-03-04 00:00:00',1,1,189448.00,'2009-12-08 00:00:00',95,1,5),
 (4948,1,305,1,'Eyetheon microsite','GloboCorp CMS project.',1,'2009-02-14 00:00:00',1,1,611361.00,'2009-12-08 00:00:00',95,1,6),
 (4949,1,305,1,'Costat Company internet','Company internet',2,'2009-01-02 00:00:00',2,2,560649.00,'2009-12-15 00:00:00',95,2,6),
 (4950,1,305,1,'Entnuclear portal','GloboCorp ecommerce project.',2,'2009-01-22 00:00:00',2,2,134633.00,'2009-12-15 00:00:00',95,2,8),
 (4951,1,305,1,'Apfarb CMS integration','GloboCorp CMS project.',1,'2009-02-12 00:00:00',1,1,304202.00,'2009-12-22 00:00:00',95,1,5),
 (4952,1,305,1,'Turboron microsite','Annual Audit of application code across the organization',2,'2009-01-12 00:00:00',2,2,121318.00,'2009-12-22 00:00:00',95,2,7),
 (4953,1,305,1,'Titaniridium CMS','GloboCorp portal project.',1,'2009-01-17 00:00:00',1,1,386399.00,'2009-12-29 00:00:00',95,1,5),
 (4954,1,305,1,'iNetnetic microsite','Annual Audit of application code across the organization',1,'2009-01-07 00:00:00',1,1,144748.00,'2009-12-29 00:00:00',96,1,8),
 (4955,1,306,1,'Utiliagra microsite','Team-building portal for intranet',1,'2009-01-03 00:00:00',1,1,181242.00,'2009-01-06 00:00:00',95,1,8),
 (4956,1,306,1,'Sysline Sales Tracking application','GloboCorp portal project.',1,'2009-01-19 00:00:00',1,1,170912.00,'2009-01-06 00:00:00',95,1,5),
 (4957,1,306,1,'US Turbolinear Human Resources Review application','GloboCorp wiki project.',1,'2009-03-02 00:00:00',1,1,529944.00,'2009-01-13 00:00:00',95,1,6),
 (4958,1,306,1,'iCeleage ecommerce','GloboCorp CMS project.',1,'2009-02-16 00:00:00',1,1,122131.00,'2009-01-13 00:00:00',95,1,9),
 (4959,1,306,1,'Periweb Team-building portal','GloboCorp bug tracking site project.',2,'2009-02-25 00:00:00',2,2,701207.00,'2009-01-20 00:00:00',95,2,7),
 (4960,1,306,1,'Softcent intranet','GloboCorp CMS project.',1,'2009-02-04 00:00:00',1,1,997438.00,'2009-01-20 00:00:00',95,1,5),
 (4961,1,306,1,'Teletronik.com website','Application to track outside sales',1,'2009-01-09 00:00:00',1,1,949595.00,'2009-01-27 00:00:00',95,1,3),
 (4962,1,306,1,'US Lexalta intranet','Annual Audit of application code across the organization',2,'2009-01-06 00:00:00',2,2,675874.00,'2009-01-27 00:00:00',95,2,5),
 (4963,1,306,1,'Hyperridium Help Desk application','GloboCorp bug tracking site project.',2,'2009-03-03 00:00:00',2,2,945669.00,'2009-02-03 00:00:00',95,2,4),
 (4964,1,306,1,'Softscope Time Tracking application','GloboCorp portal project.',1,'2009-01-27 00:00:00',1,1,147594.00,'2009-02-03 00:00:00',95,1,7),
 (4965,1,306,1,'Cybersouth Marketing Collateral application','GloboCorp wiki project.',1,'2009-03-02 00:00:00',1,1,126389.00,'2009-02-10 00:00:00',95,1,6),
 (4966,1,306,1,'Sysline microsite','GloboCorp wiki project.',1,'2009-02-26 00:00:00',1,1,805466.00,'2009-02-10 00:00:00',95,1,7),
 (4967,1,306,1,'TeknoViapartners Sales Tracking application','Company internet',2,'2009-01-02 00:00:00',2,2,758128.00,'2009-02-17 00:00:00',95,2,6),
 (4968,1,306,1,'Autocast intranet','GloboCorp wiki project.',1,'2009-02-26 00:00:00',1,1,127507.00,'2009-02-17 00:00:00',95,1,7),
 (4969,1,306,1,'Quinvalu microsite','Help Desk application',1,'2009-01-01 00:00:00',1,1,279161.00,'2009-02-24 00:00:00',95,1,3),
 (4970,1,306,1,'Genlanza Sales Tracking application','GloboCorp ecommerce project.',2,'2009-01-24 00:00:00',2,2,194039.00,'2009-02-24 00:00:00',95,2,5),
 (4971,1,306,1,'Tektron Project wiki','Annual Audit of application code across the organization',1,'2009-01-07 00:00:00',1,1,866813.00,'2009-03-03 00:00:00',96,1,8),
 (4972,1,306,1,'US Maxtiqua Employee portal v1.0','GloboCorp microsite project.',2,'2009-02-07 00:00:00',2,2,186428.00,'2009-03-03 00:00:00',95,2,5),
 (4973,1,306,1,'iNetnetic Marketing Collateral application','GloboCorp CMS project.',1,'2009-02-10 00:00:00',1,1,233291.00,'2009-03-10 00:00:00',95,1,4),
 (4974,1,306,1,'XeRotodic RFP application','GloboCorp ecommerce project.',2,'2009-01-26 00:00:00',2,2,999973.00,'2009-03-10 00:00:00',95,2,1),
 (4975,1,306,1,'UltraNetfab Help Desk application','GloboCorp ecommerce project.',2,'2009-01-30 00:00:00',2,2,996445.00,'2009-03-17 00:00:00',95,2,9),
 (4976,1,306,1,'Softcom.com Project wiki','Team-building portal for intranet',1,'2009-01-03 00:00:00',1,1,999575.00,'2009-03-17 00:00:00',95,1,8),
 (4977,1,306,1,'Polytheon Marketing Collateral application','GloboCorp wiki project.',1,'2009-02-28 00:00:00',1,1,891625.00,'2009-03-24 00:00:00',95,1,3),
 (4978,1,306,1,'US SiliCryptoix Team-building portal','Annual Audit of application code across the organization',1,'2009-01-07 00:00:00',1,1,501759.00,'2009-03-24 00:00:00',96,1,8),
 (4979,1,306,1,'Westridium wiki','GloboCorp portal project.',1,'2009-01-31 00:00:00',1,1,467995.00,'2009-03-31 00:00:00',95,1,2),
 (4980,1,306,1,'Parasource.com intranet','GloboCorp ecommerce project.',2,'2009-01-22 00:00:00',2,2,511224.00,'2009-03-31 00:00:00',95,2,8),
 (4981,1,306,1,'Safephor IM application','GloboCorp wiki project.',1,'2009-02-22 00:00:00',1,1,130636.00,'2009-04-07 00:00:00',95,1,4),
 (4982,1,306,1,'Infracenta portal','GloboCorp wiki project.',1,'2009-02-26 00:00:00',1,1,921313.00,'2009-04-07 00:00:00',95,1,7),
 (4983,1,306,1,'Apfarb Project wiki','GloboCorp ecommerce project.',2,'2009-01-28 00:00:00',2,2,553912.00,'2009-04-14 00:00:00',95,2,9),
 (4984,1,306,1,'Pacifiphor ecommerce','GloboCorp CMS project.',1,'2009-02-08 00:00:00',1,1,276267.00,'2009-04-14 00:00:00',95,1,7),
 (4985,1,306,1,'eInmarcs Employee portal v1.0','GloboCorp CMS project.',1,'2009-02-08 00:00:00',1,1,463877.00,'2009-04-21 00:00:00',95,1,7),
 (4986,1,306,1,'Thermocom Human Resources Review application','GloboCorp ecommerce project.',2,'2009-01-30 00:00:00',2,2,445503.00,'2009-04-21 00:00:00',95,2,9),
 (4987,1,306,1,'eInfohacker Time Tracking application','GloboCorp wiki project.',1,'2009-02-22 00:00:00',1,1,778077.00,'2009-04-28 00:00:00',95,1,4),
 (4988,1,306,1,'eRotoway Project wiki','Annual Audit of application code across the organization',1,'2009-01-09 00:00:00',1,1,286082.00,'2009-04-28 00:00:00',95,1,9),
 (4989,1,306,1,'US Teknorama Employee portal v1.0','Single sign-on initiative',2,'2009-01-04 00:00:00',1,2,187787.00,'2009-05-05 00:00:00',95,2,3),
 (4990,1,306,1,'eInmarcs Employee portal v1.0','Team-building portal for intranet',1,'2009-01-03 00:00:00',1,1,860395.00,'2009-05-05 00:00:00',95,1,8),
 (4991,1,306,1,'Unipartners Marketing Collateral application','GloboCorp portal project.',1,'2009-01-27 00:00:00',1,1,168349.00,'2009-05-12 00:00:00',95,1,7),
 (4992,1,306,1,'eAnthrolan Help Desk application','Annual Audit of application code across the organization',1,'2009-01-11 00:00:00',1,1,119684.00,'2009-05-12 00:00:00',96,1,5),
 (4993,1,306,1,'US Cyclovalu Help Desk application','Annual Audit of application code across the organization',1,'2009-01-03 00:00:00',1,1,214901.00,'2009-05-19 00:00:00',96,1,7),
 (4994,1,306,1,'Theolog Sales Tracking application','GloboCorp microsite project.',2,'2009-02-09 00:00:00',2,2,826043.00,'2009-05-19 00:00:00',95,2,3),
 (4995,1,306,1,'Callectrix ecommerce','GloboCorp ecommerce project.',2,'2009-01-18 00:00:00',2,2,610094.00,'2009-05-26 00:00:00',95,2,6),
 (4996,1,306,1,'Eyetheon Sales Tracking application','GloboCorp CMS project.',1,'2009-02-06 00:00:00',1,1,380097.00,'2009-05-26 00:00:00',95,1,7),
 (4997,1,306,1,'iCeleage Company internet','GloboCorp bug tracking site project.',2,'2009-02-27 00:00:00',2,2,167074.00,'2009-06-02 00:00:00',95,2,3),
 (4998,1,306,1,'Theolog Help Desk application','GloboCorp wiki project.',1,'2009-02-20 00:00:00',1,1,571929.00,'2009-06-02 00:00:00',95,1,8),
 (4999,1,306,1,'Unipartners intranet','Company benefits portal for intranet',2,'2009-01-04 00:00:00',2,2,988454.00,'2009-06-09 00:00:00',95,2,8),
 (5000,1,306,1,'Eyetheon CMS integration','GloboCorp CMS project.',1,'2009-02-12 00:00:00',1,1,989877.00,'2009-06-09 00:00:00',95,1,5),
 (5001,1,306,1,'Opengraph Company Benefits portal','Annual Audit of application code across the organization',1,'2009-01-05 00:00:00',1,1,914178.00,'2009-06-16 00:00:00',95,1,9),
 (5002,1,306,1,'Intraura microsite','GloboCorp portal project.',1,'2009-01-25 00:00:00',1,1,572453.00,'2009-06-16 00:00:00',95,1,4),
 (5003,1,306,1,'eInmarcs Project wiki','GloboCorp wiki project.',1,'2009-02-20 00:00:00',1,1,427973.00,'2009-06-23 00:00:00',95,1,8),
 (5004,1,306,1,'Uniair Help Desk application','Application to automate employee review process',2,'2009-01-10 00:00:00',2,2,892987.00,'2009-06-23 00:00:00',95,2,4),
 (5005,1,306,1,'Sysline Company Benefits portal','Annual Audit of application code across the organization',1,'2009-01-07 00:00:00',1,1,220187.00,'2009-06-30 00:00:00',96,1,8),
 (5006,1,306,1,'SynRotobyte Marketing Collateral application','GloboCorp website project.',1,'2009-01-13 00:00:00',1,1,985216.00,'2009-06-30 00:00:00',95,1,4),
 (5007,1,306,1,'Eyetel IM application','GloboCorp website project.',1,'2009-01-15 00:00:00',1,1,383184.00,'2009-07-07 00:00:00',95,1,1),
 (5008,1,306,1,'Ultrafab Annual Audit 2010','GloboCorp CMS project.',1,'2009-02-12 00:00:00',1,1,862150.00,'2009-07-07 00:00:00',95,1,5),
 (5009,1,306,1,'Nuserve Financial Reporting portal','GloboCorp bug tracking site project.',2,'2009-02-21 00:00:00',2,2,290561.00,'2009-07-14 00:00:00',95,2,3),
 (5010,1,306,1,'SteganoPacPacifidisco microsite','Application to automate employee review process',2,'2009-01-10 00:00:00',2,2,167676.00,'2009-07-14 00:00:00',95,2,4),
 (5011,1,306,1,'SynRotobyte RFP application','Annual Audit of application code across the organization',1,'2009-01-05 00:00:00',1,1,257079.00,'2009-07-21 00:00:00',95,1,3),
 (5012,1,306,1,'Thermocom Back office integration','GloboCorp microsite project.',2,'2009-02-09 00:00:00',2,2,200945.00,'2009-07-21 00:00:00',95,2,3),
 (5013,1,306,1,'Synconich Team-building portal','GloboCorp microsite project.',2,'2009-02-17 00:00:00',2,2,153620.00,'2009-07-28 00:00:00',95,2,2),
 (5014,1,306,1,'Genlog Help Desk application','GloboCorp website project.',1,'2009-01-11 00:00:00',1,1,129280.00,'2009-07-28 00:00:00',95,1,2),
 (5015,1,306,1,'Callectrix ecommerce','Annual Audit of application code across the organization',1,'2009-01-05 00:00:00',1,1,580862.00,'2009-08-04 00:00:00',95,1,3),
 (5016,1,306,1,'Intraura Company internet','GloboCorp CMS project.',1,'2009-02-10 00:00:00',1,1,892503.00,'2009-08-04 00:00:00',95,1,4),
 (5017,1,306,1,'Tektron Sales Tracking application','Annual Audit of application code across the organization',1,'2009-01-05 00:00:00',1,1,828923.00,'2009-08-11 00:00:00',95,1,9),
 (5018,1,306,1,'Quinvalu ecommerce','Single sign-on initiative',2,'2009-01-04 00:00:00',1,2,227733.00,'2009-08-11 00:00:00',95,2,3),
 (5019,1,306,1,'Opengraph portal','Intranet messaging application',2,'2009-01-04 00:00:00',1,2,185492.00,'2009-08-18 00:00:00',95,2,3),
 (5020,1,306,1,'iNetnetic Sales Tracking application','GloboCorp ecommerce project.',2,'2009-01-26 00:00:00',2,2,215057.00,'2009-08-18 00:00:00',95,2,1),
 (5021,1,306,1,'US SiliCryptoix Sales Tracking application','Annual Audit of application code across the organization',2,'2009-01-02 00:00:00',2,2,157352.00,'2009-08-25 00:00:00',95,2,6),
 (5022,1,306,1,'Periweb Help Desk application','Team-building portal for intranet',1,'2009-01-03 00:00:00',1,1,403697.00,'2009-08-25 00:00:00',95,1,8),
 (5023,1,306,1,'Opengraph Team-building portal','Annual Audit of application code across the organization',2,'2009-01-04 00:00:00',2,2,123866.00,'2009-09-01 00:00:00',95,2,8),
 (5024,1,306,1,'SynRotobyte website','GloboCorp ecommerce project.',2,'2009-02-01 00:00:00',2,2,480420.00,'2009-09-01 00:00:00',95,2,7),
 (5025,1,306,1,'Teknocal Decision Support System','Time tracking application for organization',1,'2009-01-05 00:00:00',1,1,232513.00,'2009-09-08 00:00:00',95,1,9),
 (5026,1,306,1,'Turboron Company Benefits portal','Help Desk application',1,'2009-01-01 00:00:00',1,1,992452.00,'2009-09-08 00:00:00',95,1,3),
 (5027,1,306,1,'Keygraph RFP application','GloboCorp microsite project.',2,'2009-02-07 00:00:00',2,2,172511.00,'2009-09-15 00:00:00',95,2,5),
 (5028,1,306,1,'Turboron Decision Support System','GloboCorp wiki project.',1,'2009-02-20 00:00:00',1,1,378372.00,'2009-09-15 00:00:00',95,1,8),
 (5029,1,306,1,'AnthroSoft.com Help Desk application','Annual Audit of application code across the organization',1,'2009-01-05 00:00:00',1,1,124788.00,'2009-09-22 00:00:00',95,1,3),
 (5030,1,306,1,'US Lexalta Project wiki','GloboCorp bug tracking site project.',2,'2009-02-23 00:00:00',2,2,970875.00,'2009-09-22 00:00:00',95,2,7),
 (5031,1,306,1,'iCeleage Human Resources Review application','GloboCorp CMS project.',1,'2009-02-04 00:00:00',1,1,145627.00,'2009-09-29 00:00:00',95,1,5),
 (5032,1,306,1,'TeknoViapartners website','Company benefits portal for intranet',2,'2009-01-04 00:00:00',2,2,870879.00,'2009-09-29 00:00:00',95,2,8),
 (5033,1,306,1,'US Cryptocom Financial Reporting portal','GloboCorp intranet project.',2,'2009-01-14 00:00:00',2,2,535812.00,'2009-10-06 00:00:00',95,2,4),
 (5034,1,306,1,'SteganoPacPacifidisco CMS','GloboCorp microsite project.',2,'2009-02-13 00:00:00',2,2,137211.00,'2009-10-06 00:00:00',95,2,5),
 (5035,1,306,1,'Autocast ecommerce','GloboCorp ecommerce project.',2,'2009-01-20 00:00:00',2,2,565982.00,'2009-10-13 00:00:00',95,2,5),
 (5036,1,306,1,'Cyphertegra Help Desk application','GloboCorp bug tracking site project.',2,'2009-02-25 00:00:00',2,2,530433.00,'2009-10-13 00:00:00',95,2,7),
 (5037,1,306,1,'Westridium Back office integration','Annual Audit of application code across the organization',1,'2009-01-03 00:00:00',1,1,347504.00,'2009-10-20 00:00:00',96,1,7),
 (5038,1,306,1,'Apfarb Company internet','GloboCorp microsite project.',2,'2009-02-15 00:00:00',2,2,272805.00,'2009-10-20 00:00:00',95,2,5),
 (5039,1,306,1,'Nanocom Company Benefits portal','GloboCorp microsite project.',2,'2009-02-11 00:00:00',2,2,223094.00,'2009-10-27 00:00:00',95,2,2),
 (5040,1,306,1,'Theolog wiki','Web mail application',1,'2009-01-03 00:00:00',1,1,129716.00,'2009-10-27 00:00:00',95,1,3),
 (5041,1,306,1,'Opengraph Financial Reporting portal','Annual Audit of application code across the organization',1,'2009-01-07 00:00:00',1,1,309811.00,'2009-11-03 00:00:00',96,1,8),
 (5042,1,306,1,'Nanocom Project wiki','GloboCorp website project.',1,'2009-01-11 00:00:00',1,1,152622.00,'2009-11-03 00:00:00',95,1,2),
 (5043,1,306,1,'US Cryptocom CMS','GloboCorp portal project.',1,'2009-01-19 00:00:00',1,1,149511.00,'2009-11-10 00:00:00',95,1,5),
 (5044,1,306,1,'Tekcorp Sales Tracking application','Annual Audit of application code across the organization',2,'2009-01-08 00:00:00',2,2,160773.00,'2009-11-10 00:00:00',95,2,7),
 (5045,1,306,1,'US Costmat Marketing Collateral application','GloboCorp portal project.',1,'2009-01-29 00:00:00',1,1,549591.00,'2009-11-17 00:00:00',95,1,4),
 (5046,1,306,1,'Soleccorp ecommerce','GloboCorp ecommerce project.',2,'2009-01-22 00:00:00',2,2,626173.00,'2009-11-17 00:00:00',95,2,8),
 (5047,1,306,1,'Softcom.com Company Benefits portal','GloboCorp bug tracking site project.',2,'2009-02-21 00:00:00',2,2,133398.00,'2009-11-24 00:00:00',95,2,3),
 (5048,1,306,1,'Hyperridium IM application','GloboCorp CMS project.',1,'2009-02-10 00:00:00',1,1,329872.00,'2009-11-24 00:00:00',95,1,4),
 (5049,1,306,1,'Genlanza portal','GloboCorp bug tracking site project.',2,'2009-02-27 00:00:00',2,2,928274.00,'2009-12-01 00:00:00',95,2,3),
 (5050,1,306,1,'US Costmat portal','GloboCorp intranet project.',2,'2009-01-12 00:00:00',2,2,784981.00,'2009-12-01 00:00:00',95,2,2),
 (5051,1,306,1,'Celphor Employee portal v1.0','GloboCorp intranet project.',2,'2009-01-12 00:00:00',2,2,758449.00,'2009-12-08 00:00:00',95,2,2),
 (5052,1,306,1,'Nuserve Team-building portal','Company benefits portal for intranet',2,'2009-01-04 00:00:00',2,2,745038.00,'2009-12-08 00:00:00',95,2,8),
 (5053,1,306,1,'Thermocom Back office integration','GloboCorp portal project.',1,'2009-01-23 00:00:00',1,1,294200.00,'2009-12-15 00:00:00',95,1,5),
 (5054,1,306,1,'eAnthrolan Company Benefits portal','GloboCorp CMS project.',1,'2009-02-10 00:00:00',1,1,999977.00,'2009-12-15 00:00:00',95,1,4),
 (5055,1,306,1,'Thermocom CMS','GloboCorp microsite project.',2,'2009-02-13 00:00:00',2,2,740210.00,'2009-12-22 00:00:00',95,2,5),
 (5056,1,306,1,'US Lexalta Single sign-on initiative','GloboCorp website project.',1,'2009-01-13 00:00:00',1,1,221287.00,'2009-12-22 00:00:00',95,1,4),
 (5057,1,306,1,'Rapiway CMS integration','Annual Audit of application code across the organization',1,'2009-01-05 00:00:00',1,1,345512.00,'2009-12-29 00:00:00',95,1,9),
 (5058,1,306,1,'Motoicon Help Desk application','GloboCorp microsite project.',2,'2009-02-13 00:00:00',2,2,872659.00,'2009-12-29 00:00:00',95,2,5),
 (5059,1,307,1,'Softcent Decision Support System','Single sign-on initiative',2,'2009-01-04 00:00:00',1,2,927072.00,'2009-01-06 00:00:00',95,2,3),
 (5060,1,307,1,'US Lexalta CMS','Legacy CMS integration for Marketing group',2,'2009-01-08 00:00:00',2,2,121725.00,'2009-01-06 00:00:00',95,2,8),
 (5061,1,307,1,'Titanion Single sign-on initiative','GloboCorp ecommerce project.',2,'2009-01-26 00:00:00',2,2,762473.00,'2009-01-13 00:00:00',95,2,1),
 (5062,1,307,1,'TeknoViapartners Company Benefits portal','GloboCorp wiki project.',1,'2009-02-20 00:00:00',1,1,972661.00,'2009-01-13 00:00:00',95,1,8),
 (5063,1,307,1,'Thermocom Sales Tracking application','Annual Audit of application code across the organization',2,'2009-01-12 00:00:00',2,2,225007.00,'2009-01-20 00:00:00',95,2,7),
 (5064,1,307,1,'Intraura Human Resources Review application','GloboCorp bug tracking site project.',2,'2009-02-25 00:00:00',2,2,152042.00,'2009-01-20 00:00:00',95,2,7),
 (5065,1,307,1,'UltraNetfab CMS integration','GloboCorp CMS project.',1,'2009-02-04 00:00:00',1,1,635706.00,'2009-01-27 00:00:00',95,1,5),
 (5066,1,307,1,'US Cryptocom Time Tracking application','GloboCorp microsite project.',2,'2009-02-05 00:00:00',2,2,134146.00,'2009-01-27 00:00:00',95,2,4),
 (5067,1,307,1,'Titaniridium Decision Support System','Time tracking application for organization',1,'2009-01-05 00:00:00',1,1,995266.00,'2009-02-03 00:00:00',95,1,9),
 (5068,1,307,1,'Yoyoic Sales Tracking application','GloboCorp intranet project.',2,'2009-01-14 00:00:00',2,2,869958.00,'2009-02-03 00:00:00',95,2,4),
 (5069,1,307,1,'Thermocom Help Desk application','GloboCorp wiki project.',1,'2009-02-18 00:00:00',1,1,877391.00,'2009-02-10 00:00:00',95,1,4),
 (5070,1,307,1,'Texridic IM application','GloboCorp CMS project.',1,'2009-02-12 00:00:00',1,1,283654.00,'2009-02-10 00:00:00',95,1,5),
 (5071,1,307,1,'Costat Employee portal v1.0','Decision Support System',1,'2009-01-03 00:00:00',1,1,741943.00,'2009-02-17 00:00:00',95,1,3),
 (5072,1,307,1,'US Turbolinear wiki','GloboCorp wiki project.',1,'2009-02-22 00:00:00',1,1,799044.00,'2009-02-17 00:00:00',95,1,4),
 (5073,1,307,1,'Ultrafab Company internet','GloboCorp portal project.',1,'2009-01-25 00:00:00',1,1,194564.00,'2009-02-24 00:00:00',95,1,4),
 (5074,1,307,1,'Texridic website','GloboCorp ecommerce project.',2,'2009-02-01 00:00:00',2,2,982773.00,'2009-02-24 00:00:00',95,2,7),
 (5075,1,307,1,'Cybersouth Back office integration','Annual Audit of application code across the organization',2,'2009-01-10 00:00:00',2,2,991183.00,'2009-03-03 00:00:00',95,2,2),
 (5076,1,307,1,'Genlog microsite','GloboCorp portal project.',1,'2009-01-29 00:00:00',1,1,596686.00,'2009-03-03 00:00:00',95,1,4),
 (5077,1,307,1,'Safephor website','Back office integration for accounting and finance',1,'2009-01-07 00:00:00',1,1,172994.00,'2009-03-10 00:00:00',95,1,5),
 (5078,1,307,1,'US Teknorama Company internet','Help Desk application',1,'2009-01-01 00:00:00',1,1,993872.00,'2009-03-10 00:00:00',95,1,3),
 (5079,1,307,1,'US Teknorama website','GloboCorp bug tracking site project.',2,'2009-02-25 00:00:00',2,2,118597.00,'2009-03-17 00:00:00',95,2,7),
 (5080,1,307,1,'Polytheon Human Resources Review application','GloboCorp wiki project.',1,'2009-02-24 00:00:00',1,1,358074.00,'2009-03-17 00:00:00',95,1,6),
 (5081,1,307,1,'Opengraph IM application','GloboCorp microsite project.',2,'2009-02-11 00:00:00',2,2,504973.00,'2009-03-24 00:00:00',95,2,2),
 (5082,1,307,1,'Cyphertegra portal','GloboCorp intranet project.',2,'2009-01-16 00:00:00',2,2,117487.00,'2009-03-24 00:00:00',95,2,4),
 (5083,1,307,1,'US SiliCryptoix IM application','GloboCorp ecommerce project.',2,'2009-01-26 00:00:00',2,2,203155.00,'2009-03-31 00:00:00',95,2,1),
 (5084,1,307,1,'Turboron Marketing Collateral application','GloboCorp ecommerce project.',2,'2009-01-26 00:00:00',2,2,880016.00,'2009-03-31 00:00:00',95,2,1),
 (5085,1,307,1,'SynRotobyte Help Desk application','GloboCorp bug tracking site project.',2,'2009-02-25 00:00:00',2,2,403732.00,'2009-04-07 00:00:00',95,2,7),
 (5086,1,307,1,'Nanocom Human Resources Review application','GloboCorp CMS project.',1,'2009-02-14 00:00:00',1,1,126726.00,'2009-04-07 00:00:00',95,1,6),
 (5087,1,307,1,'eInfohacker bug tracking site','GloboCorp CMS project.',1,'2009-02-14 00:00:00',1,1,159621.00,'2009-04-14 00:00:00',95,1,6),
 (5088,1,307,1,'Turboron Help Desk application','Intranet messaging application',2,'2009-01-04 00:00:00',1,2,579447.00,'2009-04-14 00:00:00',95,2,3),
 (5089,1,307,1,'US SiliCryptoix CMS','RFP application to automate prospective client proposal request',2,'2009-01-06 00:00:00',2,2,894257.00,'2009-04-21 00:00:00',95,2,1),
 (5090,1,307,1,'Hyperridium Company internet','GloboCorp microsite project.',2,'2009-02-07 00:00:00',2,2,829679.00,'2009-04-21 00:00:00',95,2,5),
 (5091,1,307,1,'Polytheon Financial Reporting portal','Annual Audit of application code across the organization',2,'2009-01-08 00:00:00',2,2,941037.00,'2009-04-28 00:00:00',95,2,7),
 (5092,1,307,1,'Sysmatix Help Desk application','GloboCorp wiki project.',1,'2009-02-24 00:00:00',1,1,876259.00,'2009-04-28 00:00:00',95,1,6),
 (5093,1,307,1,'Safephor IM application','Back office integration for accounting and finance',1,'2009-01-07 00:00:00',1,1,552471.00,'2009-05-05 00:00:00',95,1,5),
 (5094,1,307,1,'Teleseco wiki','GloboCorp wiki project.',1,'2009-02-24 00:00:00',1,1,638939.00,'2009-05-05 00:00:00',95,1,6),
 (5095,1,307,1,'US SiliCryptoix IM application','Legacy CMS integration for Marketing group',2,'2009-01-08 00:00:00',2,2,308275.00,'2009-05-12 00:00:00',95,2,8),
 (5096,1,307,1,'Teramart Company Benefits portal','GloboCorp ecommerce project.',2,'2009-01-20 00:00:00',2,2,401018.00,'2009-05-12 00:00:00',95,2,5),
 (5097,1,307,1,'Westridium CMS integration','GloboCorp portal project.',1,'2009-01-17 00:00:00',1,1,399135.00,'2009-05-19 00:00:00',95,1,5),
 (5098,1,307,1,'Solscope Help Desk application','Decision Support System',1,'2009-01-03 00:00:00',1,1,291162.00,'2009-05-19 00:00:00',95,1,3),
 (5099,1,307,1,'Aerstate IM application','Annual Audit of application code across the organization',1,'2009-01-05 00:00:00',1,1,120694.00,'2009-05-26 00:00:00',95,1,9),
 (5100,1,307,1,'Nuserve Sales Tracking application','GloboCorp wiki project.',1,'2009-03-02 00:00:00',1,1,718794.00,'2009-05-26 00:00:00',95,1,6),
 (5101,1,307,1,'eInmarcs wiki','Time tracking application for organization',1,'2009-01-05 00:00:00',1,1,282051.00,'2009-06-02 00:00:00',95,1,9),
 (5102,1,307,1,'Softscope Marketing Collateral application','Application to automate employee review process',2,'2009-01-10 00:00:00',2,2,118619.00,'2009-06-02 00:00:00',95,2,4),
 (5103,1,307,1,'Ultrafab Decision Support System','GloboCorp wiki project.',1,'2009-03-02 00:00:00',1,1,984676.00,'2009-06-09 00:00:00',95,1,6),
 (5104,1,307,1,'Cyberrama bug tracking site','GloboCorp microsite project.',2,'2009-02-11 00:00:00',2,2,184654.00,'2009-06-09 00:00:00',95,2,2),
 (5105,1,307,1,'Mapdant website','GloboCorp CMS project.',1,'2009-02-08 00:00:00',1,1,999041.00,'2009-06-16 00:00:00',95,1,7),
 (5106,1,307,1,'Eyetheon Marketing Collateral application','GloboCorp ecommerce project.',2,'2009-01-24 00:00:00',2,2,145144.00,'2009-06-16 00:00:00',95,2,5),
 (5107,1,307,1,'Ultravalu Decision Support System','GloboCorp intranet project.',2,'2009-01-12 00:00:00',2,2,644946.00,'2009-06-23 00:00:00',95,2,2),
 (5108,1,307,1,'Rotopak Help Desk application','Annual Audit of application code across the organization',2,'2009-01-12 00:00:00',2,2,551813.00,'2009-06-23 00:00:00',95,2,7),
 (5109,1,307,1,'Cyberrama Decision Support System','GloboCorp bug tracking site project.',2,'2009-03-01 00:00:00',2,2,240235.00,'2009-06-30 00:00:00',95,2,7),
 (5110,1,307,1,'US Costmat bug tracking site','GloboCorp bug tracking site project.',2,'2009-02-27 00:00:00',2,2,176941.00,'2009-06-30 00:00:00',95,2,3),
 (5111,1,307,1,'Costat website','GloboCorp website project.',1,'2009-01-11 00:00:00',1,1,158270.00,'2009-07-07 00:00:00',95,1,2),
 (5112,1,307,1,'Apfarb Project wiki','GloboCorp portal project.',1,'2009-01-19 00:00:00',1,1,791178.00,'2009-07-07 00:00:00',95,1,5),
 (5113,1,307,1,'Tektron CMS','GloboCorp microsite project.',2,'2009-02-15 00:00:00',2,2,956587.00,'2009-07-14 00:00:00',95,2,5),
 (5114,1,307,1,'Motoicon ecommerce','GloboCorp ecommerce project.',2,'2009-01-26 00:00:00',2,2,692096.00,'2009-07-14 00:00:00',95,2,1),
 (5115,1,307,1,'MicroTekbyte Time Tracking application','Project wiki',2,'2009-01-02 00:00:00',1,2,120734.00,'2009-07-21 00:00:00',95,2,3),
 (5116,1,307,1,'Softcom.com Back office integration','GloboCorp portal project.',1,'2009-01-19 00:00:00',1,1,881998.00,'2009-07-21 00:00:00',95,1,5),
 (5117,1,307,1,'Airmerica website','Application to track outside sales',1,'2009-01-09 00:00:00',1,1,985677.00,'2009-07-28 00:00:00',95,1,3),
 (5118,1,307,1,'Cryptonetic Marketing Collateral application','GloboCorp microsite project.',2,'2009-02-17 00:00:00',2,2,968071.00,'2009-07-28 00:00:00',95,2,2),
 (5119,1,307,1,'Hyperridium Single sign-on initiative','Team-building portal for intranet',1,'2009-01-03 00:00:00',1,1,210530.00,'2009-08-04 00:00:00',95,1,8),
 (5120,1,307,1,'Rotopak Marketing Collateral application','GloboCorp wiki project.',1,'2009-02-22 00:00:00',1,1,664529.00,'2009-08-04 00:00:00',95,1,4),
 (5121,1,307,1,'Costistrix Employee portal v1.0','GloboCorp website project.',1,'2009-01-15 00:00:00',1,1,182323.00,'2009-08-11 00:00:00',95,1,1),
 (5122,1,307,1,'Unipartners Human Resources Review application','GloboCorp CMS project.',1,'2009-02-08 00:00:00',1,1,345044.00,'2009-08-11 00:00:00',95,1,7),
 (5123,1,307,1,'Ultrafab bug tracking site','GloboCorp wiki project.',1,'2009-02-24 00:00:00',1,1,998186.00,'2009-08-18 00:00:00',95,1,6),
 (5124,1,307,1,'US Quinrad Team-building portal','GloboCorp website project.',1,'2009-01-15 00:00:00',1,1,136267.00,'2009-08-18 00:00:00',95,1,1),
 (5125,1,307,1,'Opengraph Company internet','GloboCorp portal project.',1,'2009-01-31 00:00:00',1,1,405529.00,'2009-08-25 00:00:00',95,1,2),
 (5126,1,307,1,'Softcent microsite','GloboCorp microsite project.',2,'2009-02-11 00:00:00',2,2,242948.00,'2009-08-25 00:00:00',95,2,2),
 (5127,1,307,1,'Ultrafab wiki','GloboCorp CMS project.',1,'2009-02-02 00:00:00',1,1,475904.00,'2009-09-01 00:00:00',95,1,7),
 (5128,1,307,1,'Cybersouth Single sign-on initiative','GloboCorp microsite project.',2,'2009-02-05 00:00:00',2,2,889384.00,'2009-09-01 00:00:00',95,2,4),
 (5129,1,307,1,'eAnthrolan Employee portal v1.0','GloboCorp CMS project.',1,'2009-02-14 00:00:00',1,1,202953.00,'2009-09-08 00:00:00',95,1,6),
 (5130,1,307,1,'Cyberrama portal','Annual Audit of application code across the organization',1,'2009-01-09 00:00:00',1,1,876661.00,'2009-09-08 00:00:00',95,1,9),
 (5131,1,307,1,'Genlanza portal','GloboCorp ecommerce project.',2,'2009-01-20 00:00:00',2,2,172779.00,'2009-09-15 00:00:00',95,2,5),
 (5132,1,307,1,'Mapdant RFP application','GloboCorp portal project.',1,'2009-01-19 00:00:00',1,1,399775.00,'2009-09-15 00:00:00',95,1,5),
 (5133,1,307,1,'Mapdant IM application','GloboCorp wiki project.',1,'2009-02-20 00:00:00',1,1,322737.00,'2009-09-22 00:00:00',95,1,8),
 (5134,1,307,1,'Teramart wiki','Annual Audit of application code across the organization',2,'2009-01-10 00:00:00',2,2,167905.00,'2009-09-22 00:00:00',95,2,2),
 (5135,1,307,1,'eAnthrolan Team-building portal','GloboCorp ecommerce project.',2,'2009-01-30 00:00:00',2,2,360664.00,'2009-09-29 00:00:00',95,2,9),
 (5136,1,307,1,'Sysline Financial Reporting portal','GloboCorp microsite project.',2,'2009-02-15 00:00:00',2,2,168133.00,'2009-09-29 00:00:00',95,2,5),
 (5137,1,307,1,'Nanocom Company internet','Annual Audit of application code across the organization',2,'2009-01-02 00:00:00',2,2,351288.00,'2009-10-06 00:00:00',95,2,6),
 (5138,1,307,1,'MicroTekbyte Marketing Collateral application','GloboCorp website project.',1,'2009-01-13 00:00:00',1,1,835329.00,'2009-10-06 00:00:00',95,1,4),
 (5139,1,307,1,'Cryptonetic CMS','Application to automate employee review process',2,'2009-01-10 00:00:00',2,2,911609.00,'2009-10-13 00:00:00',95,2,4),
 (5140,1,307,1,'Turboron portal','Application to automate employee review process',2,'2009-01-10 00:00:00',2,2,656271.00,'2009-10-13 00:00:00',95,2,4),
 (5141,1,307,1,'Genlog Human Resources Review application','GloboCorp CMS project.',1,'2009-02-08 00:00:00',1,1,126670.00,'2009-10-20 00:00:00',95,1,7),
 (5142,1,307,1,'Safephor intranet','Annual Audit of application code across the organization',2,'2009-01-04 00:00:00',2,2,295605.00,'2009-10-20 00:00:00',95,2,8),
 (5143,1,307,1,'ApSoftEnttiqua Decision Support System','GloboCorp ecommerce project.',2,'2009-01-18 00:00:00',2,2,134098.00,'2009-10-27 00:00:00',95,2,6),
 (5144,1,307,1,'Opengraph portal','GloboCorp microsite project.',2,'2009-02-11 00:00:00',2,2,188932.00,'2009-10-27 00:00:00',95,2,2),
 (5145,1,307,1,'Genlanza portal','GloboCorp ecommerce project.',2,'2009-01-22 00:00:00',2,2,162660.00,'2009-11-03 00:00:00',95,2,8),
 (5146,1,307,1,'Nanocom Company internet','GloboCorp ecommerce project.',2,'2009-01-20 00:00:00',2,2,347890.00,'2009-11-03 00:00:00',95,2,5),
 (5147,1,307,1,'SynRotobyte ecommerce','GloboCorp website project.',1,'2009-01-11 00:00:00',1,1,621350.00,'2009-11-10 00:00:00',95,1,2),
 (5148,1,307,1,'Titaniridium IM application','GloboCorp portal project.',1,'2009-01-27 00:00:00',1,1,742697.00,'2009-11-10 00:00:00',95,1,7),
 (5149,1,307,1,'iCeleage Financial Reporting portal','GloboCorp wiki project.',1,'2009-03-02 00:00:00',1,1,510603.00,'2009-11-17 00:00:00',95,1,6),
 (5150,1,307,1,'Pacifiphor bug tracking site','GloboCorp intranet project.',2,'2009-01-16 00:00:00',2,2,340620.00,'2009-11-17 00:00:00',95,2,4),
 (5151,1,307,1,'Thermonuclear Project wiki','Back office integration for accounting and finance',1,'2009-01-07 00:00:00',1,1,927040.00,'2009-11-24 00:00:00',95,1,5),
 (5152,1,307,1,'Periweb CMS','Back office integration for accounting and finance',1,'2009-01-07 00:00:00',1,1,295033.00,'2009-11-24 00:00:00',95,1,5),
 (5153,1,307,1,'XeRotodic Company Benefits portal','GloboCorp wiki project.',1,'2009-02-18 00:00:00',1,1,148070.00,'2009-12-01 00:00:00',95,1,4),
 (5154,1,307,1,'Thermonuclear IM application','Annual Audit of application code across the organization',1,'2009-01-03 00:00:00',1,1,480835.00,'2009-12-01 00:00:00',96,1,7),
 (5155,1,307,1,'Parasource.com Decision Support System','GloboCorp bug tracking site project.',2,'2009-02-21 00:00:00',2,2,210807.00,'2009-12-08 00:00:00',95,2,3),
 (5156,1,307,1,'Tektron Time Tracking application','GloboCorp CMS project.',1,'2009-02-04 00:00:00',1,1,649478.00,'2009-12-08 00:00:00',95,1,5),
 (5157,1,307,1,'Utiliagra microsite','GloboCorp microsite project.',2,'2009-02-07 00:00:00',2,2,975214.00,'2009-12-15 00:00:00',95,2,5),
 (5158,1,307,1,'US Quinrad Marketing Collateral application','GloboCorp ecommerce project.',2,'2009-01-22 00:00:00',2,2,174383.00,'2009-12-15 00:00:00',95,2,8),
 (5159,1,307,1,'US SiliCryptoix intranet','GloboCorp microsite project.',2,'2009-02-07 00:00:00',2,2,354556.00,'2009-12-22 00:00:00',95,2,5),
 (5160,1,307,1,'SynRotobyte portal','Annual Audit of application code across the organization',1,'2009-01-07 00:00:00',1,1,840447.00,'2009-12-22 00:00:00',96,1,8),
 (5161,1,307,1,'SteganoPacPacifidisco Financial Reporting portal','Annual Audit of application code across the organization',1,'2009-01-11 00:00:00',1,1,768808.00,'2009-12-29 00:00:00',96,1,5),
 (5162,1,307,1,'US Turbolinear Company internet','Annual Audit of application code across the organization',1,'2009-01-05 00:00:00',1,1,360500.00,'2009-12-29 00:00:00',95,1,3),
 (5163,1,308,1,'Pacmaxa RFP application','GloboCorp intranet project.',2,'2009-01-14 00:00:00',2,2,957725.00,'2009-01-06 00:00:00',95,2,4),
 (5164,1,308,1,'Synconich RFP application','Company internet',2,'2009-01-02 00:00:00',2,2,745694.00,'2009-01-06 00:00:00',95,2,6),
 (5165,1,308,1,'Entnuclear RFP application','GloboCorp microsite project.',2,'2009-02-05 00:00:00',2,2,219340.00,'2009-01-13 00:00:00',95,2,4),
 (5166,1,308,1,'Genlanza wiki','Application to track outside sales',1,'2009-01-09 00:00:00',1,1,349986.00,'2009-01-13 00:00:00',95,1,3),
 (5167,1,308,1,'SynRotobyte Sales Tracking application','GloboCorp microsite project.',2,'2009-02-15 00:00:00',2,2,247673.00,'2009-01-20 00:00:00',95,2,5),
 (5168,1,308,1,'Motoicon microsite','GloboCorp bug tracking site project.',2,'2009-02-19 00:00:00',2,2,765312.00,'2009-01-20 00:00:00',95,2,1),
 (5169,1,308,1,'Genlog microsite','Application to automate employee review process',2,'2009-01-10 00:00:00',2,2,752565.00,'2009-01-27 00:00:00',95,2,4),
 (5170,1,308,1,'Polytheon Employee portal v1.0','Application to track outside sales',1,'2009-01-09 00:00:00',1,1,429265.00,'2009-01-27 00:00:00',95,1,3),
 (5171,1,308,1,'Titaniridium Company internet','GloboCorp microsite project.',2,'2009-02-03 00:00:00',2,2,999624.00,'2009-02-03 00:00:00',95,2,9),
 (5172,1,308,1,'Synconich CMS integration','Annual Audit of application code across the organization',2,'2009-01-08 00:00:00',2,2,959456.00,'2009-02-03 00:00:00',95,2,7),
 (5173,1,308,1,'iNetnetic Project wiki','Company internet',2,'2009-01-02 00:00:00',2,2,267879.00,'2009-02-10 00:00:00',95,2,6),
 (5174,1,308,1,'Teknocal ecommerce','GloboCorp bug tracking site project.',2,'2009-02-19 00:00:00',2,2,383017.00,'2009-02-10 00:00:00',95,2,1),
 (5175,1,308,1,'Yoyoic CMS integration','Project wiki',2,'2009-01-02 00:00:00',1,2,118961.00,'2009-02-17 00:00:00',95,2,3),
 (5176,1,308,1,'Thermocom CMS','GloboCorp wiki project.',1,'2009-03-04 00:00:00',1,1,603226.00,'2009-02-17 00:00:00',95,1,5),
 (5177,1,308,1,'Periweb CMS integration','Legacy CMS integration for Marketing group',2,'2009-01-08 00:00:00',2,2,874780.00,'2009-02-24 00:00:00',95,2,8),
 (5178,1,308,1,'Thermonuclear Employee portal v1.0','GloboCorp ecommerce project.',2,'2009-02-01 00:00:00',2,2,430027.00,'2009-02-24 00:00:00',95,2,7),
 (5179,1,308,1,'Titanion Human Resources Review application','GloboCorp portal project.',1,'2009-01-27 00:00:00',1,1,135228.00,'2009-03-03 00:00:00',95,1,7),
 (5180,1,308,1,'Rotopak Human Resources Review application','GloboCorp CMS project.',1,'2009-02-06 00:00:00',1,1,742029.00,'2009-03-03 00:00:00',95,1,7),
 (5181,1,308,1,'Cyphertegra Human Resources Review application','Annual Audit of application code across the organization',1,'2009-01-05 00:00:00',1,1,821599.00,'2009-03-10 00:00:00',95,1,3),
 (5182,1,308,1,'US Costmat ecommerce','Annual Audit of application code across the organization',2,'2009-01-08 00:00:00',2,2,149025.00,'2009-03-10 00:00:00',95,2,7),
 (5183,1,308,1,'Teknocal CMS integration','GloboCorp bug tracking site project.',2,'2009-02-23 00:00:00',2,2,317296.00,'2009-03-17 00:00:00',95,2,7),
 (5184,1,308,1,'Datasource CMS integration','GloboCorp portal project.',1,'2009-01-25 00:00:00',1,1,637961.00,'2009-03-17 00:00:00',95,1,4),
 (5185,1,308,1,'US Quinrad Company internet','GloboCorp website project.',1,'2009-01-11 00:00:00',1,1,796635.00,'2009-03-24 00:00:00',95,1,2),
 (5186,1,308,1,'Tekcorp Sales Tracking application','GloboCorp wiki project.',1,'2009-02-24 00:00:00',1,1,150531.00,'2009-03-24 00:00:00',95,1,6),
 (5187,1,308,1,'UltraNetfab Employee portal v1.0','GloboCorp ecommerce project.',2,'2009-01-28 00:00:00',2,2,483479.00,'2009-03-31 00:00:00',95,2,9),
 (5188,1,308,1,'Fibronix Team-building portal','GloboCorp portal project.',1,'2009-01-17 00:00:00',1,1,939077.00,'2009-03-31 00:00:00',95,1,5),
 (5189,1,308,1,'Nanocom website','Annual Audit of application code across the organization',2,'2009-01-04 00:00:00',2,2,116864.00,'2009-04-07 00:00:00',95,2,8),
 (5190,1,308,1,'Nettheon Project wiki','Annual Audit of application code across the organization',1,'2009-01-07 00:00:00',1,1,732574.00,'2009-04-07 00:00:00',96,1,8),
 (5191,1,308,1,'eRotoway Team-building portal','Application to automate employee review process',2,'2009-01-10 00:00:00',2,2,983494.00,'2009-04-14 00:00:00',95,2,4),
 (5192,1,308,1,'Turboron microsite','GloboCorp wiki project.',1,'2009-02-18 00:00:00',1,1,752328.00,'2009-04-14 00:00:00',95,1,4),
 (5193,1,308,1,'Periweb Help Desk application','GloboCorp portal project.',1,'2009-01-23 00:00:00',1,1,176690.00,'2009-04-21 00:00:00',95,1,5),
 (5194,1,308,1,'Thermolog Single sign-on initiative','Annual Audit of application code across the organization',2,'2009-01-04 00:00:00',2,2,151433.00,'2009-04-21 00:00:00',95,2,8),
 (5195,1,308,1,'Thermonuclear Time Tracking application','Financial Reporting portal',2,'2009-01-04 00:00:00',1,2,229950.00,'2009-04-28 00:00:00',95,2,3),
 (5196,1,308,1,'Safephor Marketing Collateral application','Annual Audit of application code across the organization',1,'2009-01-07 00:00:00',1,1,126607.00,'2009-04-28 00:00:00',96,1,8),
 (5197,1,308,1,'Nanocom Project wiki','Help Desk application',1,'2009-01-01 00:00:00',1,1,152611.00,'2009-05-05 00:00:00',95,1,3),
 (5198,1,308,1,'Nuserve CMS','GloboCorp website project.',1,'2009-01-11 00:00:00',1,1,999370.00,'2009-05-05 00:00:00',95,1,2),
 (5199,1,308,1,'Yoyoic Decision Support System','GloboCorp microsite project.',2,'2009-02-11 00:00:00',2,2,845470.00,'2009-05-12 00:00:00',95,2,2),
 (5200,1,308,1,'Genlog bug tracking site','GloboCorp CMS project.',1,'2009-02-06 00:00:00',1,1,421789.00,'2009-05-12 00:00:00',95,1,7),
 (5201,1,308,1,'Eyetel microsite','GloboCorp intranet project.',2,'2009-01-16 00:00:00',2,2,264623.00,'2009-05-19 00:00:00',95,2,4),
 (5202,1,308,1,'Eyetel Team-building portal','GloboCorp CMS project.',1,'2009-02-02 00:00:00',1,1,571991.00,'2009-05-19 00:00:00',95,1,7),
 (5203,1,308,1,'Periweb Back office integration','GloboCorp microsite project.',2,'2009-02-17 00:00:00',2,2,525198.00,'2009-05-26 00:00:00',95,2,2),
 (5204,1,308,1,'ApSoftEnttiqua wiki','Legacy CMS integration for Marketing group',2,'2009-01-08 00:00:00',2,2,992884.00,'2009-05-26 00:00:00',95,2,8),
 (5205,1,308,1,'Entnuclear IM application','GloboCorp CMS project.',1,'2009-02-10 00:00:00',1,1,173936.00,'2009-06-02 00:00:00',95,1,4),
 (5206,1,308,1,'Apfarb website','GloboCorp microsite project.',2,'2009-02-07 00:00:00',2,2,771437.00,'2009-06-02 00:00:00',95,2,5),
 (5207,1,308,1,'Navipaq Marketing Collateral application','GloboCorp CMS project.',1,'2009-02-04 00:00:00',1,1,926057.00,'2009-06-09 00:00:00',95,1,5),
 (5208,1,308,1,'TeknoViapartners website','Intranet messaging application',2,'2009-01-04 00:00:00',1,2,145565.00,'2009-06-09 00:00:00',95,2,3),
 (5209,1,308,1,'Texridic Financial Reporting portal','Legacy CMS integration for Marketing group',2,'2009-01-08 00:00:00',2,2,129196.00,'2009-06-16 00:00:00',95,2,8),
 (5210,1,308,1,'Periweb Human Resources Review application','GloboCorp wiki project.',1,'2009-02-26 00:00:00',1,1,435091.00,'2009-06-16 00:00:00',95,1,7),
 (5211,1,308,1,'Celphor Company Benefits portal','Application to track outside sales',1,'2009-01-09 00:00:00',1,1,460402.00,'2009-06-23 00:00:00',95,1,3),
 (5212,1,308,1,'Rapiway Time Tracking application','GloboCorp CMS project.',1,'2009-02-04 00:00:00',1,1,165759.00,'2009-06-23 00:00:00',95,1,5),
 (5213,1,308,1,'Thermonuclear portal','Annual Audit of application code across the organization',1,'2009-01-11 00:00:00',1,1,669378.00,'2009-06-30 00:00:00',96,1,5),
 (5214,1,308,1,'eInfohacker ecommerce','GloboCorp wiki project.',1,'2009-03-02 00:00:00',1,1,363029.00,'2009-06-30 00:00:00',95,1,6),
 (5215,1,308,1,'Thermonuclear IM application','Application to automate employee review process',2,'2009-01-10 00:00:00',2,2,877004.00,'2009-07-07 00:00:00',95,2,4),
 (5216,1,308,1,'Softscope Project wiki','GloboCorp wiki project.',1,'2009-02-24 00:00:00',1,1,669212.00,'2009-07-07 00:00:00',95,1,6),
 (5217,1,308,1,'Airmerica website','Financial Reporting portal',2,'2009-01-04 00:00:00',1,2,306327.00,'2009-07-14 00:00:00',95,2,3),
 (5218,1,308,1,'UltraNetfab Company internet','GloboCorp bug tracking site project.',2,'2009-02-21 00:00:00',2,2,768094.00,'2009-07-14 00:00:00',95,2,3),
 (5219,1,308,1,'Quinvalu RFP application','GloboCorp wiki project.',1,'2009-03-02 00:00:00',1,1,825682.00,'2009-07-21 00:00:00',95,1,6),
 (5220,1,308,1,'Mapdant Help Desk application','Annual Audit of application code across the organization',1,'2009-01-05 00:00:00',1,1,240986.00,'2009-07-21 00:00:00',95,1,3),
 (5221,1,308,1,'US Turbolinear website','GloboCorp bug tracking site project.',2,'2009-02-25 00:00:00',2,2,741061.00,'2009-07-28 00:00:00',95,2,7),
 (5222,1,308,1,'Navipaq Team-building portal','Annual Audit of application code across the organization',2,'2009-01-10 00:00:00',2,2,995632.00,'2009-07-28 00:00:00',95,2,2),
 (5223,1,308,1,'Tekcorp CMS integration','Employee portal for intranet',1,'2009-01-01 00:00:00',1,1,285656.00,'2009-08-04 00:00:00',95,1,3),
 (5224,1,308,1,'ApSoftEnttiqua microsite','GloboCorp ecommerce project.',2,'2009-02-01 00:00:00',2,2,222762.00,'2009-08-04 00:00:00',95,2,7),
 (5225,1,308,1,'Yoyoic Help Desk application','Annual Audit of application code across the organization',2,'2009-01-06 00:00:00',2,2,988840.00,'2009-08-11 00:00:00',95,2,5),
 (5226,1,308,1,'Softscope Employee portal v1.0','GloboCorp CMS project.',1,'2009-02-12 00:00:00',1,1,241037.00,'2009-08-11 00:00:00',95,1,5),
 (5227,1,308,1,'Uniair Sales Tracking application','Application to track outside sales',1,'2009-01-09 00:00:00',1,1,116663.00,'2009-08-18 00:00:00',95,1,3),
 (5228,1,308,1,'MicroTekbyte intranet','Application to track outside sales',1,'2009-01-09 00:00:00',1,1,247137.00,'2009-08-18 00:00:00',95,1,3),
 (5229,1,308,1,'Eyetel Sales Tracking application','GloboCorp wiki project.',1,'2009-02-22 00:00:00',1,1,134151.00,'2009-08-25 00:00:00',95,1,4),
 (5230,1,308,1,'Callectrix Annual Audit 2010','GloboCorp ecommerce project.',2,'2009-01-26 00:00:00',2,2,227893.00,'2009-08-25 00:00:00',95,2,1),
 (5231,1,308,1,'Thermonuclear Annual Audit 2010','GloboCorp CMS project.',1,'2009-02-14 00:00:00',1,1,230766.00,'2009-09-01 00:00:00',95,1,6),
 (5232,1,308,1,'US Lexalta Employee portal v1.0','Team-building portal for intranet',1,'2009-01-03 00:00:00',1,1,821713.00,'2009-09-01 00:00:00',95,1,8),
 (5233,1,308,1,'Cyphertegra IM application','Web mail application',1,'2009-01-03 00:00:00',1,1,902081.00,'2009-09-08 00:00:00',95,1,3),
 (5234,1,308,1,'Tektron Company Benefits portal','GloboCorp portal project.',1,'2009-01-27 00:00:00',1,1,822423.00,'2009-09-08 00:00:00',95,1,7),
 (5235,1,308,1,'Uniair Sales Tracking application','GloboCorp portal project.',1,'2009-01-27 00:00:00',1,1,660390.00,'2009-09-15 00:00:00',95,1,7),
 (5236,1,308,1,'Teletronik.com ecommerce','GloboCorp website project.',1,'2009-01-15 00:00:00',1,1,996581.00,'2009-09-15 00:00:00',95,1,1),
 (5237,1,308,1,'Thermocom portal','GloboCorp portal project.',1,'2009-01-29 00:00:00',1,1,733022.00,'2009-09-22 00:00:00',95,1,4),
 (5238,1,308,1,'Nettheon microsite','Annual Audit of application code across the organization',2,'2009-01-02 00:00:00',2,2,185357.00,'2009-09-22 00:00:00',95,2,6),
 (5239,1,308,1,'Periweb Marketing Collateral application','GloboCorp wiki project.',1,'2009-03-02 00:00:00',1,1,816140.00,'2009-09-29 00:00:00',95,1,6),
 (5240,1,308,1,'Yoyoic Project wiki','GloboCorp wiki project.',1,'2009-02-22 00:00:00',1,1,159283.00,'2009-09-29 00:00:00',95,1,4),
 (5241,1,308,1,'Cyphertegra Marketing Collateral application','GloboCorp ecommerce project.',2,'2009-01-24 00:00:00',2,2,447548.00,'2009-10-06 00:00:00',95,2,5),
 (5242,1,308,1,'Periweb Help Desk application','GloboCorp ecommerce project.',2,'2009-01-30 00:00:00',2,2,422624.00,'2009-10-06 00:00:00',95,2,9),
 (5243,1,308,1,'Callectrix Human Resources Review application','RFP application to automate prospective client proposal request',2,'2009-01-06 00:00:00',2,2,850928.00,'2009-10-13 00:00:00',95,2,1),
 (5244,1,308,1,'Cybersouth IM application','GloboCorp wiki project.',1,'2009-03-04 00:00:00',1,1,122747.00,'2009-10-13 00:00:00',95,1,5),
 (5245,1,308,1,'Teramart CMS','GloboCorp CMS project.',1,'2009-02-16 00:00:00',1,1,251856.00,'2009-10-20 00:00:00',95,1,9),
 (5246,1,308,1,'TeknoViapartners Company Benefits portal','GloboCorp portal project.',1,'2009-01-25 00:00:00',1,1,961775.00,'2009-10-20 00:00:00',95,1,4),
 (5247,1,308,1,'Westridium RFP application','Annual Audit of application code across the organization',2,'2009-01-12 00:00:00',2,2,225106.00,'2009-10-27 00:00:00',95,2,7),
 (5248,1,308,1,'Cybersouth Team-building portal','GloboCorp CMS project.',1,'2009-02-12 00:00:00',1,1,394873.00,'2009-10-27 00:00:00',95,1,5),
 (5249,1,308,1,'Maxtomic Team-building portal','GloboCorp wiki project.',1,'2009-03-02 00:00:00',1,1,124904.00,'2009-11-03 00:00:00',95,1,6),
 (5250,1,308,1,'XeRotodic Team-building portal','GloboCorp microsite project.',2,'2009-02-09 00:00:00',2,2,304915.00,'2009-11-03 00:00:00',95,2,3),
 (5251,1,308,1,'Sysmatix wiki','Annual Audit of application code across the organization',2,'2009-01-04 00:00:00',2,2,131355.00,'2009-11-10 00:00:00',95,2,8),
 (5252,1,308,1,'Costsouth RFP application','Project wiki',2,'2009-01-02 00:00:00',1,2,993411.00,'2009-11-10 00:00:00',95,2,3),
 (5253,1,308,1,'Nanocom Single sign-on initiative','GloboCorp website project.',1,'2009-01-15 00:00:00',1,1,967965.00,'2009-11-17 00:00:00',95,1,1),
 (5254,1,308,1,'Costat CMS integration','GloboCorp wiki project.',1,'2009-02-28 00:00:00',1,1,140915.00,'2009-11-17 00:00:00',95,1,3),
 (5255,1,308,1,'Titaniridium microsite','Annual Audit of application code across the organization',2,'2009-01-02 00:00:00',2,2,838107.00,'2009-11-24 00:00:00',95,2,6),
 (5256,1,308,1,'MicroTekbyte Human Resources Review application','GloboCorp microsite project.',2,'2009-02-13 00:00:00',2,2,902965.00,'2009-11-24 00:00:00',95,2,5),
 (5257,1,308,1,'US Cryptocom Time Tracking application','Company internet',2,'2009-01-02 00:00:00',2,2,137672.00,'2009-12-01 00:00:00',95,2,6),
 (5258,1,308,1,'Unipartners Project wiki','Annual Audit of application code across the organization',1,'2009-01-07 00:00:00',1,1,155601.00,'2009-12-01 00:00:00',96,1,8),
 (5259,1,308,1,'Safephor Sales Tracking application','GloboCorp portal project.',1,'2009-01-19 00:00:00',1,1,118537.00,'2009-12-08 00:00:00',95,1,5),
 (5260,1,308,1,'Apfarb ecommerce','GloboCorp CMS project.',1,'2009-02-06 00:00:00',1,1,423352.00,'2009-12-08 00:00:00',95,1,7),
 (5261,1,308,1,'US Cyclovalu Human Resources Review application','GloboCorp microsite project.',2,'2009-02-17 00:00:00',2,2,217046.00,'2009-12-15 00:00:00',95,2,2),
 (5262,1,308,1,'US Maxtiqua Help Desk application','GloboCorp CMS project.',1,'2009-02-16 00:00:00',1,1,121792.00,'2009-12-15 00:00:00',95,1,9),
 (5263,1,308,1,'Nuserve CMS','GloboCorp CMS project.',1,'2009-02-06 00:00:00',1,1,996937.00,'2009-12-22 00:00:00',95,1,7),
 (5264,1,308,1,'eInmarcs Employee portal v1.0','GloboCorp microsite project.',2,'2009-02-17 00:00:00',2,2,145276.00,'2009-12-22 00:00:00',95,2,2),
 (5265,1,308,1,'Turboron Decision Support System','GloboCorp microsite project.',2,'2009-02-03 00:00:00',2,2,961937.00,'2009-12-29 00:00:00',95,2,9),
 (5266,1,308,1,'US Teknorama CMS integration','Annual Audit of application code across the organization',2,'2009-01-04 00:00:00',2,2,244079.00,'2009-12-29 00:00:00',95,2,8),
 (5267,1,310,1,'Sysmatix Time Tracking application','GloboCorp ecommerce project.',2,'2009-01-20 00:00:00',2,2,219357.00,'2009-01-06 00:00:00',95,2,5),
 (5268,1,310,1,'Cyberrama CMS integration','Decision Support System',1,'2009-01-03 00:00:00',1,1,989532.00,'2009-01-06 00:00:00',95,1,3),
 (5269,1,310,1,'Intraura Employee portal v1.0','GloboCorp portal project.',1,'2009-01-19 00:00:00',1,1,139229.00,'2009-01-13 00:00:00',95,1,5),
 (5270,1,310,1,'Nanocom intranet','GloboCorp ecommerce project.',2,'2009-01-26 00:00:00',2,2,126619.00,'2009-01-13 00:00:00',95,2,1),
 (5271,1,310,1,'Teramart Back office integration','GloboCorp microsite project.',2,'2009-02-03 00:00:00',2,2,138368.00,'2009-01-20 00:00:00',95,2,9),
 (5272,1,310,1,'Navipaq website','GloboCorp bug tracking site project.',2,'2009-02-23 00:00:00',2,2,611218.00,'2009-01-20 00:00:00',95,2,7);
INSERT INTO `adobecrm`.`client_deals` VALUES  (5273,1,310,1,'Eyetel CMS','Help Desk application',1,'2009-01-01 00:00:00',1,1,976021.00,'2009-01-27 00:00:00',95,1,3),
 (5274,1,310,1,'eAnthrolan Human Resources Review application','Single sign-on initiative',2,'2009-01-04 00:00:00',1,2,637530.00,'2009-01-27 00:00:00',95,2,3),
 (5275,1,310,1,'Costsouth Team-building portal','GloboCorp intranet project.',2,'2009-01-16 00:00:00',2,2,179678.00,'2009-02-03 00:00:00',95,2,4),
 (5276,1,310,1,'Costistrix Sales Tracking application','GloboCorp wiki project.',1,'2009-03-02 00:00:00',1,1,122915.00,'2009-02-03 00:00:00',95,1,6),
 (5277,1,310,1,'Teleseco RFP application','GloboCorp microsite project.',2,'2009-02-13 00:00:00',2,2,414427.00,'2009-02-10 00:00:00',95,2,5),
 (5278,1,310,1,'Hyperridium Marketing Collateral application','GloboCorp ecommerce project.',2,'2009-01-20 00:00:00',2,2,212705.00,'2009-02-10 00:00:00',95,2,5),
 (5279,1,310,1,'SynRotobyte Employee portal v1.0','Financial Reporting portal',2,'2009-01-04 00:00:00',1,2,774345.00,'2009-02-17 00:00:00',95,2,3),
 (5280,1,310,1,'Periweb IM application','GloboCorp bug tracking site project.',2,'2009-02-25 00:00:00',2,2,454184.00,'2009-02-17 00:00:00',95,2,7),
 (5281,1,310,1,'Ultrafab Marketing Collateral application','GloboCorp portal project.',1,'2009-01-27 00:00:00',1,1,610020.00,'2009-02-24 00:00:00',95,1,7),
 (5282,1,310,1,'Theolog portal','GloboCorp portal project.',1,'2009-01-19 00:00:00',1,1,145145.00,'2009-02-24 00:00:00',95,1,5),
 (5283,1,310,1,'Utiliagra Sales Tracking application','GloboCorp CMS project.',1,'2009-02-16 00:00:00',1,1,870080.00,'2009-03-03 00:00:00',95,1,9),
 (5284,1,310,1,'Nettheon bug tracking site','GloboCorp portal project.',1,'2009-01-27 00:00:00',1,1,261906.00,'2009-03-03 00:00:00',95,1,7),
 (5285,1,310,1,'Pacmaxa CMS integration','Annual Audit of application code across the organization',2,'2009-01-02 00:00:00',2,2,614912.00,'2009-03-10 00:00:00',95,2,6),
 (5286,1,310,1,'XeRotodic website','GloboCorp intranet project.',2,'2009-01-12 00:00:00',2,2,868284.00,'2009-03-10 00:00:00',95,2,2),
 (5287,1,310,1,'US Maxtiqua Human Resources Review application','Annual Audit of application code across the organization',1,'2009-01-05 00:00:00',1,1,123148.00,'2009-03-17 00:00:00',95,1,3),
 (5288,1,310,1,'UltraNetfab Annual Audit 2010','GloboCorp CMS project.',1,'2009-02-16 00:00:00',1,1,117695.00,'2009-03-17 00:00:00',95,1,9),
 (5289,1,310,1,'Utiliagra Employee portal v1.0','Team-building portal for intranet',1,'2009-01-03 00:00:00',1,1,528264.00,'2009-03-24 00:00:00',95,1,8),
 (5290,1,310,1,'US Quinrad bug tracking site','GloboCorp intranet project.',2,'2009-01-14 00:00:00',2,2,410831.00,'2009-03-24 00:00:00',95,2,4),
 (5291,1,310,1,'Nuserve IM application','GloboCorp portal project.',1,'2009-01-31 00:00:00',1,1,128298.00,'2009-03-31 00:00:00',95,1,2),
 (5292,1,310,1,'Tektron RFP application','GloboCorp portal project.',1,'2009-01-23 00:00:00',1,1,827676.00,'2009-03-31 00:00:00',95,1,5),
 (5293,1,310,1,'Thermonuclear Company Benefits portal','GloboCorp wiki project.',1,'2009-02-26 00:00:00',1,1,203783.00,'2009-04-07 00:00:00',95,1,7),
 (5294,1,310,1,'Genlog Help Desk application','GloboCorp wiki project.',1,'2009-02-28 00:00:00',1,1,595800.00,'2009-04-07 00:00:00',95,1,3),
 (5295,1,310,1,'Xegate wiki','Decision Support System',1,'2009-01-03 00:00:00',1,1,965107.00,'2009-04-14 00:00:00',95,1,3),
 (5296,1,310,1,'US Teknorama website','GloboCorp CMS project.',1,'2009-02-08 00:00:00',1,1,612977.00,'2009-04-14 00:00:00',95,1,7),
 (5297,1,310,1,'Periweb CMS integration','GloboCorp microsite project.',2,'2009-02-15 00:00:00',2,2,476281.00,'2009-04-21 00:00:00',95,2,5),
 (5298,1,310,1,'Fibronix Back office integration','GloboCorp ecommerce project.',2,'2009-02-01 00:00:00',2,2,457323.00,'2009-04-21 00:00:00',95,2,7),
 (5299,1,310,1,'Rapiway Marketing Collateral application','GloboCorp microsite project.',2,'2009-02-07 00:00:00',2,2,655561.00,'2009-04-28 00:00:00',95,2,5),
 (5300,1,310,1,'MicroTekbyte Annual Audit 2010','Help Desk application',1,'2009-01-01 00:00:00',1,1,123034.00,'2009-04-28 00:00:00',95,1,3),
 (5301,1,310,1,'US Cryptocom intranet','GloboCorp microsite project.',2,'2009-02-03 00:00:00',2,2,392977.00,'2009-05-05 00:00:00',95,2,9),
 (5302,1,310,1,'Turboron CMS','GloboCorp ecommerce project.',2,'2009-01-26 00:00:00',2,2,837997.00,'2009-05-05 00:00:00',95,2,1),
 (5303,1,310,1,'Celphor wiki','GloboCorp bug tracking site project.',2,'2009-02-21 00:00:00',2,2,437591.00,'2009-05-12 00:00:00',95,2,3),
 (5304,1,310,1,'Eyetel Human Resources Review application','GloboCorp bug tracking site project.',2,'2009-03-03 00:00:00',2,2,177660.00,'2009-05-12 00:00:00',95,2,4),
 (5305,1,310,1,'SteganoPacPacifidisco IM application','GloboCorp ecommerce project.',2,'2009-01-28 00:00:00',2,2,256124.00,'2009-05-19 00:00:00',95,2,9),
 (5306,1,310,1,'Thermolog Company Benefits portal','Team-building portal for intranet',1,'2009-01-03 00:00:00',1,1,292632.00,'2009-05-19 00:00:00',95,1,8),
 (5307,1,310,1,'Periweb IM application','Annual Audit of application code across the organization',1,'2009-01-09 00:00:00',1,1,486457.00,'2009-05-26 00:00:00',95,1,9),
 (5308,1,310,1,'Genlanza Financial Reporting portal','GloboCorp ecommerce project.',2,'2009-02-01 00:00:00',2,2,120938.00,'2009-05-26 00:00:00',95,2,7),
 (5309,1,310,1,'Xegate Decision Support System','RFP application to automate prospective client proposal request',2,'2009-01-06 00:00:00',2,2,651171.00,'2009-06-02 00:00:00',95,2,1),
 (5310,1,310,1,'Fibronix Single sign-on initiative','GloboCorp CMS project.',1,'2009-02-06 00:00:00',1,1,366310.00,'2009-06-02 00:00:00',95,1,7),
 (5311,1,310,1,'Eyetheon Decision Support System','Project wiki',2,'2009-01-02 00:00:00',1,2,958844.00,'2009-06-09 00:00:00',95,2,3),
 (5312,1,310,1,'Costsouth Time Tracking application','GloboCorp CMS project.',1,'2009-02-12 00:00:00',1,1,171418.00,'2009-06-09 00:00:00',95,1,5),
 (5313,1,310,1,'Thermonuclear Single sign-on initiative','Annual Audit of application code across the organization',1,'2009-01-05 00:00:00',1,1,185098.00,'2009-06-16 00:00:00',95,1,9),
 (5314,1,310,1,'Westridium wiki','GloboCorp microsite project.',2,'2009-02-09 00:00:00',2,2,149165.00,'2009-06-16 00:00:00',95,2,3),
 (5315,1,310,1,'Pacifiphor Help Desk application','GloboCorp portal project.',1,'2009-01-29 00:00:00',1,1,177935.00,'2009-06-23 00:00:00',95,1,4),
 (5316,1,310,1,'Nettheon Project wiki','GloboCorp bug tracking site project.',2,'2009-02-21 00:00:00',2,2,722166.00,'2009-06-23 00:00:00',95,2,3),
 (5317,1,310,1,'US Costmat Single sign-on initiative','GloboCorp intranet project.',2,'2009-01-12 00:00:00',2,2,929570.00,'2009-06-30 00:00:00',95,2,2),
 (5318,1,310,1,'Pacmaxa RFP application','Time tracking application for organization',1,'2009-01-05 00:00:00',1,1,351982.00,'2009-06-30 00:00:00',95,1,9),
 (5319,1,310,1,'Aerstate Sales Tracking application','Decision Support System',1,'2009-01-03 00:00:00',1,1,126139.00,'2009-07-07 00:00:00',95,1,3),
 (5320,1,310,1,'US Maxtiqua Company internet','GloboCorp portal project.',1,'2009-01-31 00:00:00',1,1,983481.00,'2009-07-07 00:00:00',95,1,2),
 (5321,1,310,1,'Eyetheon RFP application','Application to automate employee review process',2,'2009-01-10 00:00:00',2,2,391658.00,'2009-07-14 00:00:00',95,2,4),
 (5322,1,310,1,'Sysline ecommerce','GloboCorp wiki project.',1,'2009-02-20 00:00:00',1,1,482229.00,'2009-07-14 00:00:00',95,1,8),
 (5323,1,310,1,'Keygraph wiki','GloboCorp portal project.',1,'2009-01-31 00:00:00',1,1,228133.00,'2009-07-21 00:00:00',95,1,2),
 (5324,1,310,1,'Utiliagra Company internet','GloboCorp microsite project.',2,'2009-02-13 00:00:00',2,2,121479.00,'2009-07-21 00:00:00',95,2,5),
 (5325,1,310,1,'Sysmatix CMS integration','GloboCorp wiki project.',1,'2009-03-04 00:00:00',1,1,971911.00,'2009-07-28 00:00:00',95,1,5),
 (5326,1,310,1,'Costsouth microsite','GloboCorp ecommerce project.',2,'2009-01-28 00:00:00',2,2,881248.00,'2009-07-28 00:00:00',95,2,9),
 (5327,1,310,1,'US Teknorama Annual Audit 2010','GloboCorp microsite project.',2,'2009-02-05 00:00:00',2,2,210439.00,'2009-08-04 00:00:00',95,2,4),
 (5328,1,310,1,'Rapiway Team-building portal','Annual Audit of application code across the organization',1,'2009-01-05 00:00:00',1,1,902153.00,'2009-08-04 00:00:00',95,1,3),
 (5329,1,310,1,'SteganoPacPacifidisco Single sign-on initiative','Annual Audit of application code across the organization',1,'2009-01-05 00:00:00',1,1,403400.00,'2009-08-11 00:00:00',95,1,3),
 (5330,1,310,1,'Softscope Company Benefits portal','Annual Audit of application code across the organization',2,'2009-01-12 00:00:00',2,2,969455.00,'2009-08-11 00:00:00',95,2,7),
 (5331,1,310,1,'Rapiway Employee portal v1.0','GloboCorp wiki project.',1,'2009-02-20 00:00:00',1,1,278446.00,'2009-08-18 00:00:00',95,1,8),
 (5332,1,310,1,'AnthroSoft.com Project wiki','GloboCorp portal project.',1,'2009-01-31 00:00:00',1,1,621674.00,'2009-08-18 00:00:00',95,1,2),
 (5333,1,310,1,'Airmerica intranet','GloboCorp microsite project.',2,'2009-02-03 00:00:00',2,2,156072.00,'2009-08-25 00:00:00',95,2,9),
 (5334,1,310,1,'SteganoPacPacifidisco IM application','Annual Audit of application code across the organization',1,'2009-01-09 00:00:00',1,1,277551.00,'2009-08-25 00:00:00',95,1,9),
 (5335,1,310,1,'Titaniridium CMS integration','Application to track outside sales',1,'2009-01-09 00:00:00',1,1,998632.00,'2009-09-01 00:00:00',95,1,3),
 (5336,1,310,1,'Pacifiphor CMS','GloboCorp bug tracking site project.',2,'2009-03-03 00:00:00',2,2,970772.00,'2009-09-01 00:00:00',95,2,4),
 (5337,1,310,1,'US Cyclovalu Sales Tracking application','GloboCorp website project.',1,'2009-01-11 00:00:00',1,1,332584.00,'2009-09-08 00:00:00',95,1,2),
 (5338,1,310,1,'Nettheon Help Desk application','GloboCorp CMS project.',1,'2009-02-10 00:00:00',1,1,146072.00,'2009-09-08 00:00:00',95,1,4),
 (5339,1,310,1,'Cybersouth RFP application','GloboCorp CMS project.',1,'2009-02-08 00:00:00',1,1,837993.00,'2009-09-15 00:00:00',95,1,7),
 (5340,1,310,1,'UltraNetfab IM application','Back office integration for accounting and finance',1,'2009-01-07 00:00:00',1,1,180587.00,'2009-09-15 00:00:00',95,1,5),
 (5341,1,310,1,'US Turbolinear Decision Support System','GloboCorp microsite project.',2,'2009-02-15 00:00:00',2,2,368601.00,'2009-09-22 00:00:00',95,2,5),
 (5342,1,310,1,'Cyberrama microsite','GloboCorp portal project.',1,'2009-01-19 00:00:00',1,1,434343.00,'2009-09-22 00:00:00',95,1,5),
 (5343,1,310,1,'SteganoPacPacifidisco Annual Audit 2010','Time tracking application for organization',1,'2009-01-05 00:00:00',1,1,142154.00,'2009-09-29 00:00:00',95,1,9),
 (5344,1,310,1,'MicroTekbyte intranet','GloboCorp CMS project.',1,'2009-02-14 00:00:00',1,1,271340.00,'2009-09-29 00:00:00',95,1,6),
 (5345,1,310,1,'Texridic wiki','GloboCorp bug tracking site project.',2,'2009-02-19 00:00:00',2,2,202465.00,'2009-10-06 00:00:00',95,2,1),
 (5346,1,310,1,'Infracenta RFP application','GloboCorp website project.',1,'2009-01-15 00:00:00',1,1,638023.00,'2009-10-06 00:00:00',95,1,1),
 (5347,1,310,1,'TeknoViapartners Sales Tracking application','Company internet',2,'2009-01-02 00:00:00',2,2,747830.00,'2009-10-13 00:00:00',95,2,6),
 (5348,1,310,1,'Intraura CMS','GloboCorp bug tracking site project.',2,'2009-02-21 00:00:00',2,2,597853.00,'2009-10-13 00:00:00',95,2,3),
 (5349,1,310,1,'UltraNetfab Team-building portal','Web mail application',1,'2009-01-03 00:00:00',1,1,790673.00,'2009-10-20 00:00:00',95,1,3),
 (5350,1,310,1,'Genlanza bug tracking site','GloboCorp microsite project.',2,'2009-02-17 00:00:00',2,2,569752.00,'2009-10-20 00:00:00',95,2,2),
 (5351,1,310,1,'Genlanza ecommerce','GloboCorp portal project.',1,'2009-01-17 00:00:00',1,1,500422.00,'2009-10-27 00:00:00',95,1,5),
 (5352,1,310,1,'Teletronik.com ecommerce','GloboCorp wiki project.',1,'2009-02-22 00:00:00',1,1,240760.00,'2009-10-27 00:00:00',95,1,4),
 (5353,1,310,1,'US Maxtiqua bug tracking site','GloboCorp portal project.',1,'2009-01-25 00:00:00',1,1,918297.00,'2009-11-03 00:00:00',95,1,4),
 (5354,1,310,1,'UltraNetfab Help Desk application','Company internet',2,'2009-01-02 00:00:00',2,2,199888.00,'2009-11-03 00:00:00',95,2,6),
 (5355,1,310,1,'Turboron Decision Support System','GloboCorp intranet project.',2,'2009-01-14 00:00:00',2,2,176302.00,'2009-11-10 00:00:00',95,2,4),
 (5356,1,310,1,'Datasource Back office integration','Annual Audit of application code across the organization',1,'2009-01-07 00:00:00',1,1,637546.00,'2009-11-10 00:00:00',96,1,8),
 (5357,1,310,1,'Tektron Decision Support System','Company benefits portal for intranet',2,'2009-01-04 00:00:00',2,2,432676.00,'2009-11-17 00:00:00',95,2,8),
 (5358,1,310,1,'Nettheon RFP application','GloboCorp bug tracking site project.',2,'2009-02-27 00:00:00',2,2,118559.00,'2009-11-17 00:00:00',95,2,3),
 (5359,1,310,1,'Thermocom Back office integration','GloboCorp microsite project.',2,'2009-02-11 00:00:00',2,2,213010.00,'2009-11-24 00:00:00',95,2,2),
 (5360,1,310,1,'Cyphertegra Marketing Collateral application','GloboCorp microsite project.',2,'2009-02-11 00:00:00',2,2,899817.00,'2009-11-24 00:00:00',95,2,2),
 (5361,1,310,1,'SteganoPacPacifidisco bug tracking site','GloboCorp portal project.',1,'2009-01-27 00:00:00',1,1,796045.00,'2009-12-01 00:00:00',95,1,7),
 (5362,1,310,1,'Celphor RFP application','Time tracking application for organization',1,'2009-01-05 00:00:00',1,1,997605.00,'2009-12-01 00:00:00',95,1,9),
 (5363,1,310,1,'ApSoftEnttiqua wiki','Annual Audit of application code across the organization',1,'2009-01-05 00:00:00',1,1,243222.00,'2009-12-08 00:00:00',95,1,3),
 (5364,1,310,1,'Keygraph Annual Audit 2010','GloboCorp microsite project.',2,'2009-02-07 00:00:00',2,2,571372.00,'2009-12-08 00:00:00',95,2,5),
 (5365,1,310,1,'Teknocal portal','GloboCorp bug tracking site project.',2,'2009-02-25 00:00:00',2,2,899726.00,'2009-12-15 00:00:00',95,2,7),
 (5366,1,310,1,'Titaniridium Single sign-on initiative','GloboCorp portal project.',1,'2009-01-27 00:00:00',1,1,413181.00,'2009-12-15 00:00:00',95,1,7),
 (5367,1,310,1,'Titanion Decision Support System','GloboCorp bug tracking site project.',2,'2009-02-25 00:00:00',2,2,216106.00,'2009-12-22 00:00:00',95,2,7),
 (5368,1,310,1,'Entnuclear RFP application','GloboCorp portal project.',1,'2009-01-17 00:00:00',1,1,995587.00,'2009-12-22 00:00:00',95,1,5),
 (5369,1,310,1,'Costsouth Company internet','RFP application to automate prospective client proposal request',2,'2009-01-06 00:00:00',2,2,127339.00,'2009-12-29 00:00:00',95,2,1),
 (5370,1,310,1,'Theolog Sales Tracking application','Annual Audit of application code across the organization',1,'2009-01-05 00:00:00',1,1,552932.00,'2009-12-29 00:00:00',95,1,9),
 (5371,1,311,1,'Aerstate bug tracking site','GloboCorp ecommerce project.',2,'2009-01-20 00:00:00',2,2,321593.00,'2009-01-06 00:00:00',95,2,5),
 (5372,1,311,1,'Metaserve wiki','Intranet messaging application',2,'2009-01-04 00:00:00',1,2,565498.00,'2009-01-06 00:00:00',95,2,3),
 (5373,1,311,1,'Teleseco CMS','Help Desk application',1,'2009-01-01 00:00:00',1,1,868725.00,'2009-01-13 00:00:00',95,1,3),
 (5374,1,311,1,'Celphor Company internet','Decision Support System',1,'2009-01-03 00:00:00',1,1,851657.00,'2009-01-13 00:00:00',95,1,3),
 (5375,1,311,1,'Rotopak Project wiki','GloboCorp wiki project.',1,'2009-02-18 00:00:00',1,1,732759.00,'2009-01-20 00:00:00',95,1,4),
 (5376,1,311,1,'Eyetheon Back office integration','GloboCorp CMS project.',1,'2009-02-14 00:00:00',1,1,998874.00,'2009-01-20 00:00:00',95,1,6),
 (5377,1,311,1,'Solscope CMS','Help Desk application',1,'2009-01-01 00:00:00',1,1,136358.00,'2009-01-27 00:00:00',95,1,3),
 (5378,1,311,1,'Periweb Team-building portal','GloboCorp bug tracking site project.',2,'2009-02-23 00:00:00',2,2,652766.00,'2009-01-27 00:00:00',95,2,7),
 (5379,1,311,1,'Soleccorp RFP application','GloboCorp CMS project.',1,'2009-02-10 00:00:00',1,1,218782.00,'2009-02-03 00:00:00',95,1,4),
 (5380,1,311,1,'US SiliCryptoix Help Desk application','GloboCorp bug tracking site project.',2,'2009-02-27 00:00:00',2,2,250384.00,'2009-02-03 00:00:00',95,2,3),
 (5381,1,311,1,'Costistrix portal','Web mail application',1,'2009-01-03 00:00:00',1,1,995828.00,'2009-02-10 00:00:00',95,1,3),
 (5382,1,311,1,'Infracenta Back office integration','GloboCorp wiki project.',1,'2009-02-28 00:00:00',1,1,410511.00,'2009-02-10 00:00:00',95,1,3),
 (5383,1,311,1,'Softscope Time Tracking application','Annual Audit of application code across the organization',1,'2009-01-09 00:00:00',1,1,152387.00,'2009-02-17 00:00:00',95,1,9),
 (5384,1,311,1,'Costistrix microsite','Single sign-on initiative',2,'2009-01-04 00:00:00',1,2,999242.00,'2009-02-17 00:00:00',95,2,3),
 (5385,1,311,1,'Titanion IM application','GloboCorp CMS project.',1,'2009-02-12 00:00:00',1,1,765912.00,'2009-02-24 00:00:00',95,1,5),
 (5386,1,311,1,'Unipartners ecommerce','GloboCorp wiki project.',1,'2009-02-28 00:00:00',1,1,991824.00,'2009-02-24 00:00:00',95,1,3),
 (5387,1,311,1,'SysSoltanium Annual Audit 2010','GloboCorp microsite project.',2,'2009-02-09 00:00:00',2,2,591545.00,'2009-03-03 00:00:00',95,2,3),
 (5388,1,311,1,'Ultravalu CMS integration','GloboCorp wiki project.',1,'2009-02-22 00:00:00',1,1,805412.00,'2009-03-03 00:00:00',95,1,4),
 (5389,1,311,1,'Navipaq Decision Support System','GloboCorp microsite project.',2,'2009-02-11 00:00:00',2,2,922528.00,'2009-03-10 00:00:00',95,2,2),
 (5390,1,311,1,'Polytheon Company internet','GloboCorp intranet project.',2,'2009-01-12 00:00:00',2,2,480854.00,'2009-03-10 00:00:00',95,2,2),
 (5391,1,311,1,'Nettheon Company Benefits portal','Annual Audit of application code across the organization',1,'2009-01-07 00:00:00',1,1,957139.00,'2009-03-17 00:00:00',96,1,8),
 (5392,1,311,1,'Teleseco ecommerce','Annual Audit of application code across the organization',2,'2009-01-10 00:00:00',2,2,513695.00,'2009-03-17 00:00:00',95,2,2),
 (5393,1,311,1,'Texridic Project wiki','Team-building portal for intranet',1,'2009-01-03 00:00:00',1,1,196451.00,'2009-03-24 00:00:00',95,1,8),
 (5394,1,311,1,'Titanion Project wiki','GloboCorp ecommerce project.',2,'2009-01-20 00:00:00',2,2,116799.00,'2009-03-24 00:00:00',95,2,5),
 (5395,1,311,1,'Genlog microsite','Application to automate employee review process',2,'2009-01-10 00:00:00',2,2,744107.00,'2009-03-31 00:00:00',95,2,4),
 (5396,1,311,1,'Parasource.com Help Desk application','Time tracking application for organization',1,'2009-01-05 00:00:00',1,1,116570.00,'2009-03-31 00:00:00',95,1,9),
 (5397,1,311,1,'Callectrix Company internet','GloboCorp CMS project.',1,'2009-02-16 00:00:00',1,1,169940.00,'2009-04-07 00:00:00',95,1,9),
 (5398,1,311,1,'Rapiway Financial Reporting portal','GloboCorp ecommerce project.',2,'2009-01-30 00:00:00',2,2,984467.00,'2009-04-07 00:00:00',95,2,9),
 (5399,1,311,1,'Cybersouth portal','GloboCorp CMS project.',1,'2009-02-14 00:00:00',1,1,136615.00,'2009-04-14 00:00:00',95,1,6),
 (5400,1,311,1,'Thermonuclear Project wiki','GloboCorp CMS project.',1,'2009-02-12 00:00:00',1,1,384650.00,'2009-04-14 00:00:00',95,1,5),
 (5401,1,311,1,'Teletronik.com Company internet','Legacy CMS integration for Marketing group',2,'2009-01-08 00:00:00',2,2,388069.00,'2009-04-21 00:00:00',95,2,8),
 (5402,1,311,1,'Periweb Financial Reporting portal','Application to track outside sales',1,'2009-01-09 00:00:00',1,1,319237.00,'2009-04-21 00:00:00',95,1,3),
 (5403,1,311,1,'Datasource Sales Tracking application','GloboCorp portal project.',1,'2009-01-23 00:00:00',1,1,543996.00,'2009-04-28 00:00:00',95,1,5),
 (5404,1,311,1,'Celphor Single sign-on initiative','Application to automate employee review process',2,'2009-01-10 00:00:00',2,2,219268.00,'2009-04-28 00:00:00',95,2,4),
 (5405,1,311,1,'Motoicon Company internet','GloboCorp portal project.',1,'2009-01-27 00:00:00',1,1,149191.00,'2009-05-05 00:00:00',95,1,7),
 (5406,1,311,1,'US Turbolinear IM application','GloboCorp wiki project.',1,'2009-02-18 00:00:00',1,1,883241.00,'2009-05-05 00:00:00',95,1,4),
 (5407,1,311,1,'Pacmaxa Marketing Collateral application','Annual Audit of application code across the organization',2,'2009-01-02 00:00:00',2,2,998151.00,'2009-05-12 00:00:00',95,2,6),
 (5408,1,311,1,'TeknoViapartners CMS integration','GloboCorp ecommerce project.',2,'2009-01-26 00:00:00',2,2,943443.00,'2009-05-12 00:00:00',95,2,1),
 (5409,1,311,1,'MicroTekbyte Help Desk application','Employee portal for intranet',1,'2009-01-01 00:00:00',1,1,395819.00,'2009-05-19 00:00:00',95,1,3),
 (5410,1,311,1,'Cybersouth Project wiki','GloboCorp bug tracking site project.',2,'2009-02-19 00:00:00',2,2,550493.00,'2009-05-19 00:00:00',95,2,1),
 (5411,1,311,1,'Parasource.com IM application','Annual Audit of application code across the organization',1,'2009-01-05 00:00:00',1,1,589123.00,'2009-05-26 00:00:00',95,1,3),
 (5412,1,311,1,'Unipartners CMS','Annual Audit of application code across the organization',2,'2009-01-08 00:00:00',2,2,183832.00,'2009-05-26 00:00:00',95,2,7),
 (5413,1,311,1,'ApSoftEnttiqua Employee portal v1.0','GloboCorp intranet project.',2,'2009-01-14 00:00:00',2,2,151581.00,'2009-06-02 00:00:00',95,2,4),
 (5414,1,311,1,'Airmerica Marketing Collateral application','Annual Audit of application code across the organization',1,'2009-01-05 00:00:00',1,1,314819.00,'2009-06-02 00:00:00',95,1,3),
 (5415,1,311,1,'Synconich website','GloboCorp bug tracking site project.',2,'2009-02-27 00:00:00',2,2,851663.00,'2009-06-09 00:00:00',95,2,3),
 (5416,1,311,1,'Eyetel Sales Tracking application','GloboCorp website project.',1,'2009-01-15 00:00:00',1,1,790174.00,'2009-06-09 00:00:00',95,1,1),
 (5417,1,311,1,'Apamerica Team-building portal','GloboCorp portal project.',1,'2009-01-31 00:00:00',1,1,899239.00,'2009-06-16 00:00:00',95,1,2),
 (5418,1,311,1,'Airmerica microsite','GloboCorp bug tracking site project.',2,'2009-02-27 00:00:00',2,2,183406.00,'2009-06-16 00:00:00',95,2,3),
 (5419,1,311,1,'Rapiway Annual Audit 2010','GloboCorp portal project.',1,'2009-01-25 00:00:00',1,1,378913.00,'2009-06-23 00:00:00',95,1,4),
 (5420,1,311,1,'UltraNetfab Company internet','GloboCorp website project.',1,'2009-01-13 00:00:00',1,1,132050.00,'2009-06-23 00:00:00',95,1,4),
 (5421,1,311,1,'Safephor bug tracking site','Employee portal for intranet',1,'2009-01-01 00:00:00',1,1,996178.00,'2009-06-30 00:00:00',95,1,3),
 (5422,1,311,1,'Metaserve Human Resources Review application','GloboCorp wiki project.',1,'2009-02-26 00:00:00',1,1,834454.00,'2009-06-30 00:00:00',95,1,7),
 (5423,1,311,1,'Entnuclear CMS','GloboCorp ecommerce project.',2,'2009-01-20 00:00:00',2,2,695884.00,'2009-07-07 00:00:00',95,2,5),
 (5424,1,311,1,'Callectrix Back office integration','GloboCorp bug tracking site project.',2,'2009-03-03 00:00:00',2,2,300152.00,'2009-07-07 00:00:00',95,2,4),
 (5425,1,311,1,'Thermocom Annual Audit 2010','Web mail application',1,'2009-01-03 00:00:00',1,1,214757.00,'2009-07-14 00:00:00',95,1,3),
 (5426,1,311,1,'Softcom.com Single sign-on initiative','GloboCorp CMS project.',1,'2009-02-02 00:00:00',1,1,178751.00,'2009-07-14 00:00:00',95,1,7),
 (5427,1,311,1,'Teknocal Back office integration','GloboCorp portal project.',1,'2009-01-29 00:00:00',1,1,362680.00,'2009-07-21 00:00:00',95,1,4),
 (5428,1,311,1,'Apamerica RFP application','Legacy CMS integration for Marketing group',2,'2009-01-08 00:00:00',2,2,962831.00,'2009-07-21 00:00:00',95,2,8),
 (5429,1,311,1,'Intraura RFP application','GloboCorp ecommerce project.',2,'2009-01-20 00:00:00',2,2,211324.00,'2009-07-28 00:00:00',95,2,5),
 (5430,1,311,1,'Genlanza RFP application','GloboCorp ecommerce project.',2,'2009-01-24 00:00:00',2,2,194318.00,'2009-07-28 00:00:00',95,2,5),
 (5431,1,311,1,'Tektron Decision Support System','Single sign-on initiative',2,'2009-01-04 00:00:00',1,2,142361.00,'2009-08-04 00:00:00',95,2,3),
 (5432,1,311,1,'Costsouth bug tracking site','GloboCorp CMS project.',1,'2009-02-14 00:00:00',1,1,637582.00,'2009-08-04 00:00:00',95,1,6),
 (5433,1,311,1,'Texridic Annual Audit 2010','GloboCorp CMS project.',1,'2009-02-16 00:00:00',1,1,132000.00,'2009-08-11 00:00:00',95,1,9),
 (5434,1,311,1,'AnthroSoft.com Time Tracking application','GloboCorp portal project.',1,'2009-01-29 00:00:00',1,1,168533.00,'2009-08-11 00:00:00',95,1,4),
 (5435,1,311,1,'Texridic ecommerce','GloboCorp CMS project.',1,'2009-02-08 00:00:00',1,1,883301.00,'2009-08-18 00:00:00',95,1,7),
 (5436,1,311,1,'iCeleage Back office integration','GloboCorp portal project.',1,'2009-01-25 00:00:00',1,1,977880.00,'2009-08-18 00:00:00',95,1,4),
 (5437,1,311,1,'Uniair CMS integration','Annual Audit of application code across the organization',1,'2009-01-09 00:00:00',1,1,148947.00,'2009-08-25 00:00:00',95,1,9),
 (5438,1,311,1,'Intraura Single sign-on initiative','GloboCorp portal project.',1,'2009-01-27 00:00:00',1,1,996980.00,'2009-08-25 00:00:00',95,1,7),
 (5439,1,311,1,'Utiliagra Sales Tracking application','GloboCorp wiki project.',1,'2009-02-18 00:00:00',1,1,907082.00,'2009-09-01 00:00:00',95,1,4),
 (5440,1,311,1,'Teknocal Company internet','GloboCorp website project.',1,'2009-01-15 00:00:00',1,1,994480.00,'2009-09-01 00:00:00',95,1,1),
 (5441,1,311,1,'Genlog bug tracking site','GloboCorp CMS project.',1,'2009-02-14 00:00:00',1,1,891036.00,'2009-09-08 00:00:00',95,1,6),
 (5442,1,311,1,'Westridium website','GloboCorp ecommerce project.',2,'2009-01-24 00:00:00',2,2,848656.00,'2009-09-08 00:00:00',95,2,5),
 (5443,1,311,1,'Turboron bug tracking site','Application to track outside sales',1,'2009-01-09 00:00:00',1,1,145879.00,'2009-09-15 00:00:00',95,1,3),
 (5444,1,311,1,'XeRotodic Employee portal v1.0','GloboCorp microsite project.',2,'2009-02-05 00:00:00',2,2,796777.00,'2009-09-15 00:00:00',95,2,4),
 (5445,1,311,1,'Teramart Decision Support System','GloboCorp microsite project.',2,'2009-02-05 00:00:00',2,2,957006.00,'2009-09-22 00:00:00',95,2,4),
 (5446,1,311,1,'Rotopak CMS integration','GloboCorp CMS project.',1,'2009-02-14 00:00:00',1,1,347633.00,'2009-09-22 00:00:00',95,1,6),
 (5447,1,311,1,'iCeleage CMS integration','Company benefits portal for intranet',2,'2009-01-04 00:00:00',2,2,178754.00,'2009-09-29 00:00:00',95,2,8),
 (5448,1,311,1,'eAnthrolan Company Benefits portal','GloboCorp ecommerce project.',2,'2009-01-22 00:00:00',2,2,251252.00,'2009-09-29 00:00:00',95,2,8),
 (5449,1,311,1,'Teknocal microsite','GloboCorp CMS project.',1,'2009-02-08 00:00:00',1,1,161472.00,'2009-10-06 00:00:00',95,1,7),
 (5450,1,311,1,'Eyetel Financial Reporting portal','GloboCorp intranet project.',2,'2009-01-14 00:00:00',2,2,941686.00,'2009-10-06 00:00:00',95,2,4),
 (5451,1,311,1,'Thermonuclear ecommerce','GloboCorp microsite project.',2,'2009-02-03 00:00:00',2,2,780516.00,'2009-10-13 00:00:00',95,2,9),
 (5452,1,311,1,'Parasource.com bug tracking site','Legacy CMS integration for Marketing group',2,'2009-01-08 00:00:00',2,2,915206.00,'2009-10-13 00:00:00',95,2,8),
 (5453,1,311,1,'Eyetel RFP application','Application to automate employee review process',2,'2009-01-10 00:00:00',2,2,479291.00,'2009-10-20 00:00:00',95,2,4),
 (5454,1,311,1,'SynRotobyte CMS integration','RFP application to automate prospective client proposal request',2,'2009-01-06 00:00:00',2,2,153637.00,'2009-10-20 00:00:00',95,2,1),
 (5455,1,311,1,'Softcent ecommerce','Single sign-on initiative',2,'2009-01-04 00:00:00',1,2,264337.00,'2009-10-27 00:00:00',95,2,3),
 (5456,1,311,1,'US Lexalta Sales Tracking application','Company benefits portal for intranet',2,'2009-01-04 00:00:00',2,2,286676.00,'2009-10-27 00:00:00',95,2,8),
 (5457,1,311,1,'US Quinrad microsite','Single sign-on initiative',2,'2009-01-04 00:00:00',1,2,214730.00,'2009-11-03 00:00:00',95,2,3),
 (5458,1,311,1,'Teletronik.com portal','GloboCorp intranet project.',2,'2009-01-12 00:00:00',2,2,983680.00,'2009-11-03 00:00:00',95,2,2),
 (5459,1,311,1,'MicroTekbyte Single sign-on initiative','GloboCorp wiki project.',1,'2009-03-02 00:00:00',1,1,688963.00,'2009-11-10 00:00:00',95,1,6),
 (5460,1,311,1,'TeknoViapartners CMS integration','Financial Reporting portal',2,'2009-01-04 00:00:00',1,2,168650.00,'2009-11-10 00:00:00',95,2,3),
 (5461,1,311,1,'Cyphertegra Employee portal v1.0','Employee portal for intranet',1,'2009-01-01 00:00:00',1,1,447457.00,'2009-11-17 00:00:00',95,1,3),
 (5462,1,311,1,'Metaserve Team-building portal','Annual Audit of application code across the organization',2,'2009-01-06 00:00:00',2,2,259941.00,'2009-11-17 00:00:00',95,2,5),
 (5463,1,311,1,'Genlanza Help Desk application','GloboCorp wiki project.',1,'2009-02-22 00:00:00',1,1,980876.00,'2009-11-24 00:00:00',95,1,4),
 (5464,1,311,1,'Hyperridium Project wiki','Company internet',2,'2009-01-02 00:00:00',2,2,280150.00,'2009-11-24 00:00:00',95,2,6),
 (5465,1,311,1,'Tektron Company internet','Legacy CMS integration for Marketing group',2,'2009-01-08 00:00:00',2,2,500719.00,'2009-12-01 00:00:00',95,2,8),
 (5466,1,311,1,'Cybersouth Annual Audit 2010','GloboCorp portal project.',1,'2009-01-31 00:00:00',1,1,965350.00,'2009-12-01 00:00:00',95,1,2),
 (5467,1,311,1,'Sysmatix RFP application','Annual Audit of application code across the organization',1,'2009-01-11 00:00:00',1,1,325776.00,'2009-12-08 00:00:00',96,1,5),
 (5468,1,311,1,'AnthroSoft.com Financial Reporting portal','Legacy CMS integration for Marketing group',2,'2009-01-08 00:00:00',2,2,226998.00,'2009-12-08 00:00:00',95,2,8),
 (5469,1,311,1,'Genlog CMS integration','Annual Audit of application code across the organization',1,'2009-01-05 00:00:00',1,1,279406.00,'2009-12-15 00:00:00',95,1,3),
 (5470,1,311,1,'Entnuclear IM application','Time tracking application for organization',1,'2009-01-05 00:00:00',1,1,390760.00,'2009-12-15 00:00:00',95,1,9),
 (5471,1,311,1,'AnthroSoft.com Financial Reporting portal','GloboCorp microsite project.',2,'2009-02-03 00:00:00',2,2,206220.00,'2009-12-22 00:00:00',95,2,9),
 (5472,1,311,1,'Costsouth Project wiki','Annual Audit of application code across the organization',2,'2009-01-08 00:00:00',2,2,266476.00,'2009-12-22 00:00:00',95,2,7),
 (5473,1,311,1,'Genlog Team-building portal','Decision Support System',1,'2009-01-03 00:00:00',1,1,329384.00,'2009-12-29 00:00:00',95,1,3),
 (5474,1,311,1,'Nanocom intranet','GloboCorp ecommerce project.',2,'2009-01-28 00:00:00',2,2,134366.00,'2009-12-29 00:00:00',95,2,9),
 (5475,1,312,1,'Yoyoic Single sign-on initiative','GloboCorp portal project.',1,'2009-01-31 00:00:00',1,1,501656.00,'2009-01-06 00:00:00',95,1,2),
 (5476,1,312,1,'Intraura website','Intranet messaging application',2,'2009-01-04 00:00:00',1,2,830053.00,'2009-01-06 00:00:00',95,2,3),
 (5477,1,312,1,'Teramart Marketing Collateral application','Annual Audit of application code across the organization',2,'2009-01-02 00:00:00',2,2,130003.00,'2009-01-13 00:00:00',95,2,6),
 (5478,1,312,1,'Thermonuclear IM application','Application to automate employee review process',2,'2009-01-10 00:00:00',2,2,877116.00,'2009-01-13 00:00:00',95,2,4),
 (5479,1,312,1,'Tektron CMS','GloboCorp wiki project.',1,'2009-02-22 00:00:00',1,1,313978.00,'2009-01-20 00:00:00',95,1,4),
 (5480,1,312,1,'TeknoViapartners ecommerce','GloboCorp microsite project.',2,'2009-02-09 00:00:00',2,2,983089.00,'2009-01-20 00:00:00',95,2,3),
 (5481,1,312,1,'Cyphertegra Company Benefits portal','GloboCorp portal project.',1,'2009-01-25 00:00:00',1,1,977939.00,'2009-01-27 00:00:00',95,1,4),
 (5482,1,312,1,'Unipartners Company internet','GloboCorp portal project.',1,'2009-01-25 00:00:00',1,1,516337.00,'2009-01-27 00:00:00',95,1,4),
 (5483,1,312,1,'Pacmaxa microsite','GloboCorp portal project.',1,'2009-01-21 00:00:00',1,1,168814.00,'2009-02-03 00:00:00',95,1,5),
 (5484,1,312,1,'US Teknorama Marketing Collateral application','Application to automate employee review process',2,'2009-01-10 00:00:00',2,2,496343.00,'2009-02-03 00:00:00',95,2,4),
 (5485,1,312,1,'Navipaq RFP application','GloboCorp wiki project.',1,'2009-02-18 00:00:00',1,1,194487.00,'2009-02-10 00:00:00',95,1,4),
 (5486,1,312,1,'Cryptonetic Sales Tracking application','GloboCorp ecommerce project.',2,'2009-01-24 00:00:00',2,2,150359.00,'2009-02-10 00:00:00',95,2,5),
 (5487,1,312,1,'Polytheon Annual Audit 2010','GloboCorp wiki project.',1,'2009-02-26 00:00:00',1,1,117806.00,'2009-02-17 00:00:00',95,1,7),
 (5488,1,312,1,'Ultrafab Company Benefits portal','GloboCorp ecommerce project.',2,'2009-01-18 00:00:00',2,2,362069.00,'2009-02-17 00:00:00',95,2,6),
 (5489,1,312,1,'Periweb Annual Audit 2010','GloboCorp website project.',1,'2009-01-15 00:00:00',1,1,742953.00,'2009-02-24 00:00:00',95,1,1),
 (5490,1,312,1,'Uniair Decision Support System','Project wiki',2,'2009-01-02 00:00:00',1,2,361617.00,'2009-02-24 00:00:00',95,2,3),
 (5491,1,312,1,'Nuserve Annual Audit 2010','Financial Reporting portal',2,'2009-01-04 00:00:00',1,2,139417.00,'2009-03-03 00:00:00',95,2,3),
 (5492,1,312,1,'iCeleage Team-building portal','Marketing Collateral application',1,'2009-01-03 00:00:00',1,1,260528.00,'2009-03-03 00:00:00',95,1,3),
 (5493,1,312,1,'Thermonuclear Marketing Collateral application','GloboCorp microsite project.',2,'2009-02-07 00:00:00',2,2,875959.00,'2009-03-10 00:00:00',95,2,5),
 (5494,1,312,1,'TeknoViapartners Team-building portal','GloboCorp bug tracking site project.',2,'2009-03-01 00:00:00',2,2,843292.00,'2009-03-10 00:00:00',95,2,7),
 (5495,1,312,1,'Softcent RFP application','Back office integration for accounting and finance',1,'2009-01-07 00:00:00',1,1,551517.00,'2009-03-17 00:00:00',95,1,5),
 (5496,1,312,1,'Cyphertegra ecommerce','GloboCorp website project.',1,'2009-01-11 00:00:00',1,1,760376.00,'2009-03-17 00:00:00',95,1,2),
 (5497,1,312,1,'Rapiway Financial Reporting portal','GloboCorp bug tracking site project.',2,'2009-02-27 00:00:00',2,2,987254.00,'2009-03-24 00:00:00',95,2,3),
 (5498,1,312,1,'Yoyoic Annual Audit 2010','GloboCorp CMS project.',1,'2009-02-14 00:00:00',1,1,124776.00,'2009-03-24 00:00:00',95,1,6),
 (5499,1,312,1,'Cyphertegra RFP application','GloboCorp portal project.',1,'2009-01-29 00:00:00',1,1,180290.00,'2009-03-31 00:00:00',95,1,4),
 (5500,1,312,1,'Cyberrama Help Desk application','Help Desk application',1,'2009-01-01 00:00:00',1,1,612329.00,'2009-03-31 00:00:00',95,1,3),
 (5501,1,312,1,'Softscope CMS integration','Annual Audit of application code across the organization',2,'2009-01-04 00:00:00',2,2,183908.00,'2009-04-07 00:00:00',95,2,8),
 (5502,1,312,1,'US Maxtiqua Team-building portal','GloboCorp CMS project.',1,'2009-02-02 00:00:00',1,1,184185.00,'2009-04-07 00:00:00',95,1,7),
 (5503,1,312,1,'Solscope Project wiki','Annual Audit of application code across the organization',1,'2009-01-05 00:00:00',1,1,311431.00,'2009-04-14 00:00:00',95,1,3),
 (5504,1,312,1,'Thermonuclear ecommerce','Single sign-on initiative',2,'2009-01-04 00:00:00',1,2,127319.00,'2009-04-14 00:00:00',95,2,3),
 (5505,1,312,1,'Cyphertegra website','RFP application to automate prospective client proposal request',2,'2009-01-06 00:00:00',2,2,647856.00,'2009-04-21 00:00:00',95,2,1),
 (5506,1,312,1,'Infracenta microsite','GloboCorp ecommerce project.',2,'2009-02-01 00:00:00',2,2,952275.00,'2009-04-21 00:00:00',95,2,7),
 (5507,1,312,1,'US Cryptocom ecommerce','Application to track outside sales',1,'2009-01-09 00:00:00',1,1,434436.00,'2009-04-28 00:00:00',95,1,3),
 (5508,1,312,1,'Soleccorp Company Benefits portal','Back office integration for accounting and finance',1,'2009-01-07 00:00:00',1,1,888030.00,'2009-04-28 00:00:00',95,1,5),
 (5509,1,312,1,'US Lexalta Marketing Collateral application','GloboCorp portal project.',1,'2009-01-19 00:00:00',1,1,176714.00,'2009-05-05 00:00:00',95,1,5),
 (5510,1,312,1,'Tektron Decision Support System','GloboCorp intranet project.',2,'2009-01-16 00:00:00',2,2,141968.00,'2009-05-05 00:00:00',95,2,4),
 (5511,1,312,1,'Mapdant Annual Audit 2010','GloboCorp microsite project.',2,'2009-02-15 00:00:00',2,2,756156.00,'2009-05-12 00:00:00',95,2,5),
 (5512,1,312,1,'iNetnetic Decision Support System','GloboCorp bug tracking site project.',2,'2009-02-23 00:00:00',2,2,704477.00,'2009-05-12 00:00:00',95,2,7),
 (5513,1,312,1,'SteganoPacPacifidisco bug tracking site','GloboCorp wiki project.',1,'2009-03-04 00:00:00',1,1,526163.00,'2009-05-19 00:00:00',95,1,5),
 (5514,1,312,1,'eInmarcs Company Benefits portal','Back office integration for accounting and finance',1,'2009-01-07 00:00:00',1,1,774219.00,'2009-05-19 00:00:00',95,1,5),
 (5515,1,312,1,'Quinvalu Decision Support System','GloboCorp wiki project.',1,'2009-03-04 00:00:00',1,1,881671.00,'2009-05-26 00:00:00',95,1,5),
 (5516,1,312,1,'Utiliagra Company internet','GloboCorp bug tracking site project.',2,'2009-03-03 00:00:00',2,2,609546.00,'2009-05-26 00:00:00',95,2,4),
 (5517,1,312,1,'SteganoPacPacifidisco Annual Audit 2010','Marketing Collateral application',1,'2009-01-03 00:00:00',1,1,510894.00,'2009-06-02 00:00:00',95,1,3),
 (5518,1,312,1,'Keygraph portal','GloboCorp bug tracking site project.',2,'2009-02-21 00:00:00',2,2,318305.00,'2009-06-02 00:00:00',95,2,3),
 (5519,1,312,1,'Parasource.com website','RFP application to automate prospective client proposal request',2,'2009-01-06 00:00:00',2,2,120036.00,'2009-06-09 00:00:00',95,2,1),
 (5520,1,312,1,'Solscope IM application','GloboCorp portal project.',1,'2009-01-23 00:00:00',1,1,246464.00,'2009-06-09 00:00:00',95,1,5),
 (5521,1,312,1,'Turboron ecommerce','GloboCorp CMS project.',1,'2009-02-02 00:00:00',1,1,131898.00,'2009-06-16 00:00:00',95,1,7),
 (5522,1,312,1,'Teleseco wiki','Help Desk application',1,'2009-01-01 00:00:00',1,1,117670.00,'2009-06-16 00:00:00',95,1,3),
 (5523,1,312,1,'Safephor Sales Tracking application','Annual Audit of application code across the organization',1,'2009-01-03 00:00:00',1,1,117607.00,'2009-06-23 00:00:00',96,1,7),
 (5524,1,312,1,'Ultrafab Help Desk application','GloboCorp ecommerce project.',2,'2009-01-24 00:00:00',2,2,144253.00,'2009-06-23 00:00:00',95,2,5),
 (5525,1,312,1,'Thermolog Human Resources Review application','GloboCorp bug tracking site project.',2,'2009-02-19 00:00:00',2,2,676777.00,'2009-06-30 00:00:00',95,2,1),
 (5526,1,312,1,'AnthroSoft.com Single sign-on initiative','GloboCorp wiki project.',1,'2009-03-04 00:00:00',1,1,136088.00,'2009-06-30 00:00:00',95,1,5),
 (5527,1,312,1,'Thermonuclear Help Desk application','Annual Audit of application code across the organization',2,'2009-01-06 00:00:00',2,2,558976.00,'2009-07-07 00:00:00',95,2,5),
 (5528,1,312,1,'Costsouth bug tracking site','GloboCorp portal project.',1,'2009-01-17 00:00:00',1,1,623127.00,'2009-07-07 00:00:00',95,1,5),
 (5529,1,312,1,'Eyetel Help Desk application','GloboCorp bug tracking site project.',2,'2009-02-23 00:00:00',2,2,970576.00,'2009-07-14 00:00:00',95,2,7),
 (5530,1,312,1,'Soleccorp portal','GloboCorp ecommerce project.',2,'2009-01-18 00:00:00',2,2,522215.00,'2009-07-14 00:00:00',95,2,6),
 (5531,1,312,1,'Thermocom Company internet','Back office integration for accounting and finance',1,'2009-01-07 00:00:00',1,1,161439.00,'2009-07-21 00:00:00',95,1,5),
 (5532,1,312,1,'Celphor Time Tracking application','Back office integration for accounting and finance',1,'2009-01-07 00:00:00',1,1,194866.00,'2009-07-21 00:00:00',95,1,5),
 (5533,1,312,1,'Soleccorp Human Resources Review application','GloboCorp wiki project.',1,'2009-02-24 00:00:00',1,1,957914.00,'2009-07-28 00:00:00',95,1,6),
 (5534,1,312,1,'Uniair intranet','Annual Audit of application code across the organization',1,'2009-01-11 00:00:00',1,1,213104.00,'2009-07-28 00:00:00',96,1,5),
 (5535,1,312,1,'Rapiway intranet','Company benefits portal for intranet',2,'2009-01-04 00:00:00',2,2,149444.00,'2009-08-04 00:00:00',95,2,8),
 (5536,1,312,1,'Tektron IM application','GloboCorp microsite project.',2,'2009-02-07 00:00:00',2,2,167289.00,'2009-08-04 00:00:00',95,2,5),
 (5537,1,312,1,'Eyetheon bug tracking site','Time tracking application for organization',1,'2009-01-05 00:00:00',1,1,871298.00,'2009-08-11 00:00:00',95,1,9),
 (5538,1,312,1,'Xegate microsite','GloboCorp website project.',1,'2009-01-13 00:00:00',1,1,149957.00,'2009-08-11 00:00:00',95,1,4),
 (5539,1,312,1,'iCeleage Company Benefits portal','Project wiki',2,'2009-01-02 00:00:00',1,2,402855.00,'2009-08-18 00:00:00',95,2,3),
 (5540,1,312,1,'Teletronik.com IM application','GloboCorp CMS project.',1,'2009-02-08 00:00:00',1,1,139499.00,'2009-08-18 00:00:00',95,1,7),
 (5541,1,312,1,'US Quinrad Financial Reporting portal','Single sign-on initiative',2,'2009-01-04 00:00:00',1,2,442041.00,'2009-08-25 00:00:00',95,2,3),
 (5542,1,312,1,'Intraura Annual Audit 2010','GloboCorp ecommerce project.',2,'2009-01-20 00:00:00',2,2,977427.00,'2009-08-25 00:00:00',95,2,5),
 (5543,1,312,1,'XeRotodic wiki','GloboCorp portal project.',1,'2009-01-19 00:00:00',1,1,435187.00,'2009-09-01 00:00:00',95,1,5),
 (5544,1,312,1,'Softscope Project wiki','Application to automate employee review process',2,'2009-01-10 00:00:00',2,2,118181.00,'2009-09-01 00:00:00',95,2,4),
 (5545,1,312,1,'Softcom.com Back office integration','Company internet',2,'2009-01-02 00:00:00',2,2,458619.00,'2009-09-08 00:00:00',95,2,6),
 (5546,1,312,1,'SteganoPacPacifidisco ecommerce','Company benefits portal for intranet',2,'2009-01-04 00:00:00',2,2,444576.00,'2009-09-08 00:00:00',95,2,8),
 (5547,1,312,1,'US Turbolinear RFP application','GloboCorp CMS project.',1,'2009-02-12 00:00:00',1,1,958238.00,'2009-09-15 00:00:00',95,1,5),
 (5548,1,312,1,'XeRotodic Project wiki','GloboCorp ecommerce project.',2,'2009-01-30 00:00:00',2,2,984426.00,'2009-09-15 00:00:00',95,2,9),
 (5549,1,312,1,'Texridic ecommerce','Annual Audit of application code across the organization',1,'2009-01-11 00:00:00',1,1,157051.00,'2009-09-22 00:00:00',96,1,5),
 (5550,1,312,1,'Teleseco bug tracking site','GloboCorp ecommerce project.',2,'2009-01-30 00:00:00',2,2,450200.00,'2009-09-22 00:00:00',95,2,9),
 (5551,1,312,1,'Cyberlectric Sales Tracking application','GloboCorp bug tracking site project.',2,'2009-02-27 00:00:00',2,2,644506.00,'2009-09-29 00:00:00',95,2,3),
 (5552,1,312,1,'Maxtomic microsite','GloboCorp portal project.',1,'2009-01-25 00:00:00',1,1,182002.00,'2009-09-29 00:00:00',95,1,4),
 (5553,1,312,1,'eInmarcs Financial Reporting portal','GloboCorp portal project.',1,'2009-01-19 00:00:00',1,1,151787.00,'2009-10-06 00:00:00',95,1,5),
 (5554,1,312,1,'US Costmat Single sign-on initiative','GloboCorp wiki project.',1,'2009-02-18 00:00:00',1,1,401558.00,'2009-10-06 00:00:00',95,1,4),
 (5555,1,312,1,'Westridium Annual Audit 2010','GloboCorp website project.',1,'2009-01-11 00:00:00',1,1,185256.00,'2009-10-13 00:00:00',95,1,2),
 (5556,1,312,1,'US Turbolinear Sales Tracking application','GloboCorp CMS project.',1,'2009-02-10 00:00:00',1,1,982974.00,'2009-10-13 00:00:00',95,1,4),
 (5557,1,312,1,'Cybersouth Sales Tracking application','GloboCorp wiki project.',1,'2009-02-26 00:00:00',1,1,142185.00,'2009-10-20 00:00:00',95,1,7),
 (5558,1,312,1,'Teknocal CMS integration','GloboCorp ecommerce project.',2,'2009-01-28 00:00:00',2,2,335161.00,'2009-10-20 00:00:00',95,2,9),
 (5559,1,312,1,'Airmerica intranet','GloboCorp portal project.',1,'2009-01-23 00:00:00',1,1,389733.00,'2009-10-27 00:00:00',95,1,5),
 (5560,1,312,1,'Softscope Employee portal v1.0','Time tracking application for organization',1,'2009-01-05 00:00:00',1,1,253829.00,'2009-10-27 00:00:00',95,1,9),
 (5561,1,312,1,'US Turbolinear Marketing Collateral application','GloboCorp ecommerce project.',2,'2009-01-20 00:00:00',2,2,897401.00,'2009-11-03 00:00:00',95,2,5),
 (5562,1,312,1,'TeknoViapartners website','Annual Audit of application code across the organization',2,'2009-01-06 00:00:00',2,2,438396.00,'2009-11-03 00:00:00',95,2,5),
 (5563,1,312,1,'Maxtomic website','Company benefits portal for intranet',2,'2009-01-04 00:00:00',2,2,394701.00,'2009-11-10 00:00:00',95,2,8),
 (5564,1,312,1,'Teknocal Annual Audit 2010','GloboCorp wiki project.',1,'2009-02-20 00:00:00',1,1,919074.00,'2009-11-10 00:00:00',95,1,8),
 (5565,1,312,1,'Soncal portal','GloboCorp wiki project.',1,'2009-03-04 00:00:00',1,1,150194.00,'2009-11-17 00:00:00',95,1,5),
 (5566,1,312,1,'Rapiway Financial Reporting portal','GloboCorp portal project.',1,'2009-01-31 00:00:00',1,1,987834.00,'2009-11-17 00:00:00',95,1,2),
 (5567,1,312,1,'Costsouth microsite','GloboCorp wiki project.',1,'2009-02-24 00:00:00',1,1,885448.00,'2009-11-24 00:00:00',95,1,6),
 (5568,1,312,1,'Tekcorp wiki','GloboCorp microsite project.',2,'2009-02-07 00:00:00',2,2,116941.00,'2009-11-24 00:00:00',95,2,5),
 (5569,1,312,1,'eInmarcs Company internet','Time tracking application for organization',1,'2009-01-05 00:00:00',1,1,826442.00,'2009-12-01 00:00:00',95,1,9),
 (5570,1,312,1,'Sysmatix Financial Reporting portal','Back office integration for accounting and finance',1,'2009-01-07 00:00:00',1,1,135874.00,'2009-12-01 00:00:00',95,1,5),
 (5571,1,312,1,'Periweb RFP application','GloboCorp ecommerce project.',2,'2009-01-22 00:00:00',2,2,581479.00,'2009-12-08 00:00:00',95,2,8),
 (5572,1,312,1,'Thermocom Team-building portal','Annual Audit of application code across the organization',1,'2009-01-05 00:00:00',1,1,259034.00,'2009-12-08 00:00:00',95,1,3),
 (5573,1,312,1,'Cybersouth CMS','Annual Audit of application code across the organization',1,'2009-01-05 00:00:00',1,1,161956.00,'2009-12-15 00:00:00',95,1,9),
 (5574,1,312,1,'Utiliagra Team-building portal','Decision Support System',1,'2009-01-03 00:00:00',1,1,833006.00,'2009-12-15 00:00:00',95,1,3),
 (5575,1,312,1,'Theolog Sales Tracking application','GloboCorp microsite project.',2,'2009-02-17 00:00:00',2,2,509178.00,'2009-12-22 00:00:00',95,2,2),
 (5576,1,312,1,'Utiliagra Time Tracking application','GloboCorp portal project.',1,'2009-01-25 00:00:00',1,1,131589.00,'2009-12-22 00:00:00',95,1,4),
 (5577,1,312,1,'US Cryptocom Annual Audit 2010','GloboCorp wiki project.',1,'2009-03-04 00:00:00',1,1,130501.00,'2009-12-29 00:00:00',95,1,5),
 (5578,1,312,1,'Soleccorp microsite','GloboCorp ecommerce project.',2,'2009-01-20 00:00:00',2,2,586834.00,'2009-12-29 00:00:00',95,2,5),
 (5579,1,313,1,'Cybersouth website','Single sign-on initiative',2,'2009-01-04 00:00:00',1,2,129062.00,'2009-01-06 00:00:00',95,2,3),
 (5580,1,313,1,'Polytheon Time Tracking application','GloboCorp wiki project.',1,'2009-02-26 00:00:00',1,1,118161.00,'2009-01-06 00:00:00',95,1,7),
 (5581,1,313,1,'US Turbolinear IM application','GloboCorp intranet project.',2,'2009-01-12 00:00:00',2,2,147161.00,'2009-01-13 00:00:00',95,2,2),
 (5582,1,313,1,'Periweb Decision Support System','Web mail application',1,'2009-01-03 00:00:00',1,1,417576.00,'2009-01-13 00:00:00',95,1,3),
 (5583,1,313,1,'Teknocal wiki','Intranet messaging application',2,'2009-01-04 00:00:00',1,2,550991.00,'2009-01-20 00:00:00',95,2,3),
 (5584,1,313,1,'Navipaq wiki','GloboCorp wiki project.',1,'2009-02-28 00:00:00',1,1,137430.00,'2009-01-20 00:00:00',95,1,3),
 (5585,1,313,1,'Ultravalu Annual Audit 2010','GloboCorp intranet project.',2,'2009-01-12 00:00:00',2,2,153212.00,'2009-01-27 00:00:00',95,2,2),
 (5586,1,313,1,'Nuserve RFP application','Application to automate employee review process',2,'2009-01-10 00:00:00',2,2,622542.00,'2009-01-27 00:00:00',95,2,4),
 (5587,1,313,1,'Cyberlectric Back office integration','GloboCorp wiki project.',1,'2009-02-28 00:00:00',1,1,521407.00,'2009-02-03 00:00:00',95,1,3),
 (5588,1,313,1,'Infracenta Help Desk application','GloboCorp ecommerce project.',2,'2009-01-22 00:00:00',2,2,794858.00,'2009-02-03 00:00:00',95,2,8),
 (5589,1,313,1,'Rapiway Help Desk application','Annual Audit of application code across the organization',1,'2009-01-07 00:00:00',1,1,124726.00,'2009-02-10 00:00:00',96,1,8),
 (5590,1,313,1,'iNetnetic CMS integration','GloboCorp ecommerce project.',2,'2009-01-24 00:00:00',2,2,502750.00,'2009-02-10 00:00:00',95,2,5),
 (5591,1,313,1,'Westridium website','Back office integration for accounting and finance',1,'2009-01-07 00:00:00',1,1,528868.00,'2009-02-17 00:00:00',95,1,5),
 (5592,1,313,1,'Autocast Financial Reporting portal','Legacy CMS integration for Marketing group',2,'2009-01-08 00:00:00',2,2,120834.00,'2009-02-17 00:00:00',95,2,8),
 (5593,1,313,1,'Solscope Company Benefits portal','Annual Audit of application code across the organization',1,'2009-01-05 00:00:00',1,1,126539.00,'2009-02-24 00:00:00',95,1,9),
 (5594,1,313,1,'Tektron Annual Audit 2010','GloboCorp CMS project.',1,'2009-02-12 00:00:00',1,1,664221.00,'2009-02-24 00:00:00',95,1,5),
 (5595,1,313,1,'Tektron Marketing Collateral application','GloboCorp wiki project.',1,'2009-02-24 00:00:00',1,1,905416.00,'2009-03-03 00:00:00',95,1,6),
 (5596,1,313,1,'Texridic CMS','GloboCorp ecommerce project.',2,'2009-01-22 00:00:00',2,2,469292.00,'2009-03-03 00:00:00',95,2,8),
 (5597,1,313,1,'Thermonuclear Back office integration','GloboCorp website project.',1,'2009-01-13 00:00:00',1,1,284657.00,'2009-03-10 00:00:00',95,1,4),
 (5598,1,313,1,'eInmarcs Team-building portal','GloboCorp microsite project.',2,'2009-02-03 00:00:00',2,2,126778.00,'2009-03-10 00:00:00',95,2,9),
 (5599,1,313,1,'Tektron Marketing Collateral application','Financial Reporting portal',2,'2009-01-04 00:00:00',1,2,423614.00,'2009-03-17 00:00:00',95,2,3),
 (5600,1,313,1,'Soncal Decision Support System','GloboCorp ecommerce project.',2,'2009-01-30 00:00:00',2,2,611325.00,'2009-03-17 00:00:00',95,2,9),
 (5601,1,313,1,'Softcent Time Tracking application','Annual Audit of application code across the organization',1,'2009-01-05 00:00:00',1,1,117173.00,'2009-03-24 00:00:00',95,1,3),
 (5602,1,313,1,'Pacifiphor Project wiki','Marketing Collateral application',1,'2009-01-03 00:00:00',1,1,850121.00,'2009-03-24 00:00:00',95,1,3),
 (5603,1,313,1,'Callectrix Company Benefits portal','GloboCorp portal project.',1,'2009-01-21 00:00:00',1,1,178583.00,'2009-03-31 00:00:00',95,1,5),
 (5604,1,313,1,'Mapdant Sales Tracking application','GloboCorp portal project.',1,'2009-01-17 00:00:00',1,1,443580.00,'2009-03-31 00:00:00',95,1,5),
 (5605,1,313,1,'Utiliagra Project wiki','Web mail application',1,'2009-01-03 00:00:00',1,1,386109.00,'2009-04-07 00:00:00',95,1,3),
 (5606,1,313,1,'SynRotobyte website','Marketing Collateral application',1,'2009-01-03 00:00:00',1,1,149434.00,'2009-04-07 00:00:00',95,1,3),
 (5607,1,313,1,'Genlog CMS','GloboCorp website project.',1,'2009-01-15 00:00:00',1,1,848388.00,'2009-04-14 00:00:00',95,1,1),
 (5608,1,313,1,'US Lexalta ecommerce','GloboCorp microsite project.',2,'2009-02-13 00:00:00',2,2,650296.00,'2009-04-14 00:00:00',95,2,5),
 (5609,1,313,1,'Rotopak Decision Support System','GloboCorp microsite project.',2,'2009-02-17 00:00:00',2,2,240010.00,'2009-04-21 00:00:00',95,2,2),
 (5610,1,313,1,'TeknoViapartners microsite','GloboCorp bug tracking site project.',2,'2009-02-23 00:00:00',2,2,391014.00,'2009-04-21 00:00:00',95,2,7),
 (5611,1,313,1,'Westridium Single sign-on initiative','GloboCorp wiki project.',1,'2009-03-04 00:00:00',1,1,999020.00,'2009-04-28 00:00:00',95,1,5),
 (5612,1,313,1,'Autocast bug tracking site','Intranet messaging application',2,'2009-01-04 00:00:00',1,2,714945.00,'2009-04-28 00:00:00',95,2,3),
 (5613,1,313,1,'Nuserve CMS integration','GloboCorp ecommerce project.',2,'2009-01-24 00:00:00',2,2,895599.00,'2009-05-05 00:00:00',95,2,5),
 (5614,1,313,1,'Teleseco Marketing Collateral application','GloboCorp intranet project.',2,'2009-01-12 00:00:00',2,2,833471.00,'2009-05-05 00:00:00',95,2,2),
 (5615,1,313,1,'SteganoPacPacifidisco Company Benefits portal','GloboCorp bug tracking site project.',2,'2009-03-03 00:00:00',2,2,644820.00,'2009-05-12 00:00:00',95,2,4),
 (5616,1,313,1,'Rotopak Time Tracking application','GloboCorp intranet project.',2,'2009-01-14 00:00:00',2,2,885972.00,'2009-05-12 00:00:00',95,2,4),
 (5617,1,313,1,'Costistrix Financial Reporting portal','GloboCorp CMS project.',1,'2009-02-02 00:00:00',1,1,345470.00,'2009-05-19 00:00:00',95,1,7),
 (5618,1,313,1,'eInmarcs wiki','GloboCorp wiki project.',1,'2009-02-28 00:00:00',1,1,301071.00,'2009-05-19 00:00:00',95,1,3),
 (5619,1,313,1,'Costistrix Marketing Collateral application','GloboCorp website project.',1,'2009-01-11 00:00:00',1,1,140153.00,'2009-05-26 00:00:00',95,1,2),
 (5620,1,313,1,'eInmarcs Annual Audit 2010','Annual Audit of application code across the organization',2,'2009-01-12 00:00:00',2,2,117795.00,'2009-05-26 00:00:00',95,2,7),
 (5621,1,313,1,'eInfohacker ecommerce','GloboCorp ecommerce project.',2,'2009-01-24 00:00:00',2,2,948690.00,'2009-06-02 00:00:00',95,2,5),
 (5622,1,313,1,'Polytheon Time Tracking application','GloboCorp intranet project.',2,'2009-01-12 00:00:00',2,2,682361.00,'2009-06-02 00:00:00',95,2,2),
 (5623,1,313,1,'Opengraph Single sign-on initiative','Back office integration for accounting and finance',1,'2009-01-07 00:00:00',1,1,668126.00,'2009-06-09 00:00:00',95,1,5),
 (5624,1,313,1,'Parasource.com Employee portal v1.0','Time tracking application for organization',1,'2009-01-05 00:00:00',1,1,310704.00,'2009-06-09 00:00:00',95,1,9),
 (5625,1,313,1,'Teknocal Team-building portal','GloboCorp wiki project.',1,'2009-02-22 00:00:00',1,1,889200.00,'2009-06-16 00:00:00',95,1,4),
 (5626,1,313,1,'Sysmatix ecommerce','GloboCorp CMS project.',1,'2009-02-08 00:00:00',1,1,635552.00,'2009-06-16 00:00:00',95,1,7),
 (5627,1,313,1,'Cryptonetic RFP application','Annual Audit of application code across the organization',1,'2009-01-05 00:00:00',1,1,952399.00,'2009-06-23 00:00:00',95,1,3),
 (5628,1,313,1,'Tektron IM application','GloboCorp ecommerce project.',2,'2009-01-28 00:00:00',2,2,915014.00,'2009-06-23 00:00:00',95,2,9),
 (5629,1,313,1,'Costat Company internet','GloboCorp website project.',1,'2009-01-11 00:00:00',1,1,532399.00,'2009-06-30 00:00:00',95,1,2),
 (5630,1,313,1,'Softcent wiki','GloboCorp portal project.',1,'2009-01-19 00:00:00',1,1,323539.00,'2009-06-30 00:00:00',95,1,5),
 (5631,1,313,1,'Theolog Company internet','Financial Reporting portal',2,'2009-01-04 00:00:00',1,2,210446.00,'2009-07-07 00:00:00',95,2,3),
 (5632,1,313,1,'Solscope Financial Reporting portal','GloboCorp bug tracking site project.',2,'2009-03-01 00:00:00',2,2,579998.00,'2009-07-07 00:00:00',95,2,7),
 (5633,1,313,1,'Navipaq ecommerce','GloboCorp portal project.',1,'2009-01-23 00:00:00',1,1,626540.00,'2009-07-14 00:00:00',95,1,5),
 (5634,1,313,1,'Cybersouth Company Benefits portal','GloboCorp website project.',1,'2009-01-15 00:00:00',1,1,243999.00,'2009-07-14 00:00:00',95,1,1),
 (5635,1,313,1,'Costat portal','GloboCorp bug tracking site project.',2,'2009-02-27 00:00:00',2,2,447079.00,'2009-07-21 00:00:00',95,2,3),
 (5636,1,313,1,'US Maxtiqua Team-building portal','Time tracking application for organization',1,'2009-01-05 00:00:00',1,1,185698.00,'2009-07-21 00:00:00',95,1,9),
 (5637,1,313,1,'Airmerica CMS','Annual Audit of application code across the organization',1,'2009-01-09 00:00:00',1,1,465086.00,'2009-07-28 00:00:00',95,1,9),
 (5638,1,313,1,'Apfarb Company internet','GloboCorp bug tracking site project.',2,'2009-02-25 00:00:00',2,2,999690.00,'2009-07-28 00:00:00',95,2,7),
 (5639,1,313,1,'Teknocal Project wiki','GloboCorp CMS project.',1,'2009-02-02 00:00:00',1,1,742551.00,'2009-08-04 00:00:00',95,1,7),
 (5640,1,313,1,'Genlanza Project wiki','GloboCorp wiki project.',1,'2009-02-24 00:00:00',1,1,228058.00,'2009-08-04 00:00:00',95,1,6),
 (5641,1,313,1,'eInfohacker website','GloboCorp microsite project.',2,'2009-02-13 00:00:00',2,2,999664.00,'2009-08-11 00:00:00',95,2,5),
 (5642,1,313,1,'US Teknorama Project wiki','Financial Reporting portal',2,'2009-01-04 00:00:00',1,2,144245.00,'2009-08-11 00:00:00',95,2,3),
 (5643,1,313,1,'Teknocal ecommerce','GloboCorp bug tracking site project.',2,'2009-03-01 00:00:00',2,2,956757.00,'2009-08-18 00:00:00',95,2,7),
 (5644,1,313,1,'US Lexalta Team-building portal','Employee portal for intranet',1,'2009-01-01 00:00:00',1,1,267502.00,'2009-08-18 00:00:00',95,1,3),
 (5645,1,313,1,'Navipaq intranet','GloboCorp portal project.',1,'2009-01-23 00:00:00',1,1,622326.00,'2009-08-25 00:00:00',95,1,5),
 (5646,1,313,1,'Eyetel Annual Audit 2010','GloboCorp ecommerce project.',2,'2009-01-18 00:00:00',2,2,118093.00,'2009-08-25 00:00:00',95,2,6),
 (5647,1,313,1,'Pacifiphor Financial Reporting portal','Legacy CMS integration for Marketing group',2,'2009-01-08 00:00:00',2,2,958780.00,'2009-09-01 00:00:00',95,2,8),
 (5648,1,313,1,'Costat Human Resources Review application','Web mail application',1,'2009-01-03 00:00:00',1,1,976114.00,'2009-09-01 00:00:00',95,1,3),
 (5649,1,313,1,'Eyetel Team-building portal','GloboCorp bug tracking site project.',2,'2009-02-27 00:00:00',2,2,639466.00,'2009-09-08 00:00:00',95,2,3),
 (5650,1,313,1,'Polytheon Single sign-on initiative','GloboCorp bug tracking site project.',2,'2009-03-03 00:00:00',2,2,124526.00,'2009-09-08 00:00:00',95,2,4),
 (5651,1,313,1,'Eyetheon Financial Reporting portal','GloboCorp bug tracking site project.',2,'2009-02-23 00:00:00',2,2,420191.00,'2009-09-15 00:00:00',95,2,7),
 (5652,1,313,1,'Teramart Annual Audit 2010','Single sign-on initiative',2,'2009-01-04 00:00:00',1,2,843737.00,'2009-09-15 00:00:00',95,2,3),
 (5653,1,313,1,'Softscope Decision Support System','GloboCorp CMS project.',1,'2009-02-14 00:00:00',1,1,212004.00,'2009-09-22 00:00:00',95,1,6),
 (5654,1,313,1,'SysSoltanium Company Benefits portal','Decision Support System',1,'2009-01-03 00:00:00',1,1,139688.00,'2009-09-22 00:00:00',95,1,3),
 (5655,1,313,1,'Cyphertegra Marketing Collateral application','GloboCorp portal project.',1,'2009-01-25 00:00:00',1,1,471945.00,'2009-09-29 00:00:00',95,1,4),
 (5656,1,313,1,'SysSoltanium CMS integration','GloboCorp portal project.',1,'2009-01-27 00:00:00',1,1,823976.00,'2009-09-29 00:00:00',95,1,7),
 (5657,1,313,1,'Mapdant Time Tracking application','Annual Audit of application code across the organization',2,'2009-01-12 00:00:00',2,2,130067.00,'2009-10-06 00:00:00',95,2,7),
 (5658,1,313,1,'Ultravalu Sales Tracking application','GloboCorp CMS project.',1,'2009-02-06 00:00:00',1,1,979415.00,'2009-10-06 00:00:00',95,1,7),
 (5659,1,313,1,'US Costmat IM application','GloboCorp ecommerce project.',2,'2009-01-28 00:00:00',2,2,544532.00,'2009-10-13 00:00:00',95,2,9),
 (5660,1,313,1,'Uniair IM application','GloboCorp portal project.',1,'2009-01-17 00:00:00',1,1,141762.00,'2009-10-13 00:00:00',95,1,5),
 (5661,1,313,1,'Genlanza Time Tracking application','GloboCorp ecommerce project.',2,'2009-01-28 00:00:00',2,2,427927.00,'2009-10-20 00:00:00',95,2,9),
 (5662,1,313,1,'US Lexalta portal','GloboCorp CMS project.',1,'2009-02-08 00:00:00',1,1,746048.00,'2009-10-20 00:00:00',95,1,7),
 (5663,1,313,1,'Costistrix RFP application','Back office integration for accounting and finance',1,'2009-01-07 00:00:00',1,1,124706.00,'2009-10-27 00:00:00',95,1,5),
 (5664,1,313,1,'Teramart wiki','GloboCorp CMS project.',1,'2009-02-04 00:00:00',1,1,440315.00,'2009-10-27 00:00:00',95,1,5),
 (5665,1,313,1,'US Maxtiqua IM application','GloboCorp microsite project.',2,'2009-02-13 00:00:00',2,2,130225.00,'2009-11-03 00:00:00',95,2,5),
 (5666,1,313,1,'Thermonuclear portal','Help Desk application',1,'2009-01-01 00:00:00',1,1,116734.00,'2009-11-03 00:00:00',95,1,3),
 (5667,1,313,1,'Cyphertegra Single sign-on initiative','GloboCorp bug tracking site project.',2,'2009-02-23 00:00:00',2,2,198088.00,'2009-11-10 00:00:00',95,2,7),
 (5668,1,313,1,'Pacmaxa microsite','GloboCorp website project.',1,'2009-01-13 00:00:00',1,1,407129.00,'2009-11-10 00:00:00',95,1,4),
 (5669,1,313,1,'XeRotodic portal','Team-building portal for intranet',1,'2009-01-03 00:00:00',1,1,141132.00,'2009-11-17 00:00:00',95,1,8),
 (5670,1,313,1,'Quinvalu CMS integration','Project wiki',2,'2009-01-02 00:00:00',1,2,803847.00,'2009-11-17 00:00:00',95,2,3),
 (5671,1,313,1,'ApSoftEnttiqua Decision Support System','GloboCorp portal project.',1,'2009-01-17 00:00:00',1,1,137664.00,'2009-11-24 00:00:00',95,1,5),
 (5672,1,313,1,'Uniair IM application','GloboCorp wiki project.',1,'2009-02-22 00:00:00',1,1,510308.00,'2009-11-24 00:00:00',95,1,4),
 (5673,1,313,1,'Pacifiphor Company internet','GloboCorp portal project.',1,'2009-01-31 00:00:00',1,1,151205.00,'2009-12-01 00:00:00',95,1,2),
 (5674,1,313,1,'US Turbolinear Project wiki','GloboCorp portal project.',1,'2009-01-27 00:00:00',1,1,392703.00,'2009-12-01 00:00:00',95,1,7),
 (5675,1,313,1,'Fibronix Project wiki','GloboCorp portal project.',1,'2009-01-17 00:00:00',1,1,249717.00,'2009-12-08 00:00:00',95,1,5),
 (5676,1,313,1,'Titaniridium Marketing Collateral application','Legacy CMS integration for Marketing group',2,'2009-01-08 00:00:00',2,2,586509.00,'2009-12-08 00:00:00',95,2,8),
 (5677,1,313,1,'Softcent CMS integration','Annual Audit of application code across the organization',1,'2009-01-05 00:00:00',1,1,799700.00,'2009-12-15 00:00:00',95,1,9),
 (5678,1,313,1,'Solscope microsite','GloboCorp CMS project.',1,'2009-02-02 00:00:00',1,1,164124.00,'2009-12-15 00:00:00',95,1,7),
 (5679,1,313,1,'Keygraph portal','GloboCorp portal project.',1,'2009-01-25 00:00:00',1,1,330654.00,'2009-12-22 00:00:00',95,1,4),
 (5680,1,313,1,'eInmarcs Team-building portal','Back office integration for accounting and finance',1,'2009-01-07 00:00:00',1,1,127426.00,'2009-12-22 00:00:00',95,1,5),
 (5681,1,313,1,'Theolog microsite','Project wiki',2,'2009-01-02 00:00:00',1,2,899409.00,'2009-12-29 00:00:00',95,2,3),
 (5682,1,313,1,'Tekcorp Human Resources Review application','GloboCorp ecommerce project.',2,'2009-01-26 00:00:00',2,2,616436.00,'2009-12-29 00:00:00',95,2,1);
CREATE TABLE  `adobecrm`.`lead_source_types` (
  `lead_source_type_id` int(11) NOT NULL AUTO_INCREMENT,
  `type_name` char(255) NOT NULL,
  `lead_source_type` tinyint(4) NOT NULL DEFAULT '0',
  PRIMARY KEY (`lead_source_type_id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=12 DEFAULT CHARSET=utf8;
INSERT INTO `adobecrm`.`lead_source_types` VALUES  (1,'word of mouth',11),
 (2,'web',10),
 (3,'trade show',9),
 (4,'seminar partner',8),
 (5,'seminar internal',7),
 (6,'public relations',6),
 (7,'partner',5),
 (8,'other',4),
 (9,'external referral',3),
 (10,'employee referral',2),
 (11,'advertisement',1);
CREATE TABLE  `adobecrm`.`quota` (
  `user_id` int(11) NOT NULL AUTO_INCREMENT,
  `quota_value` float(14,2) DEFAULT '0.00',
  PRIMARY KEY (`user_id`),
  KEY `user_id` (`user_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
CREATE TABLE  `adobecrm`.`rating_types` (
  `rating_type_id` int(11) NOT NULL AUTO_INCREMENT,
  `type_name` char(255) DEFAULT NULL,
  `rating_type` tinyint(3) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`rating_type_id`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=latin1;
INSERT INTO `adobecrm`.`rating_types` VALUES  (1,'hot',3),
 (2,'warm',2),
 (3,'cold',1);
CREATE TABLE  `adobecrm`.`regional_sales_managers` (
  `user_id` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`user_id`),
  CONSTRAINT `FK_REGIONAL_MANAGERS_USER_ID` FOREIGN KEY (`user_id`) REFERENCES `users` (`user_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
INSERT INTO `adobecrm`.`regional_sales_managers` VALUES  (271),
 (282),
 (293),
 (304);
CREATE TABLE  `adobecrm`.`regions` (
  `region_id` int(11) NOT NULL AUTO_INCREMENT,
  `region_name` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`region_id`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8;
INSERT INTO `adobecrm`.`regions` VALUES  (1,'Northwest'),
 (2,'Southwest'),
 (3,'Northeast'),
 (4,'Southeast');
CREATE TABLE  `adobecrm`.`sales_activities` (
  `user_id` int(11) NOT NULL,
  `activity_type_id` int(11) NOT NULL,
  `client_deal_id` int(11) NOT NULL DEFAULT '0',
  `created_date` datetime DEFAULT NULL,
  PRIMARY KEY (`user_id`,`client_deal_id`) USING BTREE,
  KEY `activity_type_id` (`activity_type_id`),
  KEY `user_id` (`user_id`),
  KEY `client_deal_id` (`client_deal_id`),
  CONSTRAINT `FK_SALES_ACTIVITIES_1` FOREIGN KEY (`user_id`) REFERENCES `users` (`user_id`),
  CONSTRAINT `FK_SALES_ACTIVITIES_2` FOREIGN KEY (`client_deal_id`) REFERENCES `client_deals` (`client_deal_id`),
  CONSTRAINT `FK_SALES_ACTIVITIES_3` FOREIGN KEY (`activity_type_id`) REFERENCES `activity_types` (`activity_type_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
CREATE TABLE  `adobecrm`.`sales_managers` (
  `user_id` int(11) NOT NULL DEFAULT '0',
  `regional_manager_user_id` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`user_id`),
  KEY `user_id` (`user_id`),
  CONSTRAINT `FK_SALES_MANAGERS` FOREIGN KEY (`user_id`) REFERENCES `users` (`user_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 DELAY_KEY_WRITE=1;
INSERT INTO `adobecrm`.`sales_managers` VALUES  (276,271),
 (281,271),
 (287,282),
 (292,282),
 (298,293),
 (303,293),
 (309,304),
 (314,304);
CREATE TABLE  `adobecrm`.`sales_quotas` (
  `user_id` int(11) NOT NULL DEFAULT '0',
  `quota_value` float(14,2) NOT NULL DEFAULT '0.00',
  PRIMARY KEY (`user_id`) USING BTREE,
  KEY `user_id` (`user_id`),
  CONSTRAINT `FK_QUOTA` FOREIGN KEY (`user_id`) REFERENCES `users` (`user_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
INSERT INTO `adobecrm`.`sales_quotas` VALUES  (271,250000.00),
 (272,50000.00),
 (273,350000.00),
 (274,60000.00),
 (275,400000.00),
 (276,304000.00),
 (277,200000.00),
 (278,300700.00),
 (279,330000.00),
 (280,312000.00),
 (281,90000.00),
 (282,70000.00),
 (283,10000.00),
 (284,70000.00),
 (285,300000.00),
 (286,300000.00),
 (287,64000.00),
 (288,367000.00),
 (289,37000.00),
 (290,38000.00),
 (291,90000.00),
 (292,20000.00),
 (293,77000.00),
 (294,55000.00),
 (295,35000.00),
 (296,7000.00),
 (297,378000.00),
 (298,334000.00),
 (299,306500.00),
 (300,320000.00),
 (301,300000.00),
 (302,300000.00),
 (303,300000.00),
 (304,300000.00),
 (305,300000.00),
 (306,300000.00),
 (307,300000.00),
 (308,300000.00),
 (309,300000.00),
 (310,300000.00),
 (311,300000.00),
 (312,300000.00),
 (313,300000.00),
 (314,300000.00);
CREATE TABLE  `adobecrm`.`sales_reps` (
  `user_id` int(11) NOT NULL,
  `manager_user_id` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`user_id`) USING BTREE,
  KEY `user_id` (`user_id`),
  KEY `manager_user_id` (`manager_user_id`),
  CONSTRAINT `FK_SALES_REPS_1` FOREIGN KEY (`user_id`) REFERENCES `users` (`user_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
INSERT INTO `adobecrm`.`sales_reps` VALUES  (272,276),
 (273,276),
 (274,276),
 (275,276),
 (277,281),
 (278,281),
 (279,281),
 (280,281),
 (283,287),
 (284,287),
 (285,287),
 (286,287),
 (288,292),
 (289,292),
 (290,292),
 (291,292),
 (294,298),
 (295,298),
 (296,298),
 (297,298),
 (299,303),
 (300,303),
 (301,303),
 (302,303),
 (305,309),
 (306,309),
 (307,309),
 (308,309),
 (310,314),
 (311,314),
 (312,314),
 (313,314);
CREATE TABLE  `adobecrm`.`stage_types` (
  `stage_type_id` int(11) NOT NULL AUTO_INCREMENT,
  `type_name` char(255) DEFAULT NULL,
  `stage_type` tinyint(3) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`stage_type_id`)
) ENGINE=InnoDB AUTO_INCREMENT=8 DEFAULT CHARSET=latin1;
INSERT INTO `adobecrm`.`stage_types` VALUES  (1,'new prospect',6),
 (2,'defined project',5),
 (3,'committed close',4),
 (4,'closed won',3),
 (5,'closed lost',2),
 (6,'budget committed',1),
 (7,'possible close',7);
CREATE TABLE  `adobecrm`.`status_types` (
  `status_type_id` int(11) NOT NULL AUTO_INCREMENT,
  `type_name` char(255) DEFAULT NULL,
  `status_type` tinyint(3) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`status_type_id`)
) ENGINE=InnoDB AUTO_INCREMENT=10 DEFAULT CHARSET=latin1;
INSERT INTO `adobecrm`.`status_types` VALUES  (1,'technical analysis',8),
 (2,'researching',7),
 (3,'upside - may close this week',6),
 (4,'on hold',5),
 (5,'new',4),
 (6,'in process',3),
 (7,'committed',2),
 (8,'contacted',1),
 (9,'waiting on customer',9);
CREATE TABLE  `adobecrm`.`users` (
  `user_id` int(11) NOT NULL AUTO_INCREMENT,
  `fname` char(255) CHARACTER SET latin1 DEFAULT NULL,
  `lname` char(255) CHARACTER SET latin1 DEFAULT NULL,
  `is_manager` tinyint(1) NOT NULL DEFAULT '0',
  `is_regional_manager` tinyint(1) NOT NULL DEFAULT '0',
  `region_id` int(11) NOT NULL DEFAULT '1',
  PRIMARY KEY (`user_id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=315 DEFAULT CHARSET=utf8;
INSERT INTO `adobecrm`.`users` VALUES  (271,'Yoichiro','Nambu',1,1,1),
 (272,'Makoto','Kobayashi',0,0,1),
 (273,'Toshihide','Maskawa',0,0,1),
 (274,'Albert','Fert',0,0,1),
 (275,'Peter','Grünberg',0,0,1),
 (276,'John C.','Mather',1,0,1),
 (277,'George F.','Smoot',0,0,1),
 (278,'Roy J.','Glauber',0,0,1),
 (279,'John L.','Hall',0,0,1),
 (280,'Theodor W.','Hänsch',0,0,1),
 (281,'David J.','Gross',1,0,1),
 (282,'H. David','Politzer',1,1,2),
 (283,'Frank','Wilczek',0,0,2),
 (284,'Alexei A.','Abrikosov',0,0,2),
 (285,'Vitaly L.','Ginzburg',0,0,2),
 (286,'Anthony J.','Leggett',0,0,2),
 (287,'Raymond','Davis Jr.',1,0,2),
 (288,'Masatoshi','Koshiba',0,0,2),
 (289,'Riccardo','Giacconi',0,0,2),
 (290,'Eric A.','Cornell',0,0,2),
 (291,'Wolfgang','Ketterle',0,0,2),
 (292,'Carl E.','Wieman',1,0,2),
 (293,'Zhores I.','Alferov',1,1,3),
 (294,'Herbert','Kroemer',0,0,3),
 (295,'Jack S.','Kilby',0,0,3),
 (296,'Gerardus','\'t Hooft',0,0,3),
 (297,'Martinus J.G.','Veltman',0,0,3),
 (298,'Robert B.','Laughlin',1,0,3),
 (299,'Horst L.','Störmer',0,0,3),
 (300,'Daniel C.','Tsui',0,0,3),
 (301,'Steven','Chu',0,0,3),
 (302,'Claude','CohenTannoudji',0,0,3),
 (303,'William D.','Phillips',1,0,3),
 (304,'David M.','Lee',1,1,4),
 (305,'Douglas D.','Osheroff',0,0,4),
 (306,'Robert C.','Richardson',0,0,4),
 (307,'Martin L.','Perl',0,0,4),
 (308,'Frederick','Reines',0,0,4),
 (309,'Bertram N.','Brockhouse',1,0,4),
 (310,'Clifford G.','Shull',0,0,4),
 (311,'Russell A.','Hulse',0,0,4),
 (312,'Joseph H.','Taylor Jr.',0,0,4),
 (313,'Georges','Charpak',0,0,4),
 (314,'PierreGilles','de Gennes',1,0,4);

DELIMITER $$

CREATE DEFINER = `root`@`localhost` TRIGGER  `adobecrm`.`insertSalesReps` AFTER INSERT ON `users` FOR EACH ROW BEGIN

	IF NEW.is_manager = 0 THEN
		INSERT INTO sales_reps ( user_id, manager_user_id ) VALUES ( NEW.user_id, 0 );
	END IF;

END $$

DELIMITER ;

DELIMITER $$

CREATE DEFINER = `root`@`localhost` TRIGGER  `adobecrm`.`updateSalesMgrs` AFTER UPDATE ON `users` FOR EACH ROW BEGIN

	DECLARE smcount SMALLINT;
	DECLARE srcount SMALLINT;

	SELECT COUNT( user_id ) FROM sales_managers WHERE user_id = NEW.user_id INTO smcount;

	SELECT COUNT( user_id ) FROM sales_reps WHERE user_id = NEW.user_id INTO srcount;

	IF NEW.is_manager = 0 THEN

		IF smcount > 0 THEN

			DELETE IGNORE sm FROM sales_managers AS sm WHERE sm.user_id = NEW.user_id;

		END IF;

		IF srcount = 0 THEN

			INSERT INTO sales_reps ( user_id, manager_user_id ) VALUES ( NEW.user_id, 0 );

			UPDATE sales_reps SET manager_user_id = 0 WHERE manager_user_id = NEW.user_id;

		END IF;

	ELSEIF NEW.is_manager = 1 AND smcount = 0 THEN

		INSERT INTO sales_managers ( user_id ) VALUES ( NEW.user_id );

		DELETE IGNORE sr FROM sales_reps AS sr WHERE sr.user_id = NEW.user_id;

	END IF;

END $$

DELIMITER ;

DELIMITER $$

/*!50003 SET @TEMP_SQL_MODE=@@SQL_MODE, SQL_MODE='' */ $$
CREATE DEFINER=`root`@`localhost` PROCEDURE  `adobecrm`.`createNewClientDeals`()
BEGIN
	
	CREATE TEMPORARY TABLE IF NOT EXISTS companies (
		id INT NOT NULL AUTO_INCREMENT,
		company_name VARCHAR(30) NOT NULL,
		PRIMARY KEY (id) );

	INSERT INTO companies (company_name) VALUES 
		('Datasource'),		('US Quinrad'),		('US SiliCryptoix'),('Pacmaxa'),
		('Genlanza'),		('iNetnetic'),		('Autocast'),		('Soleccorp'),
		('US Lexalta'),		('Callectrix'),		('Eyetheon'),		('Sysline'),
		('Parasource.com'),	('Thermolog'),		('Synconich'),		('TeknoViapartners'),
		('Nettheon'),		('Teletronik.com'),	('Costistrix'),		('Polytheon'),
		('eInmarcs'),		('eInfohacker'),	('US Cryptocom'),	('Apamerica'),
		('Ultravalu'),		('Costsouth'),		('eRotoway'),		('Entnuclear'),
		('Sysmatix'),		('Metaserve'),		('Turboron'),		('US Teknorama'),
		('eAnthrolan'),		('Cyberrama'),		('Teknocal'),		('Infracenta'),
		('Nuserve'),		('Opengraph'),		('SysSoltanium'),	('Tektron'),
		('ApSoftEnttiqua'),	('Mapdant'),		('Keygraph'),		('SteganoPacPacifidisco'),
		('Xegate'),			('Costat'),			('SynRotobyte'),	('Westridium'),
		('Thermocom'),		('US Turbolinear'),	('Nanocom'),		('US Maxtiqua'),
		('Titaniridium'),	('Rapiway'),		('Aerstate'),		('Titanion'),
		('Safephor'),		('Cyberlectric'),	('Softcent'),		('Eyetel'),
		('UltraNetfab'),	('Utiliagra'),		('Airmerica'),		('Solscope'),
		('Softcom.com'),	('Soncal'),			('Celphor'),		('Motoicon'),
		('iCeleage'),		('Cyphertegra'),	('Genlog'),			('US Costmat'),
		('Apfarb'),			('AnthroSoft.com'),	('Rotopak'),		('Ultrafab'),
		('Teramart'),		('MicroTekbyte'),	('Pacifiphor'),		('Unipartners'),
		('Yoyoic'),			('Cryptonetic'),	('Texridic'),		('US Cyclovalu'),
		('Fibronix'),		('Hyperridium'),	('XeRotodic'),		('Intraura'),
		('Navipaq'),		('Thermonuclear'),	('Teleseco'),		('Tekcorp'),
		('Cybersouth'),		('Theolog'),		('Softscope'),		('Maxtomic'),
		('Uniair'),			('Periweb'),		('Quinvalu'),		('TurboSafevaco');
		
	CREATE TEMPORARY TABLE IF NOT EXISTS projects (
		id INT NOT NULL AUTO_INCREMENT,
		project VARCHAR(40) NOT NULL,
		PRIMARY KEY (id) );

	INSERT INTO projects (project) VALUES 
		('Annual Audit 2010'),		('Back office integration'),		('CMS integration'),
		('Company Benefits portal'),('Company internet'),				('Decision Support System'),
		('Employee portal v1.0'),	('Financial Reporting portal'),		('bug tracking site'),
		('CMS'),					('ecommerce'),						('intranet'),		
		('microsite'),				('portal'),							('website'),
		('wiki'),					('Help Desk application'),			('Human Resources Review application'),
		('IM application'),			('Marketing Collateral application'),('Project wiki'),
		('RFP application'),		('Sales Tracking application'),		('Single sign-on initiative'),
		('Team-building portal'),	('Time Tracking application'),		('Web mail application');

	SET @campaignId = 1;
	SET @tempDealId = 0;
	SET @revenue = 0;
	SET @bellDist = 0;
	SET @title = '';
	SET @project = '';
	SET @companyId = 0;
	SET @projectId = 0;
	
	SET @numberOfCompanies = 0;
	
	SELECT COUNT( id ) FROM companies INTO @numberOfCompanies;

	SET @numberOfProjects = 0;

	SELECT COUNT( id ) FROM projects INTO @numberOfProjects;
	
	SELECT MIN( user_id ) FROM users INTO @lowerBound;
	SELECT MAX( user_id ) FROM users INTO @upperBound;
	SET @tempUserId = @lowerBound;
	SET @notManager = 0;
	SET @currentDate = CAST( '2009-01-06' AS DATETIME );
	SET @currentWeek = 0;
	SET @weeksEntries = 0;
	
	WHILE @tempUserId < @upperBound DO

		BEGIN
		
			SELECT COUNT( user_id ) FROM users 
			    WHERE is_manager != 1
			    AND is_regional_manager != 1
			    AND user_id = @tempUserId INTO @notManager;
			    
			IF 1 = @notManager THEN
				
				SET @notManager = 0;
				
				SET @currentWeek = 0;
				SET @currentDate = CAST( '2009-01-06' AS DATETIME );
				
				WHILE @currentWeek < 52 DO
				
					BEGIN
					
						SET @weeksEntries = 0;
						
						WHILE @weeksEntries < 2 DO
						
							BEGIN
							
								SELECT FLOOR( 1 + ( RAND() * ( 84 - 1 ) ) ) INTO @tempDealId;
								
								SELECT 1 / EXP( POWER( 4 * ( RAND() - 0.5 ), 2 ) ) INTO @bellDist;
								SELECT FLOOR( 100000 + ( @bellDist * ( 1000000 - 100000 ) ) ) INTO @revenue;
								
								SELECT FLOOR( 1 + ( RAND() * ( @numberOfCompanies - 1 ) ) ) INTO @companyId;
								
								SELECT company_name
								INTO @title
								FROM companies 
								WHERE id = @companyId;
								
								SELECT FLOOR( 1 + ( RAND() * ( @numberOfProjects - 1 ) ) ) INTO @projectId;
								
								SELECT project
								INTO @project
								FROM projects
								WHERE id = @projectId;
								
								SELECT CONCAT(@title, ' ', @project) INTO @title;

								INSERT INTO client_deals
									( client_id, user_id, campaign_id, title, description, lead_source_type_id, created_date,
										rating_type_id, priority_level, estimated_revenue, estimated_close_date,
											probability, stage_type_id, status_type_id )
									SELECT 
										client_id, @tempUserId, @campaignId, @title, description, lead_source_type_id, created_date,
											rating_type_id, priority_level, @revenue, @currentDate,
												probability, stage_type_id, status_type_id FROM client_deals
									WHERE
										client_deal_id = @tempDealId;
										
								SET @weeksEntries = @weeksEntries + 1;
							END;
								
						END WHILE;
						
						SET @currentWeek = @currentWeek + 1;
						SELECT DATE_ADD( @currentDate, INTERVAL 1 WEEK ) INTO @currentDate;
						
					END;
						
				END WHILE;
						
			END IF;

			SET @tempUserId = @tempUserId + 1;
	
		END;
		
	END WHILE;
	
	DROP TEMPORARY TABLE IF EXISTS companies;
	DROP TEMPORARY TABLE IF EXISTS projects;
	
	END $$
/*!50003 SET SESSION SQL_MODE=@TEMP_SQL_MODE */  $$

DELIMITER ;

DELIMITER $$

/*!50003 SET @TEMP_SQL_MODE=@@SQL_MODE, SQL_MODE='STRICT_TRANS_TABLES,NO_AUTO_CREATE_USER,NO_ENGINE_SUBSTITUTION' */ $$
CREATE DEFINER=`root`@`localhost` PROCEDURE  `adobecrm`.`createNewDeals`( IN dealsToCreate INT )
BEGIN

	DECLARE i INT DEFAULT dealsToCreate;

	SET @campaignId = 1;
	SET @tempDealId = 0;
	SET @tempUserId = 0;


	WHILE i > 0 DO

		BEGIN

			SELECT FLOOR( 1 + ( RAND() * ( 84 - 1 ) ) ) INTO @tempDealId;
						
			SELECT FLOOR( 271 + ( RAND() * ( 314 - 271 ) ) ) INTO @tempUserId;

			INSERT INTO client_deals
				( client_id, user_id, campaign_id, title, description, lead_source_type_id, created_date,
					rating_type_id, priority_level, estimated_revenue, estimated_close_date,
						probability, stage_type_id, status_type_id )
				SELECT 
					client_id, @tempUserId, @campaignId, title, description, lead_source_type_id, created_date,
						rating_type_id, priority_level, estimated_revenue, estimated_close_date,
							probability, stage_type_id, status_type_id FROM client_deals
				WHERE
					client_deal_id = @tempDealId;

			SET i = i - 1;
	
		END;
	
	END WHILE;
	
	SELECT CONCAT( dealsToCreate, ' deals created.' );
	
END $$
/*!50003 SET SESSION SQL_MODE=@TEMP_SQL_MODE */  $$

DELIMITER ;

DELIMITER $$

/*!50003 SET @TEMP_SQL_MODE=@@SQL_MODE, SQL_MODE='' */ $$
CREATE DEFINER=`root`@`localhost` PROCEDURE  `adobecrm`.`getAllClientDeals`()
BEGIN
		SELECT ca.client_id, ca.client_name, ca.industry AS client_industry, ca.annual_revenue AS client_annual_revenue,
				cd.client_deal_id, cd.title AS client_deal_title, cd.description AS client_deal_description, cd.created_date AS client_deal_datestamp,
					cd.priority_level AS client_deal_priority_level, cd.estimated_revenue AS client_deal_estimated_revenue, 
						cd.estimated_close_date AS client_deal_estimated_close_date, cd.probability AS client_deal_probability,
				lst.*,
				rt.*,
				stage.*,
				stat.*,
				u.user_id, u.fname, u.lname, u.is_manager
		FROM client_deals cd
			JOIN users AS u
			JOIN client_accounts AS ca
			JOIN lead_source_types AS lst
			JOIN rating_types AS rt
			JOIN stage_types AS stage
			JOIN status_types AS stat
		WHERE
			u.user_id = cd.user_id AND
			cd.client_id = ca.client_id AND
			cd.lead_source_type_id = lst.lead_source_type_id AND
			cd.rating_type_id = rt.rating_type_id AND
			cd.stage_type_id = stage.stage_type_id AND
			cd.status_type_id = stat.status_type_id
		ORDER BY
			cd.client_id, u.user_id;
	END $$
/*!50003 SET SESSION SQL_MODE=@TEMP_SQL_MODE */  $$

DELIMITER ;

DELIMITER $$

/*!50003 SET @TEMP_SQL_MODE=@@SQL_MODE, SQL_MODE='' */ $$
CREATE DEFINER=`root`@`localhost` PROCEDURE  `adobecrm`.`getAllClientDealsByStatus`()
BEGIN
		SELECT ca.client_id, ca.client_name, ca.industry AS client_industry, ca.annual_revenue AS client_annual_revenue,
				cd.client_deal_id, cd.title, cd.description, cd.created_date,
					cd.priority_level, cd.estimated_revenue, cd.estimated_close_date, cd.probability,
				lst.*,
				rt.*,
				stage.*,
				stat.*,
				u.user_id, u.fname, u.lname, u.is_manager,
				COUNT( stat.type_name ) AS stat_type_count
		FROM client_deals cd
			JOIN users AS u
			JOIN client_accounts AS ca
			JOIN lead_source_types AS lst
			JOIN rating_types AS rt
			JOIN stage_types AS stage
			JOIN status_types AS stat
		WHERE
			u.user_id = cd.user_id AND
			cd.client_id = ca.client_id AND
			cd.lead_source_type_id = lst.lead_source_type_id AND
			cd.rating_type_id = rt.rating_type_id AND
			cd.stage_type_id = stage.stage_type_id AND
			cd.status_type_id = stat.status_type_id
		GROUP BY
			stat.type_name
		ORDER BY
			cd.client_id, u.user_id;
	END $$
/*!50003 SET SESSION SQL_MODE=@TEMP_SQL_MODE */  $$

DELIMITER ;

DELIMITER $$

/*!50003 SET @TEMP_SQL_MODE=@@SQL_MODE, SQL_MODE='' */ $$
CREATE DEFINER=`root`@`localhost` PROCEDURE  `adobecrm`.`getAllRegionalSalesForecasts`()
BEGIN
		SELECT 
			r.region_id, r.region_name,
				CAST( SUM( cd.estimated_revenue ) AS DECIMAL(14,2) ) AS regional_estimated_revenue, SUM( sq.quota_value ) AS regoional_sales_quota
		FROM client_deals cd
			INNER JOIN users u
			INNER JOIN regions r
			INNER JOIN sales_quotas sq
		WHERE
			cd.user_id = u.user_id AND
			u.region_id = r.region_id AND
			sq.user_id = u.user_id
		GROUP BY 
			r.region_id;
	END $$
/*!50003 SET SESSION SQL_MODE=@TEMP_SQL_MODE */  $$

DELIMITER ;

DELIMITER $$

/*!50003 SET @TEMP_SQL_MODE=@@SQL_MODE, SQL_MODE='' */ $$
CREATE DEFINER=`root`@`localhost` PROCEDURE  `adobecrm`.`getAllRegionalSalesManagers`()
BEGIN
    	SELECT u.user_id, u.fname, u.lname, u.is_manager, u.is_regional_manager, u.region_id
			FROM users AS u INNER JOIN regional_sales_managers AS rsm
			WHERE u.user_id = rsm.user_id;
    END $$
/*!50003 SET SESSION SQL_MODE=@TEMP_SQL_MODE */  $$

DELIMITER ;

DELIMITER $$

/*!50003 SET @TEMP_SQL_MODE=@@SQL_MODE, SQL_MODE='' */ $$
CREATE DEFINER=`root`@`localhost` PROCEDURE  `adobecrm`.`getAllSalesForecasts`()
BEGIN
		SELECT	cd.user_id, u.fname, u.lname, u.is_manager, u.is_regional_manager, u.region_id,
				SUM( estimated_revenue ) AS projected_total_revenue, sq.quota_value AS sales_quota
			FROM client_deals AS cd
				JOIN users AS u
				JOIN sales_quotas AS sq
			WHERE cd.user_id = sq.user_id AND
				 	cd.user_id = u.user_id
			GROUP BY cd.user_id
			ORDER BY cd.user_id;
    END $$
/*!50003 SET SESSION SQL_MODE=@TEMP_SQL_MODE */  $$

DELIMITER ;

DELIMITER $$

/*!50003 SET @TEMP_SQL_MODE=@@SQL_MODE, SQL_MODE='' */ $$
CREATE DEFINER=`root`@`localhost` PROCEDURE  `adobecrm`.`getAllSalesManagers`()
BEGIN
    	SELECT u.user_id, u.fname, u.lname, u.is_manager
			FROM users AS u INNER JOIN sales_managers AS sm
			WHERE u.user_id = sm.user_id;
    END $$
/*!50003 SET SESSION SQL_MODE=@TEMP_SQL_MODE */  $$

DELIMITER ;

DELIMITER $$

/*!50003 SET @TEMP_SQL_MODE=@@SQL_MODE, SQL_MODE='' */ $$
CREATE DEFINER=`root`@`localhost` PROCEDURE  `adobecrm`.`getAllSalesQuotas`()
BEGIN
		SELECT sq.user_id, u.fname, u.lname, u.is_manager, sq.quota_value AS sales_quota
		FROM sales_quotas AS sq
			INNER JOIN users AS u
		WHERE sq.user_id = u.user_id;
	END $$
/*!50003 SET SESSION SQL_MODE=@TEMP_SQL_MODE */  $$

DELIMITER ;

DELIMITER $$

/*!50003 SET @TEMP_SQL_MODE=@@SQL_MODE, SQL_MODE='' */ $$
CREATE DEFINER=`root`@`localhost` PROCEDURE  `adobecrm`.`getAllSalesRegions`()
BEGIN
		SELECT 
				r.region_id, r.region_name
		FROM
			regions AS r;
	END $$
/*!50003 SET SESSION SQL_MODE=@TEMP_SQL_MODE */  $$

DELIMITER ;

DELIMITER $$

/*!50003 SET @TEMP_SQL_MODE=@@SQL_MODE, SQL_MODE='' */ $$
CREATE DEFINER=`root`@`localhost` PROCEDURE  `adobecrm`.`getAllSalesReps`()
BEGIN
    	SELECT u.user_id, u.fname, u.lname, u.is_manager, u.is_regional_manager, u.region_id, sr.manager_user_id
		FROM users AS u 
			INNER JOIN sales_reps AS sr
		WHERE u.user_id = sr.user_id;
	END $$
/*!50003 SET SESSION SQL_MODE=@TEMP_SQL_MODE */  $$

DELIMITER ;

DELIMITER $$

/*!50003 SET @TEMP_SQL_MODE=@@SQL_MODE, SQL_MODE='' */ $$
CREATE DEFINER=`root`@`localhost` PROCEDURE  `adobecrm`.`getAllUsers`()
BEGIN
    	SELECT u.user_id, u.fname, u.lname, u.is_manager FROM users u;
    END $$
/*!50003 SET SESSION SQL_MODE=@TEMP_SQL_MODE */  $$

DELIMITER ;

DELIMITER $$

/*!50003 SET @TEMP_SQL_MODE=@@SQL_MODE, SQL_MODE='' */ $$
CREATE DEFINER=`root`@`localhost` PROCEDURE  `adobecrm`.`getClientDealsByStatusTypeId`( IN statTypeId INT )
BEGIN
		SELECT ca.client_id, ca.client_name, ca.industry AS client_industry, ca.annual_revenue AS client_annual_revenue,
				cd.client_deal_id, cd.title, cd.description, cd.created_date,
					cd.priority_level, cd.estimated_revenue, cd.estimated_close_date, cd.probability,
				lst.*,
				rt.*,
				stage.*,
				stat.*,
				u.user_id, u.fname, u.lname, u.is_manager
		FROM client_deals cd
			JOIN users AS u
			JOIN client_accounts AS ca
			JOIN lead_source_types AS lst
			JOIN rating_types AS rt
			JOIN stage_types AS stage
			JOIN status_types AS stat
		WHERE
			cd.status_type_id = statTypeId AND
			stat.status_type_id = statTypeId AND
			cd.user_id = u.user_id AND
			cd.client_id = ca.client_id AND
			cd.lead_source_type_id = lst.lead_source_type_id AND
			cd.rating_type_id = rt.rating_type_id AND
			cd.stage_type_id = stage.stage_type_id
		ORDER BY
			cd.client_id, u.user_id;
	END $$
/*!50003 SET SESSION SQL_MODE=@TEMP_SQL_MODE */  $$

DELIMITER ;

DELIMITER $$

/*!50003 SET @TEMP_SQL_MODE=@@SQL_MODE, SQL_MODE='' */ $$
CREATE DEFINER=`root`@`localhost` PROCEDURE  `adobecrm`.`getClientDealsByUserId`( IN userId INT )
BEGIN
		SELECT ca.client_id, ca.client_name, ca.industry AS client_industry, ca.annual_revenue AS client_annual_revenue,
				cd.client_deal_id, cd.title AS client_deal_title, cd.description AS client_deal_description, cd.created_date AS client_deal_datestamp,
					cd.priority_level AS client_deal_priority_level, cd.estimated_revenue AS client_deal_estimated_revenue, 
						cd.estimated_close_date AS client_deal_estimated_close_date, cd.probability AS client_deal_probability,
				lst.*,
				rt.*,
				stage.*,
				stat.*,
				u.user_id, u.fname, u.lname, u.is_manager
		FROM client_deals AS cd
			INNER JOIN users AS u
			INNER JOIN client_accounts AS ca
			INNER JOIN lead_source_types AS lst
			INNER JOIN rating_types AS rt
			INNER JOIN stage_types AS stage
			INNER JOIN status_types AS stat
		WHERE
			cd.user_id = userId AND 
			u.user_id = cd.user_id AND
			ca.client_id = cd.client_id AND
			cd.lead_source_type_id = lst.lead_source_type_id AND
			cd.rating_type_id = rt.rating_type_id AND
			cd.stage_type_id = stage.stage_type_id AND
			cd.status_type_id = stat.status_type_id;
	END $$
/*!50003 SET SESSION SQL_MODE=@TEMP_SQL_MODE */  $$

DELIMITER ;

DELIMITER $$

/*!50003 SET @TEMP_SQL_MODE=@@SQL_MODE, SQL_MODE='' */ $$
CREATE DEFINER=`root`@`localhost` PROCEDURE  `adobecrm`.`getRegionalSalesForecastsByRegionId`( IN regionId INT )
BEGIN
		SELECT 
			r.region_id, r.region_name, u.user_id, u.fname, u.lname,
				CAST( SUM( cd.estimated_revenue ) AS DECIMAL( 14, 2 ) ) AS regional_estimated_revenue, SUM( sq.quota_value ) AS regoional_sales_quota
		FROM client_deals cd
			INNER JOIN users u
			INNER JOIN regions r
			INNER JOIN sales_quotas sq
		WHERE
			cd.user_id = u.user_id AND
			u.region_id = r.region_id AND
			sq.user_id = u.user_id AND
			r.region_id = 2
		GROUP BY 
			r.region_id;
	END $$
/*!50003 SET SESSION SQL_MODE=@TEMP_SQL_MODE */  $$

DELIMITER ;

DELIMITER $$

/*!50003 SET @TEMP_SQL_MODE=@@SQL_MODE, SQL_MODE='' */ $$
CREATE DEFINER=`root`@`localhost` PROCEDURE  `adobecrm`.`getRegionalSalesManagerById`( IN userId INT )
BEGIN
    	SELECT 
			u.user_id, u.fname, u.lname, u.is_manager, u.is_regional_manager
		FROM users AS u 
			INNER JOIN regional_sales_managers AS rsm
		WHERE 
			rsm.user_id = userId AND 
			u.user_id = userId AND
			u.is_manager = 1 AND
			u.is_regional_manager = 1;
    END $$
/*!50003 SET SESSION SQL_MODE=@TEMP_SQL_MODE */  $$

DELIMITER ;

DELIMITER $$

/*!50003 SET @TEMP_SQL_MODE=@@SQL_MODE, SQL_MODE='' */ $$
CREATE DEFINER=`root`@`localhost` PROCEDURE  `adobecrm`.`getRegionalSalesManagerByRegionId`( IN regionId INT )
BEGIN
    	SELECT 
			u.user_id, u.fname, u.lname, u.is_manager, u.is_regional_manager, u.region_id
		FROM regional_sales_managers rsm 
			INNER JOIN users u
			INNER JOIN regions r
		WHERE 
			u.user_id = rsm.user_id AND
			u.region_id = regionId AND
			r.region_id = regionId;
    END $$
/*!50003 SET SESSION SQL_MODE=@TEMP_SQL_MODE */  $$

DELIMITER ;

DELIMITER $$

/*!50003 SET @TEMP_SQL_MODE=@@SQL_MODE, SQL_MODE='' */ $$
CREATE DEFINER=`root`@`localhost` PROCEDURE  `adobecrm`.`getSalesActivitiesByUserId`( IN userId INT )
BEGIN
		SELECT at.activity_type_id, at.type AS activity_type, at.type_name AS activity_type_name,
				ca.client_id, ca.client_name, ca.industry AS client_industry, ca.annual_revenue AS client_annual_revenue,
				cd.client_deal_id, cd.title AS client_deal_title, cd.description AS client_deal_description, cd.created_date AS client_deal_datestamp,
					cd.priority_level AS client_deal_priority_level, cd.estimated_revenue AS client_deal_estimated_revenue, 
						cd.estimated_close_date AS client_deal_estimated_close_date, cd.probability AS client_deal_probability,
				lst.*,
				rt.*,
				stage.*,
				stat.*,
				u.user_id, u.fname, u.lname, u.is_manager, sa.created_date AS sales_activity_date
		FROM sales_activities AS sa
			JOIN users AS u
			JOIN client_deals AS cd
			JOIN client_accounts AS ca
			JOIN activity_types AS at
			JOIN lead_source_types AS lst
			JOIN rating_types AS rt
			JOIN stage_types AS stage
			JOIN status_types AS stat
		WHERE
			sa.user_id = userId AND 
			u.user_id = sa.user_id AND
			sa.activity_type_id = at.activity_type_id AND
			sa.user_id = ca.user_id AND
			cd.lead_source_type_id = lst.lead_source_type_id AND
			cd.rating_type_id = rt.rating_type_id AND
			cd.stage_type_id = stage.stage_type_id AND
			cd.status_type_id = stat.status_type_id;
	END $$
/*!50003 SET SESSION SQL_MODE=@TEMP_SQL_MODE */  $$

DELIMITER ;

DELIMITER $$

/*!50003 SET @TEMP_SQL_MODE=@@SQL_MODE, SQL_MODE='' */ $$
CREATE DEFINER=`root`@`localhost` PROCEDURE  `adobecrm`.`getSalesForecastsByUserId`( IN userId INT )
BEGIN
		SELECT u.user_id, u.fname, u.lname, u.is_manager, u.is_regional_manager, u.region_id,
				SUM( cd.estimated_revenue ) AS projected_total_revenue, sq.quota_value AS sales_quota
		FROM sales_quotas AS sq
			INNER JOIN users AS u
			INNER JOIN client_deals AS cd
		WHERE 
			sq.user_id = userId AND 
			cd.user_id = userId AND 
			u.user_id = userId;
    END $$
/*!50003 SET SESSION SQL_MODE=@TEMP_SQL_MODE */  $$

DELIMITER ;

DELIMITER $$

/*!50003 SET @TEMP_SQL_MODE=@@SQL_MODE, SQL_MODE='' */ $$
CREATE DEFINER=`root`@`localhost` PROCEDURE  `adobecrm`.`getSalesManagerById`( IN userId INT )
BEGIN
    	SELECT u.user_id, u.fname, u.lname, u.is_manager
			FROM users AS u INNER JOIN sales_managers AS sm
			WHERE sm.user_id = userId AND u.user_id = userId;
    END $$
/*!50003 SET SESSION SQL_MODE=@TEMP_SQL_MODE */  $$

DELIMITER ;

DELIMITER $$

/*!50003 SET @TEMP_SQL_MODE=@@SQL_MODE, SQL_MODE='' */ $$
CREATE DEFINER=`root`@`localhost` PROCEDURE  `adobecrm`.`getSalesQuotaByUserId`( IN userId INT )
BEGIN
		SELECT sq.user_id, u.fname, u.lname, u.is_manager, sq.quota_value AS sales_quota
		FROM sales_quotas AS sq
			INNER JOIN users AS u
		WHERE sq.user_id = userId AND u.user_id = sq.user_id;
	END $$
/*!50003 SET SESSION SQL_MODE=@TEMP_SQL_MODE */  $$

DELIMITER ;

DELIMITER $$

/*!50003 SET @TEMP_SQL_MODE=@@SQL_MODE, SQL_MODE='' */ $$
CREATE DEFINER=`root`@`localhost` PROCEDURE  `adobecrm`.`getSalesRegionsByRegionId`( IN regionId INT )
BEGIN
		SELECT 
				r.region_id, r.region_name
		FROM
			regions AS r
		WHERE
			r.region_id = regionId;
	END $$
/*!50003 SET SESSION SQL_MODE=@TEMP_SQL_MODE */  $$

DELIMITER ;

DELIMITER $$

/*!50003 SET @TEMP_SQL_MODE=@@SQL_MODE, SQL_MODE='' */ $$
CREATE DEFINER=`root`@`localhost` PROCEDURE  `adobecrm`.`getSalesRepById`( IN userId INT )
BEGIN
    	SELECT u.user_id, u.fname, u.lname, u.is_manager, u.is_regional_manager, u.region_id, sr.manager_user_id
		FROM users AS u 
			INNER JOIN sales_reps AS sr
		WHERE
			sr.user_id = userId AND 
			u.user_id = userId;
    END $$
/*!50003 SET SESSION SQL_MODE=@TEMP_SQL_MODE */  $$

DELIMITER ;

DELIMITER $$

/*!50003 SET @TEMP_SQL_MODE=@@SQL_MODE, SQL_MODE='' */ $$
CREATE DEFINER=`root`@`localhost` PROCEDURE  `adobecrm`.`getSalesRepSalesForecastsBySalesManagerId`( IN salesManagerId INT )
BEGIN
		SELECT 
			u.region_id, u.user_id, u.fname, u.lname, u.is_manager, u.is_regional_manager,
			CAST( SUM( cd.estimated_revenue ) AS DECIMAL( 14, 2 ) ) AS total_estimated_revenue,
			sq.quota_value AS sales_quota
		FROM
			users u
			INNER JOIN sales_reps sr
			INNER JOIN client_deals cd
			INNER JOIN sales_quotas sq
		WHERE
			u.user_id = sr.user_id AND
			cd.user_id = sr.user_id AND
			sq.user_id = sr.user_id AND
			sr.manager_user_id = salesManagerId
		GROUP BY
			u.user_id;
    END $$
/*!50003 SET SESSION SQL_MODE=@TEMP_SQL_MODE */  $$

DELIMITER ;

DELIMITER $$

/*!50003 SET @TEMP_SQL_MODE=@@SQL_MODE, SQL_MODE='STRICT_TRANS_TABLES,NO_AUTO_CREATE_USER,NO_ENGINE_SUBSTITUTION' */ $$
CREATE DEFINER=`root`@`localhost` PROCEDURE  `adobecrm`.`getSalesRepsByManagerId`( IN userId INT )
BEGIN
    	SELECT u.user_id, u.fname, u.lname, u.is_manager, sr.manager_user_id
			FROM users AS u 
				INNER JOIN sales_reps AS sr
			WHERE u.user_id = sr.user_id AND sr.manager_user_id = userId;
    END $$
/*!50003 SET SESSION SQL_MODE=@TEMP_SQL_MODE */  $$

DELIMITER ;

DELIMITER $$

/*!50003 SET @TEMP_SQL_MODE=@@SQL_MODE, SQL_MODE='' */ $$
CREATE DEFINER=`root`@`localhost` PROCEDURE  `adobecrm`.`getSalesRepsBySalesManagerId`( IN userId INT )
BEGIN
    	SELECT u.user_id, u.fname, u.lname, u.is_manager, u.is_regional_manager, u.region_id, sr.manager_user_id
		FROM users AS u 
			INNER JOIN sales_reps AS sr
		WHERE
			u.user_id = sr.user_id AND 
			sr.manager_user_id = userId;
    END $$
/*!50003 SET SESSION SQL_MODE=@TEMP_SQL_MODE */  $$

DELIMITER ;

DELIMITER $$

/*!50003 SET @TEMP_SQL_MODE=@@SQL_MODE, SQL_MODE='' */ $$
CREATE DEFINER=`root`@`localhost` PROCEDURE  `adobecrm`.`getSalesUnitForecastsByRegionId`( IN regionId INT )
BEGIN
		SELECT 
			u.region_id, r.region_name, u.user_id, u.fname, u.lname, u.is_manager, u.is_regional_manager,
			(
				SELECT 
					CAST( SUM( cd.estimated_revenue ) AS DECIMAL( 14, 2 ) )
				FROM
					users uu
					INNER JOIN sales_reps sr
					INNER JOIN client_deals cd
				WHERE
					uu.user_id = sr.user_id AND
					cd.user_id = uu.user_id AND
					uu.region_id = regionId AND
					sr.manager_user_id = sm.user_id
				GROUP BY
					sr.manager_user_id, uu.region_id
			) AS total_estimated_revenue,
			(
				SELECT 
					CAST( SUM( sq.quota_value ) AS DECIMAL( 14, 2 ) )
				FROM
					users uu
					INNER JOIN sales_reps sr
					INNER JOIN sales_quotas sq
				WHERE
					uu.user_id = sr.user_id AND
					sq.user_id = uu.user_id AND
					uu.region_id = regionId AND
					sr.manager_user_id = sm.user_id
				GROUP BY
					sr.manager_user_id, uu.region_id
			) AS total_sales_quota
		FROM 
			sales_managers sm
			INNER JOIN users u
			INNER JOIN regions r
		WHERE
			u.user_id = sm.user_id AND
			u.region_id = regionId AND
			r.region_id = regionId;
    END $$
/*!50003 SET SESSION SQL_MODE=@TEMP_SQL_MODE */  $$

DELIMITER ;

DELIMITER $$

/*!50003 SET @TEMP_SQL_MODE=@@SQL_MODE, SQL_MODE='' */ $$
CREATE DEFINER=`root`@`localhost` PROCEDURE  `adobecrm`.`getSalesUnitsByRegionId`( IN regionId INT )
BEGIN
		SELECT 
			r.region_id, r.region_name, u.user_id, u.fname, u.lname,
				SUM( cd.estimated_revenue ) AS regional_estimated_revenue, SUM( sq.quota_value ) AS regoional_sales_quota
		FROM client_deals cd
			INNER JOIN users u
			INNER JOIN regions r
			INNER JOIN sales_quotas sq
		WHERE
			cd.user_id = u.user_id AND
			u.region_id = r.region_id AND
			sq.user_id = u.user_id
		GROUP BY 
			r.region_id;
	END $$
/*!50003 SET SESSION SQL_MODE=@TEMP_SQL_MODE */  $$

DELIMITER ;

DELIMITER $$

/*!50003 SET @TEMP_SQL_MODE=@@SQL_MODE, SQL_MODE='' */ $$
CREATE DEFINER=`root`@`localhost` PROCEDURE  `adobecrm`.`getTop10ClientDeals`()
BEGIN
		SELECT ca.client_id, ca.client_name, ca.industry AS client_industry, ca.annual_revenue AS client_annual_revenue,
					cd.client_deal_id, cd.title AS client_deal_title, cd.description AS client_deal_description, cd.created_date AS client_deal_datestamp,
						cd.priority_level AS client_deal_priority_level, cd.estimated_revenue AS client_deal_estimated_revenue,
							cd.estimated_close_date AS client_deal_estimated_close_date, cd.probability AS client_deal_probability,
				lst.*,
				rt.*,
				stage.*,
				stat.*,
				u.user_id, u.fname, u.lname, u.is_manager,
				r.region_id, r.region_name
		FROM client_deals AS cd
			INNER JOIN users AS u
			INNER JOIN regions AS r
			INNER JOIN client_accounts AS ca
			INNER JOIN lead_source_types AS lst
			INNER JOIN rating_types AS rt
			INNER JOIN stage_types AS stage
			INNER JOIN status_types AS stat
		WHERE
			cd.user_id = u.user_id AND
			cd.lead_source_type_id = lst.lead_source_type_id AND
			cd.rating_type_id = rt.rating_type_id AND
			cd.stage_type_id = stage.stage_type_id AND
			cd.status_type_id = stat.status_type_id
		GROUP BY
			cd.client_deal_id
		ORDER BY
			cd.estimated_revenue DESC
		LIMIT 10;
	END $$
/*!50003 SET SESSION SQL_MODE=@TEMP_SQL_MODE */  $$

DELIMITER ;

DELIMITER $$

/*!50003 SET @TEMP_SQL_MODE=@@SQL_MODE, SQL_MODE='' */ $$
CREATE DEFINER=`root`@`localhost` PROCEDURE  `adobecrm`.`getTop10ClientDealsByRegionId`( IN regionId INT )
BEGIN
		SELECT ca.client_id, ca.client_name, ca.industry AS client_industry, ca.annual_revenue AS client_annual_revenue,
					cd.client_deal_id, cd.title, cd.description, cd.created_date,
						cd.priority_level, cd.estimated_revenue,
							cd.estimated_close_date, cd.probability,
				lst.*,
				rt.*,
				stage.*,
				stat.*,
				u.user_id, u.fname, u.lname, u.is_manager,
				r.region_id, r.region_name
		FROM users AS u
			INNER JOIN client_deals AS cd
			INNER JOIN regions AS r
			INNER JOIN client_accounts AS ca
			INNER JOIN lead_source_types AS lst
			INNER JOIN rating_types AS rt
			INNER JOIN stage_types AS stage
			INNER JOIN status_types AS stat
		WHERE
			u.region_id = regionId AND
			r.region_id = regionId AND 
			u.user_id = cd.user_id AND
			ca.client_id = cd.client_id AND
			cd.lead_source_type_id = lst.lead_source_type_id AND
			cd.rating_type_id = rt.rating_type_id AND
			cd.stage_type_id = stage.stage_type_id AND
			cd.status_type_id = stat.status_type_id
		GROUP BY
			cd.client_deal_id
		ORDER BY
			cd.estimated_revenue, u.user_id DESC
		LIMIT 10;
	END $$
/*!50003 SET SESSION SQL_MODE=@TEMP_SQL_MODE */  $$

DELIMITER ;

DELIMITER $$

/*!50003 SET @TEMP_SQL_MODE=@@SQL_MODE, SQL_MODE='' */ $$
CREATE DEFINER=`root`@`localhost` PROCEDURE  `adobecrm`.`getTop10ClientDealsByUserId`( IN userId INT,
															IN lBoundDate DATETIME,
															IN uBoundDate DATETIME )
BEGIN
		
		
		
		SELECT ca.client_id, ca.client_name, ca.industry AS client_industry, ca.annual_revenue AS client_annual_revenue,
					cd.client_deal_id, cd.title AS client_deal_title, cd.description AS client_deal_description, cd.created_date AS client_deal_datestamp,
						cd.priority_level AS client_deal_priority_level, cd.estimated_revenue AS client_deal_estimated_revenue,
							cd.estimated_close_date AS client_deal_estimated_close_date, cd.probability AS client_deal_probability,
				lst.*,
				rt.*,
				stage.*,
				stat.*,
				u.user_id, u.fname, u.lname, u.is_manager,
				r.region_id, r.region_name
		FROM client_deals AS cd
			INNER JOIN users AS u
			INNER JOIN regions AS r
			INNER JOIN client_accounts AS ca
			INNER JOIN lead_source_types AS lst
			INNER JOIN rating_types AS rt
			INNER JOIN stage_types AS stage
			INNER JOIN status_types AS stat
		WHERE
			cd.user_id = u.user_id AND
			cd.lead_source_type_id = lst.lead_source_type_id AND
			cd.rating_type_id = rt.rating_type_id AND
			cd.stage_type_id = stage.stage_type_id AND
			cd.status_type_id = stat.status_type_id AND
			cd.user_id = userId AND
			( ( cd.estimated_close_date BETWEEN lBoundDate AND uBoundDate ) OR 
			  	( lBoundDate IS NULL OR uBoundDate is NULL )
			)
		GROUP BY
			cd.client_deal_id
		ORDER BY
			cd.estimated_revenue DESC
		LIMIT 10;
	END $$
/*!50003 SET SESSION SQL_MODE=@TEMP_SQL_MODE */  $$

DELIMITER ;

DELIMITER $$

/*!50003 SET @TEMP_SQL_MODE=@@SQL_MODE, SQL_MODE='' */ $$
CREATE DEFINER=`root`@`localhost` PROCEDURE  `adobecrm`.`getTop10SalesRepForecastsByPercentOfQuota`()
BEGIN
    	SELECT u.user_id, u.fname, u.lname, u.is_manager, u.is_regional_manager, u.region_id,
    		SUM( cd.estimated_revenue ) AS projected_total_sales,
			SUM( cd.estimated_revenue ) AS total_sales,
				( SUM( cd.estimated_revenue ) / sq.quota_value ) * 100 AS percent_of_quota,
					sq.quota_value
		FROM users u
			INNER JOIN client_deals cd
			INNER JOIN sales_quotas AS sq
		WHERE
			u.user_id = cd.user_id AND
			u.user_id = sq.user_id AND
			EXISTS (
				SELECT client_deals.estimated_close_date FROM client_deals
					WHERE DATEDIFF( NOW(), client_deals.estimated_close_date ) >= 0
					)
			GROUP BY cd.user_id
			ORDER BY total_sales DESC, cd.client_deal_id ASC
		LIMIT 10;
    END $$
/*!50003 SET SESSION SQL_MODE=@TEMP_SQL_MODE */  $$

DELIMITER ;

DELIMITER $$

/*!50003 SET @TEMP_SQL_MODE=@@SQL_MODE, SQL_MODE='' */ $$
CREATE DEFINER=`root`@`localhost` PROCEDURE  `adobecrm`.`getUserById`( IN userId INT )
BEGIN
    	SELECT user_id, fname, lname, is_manager
			FROM users
			WHERE user_id = userId;
    END $$
/*!50003 SET SESSION SQL_MODE=@TEMP_SQL_MODE */  $$

DELIMITER ;



/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
